import styled, { css, keyframes, withTheme } from 'styled-components';
import React from 'react';
import ReactDOM from 'react-dom';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __values(o) {
    var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
    if (m) return m.call(o);
    return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
}

function __read(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
}

function __spread() {
    for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
    return ar;
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var cosmic = {
    colorPrimary100: '#faf7ff',
    colorPrimary200: '#ece3ff',
    colorPrimary300: '#d5bfff',
    colorPrimary400: '#b18aff',
    colorPrimary500: '#a16eff',
    colorPrimary600: '#7b51db',
    colorPrimary700: '#5a37b8',
    colorPrimary800: '#3e2494',
    colorPrimary900: '#29157a',
    colorPrimaryTransparent100: 'rgba(161, 110, 255, 0.08)',
    colorPrimaryTransparent200: 'rgba(161, 110, 255, 0.16)',
    colorPrimaryTransparent300: 'rgba(161, 110, 255, 0.24)',
    colorPrimaryTransparent400: 'rgba(161, 110, 255, 0.32)',
    colorPrimaryTransparent500: 'rgba(161, 110, 255, 0.4)',
    colorPrimaryTransparent600: 'rgba(161, 110, 255, 0.48)',
    colorBasic100: '#ffffff',
    colorBasic200: '#f7f7fc',
    colorBasic300: '#f0f0fa',
    colorBasic400: '#e1e1f2',
    colorBasic500: '#ceceeb',
    colorBasic600: '#b4b4db',
    colorBasic700: '#6a6a94',
    colorBasic800: '#323259',
    colorBasic900: '#252547',
    colorBasic1000: '#1b1b38',
    colorBasic1100: '#13132b',
    colorBasicTransparent100: 'rgba(180, 180, 219, 0.08)',
    colorBasicTransparent200: 'rgba(180, 180, 219, 0.16)',
    colorBasicTransparent300: 'rgba(180, 180, 219, 0.24)',
    colorBasicTransparent400: 'rgba(180, 180, 219, 0.32)',
    colorBasicTransparent500: 'rgba(180, 180, 219, 0.4)',
    colorBasicTransparent600: 'rgba(180, 180, 219, 0.48)',
};

var corporate = {
    borderRadius: '0.17rem',
    shadow: 'none',
    buttonHeroGlowSize: '0 0 20px 0',
    cardBorderWidth: '1px',
    cardBorderColor: 'borderBasicColor4',
    contextMenuBorderWidth: '1px',
    contextMenuBorderColor: 'borderBasicColor4',
    popoverBorderWidth: '1px',
    popoverBorderColor: 'borderBasicColor4',
    tabsetBorderRadius: 'borderRadius',
    routeTabsetBorderRadius: 'borderRadius',
    userRectangleBorderRadius: 'borderRadius',
    checkboxBorderRadius: 'borderRadius',
    tabsetShadow: 'none',
    routeTabsetShadow: 'none',
    buttonHeroShadow: 'none',
    alertShadow: 'none',
    accordionShadow: 'none',
    selectOptionsListBorderWidth: '0.0625rem',
    selectOutlineBasicOpenBorderColor: 'selectOptionsListOutlineBasicBorderColor',
    selectOutlinePrimaryOpenBorderColor: 'selectOptionsListOutlinePrimaryBorderColor',
    selectOutlineSuccessOpenBorderColor: 'selectOptionsListOutlineSuccessBorderColor',
    selectOutlineInfoOpenBorderColor: 'selectOptionsListOutlineInfoBorderColor',
    selectOutlineWarningOpenBorderColor: 'selectOptionsListOutlineWarningBorderColor',
    selectOutlineDangerOpenBorderColor: 'selectOptionsListOutlineDangerBorderColor',
    selectOutlineControlOpenBorderColor: 'selectOptionsListOutlineControlBorderColor',
};

var dark = {
    backgroundBasicColor1: 'colorBasic800',
    backgroundBasicColor2: 'colorBasic900',
    backgroundBasicColor3: 'colorBasic1000',
    backgroundBasicColor4: 'colorBasic1100',
    borderBasicColor1: 'colorBasic800',
    borderBasicColor2: 'colorBasic900',
    borderBasicColor3: 'colorBasic1000',
    borderBasicColor4: 'colorBasic1100',
    borderBasicColor5: 'colorBasic1100',
    backgroundAlternativeColor1: 'colorBasic100',
    backgroundAlternativeColor2: 'colorBasic200',
    backgroundAlternativeColor3: 'colorBasic300',
    backgroundAlternativeColor4: 'colorBasic400',
    borderAlternativeColor1: 'colorBasic100',
    borderAlternativeColor2: 'colorBasic200',
    borderAlternativeColor3: 'colorBasic300',
    borderAlternativeColor4: 'colorBasic400',
    borderAlternativeColor5: 'colorBasic500',
    textBasicColor: 'colorBasic100',
    textAlternateColor: 'colorBasic900',
    textControlColor: 'colorBasic100',
    textDisabledColor: 'colorBasicTransparent600',
    textHintColor: 'colorBasic600',
    shadow: '0 0.5rem 1rem 0 #1a1f33',
    outlineColor: 'colorBasic700',
};

var defaultTheme = {
    colorPrimary100: '#f2f6ff',
    colorPrimary200: '#d9e4ff',
    colorPrimary300: '#a6c1ff',
    colorPrimary400: '#598bff',
    colorPrimary500: '#3366ff',
    colorPrimary600: '#274bdb',
    colorPrimary700: '#1a34b8',
    colorPrimary800: '#102694',
    colorPrimary900: '#091c7a',
    colorPrimaryTransparent100: 'rgba(51, 102, 255, 0.08)',
    colorPrimaryTransparent200: 'rgba(51, 102, 255, 0.16)',
    colorPrimaryTransparent300: 'rgba(51, 102, 255, 0.24)',
    colorPrimaryTransparent400: 'rgba(51, 102, 255, 0.32)',
    colorPrimaryTransparent500: 'rgba(51, 102, 255, 0.4)',
    colorPrimaryTransparent600: 'rgba(51, 102, 255, 0.48)',
    colorSuccess100: '#f0fff5',
    colorSuccess200: '#ccfce3',
    colorSuccess300: '#8cfac7',
    colorSuccess400: '#2ce69b',
    colorSuccess500: '#00d68f',
    colorSuccess600: '#00b887',
    colorSuccess700: '#00997a',
    colorSuccess800: '#007d6c',
    colorSuccess900: '#004a45',
    colorSuccessTransparent100: 'rgba(0, 214, 143, 0.08)',
    colorSuccessTransparent200: 'rgba(0, 214, 143, 0.16)',
    colorSuccessTransparent300: 'rgba(0, 214, 143, 0.24)',
    colorSuccessTransparent400: 'rgba(0, 214, 143, 0.32)',
    colorSuccessTransparent500: 'rgba(0, 214, 143, 0.4)',
    colorSuccessTransparent600: 'rgba(0, 214, 143, 0.48)',
    colorInfo100: '#f2f8ff',
    colorInfo200: '#c7e2ff',
    colorInfo300: '#94cbff',
    colorInfo400: '#42aaff',
    colorInfo500: '#0095ff',
    colorInfo600: '#006fd6',
    colorInfo700: '#0057c2',
    colorInfo800: '#0041a8',
    colorInfo900: '#002885',
    colorInfoTransparent100: 'rgba(0, 149, 255, 0.08)',
    colorInfoTransparent200: 'rgba(0, 149, 255, 0.16)',
    colorInfoTransparent300: 'rgba(0, 149, 255, 0.24)',
    colorInfoTransparent400: 'rgba(0, 149, 255, 0.32)',
    colorInfoTransparent500: 'rgba(0, 149, 255, 0.4)',
    colorInfoTransparent600: 'rgba(0, 149, 255, 0.48)',
    colorWarning100: '#fffdf2',
    colorWarning200: '#fff1c2',
    colorWarning300: '#ffe59e',
    colorWarning400: '#ffc94d',
    colorWarning500: '#ffaa00',
    colorWarning600: '#db8b00',
    colorWarning700: '#b86e00',
    colorWarning800: '#945400',
    colorWarning900: '#703c00',
    colorWarningTransparent100: 'rgba(255, 170, 0, 0.08)',
    colorWarningTransparent200: 'rgba(255, 170, 0, 0.16)',
    colorWarningTransparent300: 'rgba(255, 170, 0, 0.24)',
    colorWarningTransparent400: 'rgba(255, 170, 0, 0.32)',
    colorWarningTransparent500: 'rgba(255, 170, 0, 0.4)',
    colorWarningTransparent600: 'rgba(255, 170, 0, 0.48)',
    colorDanger100: '#fff2f2',
    colorDanger200: '#ffd6d9',
    colorDanger300: '#ffa8b4',
    colorDanger400: '#ff708d',
    colorDanger500: '#ff3d71',
    colorDanger600: '#db2c66',
    colorDanger700: '#b81d5b',
    colorDanger800: '#94124e',
    colorDanger900: '#700940',
    colorDangerTransparent100: 'rgba(255, 61, 113, 0.08)',
    colorDangerTransparent200: 'rgba(255, 61, 113, 0.16)',
    colorDangerTransparent300: 'rgba(255, 61, 113, 0.24)',
    colorDangerTransparent400: 'rgba(255, 61, 113, 0.32)',
    colorDangerTransparent500: 'rgba(255, 61, 113, 0.4)',
    colorDangerTransparent600: 'rgba(255, 61, 113, 0.48)',
    colorBasic100: '#ffffff',
    colorBasic200: '#f7f9fc',
    colorBasic300: '#edf1f7',
    colorBasic400: '#e4e9f2',
    colorBasic500: '#c5cee0',
    colorBasic600: '#8f9bb3',
    colorBasic700: '#2e3a59',
    colorBasic800: '#222b45',
    colorBasic900: '#192038',
    colorBasic1000: '#151a30',
    colorBasic1100: '#101426',
    colorBasicTransparent100: 'rgba(143, 155, 179, 0.08)',
    colorBasicTransparent200: 'rgba(143, 155, 179, 0.16)',
    colorBasicTransparent300: 'rgba(143, 155, 179, 0.24)',
    colorBasicTransparent400: 'rgba(143, 155, 179, 0.32)',
    colorBasicTransparent500: 'rgba(143, 155, 179, 0.4)',
    colorBasicTransparent600: 'rgba(143, 155, 179, 0.48)',
    colorBasicControlTransparent100: 'rgba(255, 255, 255, 0.08)',
    colorBasicControlTransparent200: 'rgba(255, 255, 255, 0.16)',
    colorBasicControlTransparent300: 'rgba(255, 255, 255, 0.24)',
    colorBasicControlTransparent400: 'rgba(255, 255, 255, 0.32)',
    colorBasicControlTransparent500: 'rgba(255, 255, 255, 0.4)',
    colorBasicControlTransparent600: 'rgba(255, 255, 255, 0.48)',
    colorBasicFocus: 'colorBasic400',
    colorBasicHover: 'colorBasic200',
    colorBasicDefault: 'colorBasic300',
    colorBasicActive: 'colorBasic400',
    colorBasicDisabled: 'colorBasicTransparent300',
    colorBasicFocusBorder: 'colorBasic500',
    colorBasicHoverBorder: 'colorBasicHover',
    colorBasicDefaultBorder: 'colorBasicDefault',
    colorBasicActiveBorder: 'colorBasicActive',
    colorBasicDisabledBorder: 'colorBasicDisabled',
    colorBasicTransparentFocus: 'colorBasicTransparent300',
    colorBasicTransparentHover: 'colorBasicTransparent200',
    colorBasicTransparentDefault: 'colorBasicTransparent100',
    colorBasicTransparentActive: 'colorBasicTransparent300',
    colorBasicTransparentDisabled: 'colorBasicTransparent200',
    colorBasicTransparentFocusBorder: 'colorBasic600',
    colorBasicTransparentHoverBorder: 'colorBasic600',
    colorBasicTransparentDefaultBorder: 'colorBasic600',
    colorBasicTransparentActiveBorder: 'colorBasic600',
    colorBasicTransparentDisabledBorder: 'colorBasicTransparent300',
    colorPrimaryFocus: 'colorPrimary600',
    colorPrimaryHover: 'colorPrimary400',
    colorPrimaryDefault: 'colorPrimary500',
    colorPrimaryActive: 'colorPrimary600',
    colorPrimaryDisabled: 'colorBasicTransparent300',
    colorPrimaryFocusBorder: 'colorPrimary700',
    colorPrimaryHoverBorder: 'colorPrimaryHover',
    colorPrimaryDefaultBorder: 'colorPrimaryDefault',
    colorPrimaryActiveBorder: 'colorPrimaryActive',
    colorPrimaryDisabledBorder: 'colorPrimaryDisabled',
    colorPrimaryTransparentFocus: 'colorPrimaryTransparent300',
    colorPrimaryTransparentHover: 'colorPrimaryTransparent200',
    colorPrimaryTransparentDefault: 'colorPrimaryTransparent100',
    colorPrimaryTransparentActive: 'colorPrimaryTransparent300',
    colorPrimaryTransparentDisabled: 'colorBasicTransparent200',
    colorPrimaryTransparentFocusBorder: 'colorPrimary500',
    colorPrimaryTransparentHoverBorder: 'colorPrimary500',
    colorPrimaryTransparentDefaultBorder: 'colorPrimary500',
    colorPrimaryTransparentActiveBorder: 'colorPrimary500',
    colorPrimaryTransparentDisabledBorder: 'colorBasicTransparent300',
    colorSuccessFocus: 'colorSuccess600',
    colorSuccessHover: 'colorSuccess400',
    colorSuccessDefault: 'colorSuccess500',
    colorSuccessActive: 'colorSuccess600',
    colorSuccessDisabled: 'colorBasicTransparent300',
    colorSuccessFocusBorder: 'colorSuccess700',
    colorSuccessHoverBorder: 'colorSuccessHover',
    colorSuccessDefaultBorder: 'colorSuccessDefault',
    colorSuccessActiveBorder: 'colorSuccessActive',
    colorSuccessDisabledBorder: 'colorSuccessDisabled',
    colorSuccessTransparentFocus: 'colorSuccessTransparent300',
    colorSuccessTransparentFocusBorder: 'colorSuccess500',
    colorSuccessTransparentHover: 'colorSuccessTransparent200',
    colorSuccessTransparentHoverBorder: 'colorSuccess500',
    colorSuccessTransparentDefault: 'colorSuccessTransparent100',
    colorSuccessTransparentDefaultBorder: 'colorSuccess500',
    colorSuccessTransparentActive: 'colorSuccessTransparent300',
    colorSuccessTransparentActiveBorder: 'colorSuccess500',
    colorSuccessTransparentDisabled: 'colorBasicTransparent200',
    colorSuccessTransparentDisabledBorder: 'colorBasicTransparent300',
    colorInfoFocus: 'colorInfo600',
    colorInfoHover: 'colorInfo400',
    colorInfoDefault: 'colorInfo500',
    colorInfoActive: 'colorInfo600',
    colorInfoDisabled: 'colorBasicTransparent300',
    colorInfoFocusBorder: 'colorInfo700',
    colorInfoHoverBorder: 'colorInfoHover',
    colorInfoDefaultBorder: 'colorInfoDefault',
    colorInfoActiveBorder: 'colorInfoActive',
    colorInfoDisabledBorder: 'colorInfoDisabled',
    colorInfoTransparentFocus: 'colorInfoTransparent300',
    colorInfoTransparentHover: 'colorInfoTransparent200',
    colorInfoTransparentDefault: 'colorInfoTransparent100',
    colorInfoTransparentActive: 'colorInfoTransparent300',
    colorInfoTransparentDisabled: 'colorBasicTransparent200',
    colorInfoTransparentFocusBorder: 'colorInfo500',
    colorInfoTransparentHoverBorder: 'colorInfo500',
    colorInfoTransparentDefaultBorder: 'colorInfo500',
    colorInfoTransparentActiveBorder: 'colorInfo500',
    colorInfoTransparentDisabledBorder: 'colorBasicTransparent300',
    colorWarningFocus: 'colorWarning600',
    colorWarningHover: 'colorWarning400',
    colorWarningDefault: 'colorWarning500',
    colorWarningActive: 'colorWarning600',
    colorWarningDisabled: 'colorBasicTransparent300',
    colorWarningFocusBorder: 'colorWarning700',
    colorWarningHoverBorder: 'colorWarningHover',
    colorWarningDefaultBorder: 'colorWarningDefault',
    colorWarningActiveBorder: 'colorWarningActive',
    colorWarningDisabledBorder: 'colorWarningDisabled',
    colorWarningTransparentFocus: 'colorWarningTransparent300',
    colorWarningTransparentHover: 'colorWarningTransparent200',
    colorWarningTransparentDefault: 'colorWarningTransparent100',
    colorWarningTransparentActive: 'colorWarningTransparent300',
    colorWarningTransparentDisabled: 'colorBasicTransparent200',
    colorWarningTransparentFocusBorder: 'colorWarning500',
    colorWarningTransparentHoverBorder: 'colorWarning500',
    colorWarningTransparentDefaultBorder: 'colorWarning500',
    colorWarningTransparentActiveBorder: 'colorWarning500',
    colorWarningTransparentDisabledBorder: 'colorBasicTransparent300',
    colorDangerFocus: 'colorDanger600',
    colorDangerHover: 'colorDanger400',
    colorDangerDefault: 'colorDanger500',
    colorDangerActive: 'colorDanger600',
    colorDangerDisabled: 'colorBasicTransparent300',
    colorDangerFocusBorder: 'colorDanger700',
    colorDangerHoverBorder: 'colorDangerHover',
    colorDangerDefaultBorder: 'colorDangerDefault',
    colorDangerActiveBorder: 'colorDangerActive',
    colorDangerDisabledBorder: 'colorDangerDisabled',
    colorDangerTransparentFocus: 'colorDangerTransparent300',
    colorDangerTransparentHover: 'colorDangerTransparent200',
    colorDangerTransparentDefault: 'colorDangerTransparent100',
    colorDangerTransparentActive: 'colorDangerTransparent300',
    colorDangerTransparentDisabled: 'colorBasicTransparent200',
    colorDangerTransparentFocusBorder: 'colorDanger500',
    colorDangerTransparentHoverBorder: 'colorDanger500',
    colorDangerTransparentDefaultBorder: 'colorDanger500',
    colorDangerTransparentActiveBorder: 'colorDanger500',
    colorDangerTransparentDisabledBorder: 'colorBasicTransparent300',
    colorControlFocus: 'colorBasic300',
    colorControlHover: 'colorBasic200',
    colorControlDefault: 'colorBasic100',
    colorControlActive: 'colorBasic300',
    colorControlDisabled: 'colorBasicTransparent300',
    colorControlFocusBorder: 'colorBasic500',
    colorControlHoverBorder: 'colorControlHover',
    colorControlDefaultBorder: 'colorControlDefault',
    colorControlActiveBorder: 'colorControlActive',
    colorControlDisabledBorder: 'colorControlDisabled',
    colorControlTransparentFocus: 'colorBasicControlTransparent300',
    colorControlTransparentHover: 'colorBasicControlTransparent200',
    colorControlTransparentDefault: 'colorBasicControlTransparent100',
    colorControlTransparentActive: 'colorBasicControlTransparent300',
    colorControlTransparentDisabled: 'colorBasicTransparent200',
    colorControlTransparentFocusBorder: 'colorBasic100',
    colorControlTransparentHoverBorder: 'colorBasic100',
    colorControlTransparentDefaultBorder: 'colorBasic100',
    colorControlTransparentActiveBorder: 'colorBasic100',
    colorControlTransparentDisabledBorder: 'colorBasicTransparent300',
    backgroundBasicColor1: 'colorBasic100',
    backgroundBasicColor2: 'colorBasic200',
    backgroundBasicColor3: 'colorBasic300',
    backgroundBasicColor4: 'colorBasic400',
    borderBasicColor1: 'colorBasic100',
    borderBasicColor2: 'colorBasic200',
    borderBasicColor3: 'colorBasic300',
    borderBasicColor4: 'colorBasic400',
    borderBasicColor5: 'colorBasic500',
    backgroundAlternativeColor1: 'colorBasic800',
    backgroundAlternativeColor2: 'colorBasic900',
    backgroundAlternativeColor3: 'colorBasic1000',
    backgroundAlternativeColor4: 'colorBasic1100',
    borderAlternativeColor1: 'colorBasic800',
    borderAlternativeColor2: 'colorBasic900',
    borderAlternativeColor3: 'colorBasic1000',
    borderAlternativeColor4: 'colorBasic1100',
    borderAlternativeColor5: 'colorBasic1100',
    backgroundPrimaryColor1: 'colorPrimary500',
    backgroundPrimaryColor2: 'colorPrimary600',
    backgroundPrimaryColor3: 'colorPrimary700',
    backgroundPrimaryColor4: 'colorPrimary800',
    borderPrimaryColor1: 'colorBasic500',
    borderPrimaryColor2: 'colorBasic600',
    borderPrimaryColor3: 'colorBasic700',
    borderPrimaryColor4: 'colorBasic800',
    borderPrimaryColor5: 'colorBasic900',
    textBasicColor: 'colorBasic800',
    textAlternateColor: 'colorBasic100',
    textControlColor: 'colorBasic100',
    textDisabledColor: 'colorBasicTransparent600',
    textHintColor: 'colorBasic600',
    textPrimaryColor: 'colorPrimaryDefault',
    textPrimaryFocusColor: 'colorPrimaryFocus',
    textPrimaryHoverColor: 'colorPrimaryHover',
    textPrimaryActiveColor: 'colorPrimaryActive',
    textPrimaryDisabledColor: 'colorPrimary400',
    textSuccessColor: 'colorSuccessDefault',
    textSuccessFocusColor: 'colorSuccessFocus',
    textSuccessHoverColor: 'colorSuccessHover',
    textSuccessActiveColor: 'colorSuccessActive',
    textSuccessDisabledColor: 'colorSuccess400',
    textInfoColor: 'colorInfoDefault',
    textInfoFocusColor: 'colorInfoFocus',
    textInfoHoverColor: 'colorInfoHover',
    textInfoActiveColor: 'colorInfoActive',
    textInfoDisabledColor: 'colorInfo400',
    textWarningColor: 'colorWarningDefault',
    textWarningFocusColor: 'colorWarningFocus',
    textWarningHoverColor: 'colorWarningHover',
    textWarningActiveColor: 'colorWarningActive',
    textWarningDisabledColor: 'colorWarning400',
    textDangerColor: 'colorDangerDefault',
    textDangerFocusColor: 'colorDangerFocus',
    textDangerHoverColor: 'colorDangerHover',
    textDangerActiveColor: 'colorDangerActive',
    textDangerDisabledColor: 'colorDanger400',
    fontFamilyPrimary: "unquote('Open Sans, sans-serif')",
    fontFamilySecondary: 'fontFamilyPrimary',
    textHeading1FontFamily: 'fontFamilySecondary',
    textHeading1FontSize: '2.25rem',
    textHeading1FontWeight: 700,
    textHeading1LineHeight: '3rem',
    textHeading2FontFamily: 'fontFamilySecondary',
    textHeading2FontSize: '2rem',
    textHeading2FontWeight: 700,
    textHeading2LineHeight: '2.5rem',
    textHeading3FontFamily: 'fontFamilySecondary',
    textHeading3FontSize: '1.875rem',
    textHeading3FontWeight: 700,
    textHeading3LineHeight: '2.5rem',
    textHeading4FontFamily: 'fontFamilySecondary',
    textHeading4FontSize: '1.625rem',
    textHeading4FontWeight: 700,
    textHeading4LineHeight: '2rem',
    textHeading5FontFamily: 'fontFamilySecondary',
    textHeading5FontSize: '1.375rem',
    textHeading5FontWeight: 700,
    textHeading5LineHeight: '2rem',
    textHeading6FontFamily: 'fontFamilySecondary',
    textHeading6FontSize: '1.125rem',
    textHeading6FontWeight: 700,
    textHeading6LineHeight: '1.5rem',
    textSubtitleFontFamily: 'fontFamilyPrimary',
    textSubtitleFontSize: '0.9375rem',
    textSubtitleFontWeight: 600,
    textSubtitleLineHeight: '1.5rem',
    textSubtitle2FontFamily: 'fontFamilyPrimary',
    textSubtitle2FontSize: '0.8125rem',
    textSubtitle2FontWeight: 600,
    textSubtitle2LineHeight: '1.5rem',
    textParagraphFontFamily: 'fontFamilyPrimary',
    textParagraphFontSize: '0.9375rem',
    textParagraphFontWeight: 400,
    textParagraphLineHeight: '1.25rem',
    textParagraph2FontFamily: 'fontFamilyPrimary',
    textParagraph2FontSize: '0.8125rem',
    textParagraph2FontWeight: 400,
    textParagraph2LineHeight: '1.125rem',
    textLabelFontFamily: 'fontFamilyPrimary',
    textLabelFontSize: '0.75rem',
    textLabelFontWeight: 700,
    textLabelLineHeight: '1rem',
    textCaptionFontFamily: 'fontFamilyPrimary',
    textCaptionFontSize: '0.75rem',
    textCaptionFontWeight: 400,
    textCaptionLineHeight: '1rem',
    textCaption2FontFamily: 'fontFamilyPrimary',
    textCaption2FontSize: '0.75rem',
    textCaption2FontWeight: 600,
    textCaption2LineHeight: '1rem',
    textButtonFontFamily: 'fontFamilyPrimary',
    textButtonFontWeight: 700,
    textButtonTinyFontSize: '0.625rem',
    textButtonTinyLineHeight: '0.75rem',
    textButtonSmallFontSize: '0.75rem',
    textButtonSmallLineHeight: '1rem',
    textButtonMediumFontSize: '0.875rem',
    textButtonMediumLineHeight: '1rem',
    textButtonLargeFontSize: '1rem',
    textButtonLargeLineHeight: '1.25rem',
    textButtonGiantFontSize: '1.125rem',
    textButtonGiantLineHeight: '1.5rem',
    borderRadius: '0.25rem',
    outlineWidth: '0.375rem',
    outlineColor: 'colorBasicTransparent200',
    scrollbarColor: 'backgroundBasicColor4',
    scrollbarBackgroundColor: 'backgroundBasicColor2',
    scrollbarWidth: '0.3125rem',
    shadow: '0 0.5rem 1rem 0 rgba(44, 51, 73, 0.1)',
    dividerColor: 'borderBasicColor3',
    dividerStyle: 'solid',
    dividerWidth: '1px',
};

var mapping = {
    linkTextColor: 'textPrimaryColor',
    linkTextFocusColor: 'textPrimaryFocusColor',
    linkTextHoverColor: 'textPrimaryHoverColor',
    cardBackgroundColor: 'backgroundBasicColor1',
    cardTextColor: 'textBasicColor',
    cardTextFontFamily: 'textParagraphFontFamily',
    cardTextFontSize: 'textParagraphFontSize',
    cardTextFontWeight: 'textParagraphFontWeight',
    cardTextLineHeight: 'textParagraphLineHeight',
    cardBorderWidth: 0,
    cardBorderStyle: 'solid',
    cardBorderColor: 'transparent',
    cardBorderRadius: 'borderRadius',
    cardPadding: '1rem 1.25rem',
    cardShadow: 'shadow',
    cardDividerColor: 'dividerColor',
    cardDividerStyle: 'dividerStyle',
    cardDividerWidth: 'dividerWidth',
    cardHeaderTextColor: 'textBasicColor',
    cardHeaderTextFontFamily: 'textSubtitleFontFamily',
    cardHeaderTextFontSize: 'textSubtitleFontSize',
    cardHeaderTextFontWeight: 'textSubtitleFontWeight',
    cardHeaderTextLineHeight: 'textSubtitleLineHeight',
    cardHeaderBasicBackgroundColor: 'backgroundBasicColor2',
    cardHeaderBasicTextColor: 'textBasicColor',
    cardHeaderPrimaryBackgroundColor: 'colorPrimaryDefault',
    cardHeaderPrimaryTextColor: 'textControlColor',
    cardHeaderInfoBackgroundColor: 'colorInfoDefault',
    cardHeaderInfoTextColor: 'textControlColor',
    cardHeaderSuccessBackgroundColor: 'colorSuccessDefault',
    cardHeaderSuccessTextColor: 'textControlColor',
    cardHeaderWarningBackgroundColor: 'colorWarningDefault',
    cardHeaderWarningTextColor: 'textControlColor',
    cardHeaderDangerBackgroundColor: 'colorDangerDefault',
    cardHeaderDangerTextColor: 'textControlColor',
    cardHeaderControlBackgroundColor: 'colorControlDefault',
    cardHeaderControlTextColor: 'colorBasic800',
    cardHeightTiny: '13.5rem',
    cardHeightSmall: '21.1875rem',
    cardHeightMedium: '28.875rem',
    cardHeightLarge: '36.5625rem',
    cardHeightGiant: '44.25rem',
    cardMarginBottom: '1.875rem',
    cardScrollbarColor: 'scrollbarColor',
    cardScrollbarBackgroundColor: 'scrollbarBackgroundColor',
    cardScrollbarWidth: 'scrollbarWidth',
    headerBackgroundColor: 'backgroundBasicColor1',
    headerTextColor: 'textBasicColor',
    headerTextFontFamily: 'textParagraphFontFamily',
    headerTextFontSize: 'textParagraphFontSize',
    headerTextFontWeight: 'textParagraphFontWeight',
    headerTextLineHeight: 'textParagraphLineHeight',
    headerHeight: '4.75rem',
    headerPadding: '1.25rem',
    headerShadow: 'shadow',
    footerBackgroundColor: 'backgroundBasicColor1',
    footerTextColor: 'textBasicColor',
    footerTextFontFamily: 'textParagraphFontFamily',
    footerTextFontSize: 'textParagraphFontSize',
    footerTextFontWeight: 'textParagraphFontWeight',
    footerTextLineHeight: 'textParagraphLineHeight',
    footerTextHighlightColor: 'colorPrimaryHover',
    footerHeight: '4.725rem',
    footerPadding: '1.25rem',
    footerDividerColor: 'dividerColor',
    footerDividerStyle: 'dividerStyle',
    footerDividerWidth: 'dividerWidth',
    footerShadow: 'shadow',
    layoutBackgroundColor: 'backgroundBasicColor3',
    layoutTextColor: 'textBasicColor',
    layoutTextFontFamily: 'textParagraphFontFamily',
    layoutTextFontSize: 'textParagraphFontSize',
    layoutTextFontWeight: 'textParagraphFontWeight',
    layoutTextLineHeight: 'textParagraphLineHeight',
    layoutMinHeight: '100vh',
    layoutContentWidth: '900px',
    layoutWindowModeMinWidth: '300px',
    layoutWindowModeMaxWidth: '1920px',
    layoutWindowModeBackgroundColor: 'backgroundBasicColor3',
    layoutWindowModePaddingTop: '4.75rem',
    layoutWindowShadow: 'shadow',
    layoutPadding: '2.25rem 2.25rem 0.75rem',
    layoutMediumPadding: '1.5rem 1.5rem 0.5rem',
    layoutSmallPadding: '1rem 1rem 0',
    layoutScrollbarBackgroundColor: 'scrollbarBackgroundColor',
    layoutScrollbarColor: 'scrollbarColor',
    layoutScrollbarWidth: 'scrollbarWidth',
    sidebarBackgroundColor: 'backgroundBasicColor1',
    sidebarTextColor: 'textBasicColor',
    sidebarTextFontFamily: 'textParagraphFontFamily',
    sidebarTextFontSize: 'textParagraphFontSize',
    sidebarTextFontWeight: 'textParagraphFontWeight',
    sidebarTextLineHeight: 'textParagraphLineHeight',
    sidebarHeight: '100vh',
    sidebarWidth: '16rem',
    sidebarWidthCompact: '3.5rem',
    sidebarPadding: '1.25rem',
    sidebarHeaderHeight: '3.5rem',
    sidebarFooterHeight: '3.5rem',
    sidebarShadow: 'shadow',
    sidebarMenuItemHighlightColor: 'colorPrimaryDefault',
    sidebarScrollbarBackgroundColor: 'scrollbarBackgroundColor',
    sidebarScrollbarColor: 'scrollbarColor',
    sidebarScrollbarWidth: 'scrollbarWidth',
    menuBackgroundColor: 'transparent',
    menuTextColor: 'textBasicColor',
    menuTextFontFamily: 'textSubtitle2FontFamily',
    menuTextFontSize: 'textSubtitle2FontSize',
    menuTextFontWeight: 'textSubtitle2FontWeight',
    menuTextLineHeight: 'textSubtitle2LineHeight',
    menuGroupTextColor: 'textHintColor',
    menuItemBorderRadius: 0,
    menuItemPadding: '0.75rem 1rem',
    menuItemHoverBackgroundColor: 'menuBackgroundColor',
    menuItemHoverCursor: 'pointer',
    menuItemHoverTextColor: 'textPrimaryHoverColor',
    menuItemIconHoverColor: 'menuItemHoverTextColor',
    menuItemActiveBackgroundColor: 'menuBackgroundColor',
    menuItemActiveTextColor: 'textPrimaryColor',
    menuItemIconActiveColor: 'menuItemActiveTextColor',
    menuItemIconColor: 'textHintColor',
    menuItemIconMargin: '0 0.5rem 0 0',
    menuItemIconWidth: '1.5rem',
    menuItemDividerColor: 'dividerColor',
    menuItemDividerStyle: 'dividerStyle',
    menuItemDividerWidth: 'dividerWidth',
    menuSubmenuBackgroundColor: 'menuBackgroundColor',
    menuSubmenuTextColor: 'textBasicColor',
    menuSubmenuMargin: 0,
    menuSubmenuPadding: '0 1.25rem',
    menuSubmenuItemBorderColor: 'menuSubmenuBackgroundColor',
    menuSubmenuItemBorderStyle: 'solid',
    menuSubmenuItemBorderWidth: 0,
    menuSubmenuItemBorderRadius: 0,
    menuSubmenuItemPadding: 'menuItemPadding',
    menuSubmenuItemHoverBackgroundColor: 'menuBackgroundColor',
    menuSubmenuItemHoverBorderColor: 'menuSubmenuItemBorderColor',
    menuSubmenuItemHoverTextColor: 'menuItemHoverTextColor',
    menuSubmenuItemIconHoverColor: 'menuItemIconHoverColor',
    menuSubmenuItemActiveBackgroundColor: 'menuBackgroundColor',
    menuSubmenuItemActiveBorderColor: 'colorPrimaryDefault',
    menuSubmenuItemActiveTextColor: 'menuItemActiveTextColor',
    menuSubmenuItemIconActiveColor: 'menuItemIconActiveColor',
    menuSubmenuItemActiveHoverBackgroundColor: 'menuSubmenuItemHoverBackgroundColor',
    menuSubmenuItemActiveHoverBorderColor: 'colorPrimaryHover',
    menuSubmenuItemActiveHoverTextColor: 'menuSubmenuItemHoverTextColor',
    menuSubmenuItemIconActiveHoverColor: 'menuSubmenuItemIconHoverColor',
    tabsetBackgroundColor: 'transparent',
    tabsetBorderRadius: 0,
    tabsetShadow: 'none',
    tabsetTabBackgroundColor: 'transparent',
    tabsetTabPadding: '1rem 2rem',
    tabsetTabTextColor: 'textHintColor',
    tabsetTabTextFontFamily: 'textButtonFontFamily',
    tabsetTabTextFontSize: 'textButtonMediumFontSize',
    tabsetTabTextFontWeight: 'textButtonFontWeight',
    tabsetTabTextLineHeight: 'textButtonMediumLineHeight',
    tabsetTabTextTransform: 'uppercase',
    tabsetTabUnderlineWidth: '0.25rem',
    tabsetTabUnderlineColor: 'transparent',
    tabsetTabActiveBackgroundColor: 'transparent',
    tabsetTabActiveTextColor: 'textPrimaryColor',
    tabsetTabActiveUnderlineColor: 'textPrimaryColor',
    tabsetTabFocusBackgroundColor: 'transparent',
    tabsetTabFocusTextColor: 'textPrimaryFocusColor',
    tabsetTabFocusUnderlineColor: 'textPrimaryFocusColor',
    tabsetTabHoverBackgroundColor: 'transparent',
    tabsetTabHoverTextColor: 'textPrimaryHoverColor',
    tabsetTabHoverUnderlineColor: 'textPrimaryHoverColor',
    tabsetTabDisabledBackgroundColor: 'transparent',
    tabsetTabDisabledTextColor: 'textDisabledColor',
    tabsetTabDisabledUnderlineColor: 'transparent',
    tabsetDividerColor: 'dividerColor',
    tabsetDividerStyle: 'dividerStyle',
    tabsetDividerWidth: 'dividerWidth',
    tabsetContentBackgroundColor: 'transparent',
    tabsetContentPadding: '1rem 2rem',
    tabsetContentTextColor: 'textBasicColor',
    tabsetContentTextFontFamily: 'textParagraphFontFamily',
    tabsetContentTextFontSize: 'textParagraphFontSize',
    tabsetContentTextFontWeight: 'textParagraphFontWeight',
    tabsetContentTextLineHeight: 'textParagraphLineHeight',
    tabsetScrollbarColor: 'scrollbarColor',
    tabsetScrollbarBackgroundColor: 'scrollbarBackgroundColor',
    tabsetScrollbarWidth: 'scrollbarWidth',
    tabsetTabTextHideBreakpoint: '36rem',
    routeTabsetBackgroundColor: 'transparent',
    routeTabsetBorderRadius: 0,
    routeTabsetShadow: 'none',
    routeTabsetTabBackgroundColor: 'transparent',
    routeTabsetTabPadding: '1rem 2rem',
    routeTabsetTabTextColor: 'textHintColor',
    routeTabsetTabTextFontFamily: 'textButtonFontFamily',
    routeTabsetTabTextFontSize: 'textButtonMediumFontSize',
    routeTabsetTabTextFontWeight: 'textButtonFontWeight',
    routeTabsetTabTextLineHeight: 'textButtonMediumLineHeight',
    routeTabsetTabTextTransform: 'uppercase',
    routeTabsetTabUnderlineWidth: '0.25rem',
    routeTabsetTabUnderlineColor: 'transparent',
    routeTabsetTabActiveBackgroundColor: 'transparent',
    routeTabsetTabActiveTextColor: 'textPrimaryColor',
    routeTabsetTabActiveUnderlineColor: 'textPrimaryColor',
    routeTabsetTabFocusBackgroundColor: 'transparent',
    routeTabsetTabFocusTextColor: 'textPrimaryFocusColor',
    routeTabsetTabFocusUnderlineColor: 'textPrimaryFocusColor',
    routeTabsetTabHoverBackgroundColor: 'transparent',
    routeTabsetTabHoverTextColor: 'textPrimaryHoverColor',
    routeTabsetTabHoverUnderlineColor: 'textPrimaryHoverColor',
    routeTabsetTabDisabledBackgroundColor: 'transparent',
    routeTabsetTabDisabledTextColor: 'textDisabledColor',
    routeTabsetTabDisabledUnderlineColor: 'transparent',
    routeTabsetDividerColor: 'dividerColor',
    routeTabsetDividerStyle: 'dividerStyle',
    routeTabsetDividerWidth: 'dividerWidth',
    routeTabsetScrollbarColor: 'scrollbarColor',
    routeTabsetScrollbarBackgroundColor: 'scrollbarBackgroundColor',
    routeTabsetScrollbarWidth: 'scrollbarWidth',
    routeTabsetTabTextHideBreakpoint: '36rem',
    userPictureBoxBackgroundColor: 'transparent',
    userPictureBoxBorderColor: 'borderBasicColor3',
    userPictureBoxBorderWidth: '1px',
    userInitialsTextColor: 'textBasicColor',
    userInitialsTextFontFamily: 'textParagraphFontFamily',
    userInitialsTextFontWeight: 'textParagraphFontWeight',
    userNameTextColor: 'textBasicColor',
    userNameTextFontFamily: 'textParagraphFontFamily',
    userNameTextFontWeight: 'textParagraphFontWeight',
    userTitleTextColor: 'textBasicColor',
    userTitleTextFontFamily: 'textParagraph2FontFamily',
    userTitleTextFontWeight: 'textParagraph2FontWeight',
    userRectangleBorderRadius: '0.5rem',
    userSemiRoundBorderRadius: '0.75rem',
    userRoundBorderRadius: '50%',
    userTinyHeight: '1.25rem',
    userTinyWidth: '1.25rem',
    userTinyInitialsTextFontSize: 'textCaptionFontSize',
    userTinyInitialsTextLineHeight: 'textCaptionLineHeight',
    userTinyNameTextFontSize: 'textCaptionFontSize',
    userTinyNameTextLineHeight: 'textCaptionLineHeight',
    userTinyTitleTextFontSize: 'textCaptionFontSize',
    userTinyTitleTextLineHeight: 'textCaptionLineHeight',
    userSmallHeight: '1.5rem',
    userSmallWidth: '1.5rem',
    userSmallInitialsTextFontSize: 'textCaptionFontSize',
    userSmallInitialsTextLineHeight: 'textCaptionLineHeight',
    userSmallNameTextFontSize: 'textCaptionFontSize',
    userSmallNameTextLineHeight: 'textCaptionLineHeight',
    userSmallTitleTextFontSize: 'textCaptionFontSize',
    userSmallTitleTextLineHeight: 'textCaptionLineHeight',
    userMediumHeight: '2.5rem',
    userMediumWidth: '2.5rem',
    userMediumInitialsTextFontSize: 'textParagraphFontSize',
    userMediumInitialsTextLineHeight: 'textParagraphLineHeight',
    userMediumNameTextFontSize: 'textParagraphFontSize',
    userMediumNameTextLineHeight: 'textParagraphLineHeight',
    userMediumTitleTextFontSize: 'textCaptionFontSize',
    userMediumTitleTextLineHeight: 'textCaptionLineHeight',
    userLargeHeight: '3.25rem',
    userLargeWidth: '3.25rem',
    userLargeInitialsTextFontSize: 'textParagraphFontSize',
    userLargeInitialsTextLineHeight: 'textParagraphLineHeight',
    userLargeNameTextFontSize: 'textParagraphFontSize',
    userLargeNameTextLineHeight: 'textParagraphLineHeight',
    userLargeTitleTextFontSize: 'textParagraph2FontSize',
    userLargeTitleTextLineHeight: 'textParagraph2LineHeight',
    userGiantHeight: '4rem',
    userGiantWidth: '4rem',
    userGiantInitialsTextFontSize: 'textParagraphFontSize',
    userGiantInitialsTextLineHeight: 'textParagraphLineHeight',
    userGiantNameTextFontSize: 'textParagraphFontSize',
    userGiantNameTextLineHeight: 'textParagraphLineHeight',
    userGiantTitleTextFontSize: 'textParagraphFontSize',
    userGiantTitleTextLineHeight: 'textParagraphLineHeight',
    popoverTextColor: 'textBasicColor',
    popoverTextFontFamily: 'textParagraphFontFamily',
    popoverTextFontSize: 'textParagraphFontSize',
    popoverTextFontWeight: 'textParagraphFontWeight',
    popoverTextLineHeight: 'textParagraphLineHeight',
    popoverBackgroundColor: 'backgroundBasicColor1',
    popoverBorderWidth: '1px',
    popoverBorderColor: 'transparent',
    popoverBorderRadius: 'borderRadius',
    popoverShadow: 'shadow',
    popoverArrowSize: '11px',
    popoverPadding: '0.75rem 1rem',
    contextMenuBackgroundColor: 'backgroundBasicColor1',
    contextMenuBorderColor: 'transparent',
    contextMenuBorderStyle: 'solid',
    contextMenuBorderWidth: 0,
    contextMenuBorderRadius: 'borderRadius',
    contextMenuMinWidth: '10rem',
    contextMenuMaxWidth: '15rem',
    contextMenuShadow: 'shadow',
    actionsBackgroundColor: 'transparent',
    actionsDividerColor: 'dividerColor',
    actionsDividerStyle: 'dividerStyle',
    actionsDividerWidth: 'dividerWidth',
    actionsIconColor: 'textHintColor',
    actionsTextColor: 'textBasicColor',
    actionsTextFontFamily: 'textButtonFontFamily',
    actionsTextFontWeight: 'textButtonFontWeight',
    actionsTextLineHeight: 'textButtonMediumLineHeight',
    actionsDisabledIconColor: 'textDisabledColor',
    actionsDisabledTextColor: 'textDisabledColor',
    actionsTinyHeight: '1rem',
    actionsTinyIconHeight: 'actionsTinyHeight',
    actionsTinyPadding: '0 1.25rem',
    actionsTinyTextFontSize: 'textButtonTinyFontSize',
    actionsSmallHeight: '1.5rem',
    actionsSmallIconHeight: 'actionsSmallHeight',
    actionsSmallPadding: '0 1.25rem',
    actionsSmallTextFontSize: 'textButtonSmallFontSize',
    actionsMediumHeight: '2.25rem',
    actionsMediumIconHeight: 'actionsMediumHeight',
    actionsMediumPadding: '0 1.25rem',
    actionsMediumTextFontSize: 'textButtonMediumFontSize',
    actionsLargeHeight: '3.5rem',
    actionsLargeIconHeight: 'actionsLargeHeight',
    actionsLargePadding: '0 1.25rem',
    actionsLargeTextFontSize: 'textButtonLargeFontSize',
    actionsGiantHeight: '4rem',
    actionsGiantIconHeight: 'actionsGiantHeight',
    actionsGiantPadding: '0 1.25rem',
    actionsGiantTextFontSize: 'textButtonGiantFontSize',
    searchBackgroundColor: 'backgroundBasicColor1',
    searchDividerColor: 'dividerColor',
    searchDividerStyle: 'dividerStyle',
    searchDividerWidth: 'dividerWidth',
    searchExtraBackgroundColor: 'colorPrimaryDefault',
    searchTextColor: 'textBasicColor',
    searchTextFontFamily: 'textHeading1FontFamily',
    searchTextFontSize: 'textHeading1FontSize',
    searchTextFontWeight: 'textHeading1FontWeight',
    searchTextLineHeight: 'textHeading1LineHeight',
    searchPlaceholderTextColor: 'textHintColor',
    searchInfoTextColor: 'textHintColor',
    searchInfoTextFontFamily: 'textSubtitleFontFamily',
    searchInfoTextFontSize: 'textSubtitleFontSize',
    searchInfoTextFontWeight: 'textSubtitleFontWeight',
    searchInfoTextLineHeight: 'textSubtitleLineHeight',
    smartTableHeaderFontFamily: 'textParagraphFontFamily',
    smartTableHeaderFontSize: 'textParagraphFontSize',
    smartTableHeaderFontWeight: 'textParagraphFontWeight',
    smartTableHeaderLineHeight: 'textParagraphLineHeight',
    smartTableHeaderFg: 'textBasicColor',
    smartTableHeaderBg: 'backgroundBasicColor1',
    smartTableFontFamily: 'textParagraphFontFamily',
    smartTableFontSize: 'textParagraphFontSize',
    smartTableFontWeight: 'textParagraphFontWeight',
    smartTableLineHeight: 'textParagraphLineHeight',
    smartTableFg: 'textBasicColor',
    smartTableBg: 'backgroundBasicColor1',
    smartTableBgEven: 'backgroundBasicColor2',
    smartTableFgSecondary: 'textBasicColor',
    smartTableBgActive: 'backgroundBasicColor3',
    smartTablePadding: '0.875rem 1.25rem',
    smartTableFilterPadding: '0.375rem 0.5rem',
    smartTableSeparator: 'dividerColor',
    smartTableBorderRadius: 'borderRadius',
    smartTableActionAddEditHoverTextColor: 'colorPrimaryDefault',
    smartTableActionCancelDeleteHoverTextColor: 'colorDangerDefault',
    smartTableAddButtonBorderColor: 'buttonFilledPrimaryBorderColor',
    smartTableAddButtonBackgroundColor: 'buttonFilledPrimaryBackgroundColor',
    smartTableAddButtonTextColor: 'buttonFilledPrimaryTextColor',
    smartTableAddButtonFocusBorderColor: 'buttonFilledPrimaryFocusBorderColor',
    smartTableAddButtonHoverBackgroundColor: 'buttonFilledPrimaryHoverBackgroundColor',
    smartTableAddButtonHoverBorderColor: 'buttonFilledPrimaryHoverBorderColor',
    smartTableAddButtonActiveBackgroundColor: 'buttonFilledPrimaryActiveBackgroundColor',
    smartTableAddButtonActiveBorderColor: 'buttonFilledPrimaryActiveBorderColor',
    smartTablePagingFontFamily: 'buttonTextFontFamily',
    smartTablePagingFontSize: 'buttonMediumTextFontSize',
    smartTablePagingLineHeight: 'buttonMediumTextLineHeight',
    smartTablePagingBorderColor: 'dividerColor',
    smartTablePagingBorderWidth: 'dividerWidth',
    smartTablePagingFgActive: 'textControlColor',
    smartTablePagingBgActive: 'colorPrimaryDefault',
    smartTablePagingHover: 'transparent',
    smartTablePagingHoverBorderColor: 'buttonOutlinePrimaryHoverBorderColor',
    smartTablePagingHoverTextColor: 'buttonOutlinePrimaryHoverTextColor',
    smartTablePagingDisabledTextColor: 'buttonOutlinePrimaryDisabledTextColor',
    smartTablePagingPageTextColor: 'buttonOutlinePrimaryTextColor',
    smartTablePagingPageFocusBorderColor: 'buttonOutlinePrimaryFocusBorderColor',
    smartTablePagingPageFocusTextColor: 'buttonOutlinePrimaryFocusTextColor',
    toastrBorderStyle: 'solid',
    toastrBorderWidth: '1px',
    toastrBorderRadius: 'borderRadius',
    toastrPadding: '1rem',
    toastrShadow: 'shadow',
    toastrTextFontFamily: 'textParagraph2FontFamily',
    toastrTextFontSize: 'textParagraph2FontSize',
    toastrTextFontWeight: 'textParagraph2FontWeight',
    toastrTextLineHeight: 'textParagraph2LineHeight',
    toastrTitleTextFontFamily: 'textSubtitleFontFamily',
    toastrTitleTextFontSize: 'textSubtitleFontSize',
    toastrTitleTextFontWeight: 'textSubtitleFontWeight',
    toastrTitleTextLineHeight: 'textSubtitleLineHeight',
    toastrBasicBackgroundColor: 'backgroundBasicColor1',
    toastrBasicBorderColor: 'borderBasicColor3',
    toastrBasicTextColor: 'textBasicColor',
    toastrIconBasicBackgroundColor: 'backgroundBasicColor1',
    toastrIconBasicColor: 'textBasicColor',
    toastrDestroyableBasicHoverBackgroundColor: 'backgroundBasicColor1',
    toastrDestroyableBasicHoverBorderColor: 'borderBasicColor3',
    toastrPrimaryBackgroundColor: 'colorPrimaryDefault',
    toastrPrimaryBorderColor: 'colorPrimaryDefault',
    toastrPrimaryTextColor: 'textControlColor',
    toastrIconPrimaryBackgroundColor: 'backgroundBasicColor1',
    toastrIconPrimaryColor: 'colorPrimaryDefault',
    toastrDestroyablePrimaryHoverBackgroundColor: 'colorPrimaryHover',
    toastrDestroyablePrimaryHoverBorderColor: 'colorPrimaryHover',
    toastrSuccessBackgroundColor: 'colorSuccessDefault',
    toastrSuccessBorderColor: 'colorSuccessDefault',
    toastrSuccessTextColor: 'textControlColor',
    toastrIconSuccessBackgroundColor: 'backgroundBasicColor1',
    toastrIconSuccessColor: 'colorSuccessDefault',
    toastrDestroyableSuccessHoverBackgroundColor: 'colorSuccessHover',
    toastrDestroyableSuccessHoverBorderColor: 'colorSuccessHover',
    toastrInfoBackgroundColor: 'colorInfoDefault',
    toastrInfoBorderColor: 'colorInfoDefault',
    toastrInfoTextColor: 'textControlColor',
    toastrIconInfoBackgroundColor: 'backgroundBasicColor1',
    toastrIconInfoColor: 'colorInfoDefault',
    toastrDestroyableInfoHoverBackgroundColor: 'colorInfoHover',
    toastrDestroyableInfoHoverBorderColor: 'colorInfoHover',
    toastrWarningBackgroundColor: 'colorWarningDefault',
    toastrWarningBorderColor: 'colorWarningDefault',
    toastrWarningTextColor: 'textControlColor',
    toastrIconWarningBackgroundColor: 'backgroundBasicColor1',
    toastrIconWarningColor: 'colorWarningDefault',
    toastrDestroyableWarningHoverBackgroundColor: 'colorWarningHover',
    toastrDestroyableWarningHoverBorderColor: 'colorWarningHover',
    toastrDangerBackgroundColor: 'colorDangerDefault',
    toastrDangerBorderColor: 'colorDangerDefault',
    toastrDangerTextColor: 'textControlColor',
    toastrIconDangerBackgroundColor: 'backgroundBasicColor1',
    toastrIconDangerColor: 'colorDangerDefault',
    toastrDestroyableDangerHoverBackgroundColor: 'colorDangerHover',
    toastrDestroyableDangerHoverBorderColor: 'colorDangerHover',
    toastrControlBackgroundColor: 'colorControlDefault',
    toastrControlBorderColor: 'colorControlDefault',
    toastrControlTextColor: 'colorBasic800',
    toastrIconControlBackgroundColor: 'colorControlDefault',
    toastrIconControlColor: 'colorBasic800',
    toastrDestroyableControlHoverBackgroundColor: 'colorControlHover',
    toastrDestroyableControlHoverBorderColor: 'colorControlHover',
    buttonCursor: 'pointer',
    buttonOutlineWidth: 'outlineWidth',
    buttonOutlineColor: 'outlineColor',
    buttonTextFontFamily: 'textButtonFontFamily',
    buttonTextFontWeight: 'textButtonFontWeight',
    buttonDisabledCursor: 'default',
    buttonTinyTextFontSize: 'textButtonTinyFontSize',
    buttonTinyTextLineHeight: 'textButtonTinyLineHeight',
    buttonSmallTextFontSize: 'textButtonSmallFontSize',
    buttonSmallTextLineHeight: 'textButtonSmallLineHeight',
    buttonMediumTextFontSize: 'textButtonMediumFontSize',
    buttonMediumTextLineHeight: 'textButtonMediumLineHeight',
    buttonLargeTextFontSize: 'textButtonLargeFontSize',
    buttonLargeTextLineHeight: 'textButtonLargeLineHeight',
    buttonGiantTextFontSize: 'textButtonGiantFontSize',
    buttonGiantTextLineHeight: 'textButtonGiantLineHeight',
    buttonRectangleBorderRadius: 'borderRadius',
    buttonSemiRoundBorderRadius: '0.75rem',
    buttonRoundBorderRadius: '1.5rem',
    buttonFilledBorderStyle: 'solid',
    buttonFilledBorderWidth: '0.0625rem',
    buttonFilledTextTransform: 'uppercase',
    buttonFilledTinyPadding: '0.3125rem 0.625rem',
    buttonFilledSmallPadding: '0.4375rem 0.875rem',
    buttonFilledMediumPadding: '0.6875rem 1.125rem',
    buttonFilledLargePadding: '0.8125rem 1.125rem',
    buttonFilledGiantPadding: '0.9375rem 1.375rem',
    buttonFilledBasicBackgroundColor: 'colorBasicDefault',
    buttonFilledBasicBorderColor: 'colorBasicDefaultBorder',
    buttonFilledBasicTextColor: 'colorBasic800',
    buttonFilledBasicFocusBackgroundColor: 'colorBasicFocus',
    buttonFilledBasicFocusBorderColor: 'colorBasicFocusBorder',
    buttonFilledBasicHoverBackgroundColor: 'colorBasicHover',
    buttonFilledBasicHoverBorderColor: 'colorBasicHoverBorder',
    buttonFilledBasicActiveBackgroundColor: 'colorBasicActive',
    buttonFilledBasicActiveBorderColor: 'colorBasicActiveBorder',
    buttonFilledBasicDisabledBackgroundColor: 'colorBasicDisabled',
    buttonFilledBasicDisabledBorderColor: 'transparent',
    buttonFilledBasicDisabledTextColor: 'textDisabledColor',
    buttonFilledPrimaryBackgroundColor: 'colorPrimaryDefault',
    buttonFilledPrimaryBorderColor: 'colorPrimaryDefaultBorder',
    buttonFilledPrimaryTextColor: 'textControlColor',
    buttonFilledPrimaryFocusBackgroundColor: 'colorPrimaryFocus',
    buttonFilledPrimaryFocusBorderColor: 'colorPrimaryFocusBorder',
    buttonFilledPrimaryHoverBackgroundColor: 'colorPrimaryHover',
    buttonFilledPrimaryHoverBorderColor: 'colorPrimaryHoverBorder',
    buttonFilledPrimaryActiveBackgroundColor: 'colorPrimaryActive',
    buttonFilledPrimaryActiveBorderColor: 'colorPrimaryActiveBorder',
    buttonFilledPrimaryDisabledBackgroundColor: 'colorPrimaryDisabled',
    buttonFilledPrimaryDisabledBorderColor: 'transparent',
    buttonFilledPrimaryDisabledTextColor: 'textDisabledColor',
    buttonFilledSuccessBackgroundColor: 'colorSuccessDefault',
    buttonFilledSuccessBorderColor: 'colorSuccessDefaultBorder',
    buttonFilledSuccessTextColor: 'textControlColor',
    buttonFilledSuccessFocusBackgroundColor: 'colorSuccessFocus',
    buttonFilledSuccessFocusBorderColor: 'colorSuccessFocusBorder',
    buttonFilledSuccessHoverBackgroundColor: 'colorSuccessHover',
    buttonFilledSuccessHoverBorderColor: 'colorSuccessHoverBorder',
    buttonFilledSuccessActiveBackgroundColor: 'colorSuccessActive',
    buttonFilledSuccessActiveBorderColor: 'colorSuccessActiveBorder',
    buttonFilledSuccessDisabledBackgroundColor: 'colorSuccessDisabled',
    buttonFilledSuccessDisabledBorderColor: 'transparent',
    buttonFilledSuccessDisabledTextColor: 'textDisabledColor',
    buttonFilledInfoBackgroundColor: 'colorInfoDefault',
    buttonFilledInfoBorderColor: 'colorInfoDefaultBorder',
    buttonFilledInfoTextColor: 'textControlColor',
    buttonFilledInfoFocusBackgroundColor: 'colorInfoFocus',
    buttonFilledInfoFocusBorderColor: 'colorInfoFocusBorder',
    buttonFilledInfoHoverBackgroundColor: 'colorInfoHover',
    buttonFilledInfoHoverBorderColor: 'colorInfoHoverBorder',
    buttonFilledInfoActiveBackgroundColor: 'colorInfoActive',
    buttonFilledInfoActiveBorderColor: 'colorInfoActiveBorder',
    buttonFilledInfoDisabledBackgroundColor: 'colorInfoDisabled',
    buttonFilledInfoDisabledBorderColor: 'transparent',
    buttonFilledInfoDisabledTextColor: 'textDisabledColor',
    buttonFilledWarningBackgroundColor: 'colorWarningDefault',
    buttonFilledWarningBorderColor: 'colorWarningDefaultBorder',
    buttonFilledWarningTextColor: 'textControlColor',
    buttonFilledWarningFocusBackgroundColor: 'colorWarningFocus',
    buttonFilledWarningFocusBorderColor: 'colorWarningFocusBorder',
    buttonFilledWarningHoverBackgroundColor: 'colorWarningHover',
    buttonFilledWarningHoverBorderColor: 'colorWarningHoverBorder',
    buttonFilledWarningActiveBackgroundColor: 'colorWarningActive',
    buttonFilledWarningActiveBorderColor: 'colorWarningActiveBorder',
    buttonFilledWarningDisabledBackgroundColor: 'colorWarningDisabled',
    buttonFilledWarningDisabledBorderColor: 'transparent',
    buttonFilledWarningDisabledTextColor: 'textDisabledColor',
    buttonFilledDangerBackgroundColor: 'colorDangerDefault',
    buttonFilledDangerBorderColor: 'colorDangerDefaultBorder',
    buttonFilledDangerTextColor: 'textControlColor',
    buttonFilledDangerFocusBackgroundColor: 'colorDangerFocus',
    buttonFilledDangerFocusBorderColor: 'colorDangerFocusBorder',
    buttonFilledDangerHoverBackgroundColor: 'colorDangerHover',
    buttonFilledDangerHoverBorderColor: 'colorDangerHoverBorder',
    buttonFilledDangerActiveBackgroundColor: 'colorDangerActive',
    buttonFilledDangerActiveBorderColor: 'colorDangerActiveBorder',
    buttonFilledDangerDisabledBackgroundColor: 'colorDangerDisabled',
    buttonFilledDangerDisabledBorderColor: 'transparent',
    buttonFilledDangerDisabledTextColor: 'textDisabledColor',
    buttonFilledControlBackgroundColor: 'colorControlDefault',
    buttonFilledControlBorderColor: 'colorControlDefaultBorder',
    buttonFilledControlTextColor: 'colorBasic800',
    buttonFilledControlFocusBackgroundColor: 'colorControlFocus',
    buttonFilledControlFocusBorderColor: 'colorControlFocusBorder',
    buttonFilledControlHoverBackgroundColor: 'colorControlHover',
    buttonFilledControlHoverBorderColor: 'colorControlHoverBorder',
    buttonFilledControlActiveBackgroundColor: 'colorControlActive',
    buttonFilledControlActiveBorderColor: 'colorControlActiveBorder',
    buttonFilledControlDisabledBackgroundColor: 'colorControlDisabled',
    buttonFilledControlDisabledBorderColor: 'transparent',
    buttonFilledControlDisabledTextColor: 'textDisabledColor',
    buttonOutlineBorderStyle: 'solid',
    buttonOutlineBorderWidth: '0.0625rem',
    buttonOutlineTextTransform: 'uppercase',
    buttonOutlineTinyPadding: '0.3125rem 0.625rem',
    buttonOutlineSmallPadding: '0.4375rem 0.875rem',
    buttonOutlineMediumPadding: '0.6875rem 1.125rem',
    buttonOutlineLargePadding: '0.8125rem 1.125rem',
    buttonOutlineGiantPadding: '0.9375rem 1.375rem',
    buttonOutlineBasicBackgroundColor: 'colorBasicTransparentDefault',
    buttonOutlineBasicBorderColor: 'colorBasicTransparentDefaultBorder',
    buttonOutlineBasicTextColor: 'colorBasic600',
    buttonOutlineBasicFocusBackgroundColor: 'colorBasicTransparentFocus',
    buttonOutlineBasicFocusBorderColor: 'colorBasicTransparentFocusBorder',
    buttonOutlineBasicFocusTextColor: 'colorBasic600',
    buttonOutlineBasicHoverBackgroundColor: 'colorBasicTransparentHover',
    buttonOutlineBasicHoverBorderColor: 'colorBasicTransparentHoverBorder',
    buttonOutlineBasicHoverTextColor: 'colorBasic600',
    buttonOutlineBasicActiveBackgroundColor: 'colorBasicTransparentActive',
    buttonOutlineBasicActiveBorderColor: 'colorBasicTransparentActiveBorder',
    buttonOutlineBasicActiveTextColor: 'colorBasic600',
    buttonOutlineBasicDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    buttonOutlineBasicDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    buttonOutlineBasicDisabledTextColor: 'textDisabledColor',
    buttonOutlinePrimaryBackgroundColor: 'colorPrimaryTransparentDefault',
    buttonOutlinePrimaryBorderColor: 'colorPrimaryTransparentDefaultBorder',
    buttonOutlinePrimaryTextColor: 'textPrimaryColor',
    buttonOutlinePrimaryFocusBackgroundColor: 'colorPrimaryTransparentFocus',
    buttonOutlinePrimaryFocusBorderColor: 'colorPrimaryTransparentFocusBorder',
    buttonOutlinePrimaryFocusTextColor: 'textPrimaryColor',
    buttonOutlinePrimaryHoverBackgroundColor: 'colorPrimaryTransparentHover',
    buttonOutlinePrimaryHoverBorderColor: 'colorPrimaryTransparentHoverBorder',
    buttonOutlinePrimaryHoverTextColor: 'textPrimaryColor',
    buttonOutlinePrimaryActiveBackgroundColor: 'colorPrimaryTransparentActive',
    buttonOutlinePrimaryActiveBorderColor: 'colorPrimaryTransparentActiveBorder',
    buttonOutlinePrimaryActiveTextColor: 'textPrimaryColor',
    buttonOutlinePrimaryDisabledBackgroundColor: 'colorPrimaryTransparentDisabled',
    buttonOutlinePrimaryDisabledBorderColor: 'colorPrimaryTransparentDisabledBorder',
    buttonOutlinePrimaryDisabledTextColor: 'textDisabledColor',
    buttonOutlineSuccessBackgroundColor: 'colorSuccessTransparentDefault',
    buttonOutlineSuccessBorderColor: 'colorSuccessTransparentDefaultBorder',
    buttonOutlineSuccessTextColor: 'textSuccessColor',
    buttonOutlineSuccessFocusBackgroundColor: 'colorSuccessTransparentFocus',
    buttonOutlineSuccessFocusBorderColor: 'colorSuccessTransparentFocusBorder',
    buttonOutlineSuccessFocusTextColor: 'textSuccessColor',
    buttonOutlineSuccessHoverBackgroundColor: 'colorSuccessTransparentHover',
    buttonOutlineSuccessHoverBorderColor: 'colorSuccessTransparentHoverBorder',
    buttonOutlineSuccessHoverTextColor: 'textSuccessColor',
    buttonOutlineSuccessActiveBackgroundColor: 'colorSuccessTransparentActive',
    buttonOutlineSuccessActiveBorderColor: 'colorSuccessTransparentActiveBorder',
    buttonOutlineSuccessActiveTextColor: 'textSuccessColor',
    buttonOutlineSuccessDisabledBackgroundColor: 'colorSuccessTransparentDisabled',
    buttonOutlineSuccessDisabledBorderColor: 'colorSuccessTransparentDisabledBorder',
    buttonOutlineSuccessDisabledTextColor: 'textDisabledColor',
    buttonOutlineInfoBackgroundColor: 'colorInfoTransparentDefault',
    buttonOutlineInfoBorderColor: 'colorInfoTransparentDefaultBorder',
    buttonOutlineInfoTextColor: 'textInfoColor',
    buttonOutlineInfoFocusBackgroundColor: 'colorInfoTransparentFocus',
    buttonOutlineInfoFocusBorderColor: 'colorInfoTransparentFocusBorder',
    buttonOutlineInfoFocusTextColor: 'textInfoColor',
    buttonOutlineInfoHoverBackgroundColor: 'colorInfoTransparentHover',
    buttonOutlineInfoHoverBorderColor: 'colorInfoTransparentHoverBorder',
    buttonOutlineInfoHoverTextColor: 'textInfoColor',
    buttonOutlineInfoActiveBackgroundColor: 'colorInfoTransparentActive',
    buttonOutlineInfoActiveBorderColor: 'colorInfoTransparentActiveBorder',
    buttonOutlineInfoActiveTextColor: 'textInfoColor',
    buttonOutlineInfoDisabledBackgroundColor: 'colorInfoTransparentDisabled',
    buttonOutlineInfoDisabledBorderColor: 'colorInfoTransparentDisabledBorder',
    buttonOutlineInfoDisabledTextColor: 'textDisabledColor',
    buttonOutlineWarningBackgroundColor: 'colorWarningTransparentDefault',
    buttonOutlineWarningBorderColor: 'colorWarningTransparentDefaultBorder',
    buttonOutlineWarningTextColor: 'textWarningColor',
    buttonOutlineWarningFocusBackgroundColor: 'colorWarningTransparentFocus',
    buttonOutlineWarningFocusBorderColor: 'colorWarningTransparentFocusBorder',
    buttonOutlineWarningFocusTextColor: 'textWarningColor',
    buttonOutlineWarningHoverBackgroundColor: 'colorWarningTransparentHover',
    buttonOutlineWarningHoverBorderColor: 'colorWarningTransparentHoverBorder',
    buttonOutlineWarningHoverTextColor: 'textWarningColor',
    buttonOutlineWarningActiveBackgroundColor: 'colorWarningTransparentActive',
    buttonOutlineWarningActiveBorderColor: 'colorWarningTransparentActiveBorder',
    buttonOutlineWarningActiveTextColor: 'textWarningColor',
    buttonOutlineWarningDisabledBackgroundColor: 'colorWarningTransparentDisabled',
    buttonOutlineWarningDisabledBorderColor: 'colorWarningTransparentDisabledBorder',
    buttonOutlineWarningDisabledTextColor: 'textDisabledColor',
    buttonOutlineDangerBackgroundColor: 'colorDangerTransparentDefault',
    buttonOutlineDangerBorderColor: 'colorDangerTransparentDefaultBorder',
    buttonOutlineDangerTextColor: 'textDangerColor',
    buttonOutlineDangerFocusBackgroundColor: 'colorDangerTransparentFocus',
    buttonOutlineDangerFocusBorderColor: 'colorDangerTransparentFocusBorder',
    buttonOutlineDangerFocusTextColor: 'textDangerColor',
    buttonOutlineDangerHoverBackgroundColor: 'colorDangerTransparentHover',
    buttonOutlineDangerHoverBorderColor: 'colorDangerTransparentHoverBorder',
    buttonOutlineDangerHoverTextColor: 'textDangerColor',
    buttonOutlineDangerActiveBackgroundColor: 'colorDangerTransparentActive',
    buttonOutlineDangerActiveBorderColor: 'colorDangerTransparentActiveBorder',
    buttonOutlineDangerActiveTextColor: 'textDangerColor',
    buttonOutlineDangerDisabledBackgroundColor: 'colorDangerTransparentDisabled',
    buttonOutlineDangerDisabledBorderColor: 'colorDangerTransparentDisabledBorder',
    buttonOutlineDangerDisabledTextColor: 'textDisabledColor',
    buttonOutlineControlBackgroundColor: 'colorControlTransparentDefault',
    buttonOutlineControlBorderColor: 'colorControlTransparentDefaultBorder',
    buttonOutlineControlTextColor: 'colorBasic100',
    buttonOutlineControlFocusBackgroundColor: 'colorControlTransparentFocus',
    buttonOutlineControlFocusBorderColor: 'colorControlTransparentFocusBorder',
    buttonOutlineControlFocusTextColor: 'colorBasic100',
    buttonOutlineControlHoverBackgroundColor: 'colorControlTransparentHover',
    buttonOutlineControlHoverBorderColor: 'colorControlTransparentHoverBorder',
    buttonOutlineControlHoverTextColor: 'colorBasic100',
    buttonOutlineControlActiveBackgroundColor: 'colorControlTransparentActive',
    buttonOutlineControlActiveBorderColor: 'colorControlTransparentActiveBorder',
    buttonOutlineControlActiveTextColor: 'colorBasic100',
    buttonOutlineControlDisabledBackgroundColor: 'colorControlTransparentDisabled',
    buttonOutlineControlDisabledBorderColor: 'colorControlTransparentDisabledBorder',
    buttonOutlineControlDisabledTextColor: 'textDisabledColor',
    buttonGhostBackgroundColor: 'transparent',
    buttonGhostBorderColor: 'transparent',
    buttonGhostBorderStyle: 'solid',
    buttonGhostBorderWidth: '0.0625rem',
    buttonGhostTextTransform: 'uppercase',
    buttonGhostTinyPadding: '0.3125rem 0.625rem',
    buttonGhostSmallPadding: '0.4375rem 0.875rem',
    buttonGhostMediumPadding: '0.6875rem 1.125rem',
    buttonGhostLargePadding: '0.8125rem 1.125rem',
    buttonGhostGiantPadding: '0.9375rem 1.375rem',
    buttonGhostBasicTextColor: 'colorBasic600',
    buttonGhostBasicFocusBackgroundColor: 'colorBasicTransparent200',
    buttonGhostBasicFocusBorderColor: 'colorBasicTransparent500',
    buttonGhostBasicFocusTextColor: 'colorBasic600',
    buttonGhostBasicHoverBackgroundColor: 'colorBasicTransparent100',
    buttonGhostBasicHoverBorderColor: 'transparent',
    buttonGhostBasicHoverTextColor: 'colorBasic600',
    buttonGhostBasicActiveBackgroundColor: 'colorBasicTransparent200',
    buttonGhostBasicActiveBorderColor: 'transparent',
    buttonGhostBasicActiveTextColor: 'colorBasic600',
    buttonGhostBasicDisabledBackgroundColor: 'colorBasicTransparent200',
    buttonGhostBasicDisabledBorderColor: 'transparent',
    buttonGhostBasicDisabledTextColor: 'textDisabledColor',
    buttonGhostPrimaryTextColor: 'textPrimaryColor',
    buttonGhostPrimaryFocusBackgroundColor: 'colorBasicTransparent200',
    buttonGhostPrimaryFocusBorderColor: 'colorBasicTransparent500',
    buttonGhostPrimaryFocusTextColor: 'textPrimaryColor',
    buttonGhostPrimaryHoverBackgroundColor: 'colorBasicTransparent100',
    buttonGhostPrimaryHoverBorderColor: 'transparent',
    buttonGhostPrimaryHoverTextColor: 'textPrimaryColor',
    buttonGhostPrimaryActiveBackgroundColor: 'colorBasicTransparent200',
    buttonGhostPrimaryActiveBorderColor: 'transparent',
    buttonGhostPrimaryActiveTextColor: 'textPrimaryColor',
    buttonGhostPrimaryDisabledBackgroundColor: 'colorBasicTransparent200',
    buttonGhostPrimaryDisabledBorderColor: 'transparent',
    buttonGhostPrimaryDisabledTextColor: 'textDisabledColor',
    buttonGhostSuccessTextColor: 'textSuccessColor',
    buttonGhostSuccessFocusBackgroundColor: 'colorBasicTransparent200',
    buttonGhostSuccessFocusBorderColor: 'colorBasicTransparent500',
    buttonGhostSuccessFocusTextColor: 'textSuccessColor',
    buttonGhostSuccessHoverBackgroundColor: 'colorBasicTransparent100',
    buttonGhostSuccessHoverBorderColor: 'transparent',
    buttonGhostSuccessHoverTextColor: 'textSuccessColor',
    buttonGhostSuccessActiveBackgroundColor: 'colorBasicTransparent200',
    buttonGhostSuccessActiveBorderColor: 'transparent',
    buttonGhostSuccessActiveTextColor: 'textSuccessColor',
    buttonGhostSuccessDisabledBackgroundColor: 'colorBasicTransparent200',
    buttonGhostSuccessDisabledBorderColor: 'transparent',
    buttonGhostSuccessDisabledTextColor: 'textDisabledColor',
    buttonGhostInfoTextColor: 'textInfoColor',
    buttonGhostInfoFocusBackgroundColor: 'colorBasicTransparent200',
    buttonGhostInfoFocusBorderColor: 'colorBasicTransparent500',
    buttonGhostInfoFocusTextColor: 'textInfoColor',
    buttonGhostInfoHoverBackgroundColor: 'colorBasicTransparent100',
    buttonGhostInfoHoverBorderColor: 'transparent',
    buttonGhostInfoHoverTextColor: 'textInfoColor',
    buttonGhostInfoActiveBackgroundColor: 'colorBasicTransparent200',
    buttonGhostInfoActiveBorderColor: 'transparent',
    buttonGhostInfoActiveTextColor: 'textInfoColor',
    buttonGhostInfoDisabledBackgroundColor: 'colorBasicTransparent200',
    buttonGhostInfoDisabledBorderColor: 'transparent',
    buttonGhostInfoDisabledTextColor: 'textDisabledColor',
    buttonGhostWarningTextColor: 'textWarningColor',
    buttonGhostWarningFocusBackgroundColor: 'colorBasicTransparent200',
    buttonGhostWarningFocusBorderColor: 'colorBasicTransparent500',
    buttonGhostWarningFocusTextColor: 'textWarningColor',
    buttonGhostWarningHoverBackgroundColor: 'colorBasicTransparent100',
    buttonGhostWarningHoverBorderColor: 'transparent',
    buttonGhostWarningHoverTextColor: 'textWarningColor',
    buttonGhostWarningActiveBackgroundColor: 'colorBasicTransparent200',
    buttonGhostWarningActiveBorderColor: 'transparent',
    buttonGhostWarningActiveTextColor: 'textWarningColor',
    buttonGhostWarningDisabledBackgroundColor: 'colorBasicTransparent200',
    buttonGhostWarningDisabledBorderColor: 'transparent',
    buttonGhostWarningDisabledTextColor: 'textDisabledColor',
    buttonGhostDangerTextColor: 'textDangerColor',
    buttonGhostDangerFocusBackgroundColor: 'colorBasicTransparent200',
    buttonGhostDangerFocusBorderColor: 'colorBasicTransparent500',
    buttonGhostDangerFocusTextColor: 'textDangerColor',
    buttonGhostDangerHoverBackgroundColor: 'colorBasicTransparent100',
    buttonGhostDangerHoverBorderColor: 'transparent',
    buttonGhostDangerHoverTextColor: 'textDangerColor',
    buttonGhostDangerActiveBackgroundColor: 'colorBasicTransparent200',
    buttonGhostDangerActiveBorderColor: 'transparent',
    buttonGhostDangerActiveTextColor: 'textDangerColor',
    buttonGhostDangerDisabledBackgroundColor: 'colorBasicTransparent200',
    buttonGhostDangerDisabledBorderColor: 'transparent',
    buttonGhostDangerDisabledTextColor: 'textDisabledColor',
    buttonGhostControlTextColor: 'colorBasic100',
    buttonGhostControlFocusBackgroundColor: 'colorBasicTransparent200',
    buttonGhostControlFocusBorderColor: 'colorBasicTransparent500',
    buttonGhostControlFocusTextColor: 'colorBasic100',
    buttonGhostControlHoverBackgroundColor: 'colorBasicTransparent100',
    buttonGhostControlHoverBorderColor: 'transparent',
    buttonGhostControlHoverTextColor: 'colorBasic100',
    buttonGhostControlActiveBackgroundColor: 'colorBasicTransparent200',
    buttonGhostControlActiveBorderColor: 'transparent',
    buttonGhostControlActiveTextColor: 'colorBasic100',
    buttonGhostControlDisabledBackgroundColor: 'colorBasicTransparent200',
    buttonGhostControlDisabledBorderColor: 'transparent',
    buttonGhostControlDisabledTextColor: 'textDisabledColor',
    buttonHeroBorderColor: 'transparent',
    buttonHeroBorderStyle: 'solid',
    buttonHeroBorderWidth: 0,
    buttonHeroTextTransform: 'uppercase',
    buttonHeroTinyPadding: '0.375rem 0.6875rem',
    buttonHeroSmallPadding: '0.5rem 0.9375rem',
    buttonHeroMediumPadding: '0.75rem 1.1875rem',
    buttonHeroLargePadding: '0.875rem 1.1875rem',
    buttonHeroGiantPadding: '1rem 1.4375rem',
    buttonHeroShadow: '0 0 transparent',
    buttonHeroTextShadow: 'shadow',
    buttonHeroBevelSize: '0 0 0 0',
    buttonHeroGlowSize: '0 0 0 0',
    buttonHeroOutlineColor: 'outlineColor',
    buttonHeroOutlineWidth: 'outlineWidth',
    buttonHeroBasicTextColor: 'colorBasic600',
    buttonHeroBasicBevelColor: 'colorBasic600',
    buttonHeroBasicGlowColor: 'colorBasic700',
    buttonHeroBasicLeftBackgroundColor: 'colorBasic200',
    buttonHeroBasicRightBackgroundColor: 'colorBasicDefault',
    buttonHeroBasicFocusLeftBackgroundColor: 'colorBasic300',
    buttonHeroBasicFocusRightBackgroundColor: 'colorBasicFocus',
    buttonHeroBasicHoverLeftBackgroundColor: 'colorBasic100',
    buttonHeroBasicHoverRightBackgroundColor: 'colorBasicHover',
    buttonHeroBasicActiveLeftBackgroundColor: 'colorBasic300',
    buttonHeroBasicActiveRightBackgroundColor: 'colorBasicActive',
    buttonHeroBasicDisabledBackgroundColor: 'colorBasicDisabled',
    buttonHeroBasicDisabledTextColor: 'textDisabledColor',
    buttonHeroPrimaryTextColor: 'textControlColor',
    buttonHeroPrimaryBevelColor: 'colorPrimary600',
    buttonHeroPrimaryGlowColor: 'colorPrimary700',
    buttonHeroPrimaryLeftBackgroundColor: 'colorPrimary400',
    buttonHeroPrimaryRightBackgroundColor: 'colorPrimaryDefault',
    buttonHeroPrimaryFocusLeftBackgroundColor: 'colorPrimary500',
    buttonHeroPrimaryFocusRightBackgroundColor: 'colorPrimaryFocus',
    buttonHeroPrimaryHoverLeftBackgroundColor: 'colorPrimary300',
    buttonHeroPrimaryHoverRightBackgroundColor: 'colorPrimaryHover',
    buttonHeroPrimaryActiveLeftBackgroundColor: 'colorPrimary500',
    buttonHeroPrimaryActiveRightBackgroundColor: 'colorPrimaryActive',
    buttonHeroPrimaryDisabledBackgroundColor: 'colorPrimaryDisabled',
    buttonHeroPrimaryDisabledTextColor: 'textDisabledColor',
    buttonHeroSuccessTextColor: 'textControlColor',
    buttonHeroSuccessBevelColor: 'colorSuccess600',
    buttonHeroSuccessGlowColor: 'colorSuccess700',
    buttonHeroSuccessLeftBackgroundColor: 'colorSuccess400',
    buttonHeroSuccessRightBackgroundColor: 'colorSuccessDefault',
    buttonHeroSuccessFocusLeftBackgroundColor: 'colorSuccess500',
    buttonHeroSuccessFocusRightBackgroundColor: 'colorSuccessFocus',
    buttonHeroSuccessHoverLeftBackgroundColor: 'colorSuccess300',
    buttonHeroSuccessHoverRightBackgroundColor: 'colorSuccessHover',
    buttonHeroSuccessActiveLeftBackgroundColor: 'colorSuccess500',
    buttonHeroSuccessActiveRightBackgroundColor: 'colorSuccessActive',
    buttonHeroSuccessDisabledBackgroundColor: 'colorSuccessDisabled',
    buttonHeroSuccessDisabledTextColor: 'textDisabledColor',
    buttonHeroInfoTextColor: 'textControlColor',
    buttonHeroInfoBevelColor: 'colorInfo600',
    buttonHeroInfoGlowColor: 'colorInfo700',
    buttonHeroInfoLeftBackgroundColor: 'colorInfo400',
    buttonHeroInfoRightBackgroundColor: 'colorInfoDefault',
    buttonHeroInfoFocusLeftBackgroundColor: 'colorInfo500',
    buttonHeroInfoFocusRightBackgroundColor: 'colorInfoFocus',
    buttonHeroInfoHoverLeftBackgroundColor: 'colorInfo300',
    buttonHeroInfoHoverRightBackgroundColor: 'colorInfoHover',
    buttonHeroInfoActiveLeftBackgroundColor: 'colorInfo500',
    buttonHeroInfoActiveRightBackgroundColor: 'colorInfoActive',
    buttonHeroInfoDisabledBackgroundColor: 'colorInfoDisabled',
    buttonHeroInfoDisabledTextColor: 'textDisabledColor',
    buttonHeroWarningTextColor: 'textControlColor',
    buttonHeroWarningBevelColor: 'colorWarning600',
    buttonHeroWarningGlowColor: 'colorWarning700',
    buttonHeroWarningLeftBackgroundColor: 'colorWarning400',
    buttonHeroWarningRightBackgroundColor: 'colorWarningDefault',
    buttonHeroWarningFocusLeftBackgroundColor: 'colorWarning500',
    buttonHeroWarningFocusRightBackgroundColor: 'colorWarningFocus',
    buttonHeroWarningHoverLeftBackgroundColor: 'colorWarning300',
    buttonHeroWarningHoverRightBackgroundColor: 'colorWarningHover',
    buttonHeroWarningActiveLeftBackgroundColor: 'colorWarning500',
    buttonHeroWarningActiveRightBackgroundColor: 'colorWarningActive',
    buttonHeroWarningDisabledBackgroundColor: 'colorWarningDisabled',
    buttonHeroWarningDisabledTextColor: 'textDisabledColor',
    buttonHeroDangerTextColor: 'textControlColor',
    buttonHeroDangerBevelColor: 'colorDanger600',
    buttonHeroDangerGlowColor: 'colorDanger700',
    buttonHeroDangerLeftBackgroundColor: 'colorDanger400',
    buttonHeroDangerRightBackgroundColor: 'colorDangerDefault',
    buttonHeroDangerFocusLeftBackgroundColor: 'colorDanger500',
    buttonHeroDangerFocusRightBackgroundColor: 'colorDangerFocus',
    buttonHeroDangerHoverLeftBackgroundColor: 'colorDanger300',
    buttonHeroDangerHoverRightBackgroundColor: 'colorDangerHover',
    buttonHeroDangerActiveLeftBackgroundColor: 'colorDanger500',
    buttonHeroDangerActiveRightBackgroundColor: 'colorDangerActive',
    buttonHeroDangerDisabledBackgroundColor: 'colorDangerDisabled',
    buttonHeroDangerDisabledTextColor: 'textDisabledColor',
    buttonHeroControlTextColor: 'colorBasic800',
    buttonHeroControlBevelColor: 'colorBasic600',
    buttonHeroControlGlowColor: 'colorBasic700',
    buttonHeroControlLeftBackgroundColor: 'colorControlDefault',
    buttonHeroControlRightBackgroundColor: 'colorControlDefault',
    buttonHeroControlFocusLeftBackgroundColor: 'colorBasic200',
    buttonHeroControlFocusRightBackgroundColor: 'colorControlFocus',
    buttonHeroControlHoverLeftBackgroundColor: 'colorBasic100',
    buttonHeroControlHoverRightBackgroundColor: 'colorControlHover',
    buttonHeroControlActiveLeftBackgroundColor: 'colorBasic200',
    buttonHeroControlActiveRightBackgroundColor: 'colorControlActive',
    buttonHeroControlDisabledBackgroundColor: 'colorBasicTransparent300',
    buttonHeroControlDisabledTextColor: 'textDisabledColor',
    inputBorderStyle: 'solid',
    inputBorderWidth: '1px',
    inputOutlineColor: 'outlineColor',
    inputOutlineWidth: 'outlineWidth',
    inputPlaceholderTextFontFamily: 'textParagraphFontFamily',
    inputTextFontFamily: 'textSubtitleFontFamily',
    inputBasicTextColor: 'textBasicColor',
    inputBasicPlaceholderTextColor: 'textHintColor',
    inputBasicBackgroundColor: 'backgroundBasicColor2',
    inputBasicBorderColor: 'borderBasicColor4',
    inputBasicFocusBackgroundColor: 'backgroundBasicColor1',
    inputBasicFocusBorderColor: 'colorPrimaryDefault',
    inputBasicHoverBackgroundColor: 'backgroundBasicColor3',
    inputBasicHoverBorderColor: 'borderBasicColor4',
    inputBasicDisabledBackgroundColor: 'backgroundBasicColor2',
    inputBasicDisabledBorderColor: 'borderBasicColor4',
    inputBasicDisabledTextColor: 'textDisabledColor',
    inputBasicDisabledPlaceholderTextColor: 'textDisabledColor',
    inputPrimaryTextColor: 'textBasicColor',
    inputPrimaryPlaceholderTextColor: 'textHintColor',
    inputPrimaryBackgroundColor: 'backgroundBasicColor2',
    inputPrimaryBorderColor: 'colorPrimaryDefault',
    inputPrimaryFocusBackgroundColor: 'backgroundBasicColor1',
    inputPrimaryFocusBorderColor: 'colorPrimaryFocus',
    inputPrimaryHoverBackgroundColor: 'backgroundBasicColor3',
    inputPrimaryHoverBorderColor: 'colorPrimaryHover',
    inputPrimaryDisabledBackgroundColor: 'backgroundBasicColor2',
    inputPrimaryDisabledBorderColor: 'borderBasicColor4',
    inputPrimaryDisabledTextColor: 'textDisabledColor',
    inputPrimaryDisabledPlaceholderTextColor: 'textDisabledColor',
    inputSuccessTextColor: 'textBasicColor',
    inputSuccessPlaceholderTextColor: 'textHintColor',
    inputSuccessBackgroundColor: 'backgroundBasicColor2',
    inputSuccessBorderColor: 'colorSuccessDefault',
    inputSuccessFocusBackgroundColor: 'backgroundBasicColor1',
    inputSuccessFocusBorderColor: 'colorSuccessFocus',
    inputSuccessHoverBackgroundColor: 'backgroundBasicColor3',
    inputSuccessHoverBorderColor: 'colorSuccessHover',
    inputSuccessDisabledBackgroundColor: 'backgroundBasicColor2',
    inputSuccessDisabledBorderColor: 'borderBasicColor4',
    inputSuccessDisabledTextColor: 'textDisabledColor',
    inputSuccessDisabledPlaceholderTextColor: 'textDisabledColor',
    inputInfoTextColor: 'textBasicColor',
    inputInfoPlaceholderTextColor: 'textHintColor',
    inputInfoBackgroundColor: 'backgroundBasicColor2',
    inputInfoBorderColor: 'colorInfoDefault',
    inputInfoFocusBackgroundColor: 'backgroundBasicColor1',
    inputInfoFocusBorderColor: 'colorInfoFocus',
    inputInfoHoverBackgroundColor: 'backgroundBasicColor3',
    inputInfoHoverBorderColor: 'colorInfoHover',
    inputInfoDisabledBackgroundColor: 'backgroundBasicColor2',
    inputInfoDisabledBorderColor: 'borderBasicColor4',
    inputInfoDisabledTextColor: 'textDisabledColor',
    inputInfoDisabledPlaceholderTextColor: 'textDisabledColor',
    inputWarningTextColor: 'textBasicColor',
    inputWarningPlaceholderTextColor: 'textHintColor',
    inputWarningBackgroundColor: 'backgroundBasicColor2',
    inputWarningBorderColor: 'colorWarningDefault',
    inputWarningFocusBackgroundColor: 'backgroundBasicColor1',
    inputWarningFocusBorderColor: 'colorWarningFocus',
    inputWarningHoverBackgroundColor: 'backgroundBasicColor3',
    inputWarningHoverBorderColor: 'colorWarningHover',
    inputWarningDisabledBackgroundColor: 'backgroundBasicColor2',
    inputWarningDisabledBorderColor: 'borderBasicColor4',
    inputWarningDisabledTextColor: 'textDisabledColor',
    inputWarningDisabledPlaceholderTextColor: 'textDisabledColor',
    inputDangerTextColor: 'textBasicColor',
    inputDangerPlaceholderTextColor: 'textHintColor',
    inputDangerBackgroundColor: 'backgroundBasicColor2',
    inputDangerBorderColor: 'colorDangerDefault',
    inputDangerFocusBackgroundColor: 'backgroundBasicColor1',
    inputDangerFocusBorderColor: 'colorDangerFocus',
    inputDangerHoverBackgroundColor: 'backgroundBasicColor3',
    inputDangerHoverBorderColor: 'colorDangerHover',
    inputDangerDisabledBackgroundColor: 'backgroundBasicColor2',
    inputDangerDisabledBorderColor: 'borderBasicColor4',
    inputDangerDisabledTextColor: 'textDisabledColor',
    inputDangerDisabledPlaceholderTextColor: 'textDisabledColor',
    inputControlTextColor: 'colorBasic100',
    inputControlPlaceholderTextColor: 'colorBasic100',
    inputControlBackgroundColor: 'colorBasicControlTransparent300',
    inputControlBorderColor: 'colorBasicControlTransparent500',
    inputControlFocusBackgroundColor: 'colorBasicControlTransparent500',
    inputControlFocusBorderColor: 'colorControlTransparentFocusBorder',
    inputControlHoverBackgroundColor: 'colorBasicControlTransparent400',
    inputControlHoverBorderColor: 'colorControlTransparentHoverBorder',
    inputControlDisabledBackgroundColor: 'colorControlTransparentDisabled',
    inputControlDisabledBorderColor: 'colorControlTransparentDisabledBorder',
    inputControlDisabledTextColor: 'colorBasic100',
    inputControlDisabledPlaceholderTextColor: 'colorBasic100',
    inputRectangleBorderRadius: 'borderRadius',
    inputSemiRoundBorderRadius: '0.75rem',
    inputRoundBorderRadius: '1.5rem',
    inputTinyTextFontSize: 'textCaption2FontSize',
    inputTinyTextFontWeight: 'textCaption2FontWeight',
    inputTinyTextLineHeight: 'textCaption2LineHeight',
    inputTinyPlaceholderTextFontSize: 'textParagraphFontSize',
    inputTinyPlaceholderTextFontWeight: 'textParagraphFontWeight',
    inputTinyPlaceholderTextLineHeight: 'textParagraphLineHeight',
    inputTinyPadding: '0.1875rem 1.125rem',
    inputTinyMaxWidth: '20rem',
    inputSmallTextFontSize: 'textSubtitle2FontSize',
    inputSmallTextFontWeight: 'textSubtitle2FontWeight',
    inputSmallTextLineHeight: 'textSubtitle2LineHeight',
    inputSmallPlaceholderTextFontSize: 'textParagraphFontSize',
    inputSmallPlaceholderTextFontWeight: 'textParagraphFontWeight',
    inputSmallPlaceholderTextLineHeight: 'textParagraphLineHeight',
    inputSmallPadding: '0.1875rem 1.125rem',
    inputSmallMaxWidth: '20rem',
    inputMediumTextFontSize: 'textSubtitleFontSize',
    inputMediumTextFontWeight: 'textSubtitleFontWeight',
    inputMediumTextLineHeight: 'textSubtitleLineHeight',
    inputMediumPlaceholderTextFontSize: 'textParagraphFontSize',
    inputMediumPlaceholderTextFontWeight: 'textParagraphFontWeight',
    inputMediumPlaceholderTextLineHeight: 'textParagraphLineHeight',
    inputMediumPadding: '0.4375rem 1.125rem',
    inputMediumMaxWidth: '20rem',
    inputLargeTextFontSize: 'textSubtitleFontSize',
    inputLargeTextFontWeight: 'textSubtitleFontWeight',
    inputLargeTextLineHeight: 'textSubtitleLineHeight',
    inputLargePlaceholderTextFontSize: 'textParagraphFontSize',
    inputLargePlaceholderTextFontWeight: 'textParagraphFontWeight',
    inputLargePlaceholderTextLineHeight: 'textParagraphLineHeight',
    inputLargePadding: '0.6875rem 1.125rem',
    inputLargeMaxWidth: '30rem',
    inputGiantTextFontSize: 'textHeading6FontSize',
    inputGiantTextFontWeight: 'textHeading6FontWeight',
    inputGiantTextLineHeight: 'textHeading6LineHeight',
    inputGiantPlaceholderTextFontSize: 'textParagraphFontSize',
    inputGiantPlaceholderTextFontWeight: 'textParagraphFontWeight',
    inputGiantPlaceholderTextLineHeight: 'textParagraphLineHeight',
    inputGiantPadding: '0.9375rem 1.125rem',
    inputGiantMaxWidth: '30rem',
    checkboxHeight: '1.125rem',
    checkboxWidth: '1.125rem',
    checkboxBorderStyle: 'solid',
    checkboxBorderWidth: '1px',
    checkboxBorderRadius: '3px',
    checkboxOutlineWidth: 'outlineWidth',
    checkboxOutlineColor: 'outlineColor',
    checkboxTextFontFamily: 'textSubtitle2FontFamily',
    checkboxTextFontSize: 'textSubtitle2FontSize',
    checkboxTextFontWeight: 'textSubtitle2FontWeight',
    checkboxTextLineHeight: 'textSubtitle2LineHeight',
    checkboxTextSpace: '0.6875rem',
    checkboxPadding: 0,
    checkboxBasicTextColor: 'textBasicColor',
    checkboxBasicBackgroundColor: 'colorBasicTransparentDefault',
    checkboxBasicBorderColor: 'colorBasicTransparentDefaultBorder',
    checkboxBasicCheckedBackgroundColor: 'colorPrimaryDefault',
    checkboxBasicCheckedBorderColor: 'colorPrimaryDefaultBorder',
    checkboxBasicCheckedCheckmarkColor: 'textControlColor',
    checkboxBasicIndeterminateBackgroundColor: 'colorPrimaryDefault',
    checkboxBasicIndeterminateBorderColor: 'colorPrimaryDefaultBorder',
    checkboxBasicIndeterminateCheckmarkColor: 'textControlColor',
    checkboxBasicFocusBackgroundColor: 'colorBasicTransparentFocus',
    checkboxBasicFocusBorderColor: 'colorBasicTransparentFocusBorder',
    checkboxBasicFocusCheckedBackgroundColor: 'colorPrimaryFocus',
    checkboxBasicFocusCheckedBorderColor: 'colorPrimaryFocusBorder',
    checkboxBasicHoverBackgroundColor: 'colorPrimaryTransparentHover',
    checkboxBasicHoverBorderColor: 'colorPrimaryTransparentHoverBorder',
    checkboxBasicHoverCheckedBackgroundColor: 'colorPrimaryHover',
    checkboxBasicHoverCheckedBorderColor: 'colorPrimaryHoverBorder',
    checkboxBasicActiveBackgroundColor: 'colorBasicTransparentActive',
    checkboxBasicActiveBorderColor: 'colorBasicTransparentActiveBorder',
    checkboxBasicActiveCheckedBackgroundColor: 'colorPrimaryActive',
    checkboxBasicActiveCheckedBorderColor: 'colorPrimaryActiveBorder',
    checkboxBasicDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    checkboxBasicDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    checkboxBasicDisabledCheckmarkColor: 'textControlColor',
    checkboxBasicDisabledTextColor: 'textDisabledColor',
    checkboxBasicDisabledCheckedBackgroundColor: 'colorBasicTransparent600',
    checkboxPrimaryTextColor: 'textBasicColor',
    checkboxPrimaryBackgroundColor: 'colorPrimaryTransparentDefault',
    checkboxPrimaryBorderColor: 'colorPrimaryTransparentDefaultBorder',
    checkboxPrimaryCheckedBackgroundColor: 'colorPrimaryDefault',
    checkboxPrimaryCheckedBorderColor: 'colorPrimaryDefaultBorder',
    checkboxPrimaryCheckedCheckmarkColor: 'textControlColor',
    checkboxPrimaryIndeterminateBackgroundColor: 'colorPrimaryDefault',
    checkboxPrimaryIndeterminateBorderColor: 'colorPrimaryDefaultBorder',
    checkboxPrimaryIndeterminateCheckmarkColor: 'textControlColor',
    checkboxPrimaryFocusBackgroundColor: 'colorPrimaryTransparentFocus',
    checkboxPrimaryFocusBorderColor: 'colorPrimaryTransparentFocusBorder',
    checkboxPrimaryFocusCheckedBackgroundColor: 'colorPrimaryFocus',
    checkboxPrimaryFocusCheckedBorderColor: 'colorPrimaryFocusBorder',
    checkboxPrimaryHoverBackgroundColor: 'colorPrimaryTransparentHover',
    checkboxPrimaryHoverBorderColor: 'colorPrimaryTransparentHoverBorder',
    checkboxPrimaryHoverCheckedBackgroundColor: 'colorPrimaryHover',
    checkboxPrimaryHoverCheckedBorderColor: 'colorPrimaryHoverBorder',
    checkboxPrimaryActiveBackgroundColor: 'colorPrimaryTransparentActive',
    checkboxPrimaryActiveBorderColor: 'colorPrimaryTransparentActiveBorder',
    checkboxPrimaryActiveCheckedBackgroundColor: 'colorPrimaryActive',
    checkboxPrimaryActiveCheckedBorderColor: 'colorPrimaryActiveBorder',
    checkboxPrimaryDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    checkboxPrimaryDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    checkboxPrimaryDisabledCheckmarkColor: 'textControlColor',
    checkboxPrimaryDisabledTextColor: 'textDisabledColor',
    checkboxPrimaryDisabledCheckedBackgroundColor: 'colorBasicTransparent600',
    checkboxSuccessTextColor: 'textBasicColor',
    checkboxSuccessBackgroundColor: 'colorSuccessTransparentDefault',
    checkboxSuccessBorderColor: 'colorSuccessTransparentDefaultBorder',
    checkboxSuccessCheckedBackgroundColor: 'colorSuccessDefault',
    checkboxSuccessCheckedBorderColor: 'colorSuccessDefaultBorder',
    checkboxSuccessCheckedCheckmarkColor: 'textControlColor',
    checkboxSuccessIndeterminateBackgroundColor: 'colorSuccessDefault',
    checkboxSuccessIndeterminateBorderColor: 'colorSuccessDefaultBorder',
    checkboxSuccessIndeterminateCheckmarkColor: 'textControlColor',
    checkboxSuccessFocusBackgroundColor: 'colorSuccessTransparentFocus',
    checkboxSuccessFocusBorderColor: 'colorSuccessTransparentFocusBorder',
    checkboxSuccessFocusCheckedBackgroundColor: 'colorSuccessFocus',
    checkboxSuccessFocusCheckedBorderColor: 'colorSuccessFocusBorder',
    checkboxSuccessHoverBackgroundColor: 'colorSuccessTransparentHover',
    checkboxSuccessHoverBorderColor: 'colorSuccessTransparentHoverBorder',
    checkboxSuccessHoverCheckedBackgroundColor: 'colorSuccessHover',
    checkboxSuccessHoverCheckedBorderColor: 'colorSuccessHoverBorder',
    checkboxSuccessActiveBackgroundColor: 'colorSuccessTransparentActive',
    checkboxSuccessActiveBorderColor: 'colorSuccessTransparentActiveBorder',
    checkboxSuccessActiveCheckedBackgroundColor: 'colorSuccessActive',
    checkboxSuccessActiveCheckedBorderColor: 'colorSuccessActiveBorder',
    checkboxSuccessDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    checkboxSuccessDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    checkboxSuccessDisabledCheckmarkColor: 'textControlColor',
    checkboxSuccessDisabledTextColor: 'textDisabledColor',
    checkboxSuccessDisabledCheckedBackgroundColor: 'colorBasicTransparent600',
    checkboxInfoTextColor: 'textBasicColor',
    checkboxInfoBackgroundColor: 'colorInfoTransparentDefault',
    checkboxInfoBorderColor: 'colorInfoTransparentDefaultBorder',
    checkboxInfoCheckedBackgroundColor: 'colorInfoDefault',
    checkboxInfoCheckedBorderColor: 'colorInfoDefaultBorder',
    checkboxInfoCheckedCheckmarkColor: 'textControlColor',
    checkboxInfoIndeterminateBackgroundColor: 'colorInfoDefault',
    checkboxInfoIndeterminateBorderColor: 'colorInfoDefaultBorder',
    checkboxInfoIndeterminateCheckmarkColor: 'textControlColor',
    checkboxInfoFocusBackgroundColor: 'colorInfoTransparentFocus',
    checkboxInfoFocusBorderColor: 'colorInfoTransparentFocusBorder',
    checkboxInfoFocusCheckedBackgroundColor: 'colorInfoFocus',
    checkboxInfoFocusCheckedBorderColor: 'colorInfoFocusBorder',
    checkboxInfoHoverBackgroundColor: 'colorInfoTransparentHover',
    checkboxInfoHoverBorderColor: 'colorInfoTransparentHoverBorder',
    checkboxInfoHoverCheckedBackgroundColor: 'colorInfoHover',
    checkboxInfoHoverCheckedBorderColor: 'colorInfoHoverBorder',
    checkboxInfoActiveBackgroundColor: 'colorInfoTransparentActive',
    checkboxInfoActiveBorderColor: 'colorInfoTransparentActiveBorder',
    checkboxInfoActiveCheckedBackgroundColor: 'colorInfoActive',
    checkboxInfoActiveCheckedBorderColor: 'colorInfoActiveBorder',
    checkboxInfoDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    checkboxInfoDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    checkboxInfoDisabledCheckmarkColor: 'textControlColor',
    checkboxInfoDisabledTextColor: 'textDisabledColor',
    checkboxInfoDisabledCheckedBackgroundColor: 'colorBasicTransparent600',
    checkboxWarningTextColor: 'textBasicColor',
    checkboxWarningBackgroundColor: 'colorWarningTransparentDefault',
    checkboxWarningBorderColor: 'colorWarningTransparentDefaultBorder',
    checkboxWarningCheckedBackgroundColor: 'colorWarningDefault',
    checkboxWarningCheckedBorderColor: 'colorWarningDefaultBorder',
    checkboxWarningCheckedCheckmarkColor: 'textControlColor',
    checkboxWarningIndeterminateBackgroundColor: 'colorWarningDefault',
    checkboxWarningIndeterminateBorderColor: 'colorWarningDefaultBorder',
    checkboxWarningIndeterminateCheckmarkColor: 'textControlColor',
    checkboxWarningFocusBackgroundColor: 'colorWarningTransparentFocus',
    checkboxWarningFocusBorderColor: 'colorWarningTransparentFocusBorder',
    checkboxWarningFocusCheckedBackgroundColor: 'colorWarningFocus',
    checkboxWarningFocusCheckedBorderColor: 'colorWarningFocusBorder',
    checkboxWarningHoverBackgroundColor: 'colorWarningTransparentHover',
    checkboxWarningHoverBorderColor: 'colorWarningTransparentHoverBorder',
    checkboxWarningHoverCheckedBackgroundColor: 'colorWarningHover',
    checkboxWarningHoverCheckedBorderColor: 'colorWarningHoverBorder',
    checkboxWarningActiveBackgroundColor: 'colorWarningTransparentActive',
    checkboxWarningActiveBorderColor: 'colorWarningTransparentActiveBorder',
    checkboxWarningActiveCheckedBackgroundColor: 'colorWarningActive',
    checkboxWarningActiveCheckedBorderColor: 'colorWarningActiveBorder',
    checkboxWarningDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    checkboxWarningDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    checkboxWarningDisabledCheckmarkColor: 'textControlColor',
    checkboxWarningDisabledTextColor: 'textDisabledColor',
    checkboxWarningDisabledCheckedBackgroundColor: 'colorBasicTransparent600',
    checkboxDangerTextColor: 'textBasicColor',
    checkboxDangerBackgroundColor: 'colorDangerTransparentDefault',
    checkboxDangerBorderColor: 'colorDangerTransparentDefaultBorder',
    checkboxDangerCheckedBackgroundColor: 'colorDangerDefault',
    checkboxDangerCheckedBorderColor: 'colorDangerDefaultBorder',
    checkboxDangerCheckedCheckmarkColor: 'textControlColor',
    checkboxDangerIndeterminateBackgroundColor: 'colorDangerDefault',
    checkboxDangerIndeterminateBorderColor: 'colorDangerDefaultBorder',
    checkboxDangerIndeterminateCheckmarkColor: 'textControlColor',
    checkboxDangerFocusBackgroundColor: 'colorDangerTransparentFocus',
    checkboxDangerFocusBorderColor: 'colorDangerTransparentFocusBorder',
    checkboxDangerFocusCheckedBackgroundColor: 'colorDangerFocus',
    checkboxDangerFocusCheckedBorderColor: 'colorDangerFocusBorder',
    checkboxDangerHoverBackgroundColor: 'colorDangerTransparentHover',
    checkboxDangerHoverBorderColor: 'colorDangerTransparentHoverBorder',
    checkboxDangerHoverCheckedBackgroundColor: 'colorDangerHover',
    checkboxDangerHoverCheckedBorderColor: 'colorDangerHoverBorder',
    checkboxDangerActiveBackgroundColor: 'colorDangerTransparentActive',
    checkboxDangerActiveBorderColor: 'colorDangerTransparentActiveBorder',
    checkboxDangerActiveCheckedBackgroundColor: 'colorDangerActive',
    checkboxDangerActiveCheckedBorderColor: 'colorDangerActiveBorder',
    checkboxDangerDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    checkboxDangerDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    checkboxDangerDisabledCheckmarkColor: 'textControlColor',
    checkboxDangerDisabledTextColor: 'textDisabledColor',
    checkboxDangerDisabledCheckedBackgroundColor: 'colorBasicTransparent600',
    checkboxControlTextColor: 'colorBasic100',
    checkboxControlBackgroundColor: 'colorControlTransparentDefault',
    checkboxControlBorderColor: 'colorControlTransparentDefaultBorder',
    checkboxControlCheckedBackgroundColor: 'colorControlDefault',
    checkboxControlCheckedBorderColor: 'colorControlDefaultBorder',
    checkboxControlCheckedCheckmarkColor: 'colorBasic800',
    checkboxControlIndeterminateBackgroundColor: 'colorControlDefault',
    checkboxControlIndeterminateBorderColor: 'colorControlDefaultBorder',
    checkboxControlIndeterminateCheckmarkColor: 'colorBasic800',
    checkboxControlFocusBackgroundColor: 'colorControlTransparentFocus',
    checkboxControlFocusBorderColor: 'colorControlTransparentFocusBorder',
    checkboxControlFocusCheckedBackgroundColor: 'colorControlFocus',
    checkboxControlFocusCheckedBorderColor: 'colorControlFocusBorder',
    checkboxControlHoverBackgroundColor: 'colorControlTransparentHover',
    checkboxControlHoverBorderColor: 'colorControlTransparentHoverBorder',
    checkboxControlHoverCheckedBackgroundColor: 'colorControlHover',
    checkboxControlHoverCheckedBorderColor: 'colorControlHoverBorder',
    checkboxControlActiveBackgroundColor: 'colorControlTransparentActive',
    checkboxControlActiveBorderColor: 'colorControlTransparentActiveBorder',
    checkboxControlActiveCheckedBackgroundColor: 'colorControlActive',
    checkboxControlActiveCheckedBorderColor: 'colorControlActiveBorder',
    checkboxControlDisabledBackgroundColor: 'colorBasicControlTransparent200',
    checkboxControlDisabledBorderColor: 'colorBasicControlTransparent500',
    checkboxControlDisabledCheckmarkColor: 'textControlColor',
    checkboxControlDisabledTextColor: 'colorBasic100',
    checkboxControlDisabledCheckedBackgroundColor: 'colorBasicControlTransparent200',
    badgeBorderRadius: 'borderRadius',
    badgeTextFontFamily: 'textButtonFontFamily',
    badgeTextFontSize: 'textButtonTinyFontSize',
    badgeTextFontWeight: 'textButtonFontWeight',
    badgeTextLineHeight: 'textButtonTinyLineHeight',
    badgePadding: '0.25rem 0.4rem',
    badgeBasicBackgroundColor: 'backgroundBasicColor2',
    badgeBasicTextColor: 'textBasicColor',
    badgePrimaryBackgroundColor: 'colorPrimaryDefault',
    badgePrimaryTextColor: 'textControlColor',
    badgeSuccessBackgroundColor: 'colorSuccessDefault',
    badgeSuccessTextColor: 'textControlColor',
    badgeInfoBackgroundColor: 'colorInfoDefault',
    badgeInfoTextColor: 'textControlColor',
    badgeWarningBackgroundColor: 'colorWarningDefault',
    badgeWarningTextColor: 'textControlColor',
    badgeDangerBackgroundColor: 'colorDangerDefault',
    badgeDangerTextColor: 'textControlColor',
    badgeControlBackgroundColor: 'colorControlDefault',
    badgeControlTextColor: 'colorBasic800',
    progressBarAnimationDuration: '400ms',
    progressBarBorderRadius: 'borderRadius',
    progressBarTextFontFamily: 'textSubtitleFontFamily',
    progressBarTinyHeight: '1rem',
    progressBarTinyTextFontSize: 'textSubtitle2FontSize',
    progressBarTinyTextFontWeight: 'textSubtitle2FontWeight',
    progressBarTinyTextLineHeight: 'textSubtitle2LineHeight',
    progressBarSmallHeight: '1.25rem',
    progressBarSmallTextFontSize: 'textSubtitle2FontSize',
    progressBarSmallTextFontWeight: 'textSubtitle2FontWeight',
    progressBarSmallTextLineHeight: 'textSubtitle2LineHeight',
    progressBarMediumHeight: '1.375rem',
    progressBarMediumTextFontSize: 'textSubtitleFontSize',
    progressBarMediumTextFontWeight: 'textSubtitleFontWeight',
    progressBarMediumTextLineHeight: 'textSubtitleLineHeight',
    progressBarLargeHeight: '1.5rem',
    progressBarLargeTextFontSize: 'textSubtitleFontSize',
    progressBarLargeTextFontWeight: 'textSubtitleFontWeight',
    progressBarLargeTextLineHeight: 'textSubtitleLineHeight',
    progressBarGiantHeight: '1.75rem',
    progressBarGiantTextFontSize: 'textSubtitleFontSize',
    progressBarGiantTextFontWeight: 'textSubtitleFontWeight',
    progressBarGiantTextLineHeight: 'textSubtitleLineHeight',
    progressBarBasicBackgroundColor: 'backgroundBasicColor2',
    progressBarBasicFilledBackgroundColor: 'backgroundBasicColor4',
    progressBarBasicTextColor: 'textBasicColor',
    progressBarPrimaryBackgroundColor: 'backgroundBasicColor3',
    progressBarPrimaryFilledBackgroundColor: 'colorPrimaryDefault',
    progressBarPrimaryTextColor: 'textControlColor',
    progressBarSuccessBackgroundColor: 'backgroundBasicColor3',
    progressBarSuccessFilledBackgroundColor: 'colorSuccessDefault',
    progressBarSuccessTextColor: 'textControlColor',
    progressBarInfoBackgroundColor: 'backgroundBasicColor3',
    progressBarInfoFilledBackgroundColor: 'colorInfoDefault',
    progressBarInfoTextColor: 'textControlColor',
    progressBarWarningBackgroundColor: 'backgroundBasicColor3',
    progressBarWarningFilledBackgroundColor: 'colorWarningDefault',
    progressBarWarningTextColor: 'textControlColor',
    progressBarDangerBackgroundColor: 'backgroundBasicColor3',
    progressBarDangerFilledBackgroundColor: 'colorDangerDefault',
    progressBarDangerTextColor: 'textControlColor',
    progressBarControlBackgroundColor: 'backgroundBasicColor3',
    progressBarControlFilledBackgroundColor: 'colorControlDefault',
    progressBarControlTextColor: 'colorBasic800',
    alertBorderRadius: 'borderRadius',
    alertBottomMargin: '1.5rem',
    alertPadding: '1rem 1.125rem',
    alertScrollbarColor: 'scrollbarColor',
    alertScrollbarBackgroundColor: 'scrollbarBackgroundColor',
    alertScrollbarWidth: 'scrollbarWidth',
    alertShadow: 'none',
    alertTextFontFamily: 'textParagraphFontFamily',
    alertTextFontSize: 'textSubtitleFontSize',
    alertTextFontWeight: 'textSubtitleFontWeight',
    alertTextLineHeight: 'textSubtitleLineHeight',
    alertClosableStartPadding: '3rem',
    alertTinyHeight: '4.5rem',
    alertSmallHeight: '5.75rem',
    alertMediumHeight: '7rem',
    alertMediumPadding: '1rem 1.125rem',
    alertLargeHeight: '8.25rem',
    alertGiantHeight: '9.5rem',
    alertBasicBackgroundColor: 'backgroundBasicColor2',
    alertBasicTextColor: 'textBasicColor',
    alertPrimaryBackgroundColor: 'colorPrimaryDefault',
    alertPrimaryTextColor: 'textControlColor',
    alertSuccessBackgroundColor: 'colorSuccessDefault',
    alertSuccessTextColor: 'textControlColor',
    alertInfoBackgroundColor: 'colorInfoDefault',
    alertInfoTextColor: 'textControlColor',
    alertWarningBackgroundColor: 'colorWarningDefault',
    alertWarningTextColor: 'textControlColor',
    alertDangerBackgroundColor: 'colorDangerDefault',
    alertDangerTextColor: 'textControlColor',
    alertControlBackgroundColor: 'colorControlDefault',
    alertControlTextColor: 'colorBasic800',
    alertAccentBasicColor: 'borderBasicColor3',
    alertAccentPrimaryColor: 'colorPrimaryDefault',
    alertAccentInfoColor: 'colorInfoDefault',
    alertAccentSuccessColor: 'colorSuccessDefault',
    alertAccentWarningColor: 'colorWarningDefault',
    alertAccentDangerColor: 'colorDangerDefault',
    alertAccentControlColor: 'colorControlDefault',
    alertOutlineWidth: '1px',
    alertOutlineBasicColor: 'colorBasicFocusBorder',
    alertOutlinePrimaryColor: 'colorPrimaryFocusBorder',
    alertOutlineInfoColor: 'colorInfoFocusBorder',
    alertOutlineSuccessColor: 'colorSuccessFocusBorder',
    alertOutlineWarningColor: 'colorWarningFocusBorder',
    alertOutlineDangerColor: 'colorDangerFocusBorder',
    alertOutlineControlColor: 'colorControlFocusBorder',
    chatBackgroundColor: 'backgroundBasicColor1',
    chatBorder: 'none',
    chatBorderRadius: 'borderRadius',
    chatShadow: 'shadow',
    chatPadding: '1rem 1.25rem',
    chatScrollbarColor: 'scrollbarColor',
    chatScrollbarBackgroundColor: 'scrollbarBackgroundColor',
    chatScrollbarWidth: 'scrollbarWidth',
    chatTextColor: 'textBasicColor',
    chatTextFontFamily: 'textParagraphFontFamily',
    chatTextFontSize: 'textParagraphFontSize',
    chatTextFontWeight: 'textParagraphFontWeight',
    chatTextLineHeight: 'textParagraphLineHeight',
    chatHeaderTextFontFamily: 'textSubtitleFontFamily',
    chatHeaderTextFontSize: 'textSubtitleFontSize',
    chatHeaderTextFontWeight: 'textSubtitleFontWeight',
    chatHeaderTextLineHeight: 'textSubtitleLineHeight',
    chatTinyHeight: '13.5rem',
    chatSmallHeight: '21rem',
    chatMediumHeight: '28.5rem',
    chatLargeHeight: '36rem',
    chatGiantHeight: '43.5rem',
    chatBasicBackgroundColor: 'backgroundBasicColor1',
    chatBasicTextColor: 'textBasicColor',
    chatPrimaryBackgroundColor: 'colorPrimaryDefault',
    chatPrimaryTextColor: 'textControlColor',
    chatSuccessBackgroundColor: 'colorSuccessDefault',
    chatSuccessTextColor: 'textControlColor',
    chatInfoBackgroundColor: 'colorInfoDefault',
    chatInfoTextColor: 'textControlColor',
    chatWarningBackgroundColor: 'colorWarningDefault',
    chatWarningTextColor: 'textControlColor',
    chatDangerBackgroundColor: 'colorDangerDefault',
    chatDangerTextColor: 'textControlColor',
    chatControlBackgroundColor: 'colorControlDefault',
    chatControlTextColor: 'colorBasic800',
    chatDividerColor: 'dividerColor',
    chatDividerStyle: 'dividerStyle',
    chatDividerWidth: 'dividerWidth',
    chatMessageBackground: 'colorPrimaryDefault',
    chatMessageTextColor: 'textControlColor',
    chatMessageReplyBackgroundColor: 'backgroundBasicColor2',
    chatMessageReplyTextColor: 'textBasicColor',
    chatMessageAvatarBackgroundColor: 'colorBasic500',
    chatMessageSenderTextColor: 'textHintColor',
    chatMessageQuoteBackgroundColor: 'backgroundBasicColor2',
    chatMessageQuoteTextColor: 'textHintColor',
    chatMessageFileTextColor: 'textHintColor',
    chatMessageFileBackgroundColor: 'transparent',
    spinnerTextColor: 'textBasicColor',
    spinnerTextFontFamily: 'textButtonFontFamily',
    spinnerTextFontSize: 'textButtonMediumFontSize',
    spinnerTextFontWeight: 'textButtonFontWeight',
    spinnerTextLineHeight: 'textButtonMediumLineHeight',
    spinnerBasicBackgroundColor: 'colorBasicTransparent200',
    spinnerBasicCircleFilledColor: 'textHintColor',
    spinnerBasicCircleEmptyColor: 'transparent',
    spinnerPrimaryBackgroundColor: 'colorBasicTransparent200',
    spinnerPrimaryCircleFilledColor: 'colorPrimaryDefault',
    spinnerPrimaryCircleEmptyColor: 'transparent',
    spinnerInfoBackgroundColor: 'colorBasicTransparent200',
    spinnerInfoCircleFilledColor: 'colorInfoDefault',
    spinnerInfoCircleEmptyColor: 'transparent',
    spinnerSuccessBackgroundColor: 'colorBasicTransparent200',
    spinnerSuccessCircleFilledColor: 'colorSuccessDefault',
    spinnerSuccessCircleEmptyColor: 'transparent',
    spinnerWarningBackgroundColor: 'colorBasicTransparent200',
    spinnerWarningCircleFilledColor: 'colorWarningDefault',
    spinnerWarningCircleEmptyColor: 'transparent',
    spinnerDangerBackgroundColor: 'colorBasicTransparent200',
    spinnerDangerCircleFilledColor: 'colorDangerDefault',
    spinnerDangerCircleEmptyColor: 'transparent',
    spinnerControlBackgroundColor: 'colorBasicControlTransparent200',
    spinnerControlCircleFilledColor: 'colorControlDefault',
    spinnerControlCircleEmptyColor: 'transparent',
    spinnerHeightTiny: '1rem',
    spinnerHeightSmall: '1.25rem',
    spinnerHeightMedium: '1.5rem',
    spinnerHeightLarge: '1.75rem',
    spinnerHeightGiant: '2rem',
    stepperStepTextColor: 'textHintColor',
    stepperStepTextFontFamily: 'textParagraphFontFamily',
    stepperStepTextFontSize: 'textParagraphFontSize',
    stepperStepTextFontWeight: 'textParagraphFontWeight',
    stepperStepTextLineHeight: 'textParagraphLineHeight',
    stepperStepActiveTextColor: 'textPrimaryActiveColor',
    stepperStepCompletedTextColor: 'textPrimaryColor',
    stepperStepIndexBorderColor: 'borderBasicColor4',
    stepperStepIndexBorderStyle: 'solid',
    stepperStepIndexBorderWidth: '1px',
    stepperStepIndexBorderRadius: '50%',
    stepperStepIndexWidth: '2rem',
    stepperStepIndexActiveBorderColor: 'colorPrimaryActive',
    stepperStepIndexCompletedBackgroundColor: 'colorPrimaryDefault',
    stepperStepIndexCompletedBorderColor: 'colorPrimaryDefault',
    stepperStepIndexCompletedTextColor: 'textControlColor',
    stepperConnectorBackgroundColor: 'backgroundBasicColor3',
    stepperConnectorCompletedBackgroundColor: 'colorPrimaryDefault',
    stepperHorizontalConnectorMargin: '1rem',
    stepperVerticalConnectorMargin: '1rem',
    stepperStepContentPadding: '1.25rem',
    accordionBorderRadius: 'borderRadius',
    accordionPadding: '1.25rem',
    accordionShadow: 'shadow',
    accordionHeaderTextColor: 'textBasicColor',
    accordionHeaderTextFontFamily: 'textSubtitleFontFamily',
    accordionHeaderTextFontSize: 'textSubtitleFontSize',
    accordionHeaderTextFontWeight: 'textSubtitleFontWeight',
    accordionHeaderTextLineHeight: 'textSubtitleLineHeight',
    accordionHeaderDisabledTextColor: 'textDisabledColor',
    accordionHeaderBorderColor: 'borderBasicColor3',
    accordionHeaderBorderStyle: 'solid',
    accordionHeaderBorderWidth: '1px',
    accordionItemBackgroundColor: 'backgroundBasicColor1',
    accordionItemTextColor: 'textBasicColor',
    accordionItemTextFontFamily: 'textParagraphFontFamily',
    accordionItemTextFontSize: 'textParagraphFontSize',
    accordionItemTextFontWeight: 'textParagraphFontWeight',
    accordionItemTextLineHeight: 'textParagraphLineHeight',
    listItemDividerColor: 'dividerColor',
    listItemDividerStyle: 'dividerStyle',
    listItemDividerWidth: 'dividerWidth',
    listItemPadding: '1rem',
    listItemTextColor: 'textBasicColor',
    listItemFontFamily: 'textParagraphFontFamily',
    listItemFontSize: 'textParagraphFontSize',
    listItemFontWeight: 'textParagraphFontWeight',
    listItemLineHeight: 'textParagraphLineHeight',
    calendarWidth: '19.25rem',
    calendarBodyHeight: '25.625rem',
    calendarBorderRadius: 'borderRadius',
    calendarTextColor: 'textBasicColor',
    calendarTextFontFamily: 'textParagraphFontFamily',
    calendarTextFontSize: 'textParagraphFontSize',
    calendarTextFontWeight: 'textParagraphFontWeight',
    calendarTextLineHeight: 'textParagraphLineHeight',
    calendarHeaderTextColor: 'textBasicColor',
    calendarHeaderTextFontFamily: 'textHeading6FontFamily',
    calendarHeaderTitleTextFontSize: 'textHeading6FontSize',
    calendarHeaderTitleTextFontWeight: 'textHeading6FontWeight',
    calendarHeaderTitleTextLineHeight: 'textHeading6LineHeight',
    calendarHeaderSubTitleTextFontSize: 'textParagraph2LineHeight',
    calendarHeaderSubTitleTextFontWeight: 'textParagraph2FontWeight',
    calendarHeaderSubTitleTextLineHeight: 'textParagraph2LineHeight',
    calendarNavigationButtonWidth: '10rem',
    calendarCellInactiveTextColor: 'textDisabledColor',
    calendarCellInRangeBackgroundColor: 'colorPrimary200',
    calendarCellDisabledBackgroundColor: 'backgroundBasicColor3',
    calendarCellDisabledTextColor: 'textDisabledColor',
    calendarCellSelectedBackgroundColor: 'colorPrimaryDefault',
    calendarCellSelectedTextColor: 'textControlColor',
    calendarCellSelectedTextFontSize: 'textSubtitleFontSize',
    calendarCellSelectedTextFontWeight: 'textSubtitleFontWeight',
    calendarCellSelectedTextLineHeight: 'textSubtitleLineHeight',
    calendarCellHoverBackgroundColor: 'colorPrimaryHover',
    calendarCellHoverTextColor: 'textControlColor',
    calendarCellHoverTextFontSize: 'textSubtitleFontSize',
    calendarCellHoverTextFontWeight: 'textSubtitleFontWeight',
    calendarCellHoverTextLineHeight: 'textSubtitleLineHeight',
    calendarCellActiveBackgroundColor: 'colorPrimaryActive',
    calendarCellActiveTextColor: 'textPrimaryActiveColor',
    calendarCellActiveTextFontSize: 'textSubtitleFontSize',
    calendarCellActiveTextFontWeight: 'textSubtitleFontWeight',
    calendarCellActiveTextLineHeight: 'textSubtitleLineHeight',
    calendarCellTodayBackgroundColor: 'backgroundBasicColor3',
    calendarCellTodayTextColor: 'textBasicColor',
    calendarCellTodayTextFontSize: 'textSubtitleFontSize',
    calendarCellTodayTextFontWeight: 'textSubtitleFontWeight',
    calendarCellTodayTextLineHeight: 'textSubtitleLineHeight',
    calendarDayCellWidth: '2.625rem',
    calendarDayCellHeight: '2.625rem',
    calendarMonthCellWidth: '4.25rem',
    calendarMonthCellHeight: '2.375rem',
    calendarYearCellWidth: 'calendarMonthCellWidth',
    calendarYearCellHeight: 'calendarMonthCellHeight',
    calendarWeekdayBackground: 'backgroundBasicColor2',
    calendarWeekdayDividerColor: 'dividerColor',
    calendarWeekdayTextColor: 'textHintColor',
    calendarWeekdayTextFontSize: 'textButtonSmallFontSize',
    calendarWeekdayTextFontWeight: 'textButtonFontWeight',
    calendarWeekdayTextLineHeight: 'textButtonSmallLineHeight',
    calendarWeekdayHolidayTextColor: 'calendarWeekdayTextColor',
    calendarWeekdayHeight: 'calendarDayCellHeight',
    calendarWeekdayWidth: 'calendarDayCellWidth',
    calendarWeeknumberBackground: 'backgroundBasicColor2',
    calendarWeeknumberDividerColor: 'dividerColor',
    calendarWeeknumberDividerWidth: 'dividerWidth',
    calendarWeeknumberTextColor: 'textBasicColor',
    calendarWeeknumberTextFontSize: 'textButtonSmallFontSize',
    calendarWeeknumberTextFontWeight: 'textButtonFontWeight',
    calendarWeeknumberTextLineHeight: 'textButtonSmallLineHeight',
    calendarWeeknumberHeight: 'calendarWeekdayHeight',
    calendarWeeknumberWidth: 'calendarWeekdayWidth',
    calendarLargeWidth: '21.875rem',
    calendarLargeBodyHeight: '27.75rem',
    calendarDayCellLargeWidth: '3rem',
    calendarDayCellLargeHeight: '3rem',
    calendarWeekdayLargeHeight: 'calendarDayCellLargeWidth',
    calendarWeekdayLargeWidth: 'calendarDayCellLargeHeight',
    calendarMonthCellLargeWidth: '4.25rem',
    calendarMonthCellLargeHeight: '2.375rem',
    calendarYearCellLargeWidth: 'calendarMonthCellWidth',
    calendarYearCellLargeHeight: 'calendarMonthCellHeight',
    overlayBackdropBackgroundColor: 'rgba(0, 0, 0, 0.35)',
    tooltipBackgroundColor: 'backgroundAlternativeColor3',
    tooltipBorderColor: 'transparent',
    tooltipBorderStyle: 'dashed',
    tooltipBorderWidth: 0,
    tooltipBorderRadius: 'borderRadius',
    tooltipPadding: '0.5rem 1rem',
    tooltipTextColor: 'textAlternateColor',
    tooltipTextFontFamily: 'textCaptionFontFamily',
    tooltipTextFontSize: 'textCaptionFontSize',
    tooltipTextFontWeight: 'textCaptionFontWeight',
    tooltipTextLineHeight: 'textCaptionLineHeight',
    tooltipIconHeight: '1rem',
    tooltipIconWidth: '1rem',
    tooltipMaxWidth: '16rem',
    tooltipBasicBackgroundColor: 'backgroundBasicColor3',
    tooltipBasicBorderColor: 'transparent',
    tooltipBasicTextColor: 'textBasicColor',
    tooltipPrimaryBackgroundColor: 'colorPrimaryDefault',
    tooltipPrimaryBorderColor: 'transparent',
    tooltipPrimaryTextColor: 'textControlColor',
    tooltipInfoBackgroundColor: 'colorInfoDefault',
    tooltipInfoBorderColor: 'transparent',
    tooltipInfoTextColor: 'textControlColor',
    tooltipSuccessBackgroundColor: 'colorSuccessDefault',
    tooltipSuccessBorderColor: 'transparent',
    tooltipSuccessTextColor: 'textControlColor',
    tooltipWarningBackgroundColor: 'colorWarningDefault',
    tooltipWarningBorderColor: 'transparent',
    tooltipWarningTextColor: 'textControlColor',
    tooltipDangerBackgroundColor: 'colorDangerDefault',
    tooltipDangerBorderColor: 'transparent',
    tooltipDangerTextColor: 'textControlColor',
    tooltipControlBackgroundColor: 'colorControlDefault',
    tooltipControlBorderColor: 'transparent',
    tooltipControlTextColor: 'colorBasic800',
    tooltipShadow: 'shadow',
    selectCursor: 'pointer',
    selectDisabledCursor: 'default',
    selectMinWidth: '13rem',
    selectOptionsListMaxHeight: '20rem',
    selectOptionsListShadow: 'none',
    selectOptionsListBorderStyle: 'solid',
    selectOptionsListBorderWidth: '0.0625rem',
    selectGroupOptionTextColor: 'textHintColor',
    selectOutlineWidth: 'outlineWidth',
    selectOutlineColor: 'outlineColor',
    selectIconOffset: '2rem',
    selectTextFontFamily: 'textSubtitleFontFamily',
    selectPlaceholderTextFontFamily: 'textParagraphFontFamily',
    selectOptionBackgroundColor: 'backgroundBasicColor1',
    selectOptionTextColor: 'textBasicColor',
    selectOptionFocusBackgroundColor: 'colorBasicTransparentFocus',
    selectOptionFocusTextColor: 'textBasicColor',
    selectOptionHoverBackgroundColor: 'colorBasicTransparentHover',
    selectOptionHoverTextColor: 'textBasicColor',
    selectOptionSelectedBackgroundColor: 'colorPrimaryDefault',
    selectOptionSelectedTextColor: 'textControlColor',
    selectOptionSelectedFocusBackgroundColor: 'colorPrimaryFocus',
    selectOptionSelectedFocusTextColor: 'textControlColor',
    selectOptionSelectedHoverBackgroundColor: 'colorPrimaryHover',
    selectOptionSelectedHoverTextColor: 'textControlColor',
    selectOptionDisabledBackgroundColor: 'backgroundBasicColor1',
    selectOptionDisabledTextColor: 'textDisabledColor',
    selectTinyTextFontSize: 'textCaption2FontSize',
    selectTinyTextFontWeight: 'textCaption2FontWeight',
    selectTinyTextLineHeight: 'textCaption2LineHeight',
    selectTinyPlaceholderTextFontSize: 'textParagraphFontSize',
    selectTinyPlaceholderTextFontWeight: 'textParagraphFontWeight',
    selectTinyMaxWidth: '20rem',
    selectSmallTextFontSize: 'textSubtitle2FontSize',
    selectSmallTextFontWeight: 'textSubtitle2FontWeight',
    selectSmallTextLineHeight: 'textSubtitle2LineHeight',
    selectSmallPlaceholderTextFontSize: 'textParagraphFontSize',
    selectSmallPlaceholderTextFontWeight: 'textParagraphFontWeight',
    selectSmallMaxWidth: '20rem',
    selectMediumTextFontSize: 'textSubtitleFontSize',
    selectMediumTextFontWeight: 'textSubtitleFontWeight',
    selectMediumTextLineHeight: 'textSubtitleLineHeight',
    selectMediumPlaceholderTextFontSize: 'textParagraphFontSize',
    selectMediumPlaceholderTextFontWeight: 'textParagraphFontWeight',
    selectMediumMaxWidth: '20rem',
    selectLargeTextFontSize: 'textSubtitleFontSize',
    selectLargeTextFontWeight: 'textSubtitleFontWeight',
    selectLargeTextLineHeight: 'textSubtitleLineHeight',
    selectLargePlaceholderTextFontSize: 'textParagraphFontSize',
    selectLargePlaceholderTextFontWeight: 'textParagraphFontWeight',
    selectLargeMaxWidth: '30rem',
    selectGiantTextFontSize: 'textHeading6FontSize',
    selectGiantTextFontWeight: 'textHeading6FontWeight',
    selectGiantTextLineHeight: 'textHeading6LineHeight',
    selectGiantPlaceholderTextFontSize: 'textParagraphFontSize',
    selectGiantPlaceholderTextFontWeight: 'textParagraphFontWeight',
    selectGiantMaxWidth: '30rem',
    selectRectangleBorderRadius: 'borderRadius',
    selectSemiRoundBorderRadius: '0.75rem',
    selectRoundBorderRadius: '1.5rem',
    selectOutlineBorderStyle: 'solid',
    selectOutlineBorderWidth: '1px',
    selectOutlineTinyPadding: '0.1875rem 1rem',
    selectOutlineSmallPadding: '0.1875rem 1rem',
    selectOutlineMediumPadding: '0.4375rem 1rem',
    selectOutlineLargePadding: '0.6875rem 1rem',
    selectOutlineGiantPadding: '0.9375rem 1rem',
    selectOutlineBasicIconColor: 'textHintColor',
    selectOutlineBasicTextColor: 'textBasicColor',
    selectOutlineBasicPlaceholderTextColor: 'textHintColor',
    selectOutlineBasicBackgroundColor: 'backgroundBasicColor2',
    selectOutlineBasicBorderColor: 'borderBasicColor4',
    selectOutlineBasicFocusBackgroundColor: 'backgroundBasicColor1',
    selectOutlineBasicFocusBorderColor: 'colorPrimaryDefault',
    selectOutlineBasicHoverBackgroundColor: 'backgroundBasicColor3',
    selectOutlineBasicHoverBorderColor: 'borderBasicColor4',
    selectOutlineBasicDisabledBackgroundColor: 'backgroundBasicColor2',
    selectOutlineBasicDisabledBorderColor: 'borderBasicColor4',
    selectOutlineBasicDisabledIconColor: 'textDisabledColor',
    selectOutlineBasicDisabledTextColor: 'textDisabledColor',
    selectOutlinePrimaryIconColor: 'textHintColor',
    selectOutlinePrimaryTextColor: 'textBasicColor',
    selectOutlinePrimaryPlaceholderTextColor: 'textHintColor',
    selectOutlinePrimaryBackgroundColor: 'backgroundBasicColor2',
    selectOutlinePrimaryBorderColor: 'colorPrimaryDefault',
    selectOutlinePrimaryFocusBackgroundColor: 'backgroundBasicColor1',
    selectOutlinePrimaryFocusBorderColor: 'colorPrimaryFocus',
    selectOutlinePrimaryHoverBackgroundColor: 'backgroundBasicColor3',
    selectOutlinePrimaryHoverBorderColor: 'colorPrimaryHover',
    selectOutlinePrimaryDisabledBackgroundColor: 'backgroundBasicColor2',
    selectOutlinePrimaryDisabledBorderColor: 'borderBasicColor4',
    selectOutlinePrimaryDisabledIconColor: 'textDisabledColor',
    selectOutlinePrimaryDisabledTextColor: 'textDisabledColor',
    selectOutlineSuccessIconColor: 'textHintColor',
    selectOutlineSuccessTextColor: 'textBasicColor',
    selectOutlineSuccessPlaceholderTextColor: 'textHintColor',
    selectOutlineSuccessBackgroundColor: 'backgroundBasicColor2',
    selectOutlineSuccessBorderColor: 'colorSuccessDefault',
    selectOutlineSuccessFocusBackgroundColor: 'backgroundBasicColor1',
    selectOutlineSuccessFocusBorderColor: 'colorSuccessFocus',
    selectOutlineSuccessHoverBackgroundColor: 'backgroundBasicColor3',
    selectOutlineSuccessHoverBorderColor: 'colorSuccessHover',
    selectOutlineSuccessDisabledBackgroundColor: 'backgroundBasicColor2',
    selectOutlineSuccessDisabledBorderColor: 'borderBasicColor4',
    selectOutlineSuccessDisabledIconColor: 'textDisabledColor',
    selectOutlineSuccessDisabledTextColor: 'textDisabledColor',
    selectOutlineInfoIconColor: 'textHintColor',
    selectOutlineInfoTextColor: 'textBasicColor',
    selectOutlineInfoPlaceholderTextColor: 'textHintColor',
    selectOutlineInfoBackgroundColor: 'backgroundBasicColor2',
    selectOutlineInfoBorderColor: 'colorInfoDefault',
    selectOutlineInfoFocusBackgroundColor: 'backgroundBasicColor1',
    selectOutlineInfoFocusBorderColor: 'colorInfoFocus',
    selectOutlineInfoHoverBackgroundColor: 'backgroundBasicColor3',
    selectOutlineInfoHoverBorderColor: 'colorInfoHover',
    selectOutlineInfoDisabledBackgroundColor: 'backgroundBasicColor2',
    selectOutlineInfoDisabledBorderColor: 'borderBasicColor4',
    selectOutlineInfoDisabledIconColor: 'textDisabledColor',
    selectOutlineInfoDisabledTextColor: 'textDisabledColor',
    selectOutlineWarningIconColor: 'textHintColor',
    selectOutlineWarningTextColor: 'textBasicColor',
    selectOutlineWarningPlaceholderTextColor: 'textHintColor',
    selectOutlineWarningBackgroundColor: 'backgroundBasicColor2',
    selectOutlineWarningBorderColor: 'colorWarningDefault',
    selectOutlineWarningFocusBackgroundColor: 'backgroundBasicColor1',
    selectOutlineWarningFocusBorderColor: 'colorWarningFocus',
    selectOutlineWarningHoverBackgroundColor: 'backgroundBasicColor3',
    selectOutlineWarningHoverBorderColor: 'colorWarningHover',
    selectOutlineWarningDisabledBackgroundColor: 'backgroundBasicColor2',
    selectOutlineWarningDisabledBorderColor: 'borderBasicColor4',
    selectOutlineWarningDisabledIconColor: 'textDisabledColor',
    selectOutlineWarningDisabledTextColor: 'textDisabledColor',
    selectOutlineDangerIconColor: 'textHintColor',
    selectOutlineDangerTextColor: 'textBasicColor',
    selectOutlineDangerPlaceholderTextColor: 'textHintColor',
    selectOutlineDangerBackgroundColor: 'backgroundBasicColor2',
    selectOutlineDangerBorderColor: 'colorDangerDefault',
    selectOutlineDangerFocusBackgroundColor: 'backgroundBasicColor1',
    selectOutlineDangerFocusBorderColor: 'colorDangerFocus',
    selectOutlineDangerHoverBackgroundColor: 'backgroundBasicColor3',
    selectOutlineDangerHoverBorderColor: 'colorDangerHover',
    selectOutlineDangerDisabledBackgroundColor: 'backgroundBasicColor2',
    selectOutlineDangerDisabledBorderColor: 'borderBasicColor4',
    selectOutlineDangerDisabledIconColor: 'textDisabledColor',
    selectOutlineDangerDisabledTextColor: 'textDisabledColor',
    selectOutlineControlIconColor: 'colorBasic100',
    selectOutlineControlTextColor: 'colorBasic100',
    selectOutlineControlPlaceholderTextColor: 'colorBasic100',
    selectOutlineControlBackgroundColor: 'colorBasicControlTransparent300',
    selectOutlineControlBorderColor: 'colorBasicControlTransparent500',
    selectOutlineControlFocusBackgroundColor: 'colorBasicControlTransparent500',
    selectOutlineControlFocusBorderColor: 'colorControlTransparentFocusBorder',
    selectOutlineControlHoverBackgroundColor: 'colorBasicControlTransparent400',
    selectOutlineControlHoverBorderColor: 'colorControlTransparentHoverBorder',
    selectOutlineControlDisabledBackgroundColor: 'colorControlTransparentDisabled',
    selectOutlineControlDisabledBorderColor: 'colorBasicControlTransparent500',
    selectOutlineControlDisabledIconColor: 'colorBasic100',
    selectOutlineControlDisabledTextColor: 'colorBasic100',
    selectOptionOutlineTinyPadding: 'selectOutlineTinyPadding',
    selectOptionOutlineSmallPadding: 'selectOutlineSmallPadding',
    selectOptionOutlineMediumPadding: 'selectOutlineMediumPadding',
    selectOptionOutlineLargePadding: 'selectOutlineLargePadding',
    selectOptionOutlineGiantPadding: 'selectOutlineGiantPadding',
    selectOutlineAdjacentBorderStyle: 'selectOutlineBorderStyle',
    selectOutlineAdjacentBorderWidth: 'selectOutlineBorderWidth',
    selectOutlineBasicOpenBorderColor: 'selectOutlineBasicBorderColor',
    selectOutlineBasicAdjacentBorderColor: 'selectOutlineBasicBorderColor',
    selectOutlinePrimaryOpenBorderColor: 'selectOutlinePrimaryBorderColor',
    selectOutlinePrimaryAdjacentBorderColor: 'selectOutlinePrimaryBorderColor',
    selectOutlineSuccessOpenBorderColor: 'selectOutlineSuccessBorderColor',
    selectOutlineSuccessAdjacentBorderColor: 'selectOutlineSuccessBorderColor',
    selectOutlineInfoOpenBorderColor: 'selectOutlineInfoBorderColor',
    selectOutlineInfoAdjacentBorderColor: 'selectOutlineInfoBorderColor',
    selectOutlineWarningOpenBorderColor: 'selectOutlineWarningBorderColor',
    selectOutlineWarningAdjacentBorderColor: 'selectOutlineWarningBorderColor',
    selectOutlineDangerOpenBorderColor: 'selectOutlineDangerBorderColor',
    selectOutlineDangerAdjacentBorderColor: 'selectOutlineDangerBorderColor',
    selectOutlineControlOpenBorderColor: 'selectOutlineControlBorderColor',
    selectOutlineControlAdjacentBorderColor: 'selectOutlineControlBorderColor',
    selectGroupOptionOutlineTinyStartPadding: '1.25rem',
    selectGroupOptionOutlineSmallStartPadding: '1.75rem',
    selectGroupOptionOutlineMediumStartPadding: '2.25rem',
    selectGroupOptionOutlineLargeStartPadding: '2.25rem',
    selectGroupOptionOutlineGiantStartPadding: '2.75rem',
    selectOptionsListOutlineBasicBorderColor: 'borderBasicColor4',
    selectOptionsListOutlinePrimaryBorderColor: 'borderBasicColor4',
    selectOptionsListOutlineSuccessBorderColor: 'borderBasicColor4',
    selectOptionsListOutlineInfoBorderColor: 'borderBasicColor4',
    selectOptionsListOutlineWarningBorderColor: 'borderBasicColor4',
    selectOptionsListOutlineDangerBorderColor: 'borderBasicColor4',
    selectOptionsListOutlineControlBorderColor: 'borderBasicColor4',
    selectFilledBorderStyle: 'solid',
    selectFilledBorderWidth: '1px',
    selectFilledTinyPadding: '0.1875rem 1rem',
    selectFilledSmallPadding: '0.1875rem 1rem',
    selectFilledMediumPadding: '0.4375rem 1rem',
    selectFilledLargePadding: '0.6875rem 1rem',
    selectFilledGiantPadding: '0.9375rem 1rem',
    selectFilledBasicBackgroundColor: 'colorBasicDefault',
    selectFilledBasicBorderColor: 'colorBasicDefaultBorder',
    selectFilledBasicIconColor: 'colorBasic800',
    selectFilledBasicTextColor: 'colorBasic800',
    selectFilledBasicPlaceholderTextColor: 'textHintColor',
    selectFilledBasicFocusBackgroundColor: 'colorBasicFocus',
    selectFilledBasicFocusBorderColor: 'colorBasicFocusBorder',
    selectFilledBasicHoverBackgroundColor: 'colorBasicHover',
    selectFilledBasicHoverBorderColor: 'colorBasicHoverBorder',
    selectFilledBasicDisabledBackgroundColor: 'backgroundBasicColor2',
    selectFilledBasicDisabledBorderColor: 'borderBasicColor2',
    selectFilledBasicDisabledIconColor: 'textDisabledColor',
    selectFilledBasicDisabledTextColor: 'textDisabledColor',
    selectFilledPrimaryBackgroundColor: 'colorPrimaryDefault',
    selectFilledPrimaryBorderColor: 'colorPrimaryDefaultBorder',
    selectFilledPrimaryIconColor: 'textControlColor',
    selectFilledPrimaryTextColor: 'textControlColor',
    selectFilledPrimaryPlaceholderTextColor: 'textControlColor',
    selectFilledPrimaryFocusBackgroundColor: 'colorPrimaryFocus',
    selectFilledPrimaryFocusBorderColor: 'colorPrimaryFocusBorder',
    selectFilledPrimaryHoverBackgroundColor: 'colorPrimaryHover',
    selectFilledPrimaryHoverBorderColor: 'colorPrimaryHoverBorder',
    selectFilledPrimaryDisabledBackgroundColor: 'backgroundBasicColor2',
    selectFilledPrimaryDisabledBorderColor: 'borderBasicColor2',
    selectFilledPrimaryDisabledIconColor: 'textDisabledColor',
    selectFilledPrimaryDisabledTextColor: 'textDisabledColor',
    selectFilledSuccessBackgroundColor: 'colorSuccessDefault',
    selectFilledSuccessBorderColor: 'colorSuccessDefaultBorder',
    selectFilledSuccessIconColor: 'textControlColor',
    selectFilledSuccessTextColor: 'textControlColor',
    selectFilledSuccessPlaceholderTextColor: 'textControlColor',
    selectFilledSuccessFocusBackgroundColor: 'colorSuccessFocus',
    selectFilledSuccessFocusBorderColor: 'colorSuccessFocusBorder',
    selectFilledSuccessHoverBackgroundColor: 'colorSuccessHover',
    selectFilledSuccessHoverBorderColor: 'colorSuccessHoverBorder',
    selectFilledSuccessDisabledBackgroundColor: 'backgroundBasicColor2',
    selectFilledSuccessDisabledBorderColor: 'borderBasicColor2',
    selectFilledSuccessDisabledIconColor: 'textDisabledColor',
    selectFilledSuccessDisabledTextColor: 'textDisabledColor',
    selectFilledInfoBackgroundColor: 'colorInfoDefault',
    selectFilledInfoBorderColor: 'colorInfoDefaultBorder',
    selectFilledInfoIconColor: 'textControlColor',
    selectFilledInfoTextColor: 'textControlColor',
    selectFilledInfoPlaceholderTextColor: 'textControlColor',
    selectFilledInfoFocusBackgroundColor: 'colorInfoFocus',
    selectFilledInfoFocusBorderColor: 'colorInfoFocusBorder',
    selectFilledInfoHoverBackgroundColor: 'colorInfoHover',
    selectFilledInfoHoverBorderColor: 'colorInfoHoverBorder',
    selectFilledInfoDisabledBackgroundColor: 'backgroundBasicColor2',
    selectFilledInfoDisabledBorderColor: 'borderBasicColor2',
    selectFilledInfoDisabledIconColor: 'textDisabledColor',
    selectFilledInfoDisabledTextColor: 'textDisabledColor',
    selectFilledWarningBackgroundColor: 'colorWarningDefault',
    selectFilledWarningBorderColor: 'colorWarningDefaultBorder',
    selectFilledWarningIconColor: 'textControlColor',
    selectFilledWarningTextColor: 'textControlColor',
    selectFilledWarningPlaceholderTextColor: 'textControlColor',
    selectFilledWarningFocusBackgroundColor: 'colorWarningFocus',
    selectFilledWarningFocusBorderColor: 'colorWarningFocusBorder',
    selectFilledWarningHoverBackgroundColor: 'colorWarningHover',
    selectFilledWarningHoverBorderColor: 'colorWarningHoverBorder',
    selectFilledWarningDisabledBackgroundColor: 'backgroundBasicColor2',
    selectFilledWarningDisabledBorderColor: 'borderBasicColor2',
    selectFilledWarningDisabledIconColor: 'textDisabledColor',
    selectFilledWarningDisabledTextColor: 'textDisabledColor',
    selectFilledDangerBackgroundColor: 'colorDangerDefault',
    selectFilledDangerBorderColor: 'colorDangerDefaultBorder',
    selectFilledDangerIconColor: 'textControlColor',
    selectFilledDangerTextColor: 'textControlColor',
    selectFilledDangerPlaceholderTextColor: 'textControlColor',
    selectFilledDangerFocusBackgroundColor: 'colorDangerFocus',
    selectFilledDangerFocusBorderColor: 'colorDangerFocusBorder',
    selectFilledDangerHoverBackgroundColor: 'colorDangerHover',
    selectFilledDangerHoverBorderColor: 'colorDangerHoverBorder',
    selectFilledDangerDisabledBackgroundColor: 'backgroundBasicColor2',
    selectFilledDangerDisabledBorderColor: 'borderBasicColor2',
    selectFilledDangerDisabledIconColor: 'textDisabledColor',
    selectFilledDangerDisabledTextColor: 'textDisabledColor',
    selectFilledControlBackgroundColor: 'colorControlDefault',
    selectFilledControlBorderColor: 'colorControlDefaultBorder',
    selectFilledControlIconColor: 'colorBasic800',
    selectFilledControlTextColor: 'colorBasic800',
    selectFilledControlPlaceholderTextColor: 'textHintColor',
    selectFilledControlFocusBackgroundColor: 'colorControlFocus',
    selectFilledControlFocusBorderColor: 'colorControlFocusBorder',
    selectFilledControlHoverBackgroundColor: 'colorControlHover',
    selectFilledControlHoverBorderColor: 'colorControlHoverBorder',
    selectFilledControlDisabledBackgroundColor: 'backgroundBasicColor2',
    selectFilledControlDisabledBorderColor: 'borderBasicColor2',
    selectFilledControlDisabledIconColor: 'textDisabledColor',
    selectFilledControlDisabledTextColor: 'textDisabledColor',
    selectOptionFilledTinyPadding: 'selectFilledTinyPadding',
    selectGroupOptionFilledTinyPaddingStart: '1.125rem',
    selectOptionFilledSmallPadding: 'selectFilledSmallPadding',
    selectGroupOptionFilledSmallPaddingStart: '1.75rem',
    selectOptionFilledMediumPadding: 'selectFilledMediumPadding',
    selectGroupOptionFilledMediumPaddingStart: '2.25rem',
    selectOptionFilledLargePadding: 'selectFilledLargePadding',
    selectGroupOptionFilledLargePaddingStart: '2.25rem',
    selectOptionFilledGiantPadding: 'selectFilledGiantPadding',
    selectGroupOptionFilledGiantPaddingStart: '2.75rem',
    selectOptionsListFilledBasicBorderColor: 'borderBasicColor4',
    selectOptionsListFilledPrimaryBorderColor: 'borderBasicColor4',
    selectOptionsListFilledSuccessBorderColor: 'borderBasicColor4',
    selectOptionsListFilledInfoBorderColor: 'borderBasicColor4',
    selectOptionsListFilledWarningBorderColor: 'borderBasicColor4',
    selectOptionsListFilledDangerBorderColor: 'borderBasicColor4',
    selectOptionsListFilledControlBorderColor: 'borderBasicColor4',
    selectHeroTinyPadding: '0.25rem 1rem',
    selectHeroSmallPadding: '0.25rem 1rem',
    selectHeroMediumPadding: '0.5rem 1rem',
    selectHeroLargePadding: '0.75rem 1rem',
    selectHeroGiantPadding: '1rem 1rem',
    selectHeroBasicLeftBackgroundColor: 'colorBasic200',
    selectHeroBasicRightBackgroundColor: 'colorBasicDefault',
    selectHeroBasicIconColor: 'colorBasic800',
    selectHeroBasicTextColor: 'colorBasic800',
    selectHeroBasicPlaceholderTextColor: 'textHintColor',
    selectHeroBasicFocusLeftBackgroundColor: 'colorBasic300',
    selectHeroBasicFocusRightBackgroundColor: 'colorBasic400',
    selectHeroBasicHoverLeftBackgroundColor: 'colorBasic100',
    selectHeroBasicHoverRightBackgroundColor: 'colorBasicHover',
    selectHeroBasicDisabledBackgroundColor: 'backgroundBasicColor2',
    selectHeroBasicDisabledIconColor: 'textDisabledColor',
    selectHeroBasicDisabledTextColor: 'textDisabledColor',
    selectHeroPrimaryLeftBackgroundColor: 'colorPrimary400',
    selectHeroPrimaryRightBackgroundColor: 'colorPrimaryDefault',
    selectHeroPrimaryIconColor: 'textControlColor',
    selectHeroPrimaryTextColor: 'textControlColor',
    selectHeroPrimaryPlaceholderTextColor: 'textControlColor',
    selectHeroPrimaryFocusLeftBackgroundColor: 'colorPrimary500',
    selectHeroPrimaryFocusRightBackgroundColor: 'colorPrimaryFocus',
    selectHeroPrimaryHoverLeftBackgroundColor: 'colorPrimary300',
    selectHeroPrimaryHoverRightBackgroundColor: 'colorPrimaryHover',
    selectHeroPrimaryDisabledBackgroundColor: 'backgroundBasicColor2',
    selectHeroPrimaryDisabledIconColor: 'textDisabledColor',
    selectHeroPrimaryDisabledTextColor: 'textDisabledColor',
    selectHeroSuccessLeftBackgroundColor: 'colorSuccess400',
    selectHeroSuccessRightBackgroundColor: 'colorSuccessDefault',
    selectHeroSuccessIconColor: 'textControlColor',
    selectHeroSuccessTextColor: 'textControlColor',
    selectHeroSuccessPlaceholderTextColor: 'textControlColor',
    selectHeroSuccessFocusLeftBackgroundColor: 'colorSuccess500',
    selectHeroSuccessFocusRightBackgroundColor: 'colorSuccessFocus',
    selectHeroSuccessHoverLeftBackgroundColor: 'colorSuccess300',
    selectHeroSuccessHoverRightBackgroundColor: 'colorSuccessHover',
    selectHeroSuccessDisabledBackgroundColor: 'backgroundBasicColor2',
    selectHeroSuccessDisabledIconColor: 'textDisabledColor',
    selectHeroSuccessDisabledTextColor: 'textDisabledColor',
    selectHeroInfoLeftBackgroundColor: 'colorInfo400',
    selectHeroInfoRightBackgroundColor: 'colorInfoDefault',
    selectHeroInfoIconColor: 'textControlColor',
    selectHeroInfoTextColor: 'textControlColor',
    selectHeroInfoPlaceholderTextColor: 'textControlColor',
    selectHeroInfoFocusLeftBackgroundColor: 'colorInfo500',
    selectHeroInfoFocusRightBackgroundColor: 'colorInfoFocus',
    selectHeroInfoHoverLeftBackgroundColor: 'colorInfo300',
    selectHeroInfoHoverRightBackgroundColor: 'colorInfoHover',
    selectHeroInfoDisabledBackgroundColor: 'backgroundBasicColor2',
    selectHeroInfoDisabledIconColor: 'textDisabledColor',
    selectHeroInfoDisabledTextColor: 'textDisabledColor',
    selectHeroWarningLeftBackgroundColor: 'colorWarning400',
    selectHeroWarningRightBackgroundColor: 'colorWarningDefault',
    selectHeroWarningIconColor: 'textControlColor',
    selectHeroWarningTextColor: 'textControlColor',
    selectHeroWarningPlaceholderTextColor: 'textControlColor',
    selectHeroWarningFocusLeftBackgroundColor: 'colorWarning500',
    selectHeroWarningFocusRightBackgroundColor: 'colorWarningFocus',
    selectHeroWarningHoverLeftBackgroundColor: 'colorWarning300',
    selectHeroWarningHoverRightBackgroundColor: 'colorWarningHover',
    selectHeroWarningDisabledBackgroundColor: 'backgroundBasicColor2',
    selectHeroWarningDisabledIconColor: 'textDisabledColor',
    selectHeroWarningDisabledTextColor: 'textDisabledColor',
    selectHeroDangerLeftBackgroundColor: 'colorDanger400',
    selectHeroDangerRightBackgroundColor: 'colorDangerDefault',
    selectHeroDangerIconColor: 'textControlColor',
    selectHeroDangerTextColor: 'textControlColor',
    selectHeroDangerPlaceholderTextColor: 'textControlColor',
    selectHeroDangerFocusLeftBackgroundColor: 'colorDanger500',
    selectHeroDangerFocusRightBackgroundColor: 'colorDangerFocus',
    selectHeroDangerHoverLeftBackgroundColor: 'colorDanger300',
    selectHeroDangerHoverRightBackgroundColor: 'colorDangerHover',
    selectHeroDangerDisabledBackgroundColor: 'backgroundBasicColor2',
    selectHeroDangerDisabledIconColor: 'textDisabledColor',
    selectHeroDangerDisabledTextColor: 'textDisabledColor',
    selectHeroControlLeftBackgroundColor: 'colorControlDefault',
    selectHeroControlRightBackgroundColor: 'colorControlDefault',
    selectHeroControlIconColor: 'colorBasic800',
    selectHeroControlTextColor: 'colorBasic800',
    selectHeroControlPlaceholderTextColor: 'textHintColor',
    selectHeroControlFocusLeftBackgroundColor: 'colorBasic200',
    selectHeroControlFocusRightBackgroundColor: 'colorControlFocus',
    selectHeroControlHoverLeftBackgroundColor: 'colorBasic100',
    selectHeroControlHoverRightBackgroundColor: 'colorControlHover',
    selectHeroControlDisabledBackgroundColor: 'backgroundBasicColor2',
    selectHeroControlDisabledIconColor: 'textDisabledColor',
    selectHeroControlDisabledTextColor: 'textDisabledColor',
    selectOptionHeroTinyPadding: 'selectHeroTinyPadding',
    selectGroupOptionHeroTinyPaddingStart: '1.125rem',
    selectOptionHeroSmallPadding: 'selectHeroSmallPadding',
    selectGroupOptionHeroSmallPaddingStart: '1.75rem',
    selectOptionHeroMediumPadding: 'selectHeroMediumPadding',
    selectGroupOptionHeroMediumPaddingStart: '2.25rem',
    selectOptionHeroLargePadding: 'selectHeroLargePadding',
    selectGroupOptionHeroLargePaddingStart: '2.25rem',
    selectOptionHeroGiantPadding: 'selectHeroGiantPadding',
    selectGroupOptionHeroGiantPaddingStart: '2.75rem',
    selectOptionsListHeroBasicBorderColor: 'borderBasicColor4',
    selectOptionsListHeroPrimaryBorderColor: 'borderBasicColor4',
    selectOptionsListHeroSuccessBorderColor: 'borderBasicColor4',
    selectOptionsListHeroInfoBorderColor: 'borderBasicColor4',
    selectOptionsListHeroWarningBorderColor: 'borderBasicColor4',
    selectOptionsListHeroDangerBorderColor: 'borderBasicColor4',
    selectOptionsListHeroControlBorderColor: 'borderBasicColor4',
    datepickerTextColor: 'textBasicColor',
    datepickerBackgroundColor: 'backgroundBasicColor1',
    datepickerBorderColor: 'backgroundBasicColor1',
    datepickerBorderStyle: 'solid',
    datepickerBorderWidth: 0,
    datepickerBorderRadius: 'borderRadius',
    datepickerShadow: 'shadow',
    datepickerArrowSize: '11px',
    radioWidth: '1.125rem',
    radioHeight: '1.125rem',
    radioBorderStyle: 'solid',
    radioBorderWidth: '1px',
    radioTextFontFamily: 'textSubtitle2FontFamily',
    radioTextFontSize: 'textSubtitle2FontSize',
    radioTextFontWeight: 'textSubtitle2FontWeight',
    radioTextLineHeight: 'textSubtitle2LineHeight',
    radioOutlineColor: 'outlineColor',
    radioOutlineWidth: 'outlineWidth',
    radioBasicTextColor: 'textBasicColor',
    radioBasicBorderColor: 'colorBasic600',
    radioBasicBackgroundColor: 'colorBasicTransparentDefault',
    radioBasicCheckedBackgroundColor: 'transparent',
    radioBasicCheckedBorderColor: 'colorPrimaryDefaultBorder',
    radioBasicInnerCircleColor: 'colorPrimaryDefault',
    radioBasicFocusBorderColor: 'colorPrimaryFocusBorder',
    radioBasicFocusInnerCircleColor: 'colorPrimaryFocus',
    radioBasicHoverBackgroundColor: 'colorPrimaryTransparentHover',
    radioBasicHoverBorderColor: 'colorPrimaryTransparentHoverBorder',
    radioBasicHoverInnerCircleColor: 'colorPrimaryHover',
    radioBasicHoverCheckedBackgroundColor: 'transparent',
    radioBasicActiveBorderColor: 'colorPrimaryActive',
    radioBasicActiveInnerCircleColor: 'colorPrimaryActive',
    radioBasicDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    radioBasicDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    radioBasicDisabledTextColor: 'textDisabledColor',
    radioBasicDisabledCheckedBackgroundColor: 'transparent',
    radioBasicDisabledCheckedBorderColor: 'colorBasicTransparent600',
    radioBasicDisabledCheckedInnerCircleColor: 'colorBasicTransparent600',
    radioPrimaryTextColor: 'textBasicColor',
    radioPrimaryBorderColor: 'colorPrimaryTransparentDefaultBorder',
    radioPrimaryBackgroundColor: 'colorPrimaryTransparentDefault',
    radioPrimaryCheckedBackgroundColor: 'transparent',
    radioPrimaryCheckedBorderColor: 'colorPrimaryDefaultBorder',
    radioPrimaryInnerCircleColor: 'colorPrimaryDefault',
    radioPrimaryFocusBorderColor: 'colorPrimaryFocusBorder',
    radioPrimaryFocusInnerCircleColor: 'colorPrimaryFocus',
    radioPrimaryHoverBackgroundColor: 'colorPrimaryTransparentHover',
    radioPrimaryHoverBorderColor: 'colorPrimaryTransparentHoverBorder',
    radioPrimaryHoverInnerCircleColor: 'colorPrimaryHover',
    radioPrimaryHoverCheckedBackgroundColor: 'transparent',
    radioPrimaryActiveBorderColor: 'colorPrimaryActive',
    radioPrimaryActiveInnerCircleColor: 'colorPrimaryActive',
    radioPrimaryDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    radioPrimaryDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    radioPrimaryDisabledTextColor: 'textDisabledColor',
    radioPrimaryDisabledCheckedBackgroundColor: 'transparent',
    radioPrimaryDisabledCheckedBorderColor: 'colorBasicTransparent600',
    radioPrimaryDisabledCheckedInnerCircleColor: 'colorBasicTransparent600',
    radioSuccessTextColor: 'textBasicColor',
    radioSuccessBorderColor: 'colorSuccessTransparentDefaultBorder',
    radioSuccessBackgroundColor: 'colorSuccessTransparentDefault',
    radioSuccessCheckedBackgroundColor: 'transparent',
    radioSuccessCheckedBorderColor: 'colorSuccessDefaultBorder',
    radioSuccessInnerCircleColor: 'colorSuccessDefault',
    radioSuccessFocusBorderColor: 'colorSuccessFocusBorder',
    radioSuccessFocusInnerCircleColor: 'colorSuccessFocus',
    radioSuccessHoverBackgroundColor: 'colorSuccessTransparentHover',
    radioSuccessHoverBorderColor: 'colorSuccessTransparentHoverBorder',
    radioSuccessHoverInnerCircleColor: 'colorSuccessHover',
    radioSuccessHoverCheckedBackgroundColor: 'transparent',
    radioSuccessActiveBorderColor: 'colorSuccessActive',
    radioSuccessActiveInnerCircleColor: 'colorSuccessActive',
    radioSuccessDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    radioSuccessDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    radioSuccessDisabledTextColor: 'textDisabledColor',
    radioSuccessDisabledCheckedBackgroundColor: 'transparent',
    radioSuccessDisabledCheckedBorderColor: 'colorBasicTransparent600',
    radioSuccessDisabledCheckedInnerCircleColor: 'colorBasicTransparent600',
    radioInfoTextColor: 'textBasicColor',
    radioInfoBorderColor: 'colorInfoTransparentDefaultBorder',
    radioInfoBackgroundColor: 'colorInfoTransparentDefault',
    radioInfoCheckedBackgroundColor: 'transparent',
    radioInfoCheckedBorderColor: 'colorInfoDefaultBorder',
    radioInfoInnerCircleColor: 'colorInfoDefault',
    radioInfoFocusBorderColor: 'colorInfoFocusBorder',
    radioInfoFocusInnerCircleColor: 'colorInfoFocus',
    radioInfoHoverBackgroundColor: 'colorInfoTransparentHover',
    radioInfoHoverBorderColor: 'colorInfoTransparentHoverBorder',
    radioInfoHoverInnerCircleColor: 'colorInfoHover',
    radioInfoHoverCheckedBackgroundColor: 'transparent',
    radioInfoActiveBorderColor: 'colorInfoActive',
    radioInfoActiveInnerCircleColor: 'colorInfoActive',
    radioInfoDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    radioInfoDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    radioInfoDisabledTextColor: 'textDisabledColor',
    radioInfoDisabledCheckedBackgroundColor: 'transparent',
    radioInfoDisabledCheckedBorderColor: 'colorBasicTransparent600',
    radioInfoDisabledCheckedInnerCircleColor: 'colorBasicTransparent600',
    radioWarningTextColor: 'textBasicColor',
    radioWarningBorderColor: 'colorWarningTransparentDefaultBorder',
    radioWarningBackgroundColor: 'colorWarningTransparentDefault',
    radioWarningCheckedBackgroundColor: 'transparent',
    radioWarningCheckedBorderColor: 'colorWarningDefaultBorder',
    radioWarningInnerCircleColor: 'colorWarningDefault',
    radioWarningFocusBorderColor: 'colorWarningFocusBorder',
    radioWarningFocusInnerCircleColor: 'colorWarningFocus',
    radioWarningHoverBackgroundColor: 'colorWarningTransparentHover',
    radioWarningHoverBorderColor: 'colorWarningTransparentHoverBorder',
    radioWarningHoverInnerCircleColor: 'colorWarningHover',
    radioWarningHoverCheckedBackgroundColor: 'transparent',
    radioWarningActiveBorderColor: 'colorWarningActive',
    radioWarningActiveInnerCircleColor: 'colorWarningActive',
    radioWarningDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    radioWarningDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    radioWarningDisabledTextColor: 'textDisabledColor',
    radioWarningDisabledCheckedBackgroundColor: 'transparent',
    radioWarningDisabledCheckedBorderColor: 'colorBasicTransparent600',
    radioWarningDisabledCheckedInnerCircleColor: 'colorBasicTransparent600',
    radioDangerTextColor: 'textBasicColor',
    radioDangerBorderColor: 'colorDangerTransparentDefaultBorder',
    radioDangerBackgroundColor: 'colorDangerTransparentDefault',
    radioDangerCheckedBackgroundColor: 'transparent',
    radioDangerCheckedBorderColor: 'colorDangerDefaultBorder',
    radioDangerInnerCircleColor: 'colorDangerDefault',
    radioDangerFocusBorderColor: 'colorDangerFocusBorder',
    radioDangerFocusInnerCircleColor: 'colorDangerFocus',
    radioDangerHoverBackgroundColor: 'colorDangerTransparentHover',
    radioDangerHoverBorderColor: 'colorDangerTransparentHoverBorder',
    radioDangerHoverInnerCircleColor: 'colorDangerHover',
    radioDangerHoverCheckedBackgroundColor: 'transparent',
    radioDangerActiveBorderColor: 'colorDangerActive',
    radioDangerActiveInnerCircleColor: 'colorDangerActive',
    radioDangerDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    radioDangerDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    radioDangerDisabledTextColor: 'textDisabledColor',
    radioDangerDisabledCheckedBackgroundColor: 'transparent',
    radioDangerDisabledCheckedBorderColor: 'colorBasicTransparent600',
    radioDangerDisabledCheckedInnerCircleColor: 'colorBasicTransparent600',
    radioControlTextColor: 'textControlColor',
    radioControlBackgroundColor: 'colorBasicControlTransparent300',
    radioControlBorderColor: 'colorBasic100',
    radioControlCheckedBackgroundColor: 'transparent',
    radioControlCheckedBorderColor: 'colorBasic100',
    radioControlInnerCircleColor: 'colorBasic100',
    radioControlFocusBorderColor: 'colorBasic100',
    radioControlFocusInnerCircleColor: 'colorBasic100',
    radioControlHoverBackgroundColor: 'colorBasicControlTransparent400',
    radioControlHoverBorderColor: 'colorBasic100',
    radioControlHoverInnerCircleColor: 'colorBasic100',
    radioControlHoverCheckedBackgroundColor: 'transparent',
    radioControlActiveBorderColor: 'colorBasic100',
    radioControlActiveInnerCircleColor: 'colorBasic100',
    radioControlDisabledBackgroundColor: 'colorBasicControlTransparent200',
    radioControlDisabledBorderColor: 'colorBasicControlTransparent500',
    radioControlDisabledTextColor: 'colorBasic100',
    radioControlDisabledCheckedBackgroundColor: 'transparent',
    radioControlDisabledCheckedBorderColor: 'colorBasicControlTransparent500',
    radioControlDisabledCheckedInnerCircleColor: 'colorBasicControlTransparent400',
    treeGridCellBorderWidth: '1px',
    treeGridCellBorderStyle: 'solid',
    treeGridCellBorderColor: 'borderBasicColor2',
    treeGridRowMinHeight: '2rem',
    treeGridCellPadding: '0.875rem 1.25rem',
    treeGridHeaderBackgroundColor: 'backgroundBasicColor1',
    treeGridHeaderTextColor: 'textBasicColor',
    treeGridHeaderTextFontFamily: 'textSubtitleFontFamily',
    treeGridHeaderTextFontSize: 'textSubtitleFontSize',
    treeGridHeaderTextFontWeight: 'textSubtitleFontWeight',
    treeGridHeaderTextLineHeight: 'textSubtitleLineHeight',
    treeGridFooterBackgroundColor: 'backgroundBasicColor1',
    treeGridFooterTextColor: 'textBasicColor',
    treeGridFooterTextFontFamily: 'treeGridHeaderTextFontFamily',
    treeGridFooterTextFontSize: 'treeGridHeaderTextFontSize',
    treeGridFooterTextFontWeight: 'treeGridHeaderTextFontWeight',
    treeGridFooterTextLineHeight: 'treeGridHeaderTextLineHeight',
    treeGridRowBackgroundColor: 'backgroundBasicColor1',
    treeGridRowEvenBackgroundColor: 'backgroundBasicColor1',
    treeGridRowHoverBackgroundColor: 'backgroundBasicColor1',
    treeGridRowTextColor: 'textBasicColor',
    treeGridRowTextFontFamily: 'textParagraphFontFamily',
    treeGridRowTextFontSize: 'textParagraphFontSize',
    treeGridRowTextFontWeight: 'textParagraphFontWeight',
    treeGridRowTextLineHeight: 'textParagraphLineHeight',
    treeGridSortHeaderButtonBackgroundColor: 'transparent',
    treeGridSortHeaderButtonBorder: 'none',
    treeGridSortHeaderButtonPadding: 0,
    iconFontSize: '1.25rem',
    iconLineHeight: 1,
    iconWidth: '1em',
    iconHeight: '1em',
    iconSvgVerticalAlign: 'top',
    iconBasicColor: 'textHintColor',
    iconPrimaryColor: 'colorPrimaryDefault',
    iconInfoColor: 'colorInfoDefault',
    iconSuccessColor: 'colorSuccessDefault',
    iconWarningColor: 'colorWarningDefault',
    iconDangerColor: 'colorDangerDefault',
    iconControlColor: 'colorBasic100',
    toggleHeight: '1.875rem',
    toggleWidth: '3.125rem',
    toggleBorderWidth: '1px',
    toggleBorderRadius: '100px',
    toggleOutlineWidth: 'outlineWidth',
    toggleOutlineColor: 'outlineColor',
    toggleSwitcherSize: '1.75rem',
    toggleTextFontFamily: 'textSubtitle2FontFamily',
    toggleTextFontSize: 'textSubtitle2FontSize',
    toggleTextFontWeight: 'textSubtitle2FontWeight',
    toggleTextLineHeight: 'textSubtitle2LineHeight',
    toggleCursor: 'pointer',
    toggleDisabledCursor: 'default',
    toggleBasicTextColor: 'textBasicColor',
    toggleBasicBackgroundColor: 'colorBasicTransparent200',
    toggleBasicBorderColor: 'colorBasic500',
    toggleBasicCheckedBackgroundColor: 'colorPrimaryDefault',
    toggleBasicCheckedBorderColor: 'colorPrimaryDefault',
    toggleBasicCheckedSwitcherBackgroundColor: 'backgroundBasicColor1',
    toggleBasicCheckedSwitcherCheckmarkColor: 'colorPrimaryDefault',
    toggleBasicFocusBackgroundColor: 'colorBasicTransparent500',
    toggleBasicFocusBorderColor: 'colorBasicTransparentFocusBorder',
    toggleBasicFocusCheckedBackgroundColor: 'colorPrimaryFocus',
    toggleBasicFocusCheckedBorderColor: 'colorPrimaryFocusBorder',
    toggleBasicHoverBackgroundColor: 'colorPrimaryTransparentHover',
    toggleBasicHoverBorderColor: 'colorPrimary400',
    toggleBasicHoverCheckedBackgroundColor: 'colorPrimaryHover',
    toggleBasicHoverCheckedBorderColor: 'colorPrimaryHoverBorder',
    toggleBasicActiveBackgroundColor: 'colorBasicTransparent500',
    toggleBasicActiveBorderColor: 'colorBasicTransparentFocusBorder',
    toggleBasicActiveCheckedBackgroundColor: 'colorPrimaryActive',
    toggleBasicActiveCheckedBorderColor: 'colorPrimaryActive',
    toggleBasicDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    toggleBasicDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    toggleBasicDisabledSwitcherBackgroundColor: 'colorBasicDisabled',
    toggleBasicDisabledCheckedSwitcherCheckmarkColor: 'textAlternateColor',
    toggleBasicDisabledTextColor: 'textDisabledColor',
    togglePrimaryTextColor: 'textBasicColor',
    togglePrimaryBackgroundColor: 'colorPrimaryTransparentDefault',
    togglePrimaryBorderColor: 'colorPrimaryTransparentDefaultBorder',
    togglePrimaryCheckedBackgroundColor: 'colorPrimaryDefault',
    togglePrimaryCheckedBorderColor: 'colorPrimaryDefault',
    togglePrimaryCheckedSwitcherBackgroundColor: 'backgroundBasicColor1',
    togglePrimaryCheckedSwitcherCheckmarkColor: 'colorPrimaryDefault',
    togglePrimaryFocusBackgroundColor: 'colorPrimaryTransparentFocus',
    togglePrimaryFocusBorderColor: 'colorPrimaryTransparentFocusBorder',
    togglePrimaryFocusCheckedBackgroundColor: 'colorPrimaryFocus',
    togglePrimaryFocusCheckedBorderColor: 'colorPrimaryFocusBorder',
    togglePrimaryHoverBackgroundColor: 'colorPrimaryTransparentHover',
    togglePrimaryHoverBorderColor: 'colorPrimaryTransparentHoverBorder',
    togglePrimaryHoverCheckedBackgroundColor: 'colorPrimaryHover',
    togglePrimaryHoverCheckedBorderColor: 'colorPrimaryHoverBorder',
    togglePrimaryActiveBackgroundColor: 'colorPrimaryTransparentActive',
    togglePrimaryActiveBorderColor: 'colorPrimaryTransparentActiveBorder',
    togglePrimaryActiveCheckedBackgroundColor: 'colorPrimaryActive',
    togglePrimaryActiveCheckedBorderColor: 'colorPrimaryActiveBorder',
    togglePrimaryDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    togglePrimaryDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    togglePrimaryDisabledSwitcherBackgroundColor: 'colorBasicDisabled',
    togglePrimaryDisabledCheckedSwitcherCheckmarkColor: 'textAlternateColor',
    togglePrimaryDisabledTextColor: 'textDisabledColor',
    toggleSuccessTextColor: 'textBasicColor',
    toggleSuccessBackgroundColor: 'colorSuccessTransparentDefault',
    toggleSuccessBorderColor: 'colorSuccessTransparentDefaultBorder',
    toggleSuccessCheckedBackgroundColor: 'colorSuccessDefault',
    toggleSuccessCheckedBorderColor: 'colorSuccessDefault',
    toggleSuccessCheckedSwitcherBackgroundColor: 'backgroundBasicColor1',
    toggleSuccessCheckedSwitcherCheckmarkColor: 'colorSuccessDefault',
    toggleSuccessFocusBackgroundColor: 'colorSuccessTransparentFocus',
    toggleSuccessFocusBorderColor: 'colorSuccessTransparentFocusBorder',
    toggleSuccessFocusCheckedBackgroundColor: 'colorSuccessFocus',
    toggleSuccessFocusCheckedBorderColor: 'colorSuccessFocusBorder',
    toggleSuccessHoverBackgroundColor: 'colorSuccessTransparentHover',
    toggleSuccessHoverBorderColor: 'colorSuccessTransparentHoverBorder',
    toggleSuccessHoverCheckedBackgroundColor: 'colorSuccessHover',
    toggleSuccessHoverCheckedBorderColor: 'colorSuccessHoverBorder',
    toggleSuccessActiveBackgroundColor: 'colorSuccessTransparentActive',
    toggleSuccessActiveBorderColor: 'colorSuccessTransparentActiveBorder',
    toggleSuccessActiveCheckedBackgroundColor: 'colorSuccessActive',
    toggleSuccessActiveCheckedBorderColor: 'colorSuccessActiveBorder',
    toggleSuccessDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    toggleSuccessDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    toggleSuccessDisabledSwitcherBackgroundColor: 'colorBasicDisabled',
    toggleSuccessDisabledCheckedSwitcherCheckmarkColor: 'textAlternateColor',
    toggleSuccessDisabledTextColor: 'textDisabledColor',
    toggleInfoTextColor: 'textBasicColor',
    toggleInfoBackgroundColor: 'colorInfoTransparentDefault',
    toggleInfoBorderColor: 'colorInfoTransparentDefaultBorder',
    toggleInfoCheckedBackgroundColor: 'colorInfoDefault',
    toggleInfoCheckedBorderColor: 'colorInfoDefault',
    toggleInfoCheckedSwitcherBackgroundColor: 'backgroundBasicColor1',
    toggleInfoCheckedSwitcherCheckmarkColor: 'colorInfoDefault',
    toggleInfoFocusBackgroundColor: 'colorInfoTransparentFocus',
    toggleInfoFocusBorderColor: 'colorInfoTransparentFocusBorder',
    toggleInfoFocusCheckedBackgroundColor: 'colorInfoFocus',
    toggleInfoFocusCheckedBorderColor: 'colorInfoFocusBorder',
    toggleInfoHoverBackgroundColor: 'colorInfoTransparentHover',
    toggleInfoHoverBorderColor: 'colorInfoTransparentHoverBorder',
    toggleInfoHoverCheckedBackgroundColor: 'colorInfoHover',
    toggleInfoHoverCheckedBorderColor: 'colorInfoHoverBorder',
    toggleInfoActiveBackgroundColor: 'colorInfoTransparentActive',
    toggleInfoActiveBorderColor: 'colorInfoTransparentActiveBorder',
    toggleInfoActiveCheckedBackgroundColor: 'colorInfoActive',
    toggleInfoActiveCheckedBorderColor: 'colorInfoActiveBorder',
    toggleInfoDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    toggleInfoDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    toggleInfoDisabledSwitcherBackgroundColor: 'colorBasicDisabled',
    toggleInfoDisabledCheckedSwitcherCheckmarkColor: 'textAlternateColor',
    toggleInfoDisabledTextColor: 'textDisabledColor',
    toggleWarningTextColor: 'textBasicColor',
    toggleWarningBackgroundColor: 'colorWarningTransparentDefault',
    toggleWarningBorderColor: 'colorWarningTransparentDefaultBorder',
    toggleWarningCheckedBackgroundColor: 'colorWarningDefault',
    toggleWarningCheckedBorderColor: 'colorWarningDefault',
    toggleWarningCheckedSwitcherBackgroundColor: 'backgroundBasicColor1',
    toggleWarningCheckedSwitcherCheckmarkColor: 'colorWarningDefault',
    toggleWarningFocusBackgroundColor: 'colorWarningTransparentFocus',
    toggleWarningFocusBorderColor: 'colorWarningTransparentFocusBorder',
    toggleWarningFocusCheckedBackgroundColor: 'colorWarningFocus',
    toggleWarningFocusCheckedBorderColor: 'colorWarningFocusBorder',
    toggleWarningHoverBackgroundColor: 'colorWarningTransparentHover',
    toggleWarningHoverBorderColor: 'colorWarningTransparentHoverBorder',
    toggleWarningHoverCheckedBackgroundColor: 'colorWarningHover',
    toggleWarningHoverCheckedBorderColor: 'colorWarningHoverBorder',
    toggleWarningActiveBackgroundColor: 'colorWarningTransparentActive',
    toggleWarningActiveBorderColor: 'colorWarningTransparentActiveBorder',
    toggleWarningActiveCheckedBackgroundColor: 'colorWarningActive',
    toggleWarningActiveCheckedBorderColor: 'colorWarningActiveBorder',
    toggleWarningDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    toggleWarningDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    toggleWarningDisabledSwitcherBackgroundColor: 'colorBasicDisabled',
    toggleWarningDisabledCheckedSwitcherCheckmarkColor: 'textAlternateColor',
    toggleWarningDisabledTextColor: 'textDisabledColor',
    toggleDangerTextColor: 'textBasicColor',
    toggleDangerBackgroundColor: 'colorDangerTransparentDefault',
    toggleDangerBorderColor: 'colorDangerTransparentDefaultBorder',
    toggleDangerCheckedBackgroundColor: 'colorDangerDefault',
    toggleDangerCheckedBorderColor: 'colorDangerDefault',
    toggleDangerCheckedSwitcherBackgroundColor: 'backgroundBasicColor1',
    toggleDangerCheckedSwitcherCheckmarkColor: 'colorDangerDefault',
    toggleDangerFocusBackgroundColor: 'colorDangerTransparentFocus',
    toggleDangerFocusBorderColor: 'colorDangerTransparentFocusBorder',
    toggleDangerFocusCheckedBackgroundColor: 'colorDangerFocus',
    toggleDangerFocusCheckedBorderColor: 'colorDangerFocusBorder',
    toggleDangerHoverBackgroundColor: 'colorDangerTransparentHover',
    toggleDangerHoverBorderColor: 'colorDangerTransparentHoverBorder',
    toggleDangerHoverCheckedBackgroundColor: 'colorDangerHover',
    toggleDangerHoverCheckedBorderColor: 'colorDangerHoverBorder',
    toggleDangerActiveBackgroundColor: 'colorDangerTransparentActive',
    toggleDangerActiveBorderColor: 'colorDangerTransparentActiveBorder',
    toggleDangerActiveCheckedBackgroundColor: 'colorDangerActive',
    toggleDangerActiveCheckedBorderColor: 'colorDangerActiveBorder',
    toggleDangerDisabledBackgroundColor: 'colorBasicTransparentDisabled',
    toggleDangerDisabledBorderColor: 'colorBasicTransparentDisabledBorder',
    toggleDangerDisabledSwitcherBackgroundColor: 'colorBasicDisabled',
    toggleDangerDisabledCheckedSwitcherCheckmarkColor: 'textAlternateColor',
    toggleDangerDisabledTextColor: 'textDisabledColor',
    toggleControlTextColor: 'colorBasic100',
    toggleControlBackgroundColor: 'colorBasicControlTransparent300',
    toggleControlBorderColor: 'colorBasicControlTransparent500',
    toggleControlCheckedBackgroundColor: 'colorBasicControlTransparent300',
    toggleControlCheckedBorderColor: 'colorBasic100',
    toggleControlCheckedSwitcherBackgroundColor: 'colorBasic100',
    toggleControlCheckedSwitcherCheckmarkColor: 'colorBasic700',
    toggleControlFocusBackgroundColor: 'colorBasicControlTransparent500',
    toggleControlFocusBorderColor: 'colorBasic100',
    toggleControlFocusCheckedBackgroundColor: 'colorBasicControlTransparent500',
    toggleControlFocusCheckedBorderColor: 'colorBasic100',
    toggleControlHoverBackgroundColor: 'colorBasicControlTransparent400',
    toggleControlHoverBorderColor: 'colorBasicControlTransparent500',
    toggleControlHoverCheckedBackgroundColor: 'colorBasicControlTransparent400',
    toggleControlHoverCheckedBorderColor: 'colorBasic100',
    toggleControlActiveBackgroundColor: 'colorBasicControlTransparent500',
    toggleControlActiveBorderColor: 'colorBasic100',
    toggleControlActiveCheckedBackgroundColor: 'colorBasicControlTransparent500',
    toggleControlActiveCheckedBorderColor: 'colorBasic100',
    toggleControlDisabledBackgroundColor: 'colorBasicControlTransparent200',
    toggleControlDisabledBorderColor: 'colorBasicControlTransparent500',
    toggleControlDisabledSwitcherBackgroundColor: 'colorBasicControlTransparent400',
    toggleControlDisabledCheckedSwitcherCheckmarkColor: 'colorBasic100',
    toggleControlDisabledTextColor: 'colorBasic100',
};

var gridSize = 12;
var gridGutter = 24;
var breakpoints = {
    xs: 0,
    is: 400,
    sm: 576,
    md: 768,
    lg: 992,
    xl: 1200,
    xxl: 1400,
    xxxl: 1600,
};
var maxContainer = {
    is: 380,
    sm: 540,
    md: 720,
    lg: 960,
    xl: 1140,
    xxl: 1320,
    xxxl: 1500,
};
function getGridSize(theme) {
    var _a;
    return _a = theme.gridSize, (_a !== null && _a !== void 0 ? _a : gridSize);
}
function getGridGutter(theme) {
    var _a;
    return _a = theme.gridGutter, (_a !== null && _a !== void 0 ? _a : gridGutter);
}
function breakpointMin(name) {
    return breakpoints[name] !== 0 ? breakpoints[name] : null;
}
function breakpointNext(index) {
    return index < Object.keys(breakpoints).length ? Object.keys(breakpoints)[index + 1] : null;
}
function ifWidthInBreakpoint(breakpoint) {
    if (breakpoint === void 0) { breakpoint = []; }
    var bp = Object.keys(breakpoints);
    if (breakpoint === []) {
        return false;
    }
    var value = false;
    breakpoint
        .filter(function (b) { return ~bp.indexOf(b); })
        .sort(function (b1, b2) { return bp.indexOf(b1) - bp.indexOf(b2); })
        .forEach(function (b) {
        var next = breakpointNext(bp.indexOf(b));
        if (window.innerWidth >= breakpoints[b] && (next == null || window.innerWidth < breakpoints[next])) {
            value = true;
        }
    });
    return value;
}
function breakpointMax(name) {
    var n = Object.keys(breakpoints).indexOf(name);
    var next = breakpointNext(n);
    if (!next)
        return null;
    var min = breakpointMin(next);
    if (!min)
        return null;
    return min - 0.2;
}
var breakpointDown = function (name) { return function (first) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var max = breakpointMax(name);
    if (max) {
        return css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n      @media (max-width: ", "px) {\n        ", "\n      }\n    "], ["\n      @media (max-width: ", "px) {\n        ", "\n      }\n    "])), max, css.apply(void 0, __spread([first], args)));
    }
    else {
        return css.apply(void 0, __spread([first], args));
    }
}; };
var breakpointUp = function (name) { return function (first) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var min = breakpointMin(name);
    if (min) {
        return css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      @media (min-width: ", "px) {\n        ", "\n      }\n    "], ["\n      @media (min-width: ", "px) {\n        ", "\n      }\n    "])), min, css.apply(void 0, __spread([first], args)));
    }
    else {
        return css.apply(void 0, __spread([first], args));
    }
}; };
var breakpointBetween = function (lower, upper) { return function (first) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var min = breakpointMin(lower);
    var max = breakpointMax(upper);
    if (min != null && max != null) {
        return css(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      @media (min-width: ", "px) and (max-width: ", "px) {\n        ", "\n      }\n    "], ["\n      @media (min-width: ", "px) and (max-width: ", "px) {\n        ", "\n      }\n    "])), min, max, css.apply(void 0, __spread([first], args)));
    }
    else if (max == null) {
        return breakpointUp(lower).apply(void 0, __spread([first], args));
    }
    else if (min == null) {
        return breakpointDown(upper).apply(void 0, __spread([first], args));
    }
    else {
        return css.apply(void 0, __spread([first], args));
    }
}; };
var breakpointOnly = function (name) { return function (first) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var min = breakpointMin(name);
    var max = breakpointMax(name);
    if (min != null && max != null) {
        return css(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n      @media (min-width: ", "px) and (max-width: ", "px) {\n        ", "\n      }\n    "], ["\n      @media (min-width: ", "px) and (max-width: ", "px) {\n        ", "\n      }\n    "])), min, max, css.apply(void 0, __spread([first], args)));
    }
    else if (max == null) {
        return breakpointUp(name).apply(void 0, __spread([first], args));
    }
    else if (min == null) {
        return breakpointDown(name).apply(void 0, __spread([first], args));
    }
    else {
        return css.apply(void 0, __spread([first], args));
    }
}; };
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;

var themeValues = {
    default: defaultTheme,
    cosmic: cosmic,
    corporate: corporate,
    dark: dark,
};
function getKeyValue(settings, key) {
    if (settings[key] in settings) {
        return getKeyValue(settings, settings[key]);
    }
    return settings[key];
}
function getThemeValue(settings) {
    Object.keys(settings).forEach(function (key) {
        settings[key] = getKeyValue(settings, key);
    });
    return settings;
}
function createTheme(name, settings) {
    if (settings === void 0) { settings = {}; }
    switch (name) {
        case 'cosmic':
            return __assign({ name: name, dir: 'ltr' }, getThemeValue(__assign(__assign(__assign(__assign(__assign({}, defaultTheme), mapping), themeValues['dark']), themeValues[name]), settings)));
        case 'corporate':
        case 'dark':
            return __assign({ name: name, dir: 'ltr' }, getThemeValue(__assign(__assign(__assign(__assign({}, defaultTheme), mapping), themeValues[name]), settings)));
        default:
            return __assign({ name: name, dir: 'ltr' }, getThemeValue(__assign(__assign(__assign({}, defaultTheme), mapping), settings)));
    }
}

var getHeadings = css(templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  h1 {\n    margin: 0;\n  }\n  h2 {\n    margin: 0;\n  }\n  h3 {\n    margin: 0;\n  }\n  h4 {\n    margin: 0;\n  }\n  h5 {\n    margin: 0;\n  }\n  h6 {\n    margin: 0;\n  }\n"], ["\n  h1 {\n    margin: 0;\n  }\n  h2 {\n    margin: 0;\n  }\n  h3 {\n    margin: 0;\n  }\n  h4 {\n    margin: 0;\n  }\n  h5 {\n    margin: 0;\n  }\n  h6 {\n    margin: 0;\n  }\n"])));
var scrollbars = function (fg, bg, size) {
    var borderRadius = parseFloat(size) / 2;
    return css(templateObject_2$1 || (templateObject_2$1 = __makeTemplateObject(["\n    &::-webkit-scrollbar {\n      width: ", ";\n      height: ", ";\n    }\n\n    &::-webkit-scrollbar-thumb {\n      background: ", ";\n      cursor: pointer;\n      border-radius: ", ";\n    }\n\n    &::-webkit-scrollbar-track {\n      background: ", ";\n    }\n  "], ["\n    &::-webkit-scrollbar {\n      width: ", ";\n      height: ", ";\n    }\n\n    &::-webkit-scrollbar-thumb {\n      background: ", ";\n      cursor: pointer;\n      border-radius: ", ";\n    }\n\n    &::-webkit-scrollbar-track {\n      background: ", ";\n    }\n  "])), size, size, fg, borderRadius, bg);
};
var componentAnimation = function (properties) {
    return css(templateObject_3$1 || (templateObject_3$1 = __makeTemplateObject(["\n    transition-duration: 0.15s;\n    transition-property: ", ";\n    transition-timing-function: ease-in;\n  "], ["\n    transition-duration: 0.15s;\n    transition-property: ", ";\n    transition-timing-function: ease-in;\n  "])), properties);
};
var outlineShadow = function (width, color, insetShadow) {
    if (insetShadow === void 0) { insetShadow = false; }
    var outsetShadow = "0 0 0 " + width + " " + color;
    return css(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n    box-shadow: ", ";\n    ", "\n  "], ["\n    box-shadow: ", ";\n    ",
        "\n  "])), outsetShadow, insetShadow && css(templateObject_4$1 || (templateObject_4$1 = __makeTemplateObject(["\n        &:not(:hover):not(:active) {\n          box-shadow: ", ", inset 0 0 0 100vmax ", ";\n        }\n      "], ["\n        &:not(:hover):not(:active) {\n          box-shadow: ", ", inset 0 0 0 100vmax ", ";\n        }\n      "])), outsetShadow, function (_a) {
        var theme = _a.theme;
        return theme.buttonOutlineColor;
    }));
};
var templateObject_1$1, templateObject_2$1, templateObject_3$1, templateObject_4$1, templateObject_5;

var AccordionStyle = styled.div(templateObject_2$2 || (templateObject_2$2 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\n    display: block;\n    box-shadow: ", ";\n    border-radius: ", ";\n  "], ["\n    display: block;\n    box-shadow: ", ";\n    border-radius: ", ";\n  "])), theme.accordionShadow, theme.accordionBorderRadius);
});
var ItemStyle = styled.div(templateObject_4$2 || (templateObject_4$2 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_3$2 || (templateObject_3$2 = __makeTemplateObject(["\n    background-color: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n\n    display: flex;\n    flex-direction: column;\n\n    & > header {\n      position: relative;\n      padding: ", ";\n      border-bottom-width: ", ";\n      border-bottom-style: ", ";\n      border-bottom-color: ", ";\n      color: ", ";\n\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n\n      ", ";\n\n      display: flex;\n      align-items: center;\n      cursor: pointer;\n\n      &:focus {\n        outline: 0;\n      }\n\n      .expansion-indicator {\n        position: absolute;\n        ", ": 1rem;\n      }\n    }\n\n    &.disabled > header {\n      color: ", ";\n      cursor: default;\n    }\n\n    &:first-child {\n      border-top-left-radius: ", ";\n      border-top-right-radius: ", ";\n    }\n    &:last-child {\n      border-bottom-left-radius: ", ";\n      border-bottom-right-radius: ", ";\n\n      &.collapsed > header {\n        border-bottom: none;\n      }\n    }\n    &:not(.collapsed) + & > header {\n      border-top-width: ", ";\n      border-top-style: ", ";\n      border-top-color: ", ";\n    }\n    .item-body {\n      flex: 1;\n      -ms-flex: 1 1 auto;\n      overflow: auto;\n      padding: ", ";\n      position: relative;\n    }\n    .collapsed {\n      overflow: hidden;\n      max-height: 0;\n      transition: all 0.5s cubic-bezier(0, 1, 0.3, 1) -100ms;\n    }\n    .expanded {\n      max-height: 1500px;\n      transition: all 0.5s cubic-bezier(1, 0.15, 1, 1);\n    }\n  "], ["\n    background-color: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n\n    display: flex;\n    flex-direction: column;\n\n    & > header {\n      position: relative;\n      padding: ", ";\n      border-bottom-width: ", ";\n      border-bottom-style: ", ";\n      border-bottom-color: ", ";\n      color: ", ";\n\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n\n      ", ";\n\n      display: flex;\n      align-items: center;\n      cursor: pointer;\n\n      &:focus {\n        outline: 0;\n      }\n\n      .expansion-indicator {\n        position: absolute;\n        ", ": 1rem;\n      }\n    }\n\n    &.disabled > header {\n      color: ", ";\n      cursor: default;\n    }\n\n    &:first-child {\n      border-top-left-radius: ", ";\n      border-top-right-radius: ", ";\n    }\n    &:last-child {\n      border-bottom-left-radius: ", ";\n      border-bottom-right-radius: ", ";\n\n      &.collapsed > header {\n        border-bottom: none;\n      }\n    }\n    &:not(.collapsed) + & > header {\n      border-top-width: ", ";\n      border-top-style: ", ";\n      border-top-color: ", ";\n    }\n    .item-body {\n      flex: 1;\n      -ms-flex: 1 1 auto;\n      overflow: auto;\n      padding: ", ";\n      position: relative;\n    }\n    .collapsed {\n      overflow: hidden;\n      max-height: 0;\n      transition: all 0.5s cubic-bezier(0, 1, 0.3, 1) -100ms;\n    }\n    .expanded {\n      max-height: 1500px;\n      transition: all 0.5s cubic-bezier(1, 0.15, 1, 1);\n    }\n  "])), theme.accordionItemBackgroundColor, theme.accordionItemTextColor, theme.accordionItemTextFontFamily, theme.accordionItemTextFontSize, theme.accordionItemTextFontWeight, theme.accordionItemTextLineHeight, theme.accordionPadding, theme.accordionHeaderBorderWidth, theme.accordionHeaderBorderStyle, theme.accordionHeaderBorderColor, theme.accordionHeaderTextColor, theme.accordionHeaderTextFontFamily, theme.accordionHeaderTextFontSize, theme.accordionHeaderTextFontWeight, theme.accordionHeaderTextLineHeight, getHeadings, theme.dir === 'rtl' ? 'left' : 'right', theme.accordionHeaderDisabledTextColor, theme.accordionBorderRadius, theme.accordionBorderRadius, theme.accordionBorderRadius, theme.accordionBorderRadius, theme.accordionHeaderBorderWidth, theme.accordionHeaderBorderStyle, theme.accordionHeaderBorderColor, theme.accordionPadding);
});
var templateObject_1$2, templateObject_2$2, templateObject_3$2, templateObject_4$2;

var defaultIcons = {
    'chevron-down-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="chevron-down"><rect width="24" height="24" opacity="0"/><path d="M12 15.5a1 1 0 0 1-.71-.29l-4-4a1 1 0 1 1 1.42-1.42L12 13.1l3.3-3.18a1 1 0 1 1 1.38 1.44l-4 3.86a1 1 0 0 1-.68.28z"/></g></g></svg>',
    'chevron-up-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="chevron-up"><rect width="24" height="24" transform="rotate(180 12 12)" opacity="0"/><path d="M16 14.5a1 1 0 0 1-.71-.29L12 10.9l-3.3 3.18a1 1 0 0 1-1.41 0 1 1 0 0 1 0-1.42l4-3.86a1 1 0 0 1 1.4 0l4 4a1 1 0 0 1 0 1.42 1 1 0 0 1-.69.28z"/></g></g></svg>',
    'chevron-left-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="chevron-left"><rect width="24" height="24" transform="rotate(90 12 12)" opacity="0"/><path d="M13.36 17a1 1 0 0 1-.72-.31l-3.86-4a1 1 0 0 1 0-1.4l4-4a1 1 0 1 1 1.42 1.42L10.9 12l3.18 3.3a1 1 0 0 1 0 1.41 1 1 0 0 1-.72.29z"/></g></g></svg>',
    'chevron-right-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="chevron-right"><rect width="24" height="24" transform="rotate(-90 12 12)" opacity="0"/><path d="M10.5 17a1 1 0 0 1-.71-.29 1 1 0 0 1 0-1.42L13.1 12 9.92 8.69a1 1 0 0 1 0-1.41 1 1 0 0 1 1.42 0l3.86 4a1 1 0 0 1 0 1.4l-4 4a1 1 0 0 1-.7.32z"/></g></g></svg>',
    'checkmark-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="checkmark"><rect width="24" height="24" opacity="0"/><path d="M9.86 18a1 1 0 0 1-.73-.32l-4.86-5.17a1 1 0 1 1 1.46-1.37l4.12 4.39 8.41-9.2a1 1 0 1 1 1.48 1.34l-9.14 10a1 1 0 0 1-.73.33z"/></g></g></svg>',
    'paper-plane-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="paper-plane"><rect width="24" height="24" opacity="0"/><path d="M21 4a1.31 1.31 0 0 0-.06-.27v-.09a1 1 0 0 0-.2-.3 1 1 0 0 0-.29-.19h-.09a.86.86 0 0 0-.31-.15H20a1 1 0 0 0-.3 0l-18 6a1 1 0 0 0 0 1.9l8.53 2.84 2.84 8.53a1 1 0 0 0 1.9 0l6-18A1 1 0 0 0 21 4zm-4.7 2.29l-5.57 5.57L5.16 10zM14 18.84l-1.86-5.57 5.57-5.57z"/></g></g></svg>',
    'file-text-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="file-text"><rect width="24" height="24" opacity="0"/><path d="M15 16H9a1 1 0 0 0 0 2h6a1 1 0 0 0 0-2z"/><path d="M9 14h3a1 1 0 0 0 0-2H9a1 1 0 0 0 0 2z"/><path d="M19.74 8.33l-5.44-6a1 1 0 0 0-.74-.33h-7A2.53 2.53 0 0 0 4 4.5v15A2.53 2.53 0 0 0 6.56 22h10.88A2.53 2.53 0 0 0 20 19.5V9a1 1 0 0 0-.26-.67zM14 5l2.74 3h-2a.79.79 0 0 1-.74-.85zm3.44 15H6.56a.53.53 0 0 1-.56-.5v-15a.53.53 0 0 1 .56-.5H12v3.15A2.79 2.79 0 0 0 14.71 10H18v9.5a.53.53 0 0 1-.56.5z"/></g></g></svg>',
    'alert-triangle-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="alert-triangle"><rect width="24" height="24" transform="rotate(90 12 12)" opacity="0"/><path d="M22.56 16.3L14.89 3.58a3.43 3.43 0 0 0-5.78 0L1.44 16.3a3 3 0 0 0-.05 3A3.37 3.37 0 0 0 4.33 21h15.34a3.37 3.37 0 0 0 2.94-1.66 3 3 0 0 0-.05-3.04zm-1.7 2.05a1.31 1.31 0 0 1-1.19.65H4.33a1.31 1.31 0 0 1-1.19-.65 1 1 0 0 1 0-1l7.68-12.73a1.48 1.48 0 0 1 2.36 0l7.67 12.72a1 1 0 0 1 .01 1.01z"/><circle cx="12" cy="16" r="1"/><path d="M12 8a1 1 0 0 0-1 1v4a1 1 0 0 0 2 0V9a1 1 0 0 0-1-1z"/></g></g></svg>',
    'question-mark-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="question-mark"><rect width="24" height="24" transform="rotate(180 12 12)" opacity="0"/><path d="M17 9A5 5 0 0 0 7 9a1 1 0 0 0 2 0 3 3 0 1 1 3 3 1 1 0 0 0-1 1v2a1 1 0 0 0 2 0v-1.1A5 5 0 0 0 17 9z"/><circle cx="12" cy="19" r="1"/></g></g></svg>',
    'email-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="email"><rect width="24" height="24" opacity="0"/><path d="M19 4H5a3 3 0 0 0-3 3v10a3 3 0 0 0 3 3h14a3 3 0 0 0 3-3V7a3 3 0 0 0-3-3zm-.67 2L12 10.75 5.67 6zM19 18H5a1 1 0 0 1-1-1V7.25l7.4 5.55a1 1 0 0 0 .6.2 1 1 0 0 0 .6-.2L20 7.25V17a1 1 0 0 1-1 1z"/></g></g></svg>',
    'flash-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="flash"><rect width="24" height="24" opacity="0"/><path d="M11.11 23a1 1 0 0 1-.34-.06 1 1 0 0 1-.65-1.05l.77-7.09H5a1 1 0 0 1-.83-1.56l7.89-11.8a1 1 0 0 1 1.17-.38 1 1 0 0 1 .65 1l-.77 7.14H19a1 1 0 0 1 .83 1.56l-7.89 11.8a1 1 0 0 1-.83.44zM6.87 12.8H12a1 1 0 0 1 .74.33 1 1 0 0 1 .25.78l-.45 4.15 4.59-6.86H12a1 1 0 0 1-1-1.11l.45-4.15z"/></g></g></svg>',
    'search-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="search"><rect width="24" height="24" opacity="0"/><path d="M20.71 19.29l-3.4-3.39A7.92 7.92 0 0 0 19 11a8 8 0 1 0-8 8 7.92 7.92 0 0 0 4.9-1.69l3.39 3.4a1 1 0 0 0 1.42 0 1 1 0 0 0 0-1.42zM5 11a6 6 0 1 1 6 6 6 6 0 0 1-6-6z"/></g></g></svg>',
    'close-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="close"><rect width="24" height="24" transform="rotate(180 12 12)" opacity="0"/><path d="M13.41 12l4.3-4.29a1 1 0 1 0-1.42-1.42L12 10.59l-4.29-4.3a1 1 0 0 0-1.42 1.42l4.3 4.29-4.3 4.29a1 1 0 0 0 0 1.42 1 1 0 0 0 1.42 0l4.29-4.3 4.29 4.3a1 1 0 0 0 1.42 0 1 1 0 0 0 0-1.42z"/></g></g></svg>',
    'collapse-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="collapse"><rect width="24" height="24" transform="rotate(180 12 12)" opacity="0"/><path d="M19 9h-2.58l3.29-3.29a1 1 0 1 0-1.42-1.42L15 7.57V5a1 1 0 0 0-1-1 1 1 0 0 0-1 1v5a1 1 0 0 0 1 1h5a1 1 0 0 0 0-2z"/><path d="M10 13H5a1 1 0 0 0 0 2h2.57l-3.28 3.29a1 1 0 0 0 0 1.42 1 1 0 0 0 1.42 0L9 16.42V19a1 1 0 0 0 1 1 1 1 0 0 0 1-1v-5a1 1 0 0 0-1-1z"/></g></g></svg>',
    'expand-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="expand"><rect width="24" height="24" transform="rotate(180 12 12)" opacity="0"/><path d="M20 5a1 1 0 0 0-1-1h-5a1 1 0 0 0 0 2h2.57l-3.28 3.29a1 1 0 0 0 0 1.42 1 1 0 0 0 1.42 0L18 7.42V10a1 1 0 0 0 1 1 1 1 0 0 0 1-1z"/><path d="M10.71 13.29a1 1 0 0 0-1.42 0L6 16.57V14a1 1 0 0 0-1-1 1 1 0 0 0-1 1v5a1 1 0 0 0 1 1h5a1 1 0 0 0 0-2H7.42l3.29-3.29a1 1 0 0 0 0-1.42z"/></g></g></svg>',
    'minus-outline': '<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" width="100%" height="100%" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="minus"><rect width="24" height="24" transform="rotate(180 12 12)" opacity="0"/><path d="M19 13H5a1 1 0 0 1 0-2h14a1 1 0 0 1 0 2z"/></g></g></svg>',
    'minus-bold-outline': '<svg xmlns:xlink="http://www.w3.org/1999/xlink" fill="currentColor" viewBox="0 0 8 2" width="100%" height="100%"><defs><rect id="nb-mbo" y="3" width="8" height="2" rx="1"/></defs><use xlink:href="#nb-mbo" transform="translate(0 -3)" fill-rule="evenodd"/></svg>',
    'checkmark-bold-outline': '<svg xmlns:xlink="http://www.w3.org/1999/xlink" fill="currentColor" viewBox="0 0 8 7" width="100%" height="100%"><defs><path id="nb-cbo" d="M6.039 1.43a1.11 1.11 0 0 1 1.517-.228c.483.342.588.998.234 1.466L4.431 7.1a1 1 0 0 1-1.492.115L.317 4.677a1.023 1.023 0 0 1 .002-1.483 1.113 1.113 0 0 1 1.535.002l1.641 1.59L6.04 1.428z"/></defs><use xlink:href="#nb-cbo" transform="translate(0 -1)" fill-rule="evenodd"/></svg>',
    'arrow-back': '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g data-name="Layer 2"><g data-name="arrow-back"><rect width="24" height="24" transform="rotate(90 12 12)" opacity="0"/><path d="M19 11H7.14l3.63-4.36a1 1 0 1 0-1.54-1.28l-5 6a1.19 1.19 0 0 0-.09.15c0 .05 0 .08-.07.13A1 1 0 0 0 4 12a1 1 0 0 0 .07.36c0 .05 0 .08.07.13a1.19 1.19 0 0 0 .09.15l5 6A1 1 0 0 0 10 19a1 1 0 0 0 .64-.23 1 1 0 0 0 .13-1.41L7.14 13H19a1 1 0 0 0 0-2z"/></g></g></svg>',
};

var IconStyle = styled.div(templateObject_2$3 || (templateObject_2$3 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, status = _a.status;
    return css(templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["\n    font-size: ", ";\n    line-height: ", ";\n    width: ", ";\n    height: ", ";\n    display: inline-block;\n    svg {\n      vertical-align: ", ";\n    }\n    ", "\n  "], ["\n    font-size: ", ";\n    line-height: ", ";\n    width: ", ";\n    height: ", ";\n    display: inline-block;\n    svg {\n      vertical-align: ", ";\n    }\n    ", "\n  "])), theme.iconFontSize, theme.iconLineHeight, theme.iconWidth, theme.iconHeight, theme.iconSvgVerticalAlign, status && "color: " + theme["icon" + status + "Color"] + ";");
});
var templateObject_1$3, templateObject_2$3;

var MenuStyle = styled.div(templateObject_2$4 || (templateObject_2$4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    var divider = theme.menuItemDividerWidth + " " + theme.menuItemDividerStyle + " " + theme.menuItemDividerColor;
    return css(templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["\n      background-color: ", ";\n      display: block;\n\n      ul.menu-items {\n        margin: 0;\n        padding: 0;\n      }\n\n      .menu-group,\n      .menu-item a {\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        padding: ", ";\n      }\n\n      .menu-group,\n      .menu-group nb-icon.menu-icon {\n        color: ", ";\n      }\n\n      .menu-item {\n        a {\n          color: ", ";\n          border-radius: ", ";\n        }\n\n        a.active {\n          background-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        a:hover {\n          background-color: ", ";\n          color: ", ";\n          cursor: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        .menu-icon {\n          color: ", ";\n          font-size: ", ";\n          margin: ", ";\n          width: 1em;\n          text-align: center;\n        }\n\n        .expand-state {\n          color: ", ";\n        }\n      }\n\n      .menu-item {\n        border-bottom: ", ";\n\n        &:first-child {\n          border-top: none;\n        }\n        &:last-child {\n          border-bottom: none;\n        }\n\n        .menu-item:first-child {\n          border-top: ", ";\n        }\n      }\n\n      .menu-item > .menu-items {\n        background-color: ", ";\n        margin: ", ";\n        padding: ", ";\n      }\n\n      .menu-item > .menu-items > .menu-item {\n        background: ", ";\n        color: ", ";\n\n        a {\n          border-color: ", ";\n          border-style: ", ";\n          border-width: ", ";\n          padding: ", ";\n        }\n\n        a.active {\n          background-color: ", ";\n          border-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        a:hover {\n          background-color: ", ";\n          border-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        a.active:hover {\n          background-color: ", ";\n          border-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n      }\n\n      .menu-item > .menu-items > .menu-group {\n        &,\n        & nb-icon.menu-icon {\n          color: ", ";\n        }\n      }\n\n      .menu-items,\n      .menu-item > .menu-items {\n        list-style-type: none;\n        overflow: hidden;\n      }\n\n      .menu-item a {\n        display: flex;\n        color: inherit;\n        text-decoration: none;\n        align-items: center;\n\n        .menu-title {\n          flex: 1 0 auto;\n          ", "\n        }\n      }\n\n      .menu-group span {\n        display: flex;\n      }\n    "], ["\n      background-color: ", ";\n      display: block;\n\n      ul.menu-items {\n        margin: 0;\n        padding: 0;\n      }\n\n      .menu-group,\n      .menu-item a {\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        padding: ", ";\n      }\n\n      .menu-group,\n      .menu-group nb-icon.menu-icon {\n        color: ", ";\n      }\n\n      .menu-item {\n        a {\n          color: ", ";\n          border-radius: ", ";\n        }\n\n        a.active {\n          background-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        a:hover {\n          background-color: ", ";\n          color: ", ";\n          cursor: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        .menu-icon {\n          color: ", ";\n          font-size: ", ";\n          margin: ", ";\n          width: 1em;\n          text-align: center;\n        }\n\n        .expand-state {\n          color: ", ";\n        }\n      }\n\n      .menu-item {\n        border-bottom: ", ";\n\n        &:first-child {\n          border-top: none;\n        }\n        &:last-child {\n          border-bottom: none;\n        }\n\n        .menu-item:first-child {\n          border-top: ", ";\n        }\n      }\n\n      .menu-item > .menu-items {\n        background-color: ", ";\n        margin: ", ";\n        padding: ", ";\n      }\n\n      .menu-item > .menu-items > .menu-item {\n        background: ", ";\n        color: ", ";\n\n        a {\n          border-color: ", ";\n          border-style: ", ";\n          border-width: ", ";\n          padding: ", ";\n        }\n\n        a.active {\n          background-color: ", ";\n          border-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        a:hover {\n          background-color: ", ";\n          border-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n\n        a.active:hover {\n          background-color: ", ";\n          border-color: ", ";\n          color: ", ";\n\n          .menu-icon {\n            color: ", ";\n          }\n        }\n      }\n\n      .menu-item > .menu-items > .menu-group {\n        &,\n        & nb-icon.menu-icon {\n          color: ", ";\n        }\n      }\n\n      .menu-items,\n      .menu-item > .menu-items {\n        list-style-type: none;\n        overflow: hidden;\n      }\n\n      .menu-item a {\n        display: flex;\n        color: inherit;\n        text-decoration: none;\n        align-items: center;\n\n        .menu-title {\n          flex: 1 0 auto;\n          ", "\n        }\n      }\n\n      .menu-group span {\n        display: flex;\n      }\n    "])), theme.menuBackgroundColor, theme.menuTextFontFamily, theme.menuTextFontSize, theme.menuTextFontWeight, theme.menuTextLineHeight, theme.menuItemPadding, theme.menuGroupTextColor, theme.menuTextColor, theme.menuItemBorderRadius, theme.menuItemActiveBackgroundColor, theme.menuItemActiveTextColor, theme.menuItemIconActiveColor, theme.menuItemHoverBackgroundColor, theme.menuItemHoverTextColor, theme.menuItemHoverCursor, theme.menuItemIconHoverColor, theme.menuItemIconColor, theme.menuItemIconWidth, theme.menuItemIconMargin, theme.menuItemIconColor, divider, divider, theme.menuSubmenuBackgroundColor, theme.menuSubmenuMargin, theme.menuSubmenuPadding, theme.menuSubmenuBackgroundColor, theme.menuSubmenuTextColor, theme.menuSubmenuItemBorderColor, theme.menuSubmenuItemBorderStyle, theme.menuSubmenuItemBorderWidth, theme.menuSubmenuItemPadding, theme.menuSubmenuItemActiveBackgroundColor, theme.menuSubmenuItemActiveBorderColor, theme.menuSubmenuItemActiveTextColor, theme.menuSubmenuItemIconActiveColor, theme.menuSubmenuItemHoverBackgroundColor, theme.menuSubmenuItemHoverBorderColor, theme.menuSubmenuItemHoverTextColor, theme.menuSubmenuItemIconHoverColor, theme.menuSubmenuItemActiveHoverBackgroundColor, theme.menuSubmenuItemActiveHoverBorderColor, theme.menuSubmenuItemActiveHoverTextColor, theme.menuSubmenuItemIconActiveHoverColor, theme.menuGroupTextColor, theme.dir === 'rtl' && 'text-align: right;');
});
var ItemStyle$1 = styled.li(templateObject_3$3 || (templateObject_3$3 = __makeTemplateObject(["\n  ul {\n    &.expanded {\n      max-height: 2000px;\n      transition: max-height 0.5s cubic-bezier(1, 0.15, 1, 1);\n    }\n\n    &.collapsed {\n      max-height: 0;\n      transition: max-height 0.5s cubic-bezier(0, 1, 0.3, 1) -100ms;\n    }\n  }\n"], ["\n  ul {\n    &.expanded {\n      max-height: 2000px;\n      transition: max-height 0.5s cubic-bezier(1, 0.15, 1, 1);\n    }\n\n    &.collapsed {\n      max-height: 0;\n      transition: max-height 0.5s cubic-bezier(0, 1, 0.3, 1) -100ms;\n    }\n  }\n"])));
var templateObject_1$4, templateObject_2$4, templateObject_3$3;

var compacted = css(templateObject_1$5 || (templateObject_1$5 = __makeTemplateObject(["\n  ", " {\n    width: ", ";\n\n    .menu-item a.active {\n      position: relative;\n\n      &::before {\n        position: absolute;\n        content: '';\n        ", "\n        top: 0;\n        height: 100%;\n        width: 4px;\n        background: ", ";\n      }\n    }\n\n    > .menu-items > .menu-item > a {\n      span,\n      .chevron {\n        display: none;\n      }\n    }\n\n    .menu-items > .menu-item {\n      transition: border-color 1s ease;\n\n      &.menu-group {\n        display: block;\n        color: transparent;\n        width: 0;\n        padding: 0;\n        overflow: hidden;\n      }\n\n      i {\n        margin-right: 0;\n      }\n\n      a {\n        justify-content: center;\n      }\n\n      & > .expanded {\n        display: none;\n      }\n    }\n  }\n  ", "\n"], ["\n  ", " {\n    width: ", ";\n\n    .menu-item a.active {\n      position: relative;\n\n      &::before {\n        position: absolute;\n        content: '';\n        ", "\n        top: 0;\n        height: 100%;\n        width: 4px;\n        background: ", ";\n      }\n    }\n\n    > .menu-items > .menu-item > a {\n      span,\n      .chevron {\n        display: none;\n      }\n    }\n\n    .menu-items > .menu-item {\n      transition: border-color 1s ease;\n\n      &.menu-group {\n        display: block;\n        color: transparent;\n        width: 0;\n        padding: 0;\n        overflow: hidden;\n      }\n\n      i {\n        margin-right: 0;\n      }\n\n      a {\n        justify-content: center;\n      }\n\n      & > .expanded {\n        display: none;\n      }\n    }\n  }\n  ",
    "\n"])), MenuStyle, function (_a) {
    var theme = _a.theme;
    return theme.sidebarWidthCompact;
}, function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'right: 0;' : 'left: 0;');
}, function (_a) {
    var theme = _a.theme;
    return theme.sidebarMenuItemHighlightColor;
}, function (_a) {
    var property = _a.property, theme = _a.theme, fixed = _a.fixed;
    if (fixed) {
        switch (property) {
            case 'right':
                return "\n          & ~ .content {\n            margin-right: " + theme.sidebarWidthCompact + ";\n          }\n          & ~ .content.center {\n            padding-right: " + theme.sidebarWidthCompact + ";\n          }\n        ";
            case 'left':
                return "\n          & ~ .content {\n            margin-left: " + theme.sidebarWidthCompact + ";\n          }\n          & ~ .content.center {\n            padding-left: " + theme.sidebarWidthCompact + ";\n          }\n        ";
            case 'start':
                return "\n          & ~ .content {\n            " + (theme.dir == 'rtl' ? 'margin-right:' : 'margin-left:') + " " + theme.sidebarWidthCompact + ";\n          }\n          & ~ .content.center {\n            " + (theme.dir == 'rtl' ? 'padding-right:' : 'padding-left:') + " " + theme.sidebarWidthCompact + ";\n          }\n        ";
            case 'end':
                return "\n          & ~ .content {\n            " + (theme.dir == 'rtl' ? 'margin-left:' : 'margin-right:') + " " + theme.sidebarWidthCompact + ";\n          }\n          & ~ .content.center {\n            " + (theme.dir == 'rtl' ? 'padding-left:' : 'padding-right:') + " " + theme.sidebarWidthCompact + ";\n          }\n        ";
        }
    }
});
var fixedStyle = css(templateObject_3$4 || (templateObject_3$4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, property = _a.property, state = _a.state;
    return css(templateObject_2$5 || (templateObject_2$5 = __makeTemplateObject(["\n    position: fixed;\n    height: 100%;\n    z-index: 999;\n    top: ", ";\n    bottom: 0;\n    ", "\n    ", "\n  "], ["\n    position: fixed;\n    height: 100%;\n    z-index: 999;\n    top: ", ";\n    bottom: 0;\n    ",
        "\n    ",
        "\n  "])), theme.headerHeight, state === 'hidden' && ['left', 'start'].includes(property)
        ? "\n        & + .content {\n          margin-left: 0;\n        }\n      "
        : state === 'hidden' && ['right', 'end'].includes(property)
            ? "\n        & + .content {\n          margin-right: 0;\n        }\n      "
            : '', property === 'right'
        ? 'right: 0;'
        : property === 'left'
            ? 'left: 0;'
            : property === 'start'
                ? theme.dir == 'rtl'
                    ? 'right: 0;'
                    : 'left: 0;'
                : property === 'end'
                    ? theme.dir == 'rtl'
                        ? 'left: 0;'
                        : 'right: 0;'
                    : '');
});
var SidebarStyle = styled.aside(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, property = _a.property, state = _a.state, containerFixed = _a.containerFixed, fixed = _a.fixed;
    return css(templateObject_5$1 || (templateObject_5$1 = __makeTemplateObject(["\n    background-color: ", ";\n    box-shadow: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    width: ", ";\n  display: flex;\n  flex-direction: column;\n  overflow: hidden;\n  z-index: auto;\n  transition: width .3s cubic-bezier(0.4, 0, 0.6, 1) 0ms;\n\n  order: ", ";\n    \n  ", "\n  .main-container {\n    ", "\n    height: ", ";\n      width: ", ";\n    transform: translate3d(0, 0, 0);\n    display: flex;\n    flex-direction: column;\n    transition: width .3s cubic-bezier(0.4, 0, 0.6, 1) 0ms;\n    ", "\n  }\n\n  .scrollable {\n    ", "\n    flex: 1;\n    position: relative;\n    -webkit-transform: translate3d(0, 0, 0);\n    ", "\n    ", "\n  }\n  \n  ", "\n\n  ", "\n\n\n  header,\n  footer\n   {\n     ", "\n    display: block;\n    \n  }\n\n  header{\n    height: ", ";\n  }\n\n  footer {\n    margin-top: auto;\n    height: ", ";\n  }\n\n  ", "{\n    margin: 0 -", " -", ";\n  }\n"], ["\n    background-color: ", ";\n    box-shadow: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    width: ", ";\n  display: flex;\n  flex-direction: column;\n  overflow: hidden;\n  z-index: auto;\n  transition: width .3s cubic-bezier(0.4, 0, 0.6, 1) 0ms;\n\n  order: ",
        ";\n    \n  ",
        "\n  .main-container {\n    ",
        "\n    height: ", ";\n      width: ", ";\n    transform: translate3d(0, 0, 0);\n    display: flex;\n    flex-direction: column;\n    transition: width .3s cubic-bezier(0.4, 0, 0.6, 1) 0ms;\n    ", "\n  }\n\n  .scrollable {\n    ",
        "\n    flex: 1;\n    position: relative;\n    -webkit-transform: translate3d(0, 0, 0);\n    ",
        "\n    ", "\n  }\n  \n  ", "\n\n  ", "\n\n\n  header,\n  footer\n   {\n     ", "\n    display: block;\n    \n  }\n\n  header{\n    height: ", ";\n  }\n\n  footer {\n    margin-top: auto;\n    height: ", ";\n  }\n\n  ", "{\n    margin: 0 -", " -", ";\n  }\n"])), theme.sidebarBackgroundColor, theme.sidebarShadow, theme.sidebarTextColor, theme.sidebarTextFontFamily, theme.sidebarTextFontSize, theme.sidebarTextFontWeight, theme.sidebarTextLineHeight, theme.sidebarWidth, property === 'right'
        ? theme.dir == 'rtl'
            ? '0'
            : '4'
        : property === 'left'
            ? theme.dir == 'rtl'
                ? '4'
                : '0'
            : property === 'end'
                ? '4'
                : '0', state === 'hidden'
        ? 'width: 0;padding: 0;'
        : state === 'compacted'
            ? "width: " + theme.sidebarWidthCompact + ";"
            : "width: " + theme.sidebarWidth + ";", state === 'hidden'
        ? 'width: 0;padding: 0;'
        : state === 'compacted'
            ? "width: " + theme.sidebarWidthCompact + ";"
            : "width: " + theme.sidebarWidth + ";", theme.sidebarHeight, theme.sidebarWidth, containerFixed && 'position: fixed;', state === 'hidden'
        ? 'width: 0;padding: 0;overflow: hidden;'
        : "overflow-y: auto;overflow-x: hidden;padding: " + theme.sidebarPadding + ";", breakpointDown('sm')(templateObject_4$3 || (templateObject_4$3 = __makeTemplateObject(["\n      overflow-y: scroll;\n      -webkit-overflow-scrolling: touch;\n      "], ["\n      overflow-y: scroll;\n      -webkit-overflow-scrolling: touch;\n      "]))), scrollbars(theme.sidebarScrollbarColor, theme.sidebarScrollbarBackgroundColor, theme.sidebarScrollbarWidth), fixed && fixedStyle, state === 'compacted' && compacted, state === 'hidden' ? 'width: 0;padding: 0;overflow: hidden;' : "padding: " + theme.sidebarPadding + ";", theme.sidebarHeaderHeight, theme.sidebarFooterHeight, MenuStyle, theme.sidebarPadding, theme.sidebarPadding);
});
var templateObject_1$5, templateObject_2$5, templateObject_3$4, templateObject_4$3, templateObject_5$1, templateObject_6;

var LayoutContainer = styled.div(templateObject_1$6 || (templateObject_1$6 = __makeTemplateObject(["\n  display: flex;\n  flex: 1;\n  -ms-flex: 1 1 auto;\n  flex-direction: row;\n"], ["\n  display: flex;\n  flex: 1;\n  -ms-flex: 1 1 auto;\n  flex-direction: row;\n"])));
var LayoutContent = styled.div(templateObject_4$4 || (templateObject_4$4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, center = _a.center;
    return css(templateObject_3$5 || (templateObject_3$5 = __makeTemplateObject(["\n    display: flex;\n    flex: 1;\n    -ms-flex: 1 1 auto;\n    flex-direction: column;\n    min-width: 0;\n    ", "\n  "], ["\n    display: flex;\n    flex: 1;\n    -ms-flex: 1 1 auto;\n    flex-direction: column;\n    min-width: 0;\n    ",
        "\n  "])), center && css(templateObject_2$6 || (templateObject_2$6 = __makeTemplateObject(["\n        max-width: 100%;\n        position: relative;\n        margin-left: auto;\n        margin-right: auto;\n        width: ", ";\n        flex: 0 100 ", " !important;\n      "], ["\n        max-width: 100%;\n        position: relative;\n        margin-left: auto;\n        margin-right: auto;\n        width: ", ";\n        flex: 0 100 ", " !important;\n      "])), theme.layoutContentWidth, theme.layoutContentWidth));
});
var LayoutColumns = styled.div(templateObject_5$2 || (templateObject_5$2 = __makeTemplateObject(["\n  display: flex;\n  -ms-flex: 1 1 auto;\n  flex: 1;\n  flex-direction: row;\n  width: 100%;\n"], ["\n  display: flex;\n  -ms-flex: 1 1 auto;\n  flex: 1;\n  flex-direction: row;\n  width: 100%;\n"])));
var LayoutColumn = styled.div(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, position = _a.position;
    return css(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n    order: 1;\n    flex: 1 0;\n    min-width: 0;\n    padding: ", ";\n\n    ", "\n\n    ", "\n\n    ", "\n  "], ["\n    order: 1;\n    flex: 1 0;\n    min-width: 0;\n    padding: ", ";\n\n    ", "\n\n    ", "\n\n    ", "\n  "])), theme.layoutPadding, position === 'left' ? (theme.dir === 'rtl' ? 'order: 2;' : 'order: 0;') : position === 'start' && 'order: 0;', breakpointDown('md')(templateObject_6$1 || (templateObject_6$1 = __makeTemplateObject(["padding: ", ";"], ["padding: ", ";"])), theme.layoutMediumPadding), breakpointDown('sm')(templateObject_7 || (templateObject_7 = __makeTemplateObject(["padding: ", ";"], ["padding: ", ";"])), theme.layoutSmallPadding));
});
var HeaderStyle = styled.header(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n    background-color: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    display: block;\n    nav {\n      color: ", ";\n      box-shadow: ", ";\n      height: ", ";\n      padding: ", ";\n      align-items: center;\n      justify-content: flex-start;\n      display: flex;\n      a {\n        color: ", ";\n        &:hover,\n        &:focus,\n        &:active {\n          color: ", ";\n        }\n      }\n    }\n    & ~ ", " {\n      min-height: calc(", ");\n    }\n\n    &.fixed {\n      position: fixed;\n      top: 0;\n      left: 0;\n      right: 0;\n      z-index: 1040;\n      & ~ ", " {\n        padding-top: ", ";\n        min-height: ", ";\n      }\n      ~ ", " > aside > .main-container {\n        height: calc(", ");\n      }\n    }\n  "], ["\n    background-color: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    display: block;\n    nav {\n      color: ", ";\n      box-shadow: ", ";\n      height: ", ";\n      padding: ", ";\n      align-items: center;\n      justify-content: flex-start;\n      display: flex;\n      a {\n        color: ", ";\n        &:hover,\n        &:focus,\n        &:active {\n          color: ", ";\n        }\n      }\n    }\n    & ~ ", " {\n      min-height: calc(", ");\n    }\n\n    &.fixed {\n      position: fixed;\n      top: 0;\n      left: 0;\n      right: 0;\n      z-index: 1040;\n      & ~ ", " {\n        padding-top: ", ";\n        min-height: ", ";\n      }\n      ~ ", " > aside > .main-container {\n        height: calc(", ");\n      }\n    }\n  "])), theme.headerBackgroundColor, theme.headerTextColor, theme.headerTextFontFamily, theme.headerTextFontSize, theme.headerTextFontWeight, theme.headerTextLineHeight, theme.headerTextColor, theme.headerShadow, theme.headerHeight, theme.headerPadding, theme.headerTextColor, theme.headerTextColor, LayoutContainer, theme.layoutMinHeight + ' - ' + theme.headerHeight, LayoutContainer, theme.headerHeight, theme.layoutMinHeight, LayoutContainer, theme.sidebarHeight + ' - ' + theme.headerHeight);
});
var FooterStyle = styled.footer(templateObject_13 || (templateObject_13 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n    display: block;\n    margin-top: auto;\n    box-shadow: ", ";\n    nav {\n      justify-content: center;\n      display: flex;\n      background-color: ", ";\n      border-top: ", " ", " ", ";\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      padding: ", ";\n      a {\n        color: ", ";\n        &:hover,\n        &:focus,\n        &:active {\n          color: ", ";\n        }\n      }\n    }\n  "], ["\n    display: block;\n    margin-top: auto;\n    box-shadow: ", ";\n    nav {\n      justify-content: center;\n      display: flex;\n      background-color: ", ";\n      border-top: ", " ", " ", ";\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      padding: ", ";\n      a {\n        color: ", ";\n        &:hover,\n        &:focus,\n        &:active {\n          color: ", ";\n        }\n      }\n    }\n  "])), theme.footerShadow, theme.footerBackgroundColor, theme.footerDividerWidth, theme.footerDividerStyle, theme.footerDividerColor, theme.footerTextColor, theme.footerTextFontFamily, theme.footerTextFontSize, theme.footerTextFontWeight, theme.footerTextLineHeight, theme.footerPadding, theme.footerTextHighlightColor, theme.footerTextHighlightColor);
});
var getWindowMode = function (theme, padding, action) {
    return css(templateObject_14 || (templateObject_14 = __makeTemplateObject(["\n    padding-top: calc(", " / ", ");\n\n    ", ".fixed {\n      top: calc(", " / ", ");\n    }\n\n    ", ".fixed ~ .layout-container ", " .main-container-fixed {\n      height: calc(100vh - calc(", " / ", ") - ", ");\n      top: calc(calc(", " / ", ") + ", ");\n    }\n    ", ".fixed {\n      left: calc((100vw - ", ") / 2);\n    }\n\n    .layout ", " {\n      ", ".fixed.right {\n        right: calc((100vw - ", ") / 2);\n      }\n\n      ", ".fixed {\n        top: calc(", " + calc(", " / ", "));\n      }\n    }\n\n    .scrollable-container {\n      height: calc(100vh - calc(", " / ", "));\n      box-shadow: ", ";\n    }\n  "], ["\n    padding-top: calc(", " / ", ");\n\n    ", ".fixed {\n      top: calc(", " / ", ");\n    }\n\n    ", ".fixed ~ .layout-container ", " .main-container-fixed {\n      height: calc(100vh - calc(", " / ", ") - ", ");\n      top: calc(calc(", " / ", ") + ", ");\n    }\n    ", ".fixed {\n      left: calc((100vw - ", ") / 2);\n    }\n\n    .layout ", " {\n      ", ".fixed.right {\n        right: calc((100vw - ", ") / 2);\n      }\n\n      ", ".fixed {\n        top: calc(", " + calc(", " / ", "));\n      }\n    }\n\n    .scrollable-container {\n      height: calc(100vh - calc(", " / ", "));\n      box-shadow: ", ";\n    }\n  "])), padding, action, HeaderStyle, padding, action, HeaderStyle, SidebarStyle, padding, action, theme.headerHeight, padding, action, theme.headerHeight, SidebarStyle, theme.layoutWindowModeMaxWidth, LayoutContainer, SidebarStyle, theme.layoutWindowModeMaxWidth, SidebarStyle, theme.headerHeight, padding, action, padding, action, theme.layoutWindowShadow);
};
var LayoutStyle = styled.div(templateObject_20 || (templateObject_20 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, withScroll = _a.withScroll, windowMode = _a.windowMode, withSubHeader = _a.withSubHeader;
    var windowPadding = theme.layoutWindowModePaddingTop;
    return css(templateObject_19 || (templateObject_19 = __makeTemplateObject(["\n      text-align: ", ";\n      -webkit-font-smoothing: antialiased;\n\n      .scrollable-container {\n        ", "\n      }\n      .layout {\n        display: flex;\n        flex-direction: column;\n        min-width: ", ";\n      }\n\n      ", "\n\n      ", "\n      .layout {\n        background-color: ", ";\n        color: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        min-height: ", ";\n      }\n      ", "\n      #overlay-container {\n        position: fixed;\n        z-index: 1040;\n        pointer-events: none;\n        top: 0;\n        left: 0;\n        height: 100%;\n        width: 100%;\n      }\n    "], ["\n      text-align: ", ";\n      -webkit-font-smoothing: antialiased;\n\n      .scrollable-container {\n        ", "\n      }\n      .layout {\n        display: flex;\n        flex-direction: column;\n        min-width: ", ";\n      }\n\n      ",
        "\n\n      ",
        "\n      .layout {\n        background-color: ", ";\n        color: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        min-height: ", ";\n      }\n      ",
        "\n      #overlay-container {\n        position: fixed;\n        z-index: 1040;\n        pointer-events: none;\n        top: 0;\n        left: 0;\n        height: 100%;\n        width: 100%;\n      }\n    "])), theme.dir === 'rtl' ? 'right' : 'left', scrollbars(theme.layoutScrollbarColor, theme.layoutScrollbarBackgroundColor, theme.layoutScrollbarWidth), theme.layoutWindowModeMinWidth, (withScroll || windowMode) && css(templateObject_16 || (templateObject_16 = __makeTemplateObject(["\n          .scrollable-container {\n            overflow: auto;\n            height: 100vh;\n            display: block;\n            ", "\n          }\n        "], ["\n          .scrollable-container {\n            overflow: auto;\n            height: 100vh;\n            display: block;\n            ",
        "\n          }\n        "])), breakpointDown('sm')(templateObject_15 || (templateObject_15 = __makeTemplateObject(["\n              overflow-y: scroll;\n              -webkit-overflow-scrolling: touch;\n            "], ["\n              overflow-y: scroll;\n              -webkit-overflow-scrolling: touch;\n            "])))), windowMode && css(templateObject_17 || (templateObject_17 = __makeTemplateObject(["\n          background: ", ";\n          display: block;\n          .scrollable-container {\n            max-width: ", ";\n            margin: 0 auto;\n          }\n\n          .layout ", " {\n            max-width: ", ";\n            margin-left: auto;\n            margin-right: auto;\n            width: 100%;\n            nav {\n              max-width: ", ";\n              margin: 0 auto;\n            }\n          }\n\n          @media screen and (min-width: ", " + 20px) {\n            ", "\n\n            #oah-layout.with-scroll {\n              .scrollable-container {\n                height: calc(100vh - ", ");\n              }\n            }\n          }\n          @media screen and (min-width: ", " + 150px) {\n            ", "\n\n            #oah-layout.with-scroll {\n              .scrollable-container {\n                height: calc(100vh - ", ");\n              }\n            }\n          }\n          @media screen and (min-width: ", " + 300px) {\n            ", "\n\n            #oah-layout.with-scroll {\n              .scrollable-container {\n                height: calc(100vh - ", ");\n              }\n            }\n          }\n        "], ["\n          background: ", ";\n          display: block;\n          .scrollable-container {\n            max-width: ", ";\n            margin: 0 auto;\n          }\n\n          .layout ", " {\n            max-width: ", ";\n            margin-left: auto;\n            margin-right: auto;\n            width: 100%;\n            nav {\n              max-width: ", ";\n              margin: 0 auto;\n            }\n          }\n\n          @media screen and (min-width: ", " + 20px) {\n            ", "\n\n            #oah-layout.with-scroll {\n              .scrollable-container {\n                height: calc(100vh - ", ");\n              }\n            }\n          }\n          @media screen and (min-width: ", " + 150px) {\n            ", "\n\n            #oah-layout.with-scroll {\n              .scrollable-container {\n                height: calc(100vh - ", ");\n              }\n            }\n          }\n          @media screen and (min-width: ", " + 300px) {\n            ", "\n\n            #oah-layout.with-scroll {\n              .scrollable-container {\n                height: calc(100vh - ", ");\n              }\n            }\n          }\n        "])), theme.layoutWindowModeBackgroundColor, theme.layoutWindowModeMaxWidth, HeaderStyle, theme.layoutWindowModeMaxWidth, theme.layoutWindowModeMaxWidth, theme.layoutWindowModeMaxWidth, getWindowMode(theme, windowPadding, 4), windowPadding, theme.layoutWindowModeMaxWidth, getWindowMode(theme, windowPadding, 2), windowPadding, theme.layoutWindowModeMaxWidth, getWindowMode(theme, windowPadding, 1), windowPadding), theme.layoutBackgroundColor, theme.layoutTextColor, theme.layoutTextFontFamily, theme.layoutTextFontSize, theme.layoutTextFontWeight, theme.layoutTextLineHeight, theme.layoutMinHeight, withSubHeader && css(templateObject_18 || (templateObject_18 = __makeTemplateObject(["\n          ", " .main-container {\n            box-shadow: none;\n          }\n        "], ["\n          ", " .main-container {\n            box-shadow: none;\n          }\n        "])), SidebarStyle));
});
var templateObject_1$6, templateObject_2$6, templateObject_3$5, templateObject_4$4, templateObject_5$2, templateObject_6$1, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11, templateObject_12, templateObject_13, templateObject_14, templateObject_15, templateObject_16, templateObject_17, templateObject_18, templateObject_19, templateObject_20;

var initialContext = {
    dir: 'ltr',
    addClass: function (_) { },
    removeClass: function (_) { },
    addEventListener: function (_, __) { },
    removeEventListener: function (_, __) { },
};
var LayoutContext = React.createContext(initialContext);

var LayoutHeader = function (props) {
    var className = props.className ? props.className.split(' ') : [];
    props.fixed && className.push('fixed');
    return (React.createElement(HeaderStyle, { className: className.join(' ') },
        React.createElement("nav", null, props.children)));
};
var LayoutFooter = function (props) {
    return (React.createElement(FooterStyle, __assign({}, props),
        React.createElement("nav", null, props.children)));
};
var Layout = function (props) {
    var _a = __read(React.useState(props.className ? __spread(props.className.split(' ')) : []), 2), className = _a[0], setClassName = _a[1];
    var scrollRef = React.useRef(null);
    var addClass = function (cssClass) {
        var updatedClass = __spread(className);
        updatedClass.push.apply(updatedClass, __spread(cssClass));
        setClassName(updatedClass);
    };
    React.useEffect(function () {
        if ((props.withScroll || props.windowMode) && !className.includes('with-scroll')) {
            addClass(['with-scroll']);
            document.body.style.overflow = 'hidden';
        }
        else {
            document.body.style.overflow = 'initial';
        }
    }, [props.withScroll]);
    var removeClass = function (cssClass) {
        var e_1, _a;
        var updatedClass = __spread(className);
        try {
            for (var _b = __values(updatedClass.keys()), _c = _b.next(); !_c.done; _c = _b.next()) {
                var i = _c.value;
                if (cssClass.includes(updatedClass[i])) {
                    updatedClass.splice(i, 1);
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_1) throw e_1.error; }
        }
        setClassName(updatedClass);
    };
    var addEventListener = function (event, listener, target) {
        if (target === void 0) { target = 'scrollArea'; }
        var _a;
        switch (target) {
            case 'Layout':
                document.getElementById('oah-layout').addEventListener(event, listener);
                break;
            default:
                if ((props.withScroll || props.windowMode) && scrollRef.current) {
                    (_a = scrollRef) === null || _a === void 0 ? void 0 : _a.current.addEventListener(event, listener);
                }
                else {
                    window.addEventListener(event, listener);
                }
                break;
        }
    };
    var removeEventListener = function (event, listener, target) {
        if (target === void 0) { target = 'scrollArea'; }
        var _a;
        switch (target) {
            case 'Layout':
                document.getElementById('oah-layout').removeEventListener(event, listener);
                break;
            default:
                if ((props.withScroll || props.windowMode) && scrollRef.current) {
                    (_a = scrollRef) === null || _a === void 0 ? void 0 : _a.current.removeEventListener(event, listener);
                }
                else {
                    window.removeEventListener(event, listener);
                }
                break;
        }
    };
    return (React.createElement(LayoutStyle, { id: "oah-layout", className: className.join(' '), style: props.style, withScroll: props.withScroll, windowMode: props.windowMode, withSubHeader: props.withSubHeader },
        React.createElement(LayoutContext.Provider, { value: {
                addClass: addClass,
                removeClass: removeClass,
                removeEventListener: removeEventListener,
                addEventListener: addEventListener,
                dir: props.dir,
                evaIcons: props.evaIcons,
            } },
            React.createElement("div", { ref: scrollRef, className: "scrollable-container" },
                React.createElement("div", { className: "layout" }, props.children)),
            React.createElement("div", { id: "overlay-container" }))));
};
Layout.defaultProps = {
    dir: 'ltr',
};

var Icon = function (props) {
    return (React.createElement(IconStyle, { dangerouslySetInnerHTML: { __html: defaultIcons[props.name] }, status: props.status, className: props.className }));
};
var EvaIcon = function (props) {
    var evaIcons = React.useContext(LayoutContext).evaIcons;
    var svgIcon = '';
    if (evaIcons && evaIcons[props.name]) {
        svgIcon = evaIcons[props.name](props.options);
    }
    return React.createElement(IconStyle, { dangerouslySetInnerHTML: { __html: svgIcon }, status: props.status, className: props.className });
};
var ItemIcon = function (_a) {
    var icon = _a.icon, className = _a.className;
    var evaIcons = React.useContext(LayoutContext).evaIcons;
    if (typeof icon === 'string') {
        if (icon in defaultIcons) {
            return React.createElement(Icon, { name: icon, className: className });
        }
        else if (evaIcons && icon in evaIcons) {
            return React.createElement(EvaIcon, { name: icon, className: className });
        }
        else {
            return React.createElement("i", { className: className + ' ' + icon });
        }
    }
    else if (typeof icon === 'object' && evaIcons && evaIcons[icon.name]) {
        icon.className += ' ' + className;
        return React.createElement(EvaIcon, __assign({}, icon));
    }
    else {
        return React.createElement(React.Fragment, null);
    }
};

var AccordionItem = function () {
    return React.createElement("div", null);
};
var Accordion = function (props, ref) {
    var _a = __read(React.useState([]), 2), items = _a[0], setItems = _a[1];
    React.useEffect(function () {
        var children = React.Children.map(props.children, function (child) {
            if (!React.isValidElement(child)) {
                return false;
            }
            return __assign({}, child.props);
        }).filter(function (child) { return !!child; });
        setItems(children);
    }, [props.children]);
    var handleAllState = function (state) {
        var e_1, _a;
        var updateItems = __spread(items);
        try {
            for (var updateItems_1 = __values(updateItems), updateItems_1_1 = updateItems_1.next(); !updateItems_1_1.done; updateItems_1_1 = updateItems_1.next()) {
                var item = updateItems_1_1.value;
                if (!item.disabled) {
                    item.expanded = state;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (updateItems_1_1 && !updateItems_1_1.done && (_a = updateItems_1.return)) _a.call(updateItems_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        setItems(updateItems);
    };
    var handleState = function (state, index) {
        var e_2, _a;
        var updateItems = __spread(items);
        if (!updateItems[index].disabled) {
            if (props.multi) {
                updateItems[index].expanded = state;
            }
            else {
                try {
                    for (var _b = __values(updateItems.keys()), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var i = _c.value;
                        updateItems[i].expanded = index === i ? state : state ? false : updateItems[i].expanded;
                    }
                }
                catch (e_2_1) { e_2 = { error: e_2_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_2) throw e_2.error; }
                }
            }
            setItems(updateItems);
        }
    };
    var handleToggle = function (index) {
        var e_3, _a;
        var updateItems = __spread(items);
        if (!updateItems[index].disabled) {
            if (props.multi) {
                updateItems[index].expanded = !updateItems[index].expanded;
            }
            else {
                try {
                    for (var _b = __values(updateItems.keys()), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var i = _c.value;
                        updateItems[i].expanded = index === i ? !updateItems[i].expanded : false;
                    }
                }
                catch (e_3_1) { e_3 = { error: e_3_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_3) throw e_3.error; }
                }
            }
            setItems(updateItems);
        }
    };
    React.useImperativeHandle(ref, function () { return ({
        openAll: function () {
            handleAllState(true);
        },
        closeAll: function () {
            handleAllState(false);
        },
        open: function (index) {
            handleState(true, index);
        },
        close: function (index) {
            handleState(false, index);
        },
        toggle: function (index) {
            handleToggle(index);
        },
    }); }, [items]);
    return (React.createElement(AccordionStyle, { className: props.className }, items.map(function (item, index) {
        var cssStyle = [];
        item.expanded ? cssStyle.push('expanded') : cssStyle.push('collapsed');
        item.disabled && cssStyle.push('disabled');
        return (React.createElement(ItemStyle, __assign({ key: index }, item, { className: cssStyle.join(' ') }),
            React.createElement("header", { onClick: function () { return handleToggle(index); } },
                item.title,
                !item.disabled && item.expanded ? (React.createElement(Icon, { className: "expansion-indicator", name: "chevron-up-outline" })) : (React.createElement(Icon, { className: "expansion-indicator", name: "chevron-down-outline" }))),
            React.createElement("div", { className: item.expanded ? 'expanded' : 'collapsed' },
                React.createElement("div", { className: "item-body" }, item.children))));
    })));
};
Accordion = React.forwardRef(Accordion);

var headerBg = css(templateObject_3$6 || (templateObject_3$6 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, status = _a.status, accent = _a.accent;
    return css(templateObject_2$7 || (templateObject_2$7 = __makeTemplateObject(["\n    padding: ", ";\n    border-bottom: ", " ", " ", ";\n    border-top-left-radius: ", ";\n    border-top-right-radius: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n\n    ", "\n\n    ", "\n    ", "\n  "], ["\n    padding: ", ";\n    border-bottom: ", " ", " ", ";\n    border-top-left-radius: ", ";\n    border-top-right-radius: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n\n    ", "\n\n    ",
        "\n    ", "\n  "])), theme.cardPadding, theme.cardDividerWidth, theme.cardDividerStyle, theme.cardDividerColor, theme.cardBorderRadius, theme.cardBorderRadius, theme.cardHeaderTextColor, theme.cardHeaderTextFontFamily, theme.cardHeaderTextFontSize, theme.cardHeaderTextFontWeight, theme.cardHeaderTextLineHeight, getHeadings, status && css(templateObject_1$7 || (templateObject_1$7 = __makeTemplateObject(["\n        background-color: ", ";\n        border-bottom-color: ", ";\n        border-bottom-width: 0;\n        color: ", ";\n        a,\n        a:hover {\n          color: ", ";\n        }\n      "], ["\n        background-color: ", ";\n        border-bottom-color: ", ";\n        border-bottom-width: 0;\n        color: ", ";\n        a,\n        a:hover {\n          color: ", ";\n        }\n      "])), theme["cardHeader" + status + "BackgroundColor"], theme["cardHeader" + status + "BackgroundColor"], theme["cardHeader" + status + "TextColor"], theme["cardHeader" + status + "TextColor"]), accent && 'border-radius: 0;');
});
var CardStyle = styled.div(templateObject_7$1 || (templateObject_7$1 = __makeTemplateObject(["\n  ", ";\n"], ["\n  ",
    ";\n"])), function (_a) {
    var theme = _a.theme, accent = _a.accent, size = _a.size;
    return css(templateObject_6$2 || (templateObject_6$2 = __makeTemplateObject(["\n    display: flex;\n    flex-direction: column;\n    background-color: ", ";\n    border: ", " ", " ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    margin-bottom: ", ";\n\n    ", "\n\n    ", "\n\n    ", "\n\n    & > header {\n      ", "\n    }\n    & > footer {\n      padding: ", ";\n      border-top: ", " ", " ", ";\n      border-bottom-left-radius: ", ";\n      border-bottom-right-radius: ", ";\n    }\n  "], ["\n    display: flex;\n    flex-direction: column;\n    background-color: ", ";\n    border: ", " ", " ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    margin-bottom: ", ";\n\n    ", "\n\n    ",
        "\n\n    ",
        "\n\n    & > header {\n      ", "\n    }\n    & > footer {\n      padding: ", ";\n      border-top: ", " ", " ", ";\n      border-bottom-left-radius: ", ";\n      border-bottom-right-radius: ", ";\n    }\n  "])), theme.cardBackgroundColor, theme.cardBorderWidth, theme.cardBorderStyle, theme.cardBorderColor, theme.cardBorderRadius, theme.cardShadow, theme.cardTextColor, theme.cardTextFontFamily, theme.cardTextFontSize, theme.cardTextFontWeight, theme.cardTextLineHeight, theme.cardMarginBottom, scrollbars(theme.cardScrollbarColor, theme.cardScrollbarBackgroundColor, theme.cardScrollbarWidth), accent && css(templateObject_4$5 || (templateObject_4$5 = __makeTemplateObject(["\n        border-top-color: ", ";\n        border-top-style: ", ";\n        border-top-width: ", ";\n      "], ["\n        border-top-color: ", ";\n        border-top-style: ", ";\n        border-top-width: ", ";\n      "])), theme["cardHeader" + accent + "BackgroundColor"], theme.cardBorderStyle, theme.cardBorderRadius), size && css(templateObject_5$3 || (templateObject_5$3 = __makeTemplateObject(["\n        height: ", ";\n      "], ["\n        height: ", ";\n      "])), theme["cardHeight" + size]), headerBg, theme.cardPadding, theme.cardDividerWidth, theme.cardDividerStyle, theme.cardDividerColor, theme.cardBorderRadius, theme.cardBorderRadius);
});
var CardBody = styled.div(templateObject_9$1 || (templateObject_9$1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_8$1 || (templateObject_8$1 = __makeTemplateObject(["\n    padding: ", ";\n    overflow: auto;\n    flex: 1;\n    -ms-flex: 1 1 auto;\n    position: relative;\n    ", "\n  "], ["\n    padding: ", ";\n    overflow: auto;\n    flex: 1;\n    -ms-flex: 1 1 auto;\n    position: relative;\n    ", "\n  "])), theme.cardPadding, scrollbars(theme.cardScrollbarColor, theme.cardScrollbarBackgroundColor, theme.cardScrollbarWidth));
});
var Card = function (props) { return React.createElement(CardStyle, __assign({}, props), props.children); };
var templateObject_1$7, templateObject_2$7, templateObject_3$6, templateObject_4$5, templateObject_5$3, templateObject_6$2, templateObject_7$1, templateObject_8$1, templateObject_9$1;

var FlipCardStyled = styled.div(templateObject_3$7 || (templateObject_3$7 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, flipped = _a.flipped, button = _a.button;
    return css(templateObject_2$8 || (templateObject_2$8 = __makeTemplateObject(["\n    display: block;\n    position: relative;\n    perspective: 1200px;\n    .flip-body {\n      display: flex;\n      transition: transform 0.5s;\n      transform-style: preserve-3d;\n      ", "\n      & > .front,\n      & > .back {\n        flex: 1;\n\n        .flip-button {\n          line-height: ", ";\n          margin-bottom: ", ";\n          padding: ", ";\n          cursor: pointer;\n          position: absolute;\n          ", ": 0;\n          ", ": 0;\n          opacity: 1;\n          transition: opacity 0s 0.15s;\n        }\n      }\n\n      & > .front {\n        margin-", ": -100%;\n        transition: opacity 0s 0.2s;\n        backface-visibility: visible;\n        ", "\n      }\n\n      & > .back {\n        backface-visibility: ", ";\n        transform: rotateY(180deg);\n      }\n    }\n  "], ["\n    display: block;\n    position: relative;\n    perspective: 1200px;\n    .flip-body {\n      display: flex;\n      transition: transform 0.5s;\n      transform-style: preserve-3d;\n      ", "\n      & > .front,\n      & > .back {\n        flex: 1;\n\n        .flip-button {\n          line-height: ", ";\n          margin-bottom: ", ";\n          padding: ", ";\n          cursor: pointer;\n          position: absolute;\n          ", ": 0;\n          ", ": 0;\n          opacity: 1;\n          transition: opacity 0s 0.15s;\n        }\n      }\n\n      & > .front {\n        margin-", ": -100%;\n        transition: opacity 0s 0.2s;\n        backface-visibility: visible;\n        ",
        "\n      }\n\n      & > .back {\n        backface-visibility: ", ";\n        transform: rotateY(180deg);\n      }\n    }\n  "])), flipped ? 'transform: rotateY(-180deg);' : '', theme.cardTextLineHeight, theme.cardMarginBottom, theme.cardPadding, theme.dir === 'rtl' ? 'left' : 'right', button === 'bottom' ? 'bottom' : 'top', theme.dir === 'rtl' ? 'left' : 'right', flipped && css(templateObject_1$8 || (templateObject_1$8 = __makeTemplateObject(["\n            backface-visibility: hidden;\n            opacity: 0;\n            .flip-button {\n              opacity: 0;\n              z-index: -1;\n            }\n          "], ["\n            backface-visibility: hidden;\n            opacity: 0;\n            .flip-button {\n              opacity: 0;\n              z-index: -1;\n            }\n          "]))), flipped ? 'visible' : 'hidden');
});
var FlipCard = function (props) {
    var _a = __read(React.useState(false), 2), flipped = _a[0], setFlipped = _a[1];
    var handleFlipped = function () {
        setFlipped(!flipped);
    };
    return (React.createElement(FlipCardStyled, { className: props.className, style: props.style, flipped: flipped, button: props.button },
        React.createElement("div", { className: "flip-body" },
            React.createElement("div", { className: "front" },
                props.children[0],
                React.createElement("i", { className: "flip-button", onClick: handleFlipped },
                    React.createElement(Icon, { name: "chevron-right-outline" }))),
            React.createElement("div", { className: "back" },
                props.children[1],
                React.createElement("i", { className: "flip-button", onClick: handleFlipped },
                    React.createElement(Icon, { name: "chevron-left-outline" }))))));
};
var templateObject_1$8, templateObject_2$8, templateObject_3$7;

var RevealCardStyled = styled.div(templateObject_2$9 || (templateObject_2$9 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, button = _a.button, revealed = _a.revealed;
    return css(templateObject_1$9 || (templateObject_1$9 = __makeTemplateObject(["\n    display: block;\n    position: relative;\n    overflow: hidden;\n    box-shadow: ", ";\n    margin-bottom: ", ";\n    & > .front {\n      display: block;\n      height: 100%;\n    }\n\n    & > .back {\n      position: absolute;\n      top: ", ";\n      right: 0;\n      left: 0;\n      overflow: hidden;\n      transition: ", ";\n      height: calc(100% - ", ");\n      .container {\n        position: absolute;\n        left: 0;\n        top: ", ";\n        width: 100%;\n        transition: top 0.5s;\n      }\n    }\n    & > .back,\n    & > .front {\n      ", " {\n        box-shadow: none;\n        margin: 0;\n      }\n    }\n    .reveal-button {\n      cursor: pointer;\n      position: absolute;\n      transform: ", ";\n      transition: transform 0.3s;\n      line-height: ", ";\n      padding: ", ";\n      ", ": 0;\n      ", ": 0;\n    }\n  "], ["\n    display: block;\n    position: relative;\n    overflow: hidden;\n    box-shadow: ", ";\n    margin-bottom: ", ";\n    & > .front {\n      display: block;\n      height: 100%;\n    }\n\n    & > .back {\n      position: absolute;\n      top: ", ";\n      right: 0;\n      left: 0;\n      overflow: hidden;\n      transition: ", ";\n      height: calc(100% - ", ");\n      .container {\n        position: absolute;\n        left: 0;\n        top: ", ";\n        width: 100%;\n        transition: top 0.5s;\n      }\n    }\n    & > .back,\n    & > .front {\n      ", " {\n        box-shadow: none;\n        margin: 0;\n      }\n    }\n    .reveal-button {\n      cursor: pointer;\n      position: absolute;\n      transform: ", ";\n      transition: transform 0.3s;\n      line-height: ", ";\n      padding: ", ";\n      ", ": 0;\n      ", ": 0;\n    }\n  "])), theme.cardShadow, theme.cardMarginBottom, revealed ? '0' : '100%', revealed ? 'none' : 'top 0s 0.5s', theme.cardMarginBottom, revealed ? '0' : '100%', CardStyle, revealed ? 'none' : 'rotate(180deg)', theme.cardTextLineHeight, theme.cardPadding, theme.dir === 'rtl' ? 'left' : 'right', button === 'bottom' ? 'bottom' : 'top');
});
var RevealCard = function (props) {
    var _a = __read(React.useState(false), 2), revealed = _a[0], setRevealed = _a[1];
    var handleRevealed = function () {
        setRevealed(!revealed);
    };
    return (React.createElement(RevealCardStyled, { className: props.className, style: props.style, revealed: revealed, button: props.button },
        React.createElement("div", { className: "front" }, props.children[0]),
        React.createElement("div", { className: "back" },
            React.createElement("div", { className: "container" }, props.children[1])),
        React.createElement("div", { className: "reveal-button", onClick: handleRevealed },
            React.createElement(Icon, { name: "chevron-down-outline" }))));
};
var templateObject_1$9, templateObject_2$9;

var width = css(templateObject_2$a || (templateObject_2$a = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var fluid = _a.fluid;
    return !fluid &&
        Object.keys(maxContainer).map(function (key) { return breakpointUp(key)(templateObject_1$a || (templateObject_1$a = __makeTemplateObject(["\n        max-width: ", "px;\n      "], ["\n        max-width: ", "px;\n      "])), maxContainer[key]); });
});
var ContainerStyle = styled.div(templateObject_4$6 || (templateObject_4$6 = __makeTemplateObject(["\n  ", "\n  margin-right: auto;\n  margin-left: auto;\n  width: 100%;\n  ", "\n"], ["\n  ",
    "\n  margin-right: auto;\n  margin-left: auto;\n  width: 100%;\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_3$8 || (templateObject_3$8 = __makeTemplateObject(["\n    padding-right: ", "px;\n    padding-left: ", "px;\n  "], ["\n    padding-right: ", "px;\n    padding-left: ", "px;\n  "])), getGridGutter(theme) / 2, getGridGutter(theme) / 2);
}, width);
var Container = function (props) { return React.createElement(ContainerStyle, __assign({}, props), props.children); };
var templateObject_1$a, templateObject_2$a, templateObject_3$8, templateObject_4$6;

var RowStyle = styled.div(templateObject_10$1 || (templateObject_10$1 = __makeTemplateObject(["\n  display: flex;\n  flex-wrap: wrap;\n  ", "\n"], ["\n  display: flex;\n  flex-wrap: wrap;\n  ",
    "\n"])), function (p) { return css(templateObject_9$2 || (templateObject_9$2 = __makeTemplateObject(["\n    margin-right: ", "px;\n    margin-left: ", "px;\n    ", "\n  \n    ", "\n  \n    ", "\n  \n    ", "\n  \n    ", "\n  \n    ", "\n  \n    ", "\n  \n    ", "\n  \n    ", "\n  "], ["\n    margin-right: ", "px;\n    margin-left: ", "px;\n    ", "\n  \n    ",
    "\n  \n    ",
    "\n  \n    ",
    "\n  \n    ",
    "\n  \n    ",
    "\n  \n    ",
    "\n  \n    ",
    "\n  \n    ",
    "\n  "])), getGridGutter(p.theme) / -2, getGridGutter(p.theme) / -2, p.reverse && 'flex-direction: row-reverse;', p.start && breakpointUp(p.start)(templateObject_1$b || (templateObject_1$b = __makeTemplateObject(["\n      justify-content: flex-start;\n    "], ["\n      justify-content: flex-start;\n    "]))), p.center && breakpointUp(p.center)(templateObject_2$b || (templateObject_2$b = __makeTemplateObject(["\n      justify-content: center;\n    "], ["\n      justify-content: center;\n    "]))), p.end && breakpointUp(p.end)(templateObject_3$9 || (templateObject_3$9 = __makeTemplateObject(["\n      justify-content: flex-end;\n    "], ["\n      justify-content: flex-end;\n    "]))), p.top && breakpointUp(p.top)(templateObject_4$7 || (templateObject_4$7 = __makeTemplateObject(["\n      align-items: flex-start;\n    "], ["\n      align-items: flex-start;\n    "]))), p.middle && breakpointUp(p.middle)(templateObject_5$4 || (templateObject_5$4 = __makeTemplateObject(["\n      align-items: center;\n    "], ["\n      align-items: center;\n    "]))), p.bottom && breakpointUp(p.bottom)(templateObject_6$3 || (templateObject_6$3 = __makeTemplateObject(["\n      align-items: flex-end;\n    "], ["\n      align-items: flex-end;\n    "]))), p.around && breakpointUp(p.around)(templateObject_7$2 || (templateObject_7$2 = __makeTemplateObject(["\n      justify-content: space-around;\n    "], ["\n      justify-content: space-around;\n    "]))), p.between && breakpointUp(p.between)(templateObject_8$2 || (templateObject_8$2 = __makeTemplateObject(["\n      justify-content: space-between;\n    "], ["\n      justify-content: space-between;\n    "])))); });
var Row = function (props) { return React.createElement(RowStyle, __assign({}, props), props.children); };
var templateObject_1$b, templateObject_2$b, templateObject_3$9, templateObject_4$7, templateObject_5$4, templateObject_6$3, templateObject_7$2, templateObject_8$2, templateObject_9$2, templateObject_10$1;

var BP = Object.keys(breakpoints);
var colData = css(templateObject_4$8 || (templateObject_4$8 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var breakPoint = _a.breakPoint, theme = _a.theme;
    return breakPoint &&
        Object.keys(breakPoint)
            .sort(function (k1, k2) { return BP.indexOf(k1) - BP.indexOf(k2); })
            .map(function (k) {
            if (typeof breakPoint[k] === 'number') {
                return breakpointUp(k)(templateObject_1$c || (templateObject_1$c = __makeTemplateObject(["\n            flex: 0 0 ", "%;\n            max-width: ", "%;\n            display: block;"], ["\n            flex: 0 0 ", "%;\n            max-width: ", "%;\n            display: block;"])), (100 / getGridSize(theme)) * breakPoint[k], (100 / getGridSize(theme)) * breakPoint[k]);
            }
            else if (breakPoint[k]) {
                return breakpointUp(k)(templateObject_2$c || (templateObject_2$c = __makeTemplateObject(["\n            flex-grow: 1;\n            flex-basis: 0;\n            max-width: 100%;\n            display: block;"], ["\n            flex-grow: 1;\n            flex-basis: 0;\n            max-width: 100%;\n            display: block;"])));
            }
            else {
                return breakpointUp(k)(templateObject_3$a || (templateObject_3$a = __makeTemplateObject(["display: none;"], ["display: none;"])));
            }
        });
});
var offset = css(templateObject_6$4 || (templateObject_6$4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var offset = _a.offset, theme = _a.theme;
    return offset &&
        Object.keys(offset).map(function (k) {
            return breakpointUp(k)(templateObject_5$5 || (templateObject_5$5 = __makeTemplateObject(["\n          margin-", ": \n          ", "%;"], ["\n          margin-", ": \n          ", "%;"])), theme.dir == 'rtl' ? 'right' : 'left', (100 / getGridSize(theme)) * offset[k]);
        });
});
var ColStyle = styled.div(templateObject_8$3 || (templateObject_8$3 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, first = _a.first, last = _a.last, order = _a.order;
    return css(templateObject_7$3 || (templateObject_7$3 = __makeTemplateObject(["\n  position: relative;\n  width: 100%;\n  min-height: 1px;\n  padding-right: ", "px;\n  padding-left: ", "px;\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"], ["\n  position: relative;\n  width: 100%;\n  min-height: 1px;\n  padding-right: ", "px;\n  padding-left: ", "px;\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"])), getGridGutter(theme) / 2, getGridGutter(theme) / 2, colData, offset, first && 'order: -1;', last && "order: " + (getGridSize(theme) + 1) + ";", order && "order: " + order + ";");
});
var Col = function (props) { return React.createElement(ColStyle, __assign({}, props), props.children); };
var templateObject_1$c, templateObject_2$c, templateObject_3$a, templateObject_4$8, templateObject_5$5, templateObject_6$4, templateObject_7$3, templateObject_8$3;

var Sidebar = function (props, ref) {
    var _a;
    var _b = __read(React.useState(props.fixed), 2), fixed = _b[0], setFixed = _b[1];
    var _c = __read(React.useState(props.state), 2), state = _c[0], setState = _c[1];
    React.useImperativeHandle(ref, function () { return ({
        toggle: function () {
            switch (state) {
                case 'expanded':
                    setState('compacted');
                    break;
                case 'compacted':
                    setState('expanded');
                    break;
                case 'hidden':
                    setState('visible');
                    break;
                case 'visible':
                    setState('hidden');
                    break;
            }
        },
        hide: function () {
            if (state === 'visible') {
                setState('hidden');
            }
        },
    }); }, [state]);
    var mouseEnter = function () {
        if (state === 'compacted') {
            setState('expanded');
        }
    };
    var mouseLeave = function () {
        if (state === 'expanded' && ifWidthInBreakpoint(props.compactedBreakpoints)) {
            setState('compacted');
        }
    };
    React.useEffect(function () {
        var onMediaQueryChanges = function () {
            if (ifWidthInBreakpoint(props.hiddenBreakpoints)) {
                setState('hidden');
                setFixed(true);
            }
            else if (ifWidthInBreakpoint(props.compactedBreakpoints)) {
                setState('compacted');
                setFixed(true);
            }
            else {
                setState('expanded');
                setFixed(false);
            }
        };
        if (props.responsive) {
            onMediaQueryChanges();
            window.addEventListener('resize', onMediaQueryChanges);
        }
        return function () {
            window.removeEventListener('resize', onMediaQueryChanges);
        };
    }, []);
    var className = props.className ? props.className.split(' ') : [];
    className.push((state !== null && state !== void 0 ? state : ''), (_a = props.property, (_a !== null && _a !== void 0 ? _a : '')));
    fixed && className.push('fixed');
    return (React.createElement(SidebarStyle, { className: className.join(' '), state: state, property: props.property, fixed: fixed, containerFixed: props.containerFixed, onMouseEnter: mouseEnter, onMouseLeave: mouseLeave },
        React.createElement("div", { className: "main-container" }, props.children)));
};
var SidebarBody = function (props) {
    return React.createElement("div", { className: "scrollable" }, props.children);
};
Sidebar = React.forwardRef(Sidebar);
Sidebar.defaultProps = {
    compactedBreakpoints: ['xs', 'is', 'sm', 'md', 'lg'],
    hiddenBreakpoints: ['xs', 'is'],
    property: 'start',
    state: 'expanded',
};

var TabsStyle = styled.div(templateObject_2$d || (templateObject_2$d = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, fullWidth = _a.fullWidth;
    return css(templateObject_1$d || (templateObject_1$d = __makeTemplateObject(["\n    display: block;\n    background-color: ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    .tabs {\n      border-bottom: ", " ", " ", ";\n      display: flex;\n      flex-direction: row;\n      list-style-type: none;\n      margin: 0;\n      ", "\n\n      .tab {\n        cursor: pointer;\n        margin-bottom: -1px;\n        text-align: center;\n        position: relative;\n        &.active a::before {\n          display: block;\n        }\n        a {\n          background-color: ", ";\n          padding: ", ";\n          color: ", ";\n          font-family: ", ";\n          font-size: ", ";\n          font-weight: ", ";\n          line-height: ", ";\n          text-transform: ", ";\n          display: flex;\n          align-items: center;\n          position: relative;\n          text-decoration: none;\n\n          &::before {\n            display: none;\n            position: absolute;\n            content: '';\n            width: 100%;\n            height: 6px;\n            border-radius: 3px;\n            bottom: -2px;\n            left: 0;\n            background-color: ", ";\n            height: ", ";\n          }\n          .tabs-icon {\n            vertical-align: middle;\n          }\n\n          .tabs-icon + span {\n            margin-", ": 0.5rem;\n          }\n        }\n\n        &.active {\n          a {\n            background-color: ", ";\n            color: ", ";\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n        &:focus {\n          a {\n            background-color: ", ";\n            color: ", ";\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n\n        &:hover {\n          a {\n            color: ", ";\n            background-color: ", ";\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n        &.disabled {\n          & > * {\n            opacity: 0.5;\n          }\n          cursor: default;\n          pointer-events: none;\n          a {\n            background-color: ", ";\n            color: ", ";\n            cursor: default;\n            pointer-events: none;\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n\n        &.responsive {\n          @media screen and (max-width: ", ") {\n            a span {\n              display: none;\n            }\n          }\n        }\n      }\n    }\n    .tab-content {\n      flex: 1;\n      -ms-flex: 1 1 auto;\n      overflow: auto;\n      background-color: ", ";\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      padding: ", ";\n      ", "\n    }\n  "], ["\n    display: block;\n    background-color: ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    .tabs {\n      border-bottom: ", " ", " ", ";\n      display: flex;\n      flex-direction: row;\n      list-style-type: none;\n      margin: 0;\n      ", "\n\n      .tab {\n        cursor: pointer;\n        margin-bottom: -1px;\n        text-align: center;\n        position: relative;\n        &.active a::before {\n          display: block;\n        }\n        a {\n          background-color: ", ";\n          padding: ", ";\n          color: ", ";\n          font-family: ", ";\n          font-size: ", ";\n          font-weight: ", ";\n          line-height: ", ";\n          text-transform: ", ";\n          display: flex;\n          align-items: center;\n          position: relative;\n          text-decoration: none;\n\n          &::before {\n            display: none;\n            position: absolute;\n            content: '';\n            width: 100%;\n            height: 6px;\n            border-radius: 3px;\n            bottom: -2px;\n            left: 0;\n            background-color: ", ";\n            height: ", ";\n          }\n          .tabs-icon {\n            vertical-align: middle;\n          }\n\n          .tabs-icon + span {\n            margin-", ": 0.5rem;\n          }\n        }\n\n        &.active {\n          a {\n            background-color: ", ";\n            color: ", ";\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n        &:focus {\n          a {\n            background-color: ", ";\n            color: ", ";\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n\n        &:hover {\n          a {\n            color: ", ";\n            background-color: ", ";\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n        &.disabled {\n          & > * {\n            opacity: 0.5;\n          }\n          cursor: default;\n          pointer-events: none;\n          a {\n            background-color: ", ";\n            color: ", ";\n            cursor: default;\n            pointer-events: none;\n            &::before {\n              background-color: ", ";\n            }\n          }\n        }\n\n        &.responsive {\n          @media screen and (max-width: ", ") {\n            a span {\n              display: none;\n            }\n          }\n        }\n      }\n    }\n    .tab-content {\n      flex: 1;\n      -ms-flex: 1 1 auto;\n      overflow: auto;\n      background-color: ", ";\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      padding: ", ";\n      ", "\n    }\n  "])), theme.tabsetBackgroundColor, theme.tabsetBorderRadius, theme.tabsetShadow, theme.tabsetDividerWidth, theme.tabsetDividerStyle, theme.tabsetDividerColor, fullWidth && 'justify-content: space-around;', theme.tabsetTabBackgroundColor, theme.tabsetTabPadding, theme.tabsetTabTextColor, theme.tabsetTabTextFontFamily, theme.tabsetTabTextFontSize, theme.tabsetTabTextFontWeight, theme.tabsetTabTextLineHeight, theme.tabsetTabTextTransform, theme.tabsetTabUnderlineColor, theme.tabsetTabUnderlineWidth, theme.dir === 'rtl' ? 'right' : 'left', theme.tabsetTabActiveBackgroundColor, theme.tabsetTabActiveTextColor, theme.tabsetTabActiveUnderlineColor, theme.tabsetTabFocusBackgroundColor, theme.tabsetTabFocusTextColor, theme.tabsetTabFocusUnderlineColor, theme.tabsetTabHoverTextColor, theme.tabsetTabHoverBackgroundColor, theme.tabsetTabHoverUnderlineColor, theme.tabsetTabDisabledBackgroundColor, theme.tabsetTabDisabledTextColor, theme.tabsetTabDisabledUnderlineColor, theme.tabsetTabTextHideBreakpoint, theme.tabsetContentBackgroundColor, theme.tabsetContentTextColor, theme.tabsetContentTextFontFamily, theme.tabsetContentTextFontSize, theme.tabsetContentTextFontWeight, theme.tabsetContentTextLineHeight, theme.tabsetContentPadding, scrollbars(theme.tabsetScrollbarColor, theme.tabsetScrollbarBackgroundColor, theme.tabsetScrollbarWidth));
});
var templateObject_1$d, templateObject_2$d;

var position1 = ['left', 'right', 'top', 'bottom'];
var position2 = ['start', 'end'];
var position3 = ['topRight', 'topLeft', 'bottomRight', 'bottomLeft'];
var position4 = ['topStart', 'topEnd', 'bottomStart', 'bottomEnd'];
function getPhysicalPosition(dir, position) {
    if (position1.includes(position) || position3.includes(position)) {
        return position;
    }
    switch (position) {
        case 'start':
            return dir === 'rtl' ? 'right' : 'left';
        case 'end':
            return dir === 'rtl' ? 'left' : 'right';
        case 'topStart':
            return dir === 'rtl' ? 'topRight' : 'topLeft';
        case 'topEnd':
            return dir === 'rtl' ? 'topLeft' : 'topRight';
        case 'bottomStart':
            return dir === 'rtl' ? 'bottomRight' : 'bottomLeft';
        case 'bottomEnd':
            return dir === 'rtl' ? 'bottomLeft' : 'bottomRight';
    }
    return position;
}
function getLogicalPosition(dir, position) {
    if (position2.includes(position) || position4.includes(position)) {
        return position;
    }
    switch (position) {
        case 'right':
            return dir === 'rtl' ? 'start' : 'end';
        case 'left':
            return dir === 'rtl' ? 'end' : 'start';
        case 'topRight':
            return dir === 'rtl' ? 'topStart' : 'topEnd';
        case 'topLeft':
            return dir === 'rtl' ? 'topEnd' : 'topStart';
        case 'bottomRight':
            return dir === 'rtl' ? 'bottomStart' : 'bottomEnd';
        case 'bottomLeft':
            return dir === 'rtl' ? 'bottomEnd' : 'bottomStart';
    }
    return position;
}
function isRightPosition(dir, position) {
    var physicalPosition = getPhysicalPosition(dir, position);
    return physicalPosition === 'topRight' || physicalPosition === 'bottomRight';
}
function isTopPosition(dir, position) {
    var physicalPosition = getLogicalPosition(dir, position);
    return physicalPosition === 'topEnd' || physicalPosition === 'topStart';
}

var Badge = styled.span(templateObject_2$e || (templateObject_2$e = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ",
    "\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, status = _a.status;
    return css(templateObject_1$e || (templateObject_1$e = __makeTemplateObject(["\n    position: absolute;\n    border-radius: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    padding: ", ";\n    text-align: center;\n    white-space: nowrap;\n    vertical-align: baseline;\n    color: ", ";\n    background-color: ", ";\n  "], ["\n    position: absolute;\n    border-radius: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    padding: ", ";\n    text-align: center;\n    white-space: nowrap;\n    vertical-align: baseline;\n    color: ", ";\n    background-color: ", ";\n  "])), theme.badgeBorderRadius, theme.badgeTextFontFamily, theme.badgeTextFontSize, theme.badgeTextFontWeight, theme.badgeTextLineHeight, theme.badgePadding, theme["badge" + status + "TextColor"], theme["badge" + status + "BackgroundColor"]);
}, function (_a) {
    var position = _a.position, theme = _a.theme;
    var placement = getPhysicalPosition(theme.dir, position);
    switch (placement) {
        case 'topRight':
            return 'top: 0;right: 0;';
        case 'topLeft':
            return 'top: 0;left: 0;';
        case 'bottomRight':
            return 'bottom: 0;right: 0;';
        case 'bottomLeft':
            return 'bottom: 0;left: 0;';
    }
});
Badge.defaultProps = {
    position: 'topEnd',
    status: 'Primary',
};
var templateObject_1$e, templateObject_2$e;

var Tab = function (props) {
    return React.createElement("div", { className: "tab-content" }, props.children);
};
var Tabs = function (props) {
    var _a;
    var _b = __read(React.useState([]), 2), tabs = _b[0], setTabs = _b[1];
    var _c = __read(React.useState((_a = props.activeIndex, (_a !== null && _a !== void 0 ? _a : 0))), 2), active = _c[0], setActive = _c[1];
    var selectTab = function (index) {
        typeof props.onSelect === 'function' && props.onSelect(index);
        setActive(index);
    };
    React.useEffect(function () {
        var children = [];
        React.Children.forEach(props.children, function (child) {
            if (child.props.icon || child.props.title) {
                children.push(__assign({}, child.props));
            }
        });
        setTabs(children);
    }, [props.children]);
    return (React.createElement(TabsStyle, { className: props.className, style: props.style, fullWidth: props.fullWidth },
        React.createElement("ul", { className: "tabs" }, tabs.map(function (tab, index) {
            var cssClass = ['tab'];
            if (index === active) {
                cssClass.push('active');
            }
            if (tab.responsive) {
                cssClass.push('responsive');
            }
            if (tab.disabled) {
                cssClass.push('disabled');
            }
            if (tab.className) {
                cssClass.push.apply(cssClass, __spread(tab.className.split(' ')));
            }
            return (React.createElement("li", { key: index, className: cssClass.join(' '), onClick: function () { return !tab.disabled && selectTab(index); } },
                React.createElement("a", null,
                    tab.icon && React.createElement(ItemIcon, { icon: tab.icon, className: "tabs-icon" }),
                    tab.title && React.createElement("span", null, tab.title)),
                tab.badge && (React.createElement(Badge, { status: tab.badge.status, position: tab.badge.position }, tab.badge.title))));
        })),
        React.Children.map(props.children, function (child, i) {
            if (i === active && child.props.children) {
                return child;
            }
        })));
};

var List = styled.div(templateObject_1$f || (templateObject_1$f = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  flex: 1 1 auto;\n  overflow: auto;\n"], ["\n  display: flex;\n  flex-direction: column;\n  flex: 1 1 auto;\n  overflow: auto;\n"])));
var ListItem = styled.div(templateObject_3$b || (templateObject_3$b = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_2$f || (templateObject_2$f = __makeTemplateObject(["\n    border-bottom: ", " ", " ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    padding: ", ";\n    display: flex;\n    align-items: center;\n    flex-shrink: 0;\n\n    &:first-child {\n      border-top: ", " ", " ", ";\n    }\n  "], ["\n    border-bottom: ", " ", " ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    padding: ", ";\n    display: flex;\n    align-items: center;\n    flex-shrink: 0;\n\n    &:first-child {\n      border-top: ", " ", " ", ";\n    }\n  "])), theme.listItemDividerWidth, theme.listItemDividerStyle, theme.listItemDividerColor, theme.listItemTextColor, theme.listItemFontFamily, theme.listItemFontSize, theme.listItemFontWeight, theme.listItemLineHeight, theme.listItemPadding, theme.listItemDividerWidth, theme.listItemDividerStyle, theme.listItemDividerColor);
});
var templateObject_1$f, templateObject_2$f, templateObject_3$b;

var GroupStyle = styled.div(templateObject_5$6 || (templateObject_5$6 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, size = _a.size, status = _a.status, shape = _a.shape, fullWidth = _a.fullWidth;
    return css(templateObject_4$9 || (templateObject_4$9 = __makeTemplateObject(["\n      display: flex;\n      min-width: 0;\n      position: relative;\n      margin-bottom: 1rem;\n\n      input,\n      textarea {\n        border-style: ", ";\n        border-width: ", ";\n        font-family: ", ";\n        -webkit-appearance: none;\n\n        ", "\n        \n        ", "\n\n        &::placeholder {\n          font-family: ", ";\n          text-overflow: ellipsis;\n        }\n        \n        &:focus {\n          outline: none;\n        }\n      \n        ", "\n\n        ", "\n\n        ", "\n      }\n    "], ["\n      display: flex;\n      min-width: 0;\n      position: relative;\n      margin-bottom: 1rem;\n\n      input,\n      textarea {\n        border-style: ", ";\n        border-width: ", ";\n        font-family: ", ";\n        -webkit-appearance: none;\n\n        ", "\n        \n        ", "\n\n        &::placeholder {\n          font-family: ", ";\n          text-overflow: ellipsis;\n        }\n        \n        &:focus {\n          outline: none;\n        }\n      \n        ",
        "\n\n        ",
        "\n\n        ",
        "\n      }\n    "])), theme.inputBorderStyle, theme.inputBorderWidth, theme.inputTextFontFamily, componentAnimation('border, background-color, color, box-shadow'), fullWidth && 'width: 100%;', theme.inputPlaceholderTextFontFamily, status && css(templateObject_1$g || (templateObject_1$g = __makeTemplateObject(["\n            background-color: ", ";\n            border-color: ", ";\n            color: ", ";\n\n            &::placeholder {\n              color: ", ";\n            }\n\n            &:focus {\n              background-color: ", ";\n              border-color: ", ";\n            }\n            &:hover {\n              background-color: ", ";\n              border-color: ", ";\n            }\n\n            &:disabled {\n              background-color: ", ";\n              border-color: ", ";\n              color: ", ";\n\n              &::placeholder {\n                color: ", ";\n              }\n            }\n          "], ["\n            background-color: ", ";\n            border-color: ", ";\n            color: ", ";\n\n            &::placeholder {\n              color: ", ";\n            }\n\n            &:focus {\n              background-color: ", ";\n              border-color: ", ";\n            }\n            &:hover {\n              background-color: ", ";\n              border-color: ", ";\n            }\n\n            &:disabled {\n              background-color: ", ";\n              border-color: ", ";\n              color: ", ";\n\n              &::placeholder {\n                color: ", ";\n              }\n            }\n          "])), theme["input" + status + "BackgroundColor"], theme["input" + status + "BorderColor"], theme["input" + status + "TextColor"], theme["input" + status + "PlaceholderTextColor"], theme["input" + status + "FocusBackgroundColor"], theme["input" + status + "FocusBorderColor"], theme["input" + status + "HoverBackgroundColor"], theme["input" + status + "HoverBorderColor"], theme["input" + status + "DisabledBackgroundColor"], theme["input" + status + "DisabledBorderColor"], theme["input" + status + "DisabledTextColor"], theme["input" + status + "DisabledPlaceholderTextColor"]), shape && css(templateObject_2$g || (templateObject_2$g = __makeTemplateObject(["\n            border-radius: ", ";\n          "], ["\n            border-radius: ", ";\n          "])), theme["input" + shape + "BorderRadius"]), size && css(templateObject_3$c || (templateObject_3$c = __makeTemplateObject(["\n            font-size: ", ";\n            font-weight: ", ";\n            line-height: ", ";\n            padding: ", ";\n\n            ", "\n\n            &::placeholder {\n              font-size: ", ";\n              font-weight: ", ";\n              line-height: ", ";\n            }\n          "], ["\n            font-size: ", ";\n            font-weight: ", ";\n            line-height: ", ";\n            padding: ", ";\n\n            ", "\n\n            &::placeholder {\n              font-size: ", ";\n              font-weight: ", ";\n              line-height: ", ";\n            }\n          "])), theme["input" + size + "TextFontSize"], theme["input" + size + "TextFontWeight"], theme["input" + size + "TextLineHeight"], theme["input" + size + "Padding"], !fullWidth && "max-width: " + theme["input" + size + "MaxWidth"] + ";", theme["input" + size + "PlaceholderTextFontSize"], theme["input" + size + "PlaceholderTextFontWeight"], theme["input" + size + "PlaceholderTextLineHeight"]));
});
var InputGroup = function (props) {
    return React.createElement(GroupStyle, __assign({}, props), props.children);
};
InputGroup.defaultProps = {
    size: 'Medium',
    shape: 'Rectangle',
    status: 'Basic',
};
var templateObject_1$g, templateObject_2$g, templateObject_3$c, templateObject_4$9, templateObject_5$6;

var CheckboxStyle = styled.label(templateObject_9$3 || (templateObject_9$3 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, checked = _a.checked, disabled = _a.disabled, status = _a.status, indeterminate = _a.indeterminate;
    return css(templateObject_8$4 || (templateObject_8$4 = __makeTemplateObject(["\n    position: relative;\n    display: inline-flex;\n    align-items: center;\n    margin: 0;\n    min-height: inherit;\n    padding: ", ";\n\n    .custom-checkbox {\n      width: ", ";\n      height: ", ";\n      border-style: ", ";\n      border-width: ", ";\n      border-radius: ", ";\n      position: relative;\n      flex-shrink: 0;\n      ", "\n    }\n\n    .native-input:focus:not(:checked) + .custom-checkbox {\n      ", "\n    }\n    .native-input:focus:checked + .custom-checkbox {\n      ", "\n    }\n\n    ", " {\n      position: absolute;\n      top: 50%;\n      left: 50%;\n      transform: translate(-50%, -50%);\n      width: 50%;\n    }\n    .text {\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      transition: color 0.15s ease-in;\n      &:not(:empty) {\n        padding-", ": ", ";\n      }\n    }\n\n    ", "\n  "], ["\n    position: relative;\n    display: inline-flex;\n    align-items: center;\n    margin: 0;\n    min-height: inherit;\n    padding: ", ";\n\n    .custom-checkbox {\n      width: ", ";\n      height: ", ";\n      border-style: ", ";\n      border-width: ", ";\n      border-radius: ", ";\n      position: relative;\n      flex-shrink: 0;\n      ", "\n    }\n\n    .native-input:focus:not(:checked) + .custom-checkbox {\n      ", "\n    }\n    .native-input:focus:checked + .custom-checkbox {\n      ", "\n    }\n\n    ", " {\n      position: absolute;\n      top: 50%;\n      left: 50%;\n      transform: translate(-50%, -50%);\n      width: 50%;\n    }\n    .text {\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      transition: color 0.15s ease-in;\n      &:not(:empty) {\n        padding-", ": ", ";\n      }\n    }\n\n    ",
        "\n  "])), theme.checkboxPadding, theme.checkboxWidth, theme.checkboxHeight, theme.checkboxBorderStyle, theme.checkboxBorderWidth, theme.checkboxBorderRadius, componentAnimation('background-color, border, box-shadow'), outlineShadow(theme.checkboxOutlineWidth, theme.checkboxOutlineColor, true), outlineShadow(theme.checkboxOutlineWidth, theme.checkboxOutlineColor), IconStyle, theme.checkboxTextFontFamily, theme.checkboxTextFontSize, theme.checkboxTextFontWeight, theme.checkboxTextLineHeight, theme.dir === 'rtl' ? 'right' : 'left', theme.checkboxTextSpace, status && css(templateObject_7$4 || (templateObject_7$4 = __makeTemplateObject(["\n        .custom-checkbox {\n          background-color: ", ";\n          border-color: ", ";\n        }\n\n        .text {\n          color: ", ";\n        }\n\n        ", "\n        ", "\n\n        .native-input:enabled:focus + .custom-checkbox {\n          background-color: ", ";\n          border-color: ", ";\n\n          ", "\n        }\n\n        .custom-checkbox:hover {\n          background-color: ", ";\n          border-color: ", ";\n\n          ", "\n        }\n\n        .native-input:enabled:active + .custom-checkbox {\n          background-color: ", ";\n          border-color: ", ";\n\n          ", "\n        }\n        ", "\n      "], ["\n        .custom-checkbox {\n          background-color: ", ";\n          border-color: ", ";\n        }\n\n        .text {\n          color: ", ";\n        }\n\n        ",
        "\n        ",
        "\n\n        .native-input:enabled:focus + .custom-checkbox {\n          background-color: ", ";\n          border-color: ", ";\n\n          ",
        "\n        }\n\n        .custom-checkbox:hover {\n          background-color: ", ";\n          border-color: ", ";\n\n          ",
        "\n        }\n\n        .native-input:enabled:active + .custom-checkbox {\n          background-color: ", ";\n          border-color: ", ";\n\n          ",
        "\n        }\n        ",
        "\n      "])), theme["checkbox" + status + "BackgroundColor"], theme["checkbox" + status + "BorderColor"], theme["checkbox" + status + "TextColor"], checked && css(templateObject_1$h || (templateObject_1$h = __makeTemplateObject(["\n            .custom-checkbox {\n              background-color: ", ";\n              border-color: ", ";\n\n              ", " {\n                color: ", ";\n              }\n            }\n          "], ["\n            .custom-checkbox {\n              background-color: ", ";\n              border-color: ", ";\n\n              ", " {\n                color: ", ";\n              }\n            }\n          "])), theme["checkbox" + status + "CheckedBackgroundColor"], theme["checkbox" + status + "CheckedBorderColor"], IconStyle, theme["checkbox" + status + "CheckedCheckmarkColor"]), indeterminate && css(templateObject_2$h || (templateObject_2$h = __makeTemplateObject(["\n            .custom-checkbox {\n              background-color: ", ";\n              border-color: ", ";\n\n              ", " {\n                color: ", ";\n              }\n            }\n          "], ["\n            .custom-checkbox {\n              background-color: ", ";\n              border-color: ", ";\n\n              ", " {\n                color: ", ";\n              }\n            }\n          "])), theme["checkbox" + status + "IndeterminateBackgroundColor"], theme["checkbox" + status + "IndeterminateBorderColor"], IconStyle, theme["checkbox" + status + "IndeterminateCheckmarkColor"]), theme["checkbox" + status + "FocusBackgroundColor"], theme["checkbox" + status + "FocusBorderColor"], (indeterminate || checked) && css(templateObject_3$d || (templateObject_3$d = __makeTemplateObject(["\n              background-color: ", ";\n              border-color: ", ";\n            "], ["\n              background-color: ", ";\n              border-color: ", ";\n            "])), theme["checkbox" + status + "FocusCheckedBackgroundColor"], theme["checkbox" + status + "FocusCheckedBorderColor"]), theme["checkbox" + status + "HoverBackgroundColor"], theme["checkbox" + status + "HoverBorderColor"], (indeterminate || checked) && css(templateObject_4$a || (templateObject_4$a = __makeTemplateObject(["\n              background-color: ", ";\n              border-color: ", ";\n            "], ["\n              background-color: ", ";\n              border-color: ", ";\n            "])), theme["checkbox" + status + "HoverCheckedBackgroundColor"], theme["checkbox" + status + "HoverCheckedBorderColor"]), theme["checkbox" + status + "ActiveBackgroundColor"], theme["checkbox" + status + "ActiveBorderColor"], (indeterminate || checked) && css(templateObject_5$7 || (templateObject_5$7 = __makeTemplateObject(["\n              background-color: ", ";\n              border-color: ", ";\n            "], ["\n              background-color: ", ";\n              border-color: ", ";\n            "])), theme["checkbox" + status + "ActiveCheckedBackgroundColor"], theme["checkbox" + status + "ActiveCheckedBorderColor"]), disabled && css(templateObject_6$5 || (templateObject_6$5 = __makeTemplateObject(["\n            .native-input:disabled {\n              & + .custom-checkbox {\n                background-color: ", ";\n                border-color: ", ";\n\n                ", " {\n                  color: ", ";\n                }\n              }\n              & ~ .text {\n                color: ", ";\n              }\n              &:indeterminate + .custom-checkbox,\n              &:checked + .custom-checkbox {\n                background-color: ", ";\n              }\n            }\n          "], ["\n            .native-input:disabled {\n              & + .custom-checkbox {\n                background-color: ", ";\n                border-color: ", ";\n\n                ", " {\n                  color: ", ";\n                }\n              }\n              & ~ .text {\n                color: ", ";\n              }\n              &:indeterminate + .custom-checkbox,\n              &:checked + .custom-checkbox {\n                background-color: ", ";\n              }\n            }\n          "])), theme["checkbox" + status + "DisabledBackgroundColor"], theme["checkbox" + status + "DisabledBorderColor"], IconStyle, theme["checkbox" + status + "DisabledCheckmarkColor"], theme["checkbox" + status + "DisabledTextColor"], theme["checkbox" + status + "DisabledCheckedBackgroundColor"])));
});
var templateObject_1$h, templateObject_2$h, templateObject_3$d, templateObject_4$a, templateObject_5$7, templateObject_6$5, templateObject_7$4, templateObject_8$4, templateObject_9$3;

var Checkbox = function (props) {
    var _a = __read(React.useState(props.checked ? props.checked : false), 2), value = _a[0], setValue = _a[1];
    var uncontrolled = typeof props.onChange === 'function';
    var onChangeHandler = function () {
        props.onChange && props.onChange(!value);
        setValue(!value);
    };
    return (React.createElement(CheckboxStyle, { disabled: props.disabled, checked: uncontrolled ? value : props.checked, status: props.status, className: props.className, style: props.style },
        uncontrolled ? (React.createElement("input", { type: "checkbox", className: "native-input visually-hidden", disabled: props.disabled, onBlur: props.onBlur, checked: value, onChange: onChangeHandler })) : (React.createElement("input", { type: "checkbox", className: "native-input visually-hidden", disabled: props.disabled, onBlur: props.onBlur })),
        React.createElement("span", { className: "custom-checkbox" },
            value && !props.indeterminate && React.createElement(Icon, { name: "checkmark-bold-outline" }),
            props.indeterminate && React.createElement(Icon, { name: "minus-bold-outline" })),
        React.createElement("span", { className: "text" }, props.children)));
};
Checkbox.defaultProps = {
    status: 'Basic',
};

var btnPulse = function (color) {
    var pulse = keyframes(templateObject_1$i || (templateObject_1$i = __makeTemplateObject(["\n  0% {\n      box-shadow: none;\n      opacity: 0.3;\n    }\n    100% {\n      box-shadow: 0 0 1rem 0 ", ";\n      opacity: 0.8;\n    }\n  "], ["\n  0% {\n      box-shadow: none;\n      opacity: 0.3;\n    }\n    100% {\n      box-shadow: 0 0 1rem 0 ", ";\n      opacity: 0.8;\n    }\n  "])), color);
    return css(templateObject_2$i || (templateObject_2$i = __makeTemplateObject(["\n    animation: ", " 1.5s infinite alternate;\n  "], ["\n    animation: ", " 1.5s infinite alternate;\n  "])), pulse);
};
var filled = css(templateObject_4$b || (templateObject_4$b = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var status = _a.status, size = _a.size, theme = _a.theme;
    return css(templateObject_3$e || (templateObject_3$e = __makeTemplateObject(["\n    border-style: ", ";\n    border-width: ", ";\n    text-transform: ", ";\n    padding: ", ";\n    background-color: ", ";\n    border-color: ", ";\n    color: ", ";\n\n    &:focus {\n      outline: none;\n      ", "\n    }\n\n    &:focus,\n    &.focus {\n      background-color: ", ";\n      border-color: ", ";\n    }\n    &:hover,\n    &.hover {\n      background-color: ", ";\n      border-color: ", ";\n    }\n    &:active,\n    &.active,\n    &:active:focus {\n      background-color: ", ";\n      border-color: ", ";\n    }\n\n    &:disabled,\n    &.disabled {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n  "], ["\n    border-style: ", ";\n    border-width: ", ";\n    text-transform: ", ";\n    padding: ", ";\n    background-color: ", ";\n    border-color: ", ";\n    color: ", ";\n\n    &:focus {\n      outline: none;\n      ", "\n    }\n\n    &:focus,\n    &.focus {\n      background-color: ", ";\n      border-color: ", ";\n    }\n    &:hover,\n    &.hover {\n      background-color: ", ";\n      border-color: ", ";\n    }\n    &:active,\n    &.active,\n    &:active:focus {\n      background-color: ", ";\n      border-color: ", ";\n    }\n\n    &:disabled,\n    &.disabled {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n  "])), theme.buttonFilledBorderStyle, theme.buttonFilledBorderWidth, theme.buttonFilledTextTransform, theme["buttonFilled" + size + "Padding"], theme["buttonFilled" + status + "BackgroundColor"], theme["buttonFilled" + status + "BorderColor"], theme["buttonFilled" + status + "TextColor"], outlineShadow(theme.buttonOutlineWidth, theme.buttonOutlineColor), theme["buttonFilled" + status + "FocusBackgroundColor"], theme["buttonFilled" + status + "FocusBorderColor"], theme["buttonFilled" + status + "HoverBackgroundColor"], theme["buttonFilled" + status + "HoverBorderColor"], theme["buttonFilled" + status + "ActiveBackgroundColor"], theme["buttonFilled" + status + "ActiveBorderColor"], theme["buttonFilled" + status + "DisabledBackgroundColor"], theme["buttonFilled" + status + "DisabledBorderColor"], theme["buttonFilled" + status + "DisabledTextColor"]);
});
var outline = css(templateObject_6$6 || (templateObject_6$6 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var status = _a.status, size = _a.size, theme = _a.theme;
    return css(templateObject_5$8 || (templateObject_5$8 = __makeTemplateObject(["\n    border-style: ", ";\n    border-width: ", ";\n    text-transform: ", ";\n    padding: ", ";\n    background-color: ", ";\n    border-color: ", ";\n    color: ", ";\n\n    &:focus {\n      outline: none;\n      ", "\n    }\n\n    &:focus,\n    &.focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:hover,\n    &.hover {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:active,\n    &.active,\n    &:active:focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n\n    &:disabled,\n    &.disabled {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n  "], ["\n    border-style: ", ";\n    border-width: ", ";\n    text-transform: ", ";\n    padding: ", ";\n    background-color: ", ";\n    border-color: ", ";\n    color: ", ";\n\n    &:focus {\n      outline: none;\n      ", "\n    }\n\n    &:focus,\n    &.focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:hover,\n    &.hover {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:active,\n    &.active,\n    &:active:focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n\n    &:disabled,\n    &.disabled {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n  "])), theme.buttonOutlineBorderStyle, theme.buttonOutlineBorderWidth, theme.buttonOutlineTextTransform, theme["buttonOutline" + size + "Padding"], theme["buttonOutline" + status + "BackgroundColor"], theme["buttonOutline" + status + "BorderColor"], theme["buttonOutline" + status + "TextColor"], outlineShadow(theme.buttonOutlineWidth, theme.buttonOutlineColor, true), theme["buttonOutline" + status + "FocusBackgroundColor"], theme["buttonOutline" + status + "FocusBorderColor"], theme["buttonOutline" + status + "FocusTextColor"], theme["buttonOutline" + status + "HoverBackgroundColor"], theme["buttonOutline" + status + "HoverBorderColor"], theme["buttonOutline" + status + "HoverTextColor"], theme["buttonOutline" + status + "ActiveBackgroundColor"], theme["buttonOutline" + status + "ActiveBorderColor"], theme["buttonOutline" + status + "ActiveTextColor"], theme["buttonOutline" + status + "DisabledBackgroundColor"], theme["buttonOutline" + status + "DisabledBorderColor"], theme["buttonOutline" + status + "DisabledTextColor"]);
});
var ghost = css(templateObject_8$5 || (templateObject_8$5 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var status = _a.status, size = _a.size, theme = _a.theme;
    return css(templateObject_7$5 || (templateObject_7$5 = __makeTemplateObject(["\n    background-color: ", ";\n    border-color: ", ";\n    border-style: ", ";\n    border-width: ", ";\n    text-transform: ", ";\n    padding: ", ";\n    color: ", ";\n\n    &:focus {\n      outline: none;\n      ", "\n    }\n\n    &:focus,\n    &.focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:hover,\n    &.hover {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:active,\n    &.active,\n    &:active:focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n\n    &:disabled,\n    &.disabled {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n  "], ["\n    background-color: ", ";\n    border-color: ", ";\n    border-style: ", ";\n    border-width: ", ";\n    text-transform: ", ";\n    padding: ", ";\n    color: ", ";\n\n    &:focus {\n      outline: none;\n      ", "\n    }\n\n    &:focus,\n    &.focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:hover,\n    &.hover {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n    &:active,\n    &.active,\n    &:active:focus {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n\n    &:disabled,\n    &.disabled {\n      background-color: ", ";\n      border-color: ", ";\n      color: ", ";\n    }\n  "])), theme.buttonGhostBackgroundColor, theme.buttonGhostBorderColor, theme.buttonGhostBorderStyle, theme.buttonGhostBorderWidth, theme.buttonGhostTextTransform, theme["buttonGhost" + size + "Padding"], theme["buttonGhost" + status + "TextColor"], outlineShadow(theme.buttonOutlineWidth, theme.buttonOutlineColor, true), theme["buttonGhost" + status + "FocusBackgroundColor"], theme["buttonGhost" + status + "FocusBorderColor"], theme["buttonGhost" + status + "FocusTextColor"], theme["buttonGhost" + status + "HoverBackgroundColor"], theme["buttonGhost" + status + "HoverBorderColor"], theme["buttonGhost" + status + "HoverTextColor"], theme["buttonGhost" + status + "ActiveBackgroundColor"], theme["buttonGhost" + status + "ActiveBorderColor"], theme["buttonGhost" + status + "ActiveTextColor"], theme["buttonGhost" + status + "DisabledBackgroundColor"], theme["buttonGhost" + status + "DisabledBorderColor"], theme["buttonGhost" + status + "DisabledTextColor"]);
});
var hero = css(templateObject_10$2 || (templateObject_10$2 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var status = _a.status, size = _a.size, theme = _a.theme;
    var leftColor = theme["buttonHero" + status + "LeftBackgroundColor"];
    var rightColor = theme["buttonHero" + status + "RightBackgroundColor"];
    var bevel = theme.buttonHeroBevelSize + " " + theme["buttonHero" + status + "BevelColor"];
    var glow = theme.buttonHeroGlowSize + " " + theme["buttonHero" + status + "GlowColor"];
    var shadow = theme.buttonHeroShadow;
    var heroBoxShadows = bevel + ", " + glow + ", " + shadow;
    var leftFocusColor = theme["buttonHero" + status + "FocusLeftBackgroundColor"];
    var rightFocusColor = theme["buttonHero" + status + "FocusRightBackgroundColor"];
    var leftHoverColor = theme["buttonHero" + status + "HoverLeftBackgroundColor"];
    var rightHoverColor = theme["buttonHero" + status + "HoverRightBackgroundColor"];
    var leftActiveColor = theme["buttonHero" + status + "ActiveLeftBackgroundColor"];
    var rightActiveColor = theme["buttonHero" + status + "ActiveRightBackgroundColor"];
    return css(templateObject_9$4 || (templateObject_9$4 = __makeTemplateObject(["\n      text-shadow: ", ";\n      text-transform: ", ";\n      padding: ", ";\n      color: ", ";\n      background-image: linear-gradient(to right, ", ", ", ");\n      border: none;\n      box-shadow: ", ";\n\n      &:focus,\n      &.focus {\n        background-image: linear-gradient(to right, ", ", ", ");\n        box-shadow: ", ", 0 0 0 ", " ", ";\n      }\n      &:hover,\n      &.hover {\n        background-image: linear-gradient(to right, ", ", ", ");\n      }\n      &:active,\n      &.active,\n      &:active:focus {\n        background-image: linear-gradient(to right, ", ", ", ");\n      }\n\n      &:disabled,\n      &.disabled {\n        background-image: none;\n        background-color: ", ";\n        color: ", ";\n      }\n    "], ["\n      text-shadow: ", ";\n      text-transform: ", ";\n      padding: ", ";\n      color: ", ";\n      background-image: linear-gradient(to right, ", ", ", ");\n      border: none;\n      box-shadow: ", ";\n\n      &:focus,\n      &.focus {\n        background-image: linear-gradient(to right, ", ", ", ");\n        box-shadow: ", ", 0 0 0 ", " ", ";\n      }\n      &:hover,\n      &.hover {\n        background-image: linear-gradient(to right, ", ", ", ");\n      }\n      &:active,\n      &.active,\n      &:active:focus {\n        background-image: linear-gradient(to right, ", ", ", ");\n      }\n\n      &:disabled,\n      &.disabled {\n        background-image: none;\n        background-color: ", ";\n        color: ", ";\n      }\n    "])), theme.buttonHeroTextShadow, theme.buttonHeroTextTransform, theme["buttonHero" + size + "Padding"], theme["buttonHero" + status + "TextColor"], leftColor, rightColor, heroBoxShadows, leftFocusColor, rightFocusColor, heroBoxShadows, theme.buttonHeroOutlineWidth, theme.buttonHeroOutlineColor, leftHoverColor, rightHoverColor, leftActiveColor, rightActiveColor, theme["buttonHero" + status + "DisabledBackgroundColor"], theme["buttonHero" + status + "DisabledTextColor"]);
});
var appearances = {
    filled: filled,
    hero: hero,
    ghost: ghost,
    outline: outline,
};
var ButtonStyle = css(templateObject_14$1 || (templateObject_14$1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, shape = _a.shape, size = _a.size, status = _a.status, fullWidth = _a.fullWidth, pulse = _a.pulse, appearance = _a.appearance;
    return css(templateObject_13$1 || (templateObject_13$1 = __makeTemplateObject(["\n    letter-spacing: 0.4px;\n    transition: none;\n    -webkit-appearance: none;\n    -moz-appearance: none;\n    text-align: center;\n    text-decoration: none;\n    display: inline-block;\n    white-space: nowrap;\n    vertical-align: middle;\n    user-select: none;\n\n    cursor: ", ";\n    font-family: ", ";\n    font-weight: ", ";\n    \n\n    &:hover,\n    &:focus {\n      text-decoration: none;\n    }\n\n    ", "\n\n    ", "\n\n    ", "\n\n    ", "\n\n    &.transitions {\n      ", "\n    }\n    \n    ", "\n  "], ["\n    letter-spacing: 0.4px;\n    transition: none;\n    -webkit-appearance: none;\n    -moz-appearance: none;\n    text-align: center;\n    text-decoration: none;\n    display: inline-block;\n    white-space: nowrap;\n    vertical-align: middle;\n    user-select: none;\n\n    cursor: ", ";\n    font-family: ", ";\n    font-weight: ", ";\n    \n\n    &:hover,\n    &:focus {\n      text-decoration: none;\n    }\n\n    ",
        "\n\n    ",
        "\n\n    ", "\n\n    ", "\n\n    &.transitions {\n      ", "\n    }\n    \n    ", "\n  "])), theme.buttonCursor, theme.buttonTextFontFamily, theme.buttonTextFontWeight, size && css(templateObject_11$1 || (templateObject_11$1 = __makeTemplateObject(["\n        font-size: ", ";\n        line-height: ", ";\n      "], ["\n        font-size: ", ";\n        line-height: ", ";\n      "])), theme["button" + size + "TextFontSize"], theme["button" + size + "TextLineHeight"]), shape && css(templateObject_12$1 || (templateObject_12$1 = __makeTemplateObject(["\n        border-radius: ", ";\n      "], ["\n        border-radius: ", ";\n      "])), theme["button" + shape + "BorderRadius"]), pulse && btnPulse(theme["buttonHero" + status + "LeftBackgroundColor"]), fullWidth && 'width: 100%;', componentAnimation('background-color, border-color, box-shadow, color'), appearance && appearances[appearance]);
});
var ButtonStyleC = styled.button(templateObject_15$1 || (templateObject_15$1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), ButtonStyle);
var ButtonLinkStyle = styled.a(templateObject_16$1 || (templateObject_16$1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), ButtonStyle);
var templateObject_1$i, templateObject_2$i, templateObject_3$e, templateObject_4$b, templateObject_5$8, templateObject_6$6, templateObject_7$5, templateObject_8$5, templateObject_9$4, templateObject_10$2, templateObject_11$1, templateObject_12$1, templateObject_13$1, templateObject_14$1, templateObject_15$1, templateObject_16$1;

var Button = function (props) { return (React.createElement(ButtonStyleC, __assign({}, props), props.children)); };
var ButtonLink = function (props) { return (React.createElement(ButtonLinkStyle, __assign({}, props), props.children)); };
var defaultProps = {
    size: 'Medium',
    status: 'Primary',
    appearance: 'filled',
    shape: 'Rectangle',
};
Button.defaultProps = defaultProps;
ButtonLink.defaultProps = defaultProps;

var getBorder = function (placement) {
    var pos = placement === 'top' ? 'bottom' : 'top';
    return "border-" + pos + "-left-radius: 0;border-" + pos + "-right-radius: 0;";
};
var Option = styled.div(templateObject_2$j || (templateObject_2$j = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_1$j || (templateObject_1$j = __makeTemplateObject(["\n    user-select: none;\n    display: flex;\n    ", ";\n\n    &:hover {\n      cursor: pointer;\n    }\n\n    ", " {\n      display: flex;\n      pointer-events: none;\n      margin-", ": 0.5rem;\n    }\n    &:focus {\n      outline: none;\n    }\n    &.selected {\n      background-color: ", ";\n      color: ", ";\n    }\n    &:focus {\n      background-color: ", ";\n      color: ", ";\n\n      &.selected {\n        background-color: ", ";\n        color: ", ";\n      }\n    }\n    &:hover {\n      background-color: ", ";\n      color: ", ";\n\n      &.selected {\n        background-color: ", ";\n        color: ", ";\n      }\n    }\n\n    &.multiple {\n      &.selected {\n        background-color: ", ";\n        color: ", ";\n      }\n      &:focus {\n        background-color: ", ";\n        color: ", ";\n      }\n    }\n  "], ["\n    user-select: none;\n    display: flex;\n    ", ";\n\n    &:hover {\n      cursor: pointer;\n    }\n\n    ", " {\n      display: flex;\n      pointer-events: none;\n      margin-", ": 0.5rem;\n    }\n    &:focus {\n      outline: none;\n    }\n    &.selected {\n      background-color: ", ";\n      color: ", ";\n    }\n    &:focus {\n      background-color: ", ";\n      color: ", ";\n\n      &.selected {\n        background-color: ", ";\n        color: ", ";\n      }\n    }\n    &:hover {\n      background-color: ", ";\n      color: ", ";\n\n      &.selected {\n        background-color: ", ";\n        color: ", ";\n      }\n    }\n\n    &.multiple {\n      &.selected {\n        background-color: ", ";\n        color: ", ";\n      }\n      &:focus {\n        background-color: ", ";\n        color: ", ";\n      }\n    }\n  "])), componentAnimation('background-color, color'), CheckboxStyle, theme.dir === 'rtl' ? 'left' : 'right', theme.selectOptionSelectedBackgroundColor, theme.selectOptionSelectedTextColor, theme.selectOptionFocusBackgroundColor, theme.selectOptionFocusTextColor, theme.selectOptionSelectedFocusBackgroundColor, theme.selectOptionSelectedFocusTextColor, theme.selectOptionHoverBackgroundColor, theme.selectOptionHoverTextColor, theme.selectOptionSelectedHoverBackgroundColor, theme.selectOptionSelectedHoverTextColor, theme.selectOptionBackgroundColor, theme.selectOptionTextColor, theme.selectOptionFocusBackgroundColor, theme.selectOptionFocusTextColor);
});
var OptionGroup = styled.div(templateObject_3$f || (templateObject_3$f = __makeTemplateObject(["\n  display: block;\n  color: ", ";\n  span {\n    padding: 1.125rem 0.5rem;\n    display: block;\n  }\n\n  &.disabled {\n    pointer-events: none;\n  }\n\n  ", " {\n    padding: 0.75rem 0.75rem 0.75rem 2.5rem;\n  }\n"], ["\n  display: block;\n  color: ", ";\n  span {\n    padding: 1.125rem 0.5rem;\n    display: block;\n  }\n\n  &.disabled {\n    pointer-events: none;\n  }\n\n  ", " {\n    padding: 0.75rem 0.75rem 0.75rem 2.5rem;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.selectGroupOptionTextColor;
}, Option);
var SelectStyle = styled.div(templateObject_6$7 || (templateObject_6$7 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, opened = _a.opened, placement = _a.placement;
    return css(templateObject_5$9 || (templateObject_5$9 = __makeTemplateObject(["\n    display: block;\n    button {\n      position: relative;\n      width: 100%;\n      text-align: start;\n      overflow: hidden;\n      text-overflow: ellipsis;\n      white-space: nowrap;\n      border: none;\n      transition: all 0.1s;\n      ", "\n\n      &::after {\n        top: 50%;\n        ", ": 0.75rem;\n        position: absolute;\n        display: inline-block;\n        width: 0;\n        height: 0;\n        margin-left: 0.255em;\n        vertical-align: 0.255em;\n        content: '';\n        border-top: 0.3em solid;\n        border-right: 0.3em solid transparent;\n        border-bottom: 0;\n        border-left: 0.3em solid transparent;\n      }\n\n      ", "\n    }\n  "], ["\n    display: block;\n    button {\n      position: relative;\n      width: 100%;\n      text-align: start;\n      overflow: hidden;\n      text-overflow: ellipsis;\n      white-space: nowrap;\n      border: none;\n      transition: all 0.1s;\n      ", "\n\n      &::after {\n        top: 50%;\n        ", ": 0.75rem;\n        position: absolute;\n        display: inline-block;\n        width: 0;\n        height: 0;\n        margin-left: 0.255em;\n        vertical-align: 0.255em;\n        content: '';\n        border-top: 0.3em solid;\n        border-right: 0.3em solid transparent;\n        border-bottom: 0;\n        border-left: 0.3em solid transparent;\n      }\n\n      ",
        "\n    }\n  "])), ButtonStyle, theme.dir === 'rtl' ? 'left' : 'right', opened &&
        placement && css(templateObject_4$c || (templateObject_4$c = __makeTemplateObject(["\n            border-", "-left-radius: 0;\n            border-", "-right-radius: 0;\n          "], ["\n            border-", "-left-radius: 0;\n            border-", "-right-radius: 0;\n          "])), placement, placement));
});
var SelectCard = styled.div(templateObject_9$5 || (templateObject_9$5 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, placement = _a.placement, status = _a.status, position = _a.position;
    return css(templateObject_8$6 || (templateObject_8$6 = __makeTemplateObject(["\n    position: absolute;\n    box-sizing: border-box;\n    z-index: 1000;\n    display: flex;\n    width: 100%;\n    height: 100%;\n    min-width: 1px;\n    min-height: 1px;\n    top: 0;\n    left: 0;\n    .overlay-pane {\n      position: absolute;\n      pointer-events: auto;\n      display: flex;\n      max-width: 100%;\n      max-height: 100%;\n      box-sizing: border-box;\n      ", "\n\n      ", " {\n        background-color: ", ";\n        max-height: ", ";\n        margin-bottom: 0;\n        box-shadow: none;\n        ", " {\n          padding: 0;\n        }\n        ", " {\n          padding: ", ";\n        }\n        ", "\n        ", "\n        ", ",\n        ", " {\n          background-color: ", ";\n          color: ", ";\n          &.disabled {\n            background-color: ", ";\n            color: ", ";\n          }\n        }\n      } \n    }\n  "], ["\n    position: absolute;\n    box-sizing: border-box;\n    z-index: 1000;\n    display: flex;\n    width: 100%;\n    height: 100%;\n    min-width: 1px;\n    min-height: 1px;\n    top: 0;\n    left: 0;\n    .overlay-pane {\n      position: absolute;\n      pointer-events: auto;\n      display: flex;\n      max-width: 100%;\n      max-height: 100%;\n      box-sizing: border-box;\n      ", "\n\n      ", " {\n        background-color: ", ";\n        max-height: ", ";\n        margin-bottom: 0;\n        box-shadow: none;\n        ", " {\n          padding: 0;\n        }\n        ", " {\n          padding: ", ";\n        }\n        ",
        "\n        ", "\n        ", ",\n        ", " {\n          background-color: ", ";\n          color: ", ";\n          &.disabled {\n            background-color: ", ";\n            color: ", ";\n          }\n        }\n      } \n    }\n  "])), !position && 'visibility: hidden;', CardStyle, theme.selectBg, theme.selectMaxHeight, CardBody, Option, theme.selectOptionPadding, status && css(templateObject_7$6 || (templateObject_7$6 = __makeTemplateObject(["\n            border: ", " solid ", ";\n\n            ", ":hover, ", ".selected {\n              background-color: ", ";\n              color: ", ";\n            }\n          "], ["\n            border: ", " solid ", ";\n\n            ", ":hover, ", ".selected {\n              background-color: ", ";\n              color: ", ";\n            }\n          "])), theme.selectBorderWidth, theme["color" + status], Option, Option, theme["color" + status], theme.colorWhite), getBorder(placement), Option, OptionGroup, theme.selectOptionBackgroundColor, theme.selectOptionTextColor, theme.selectOptionDisabledBackgroundColor, theme.selectOptionDisabledTextColor);
});
var templateObject_1$j, templateObject_2$j, templateObject_3$f, templateObject_4$c, templateObject_5$9, templateObject_6$7, templateObject_7$6, templateObject_8$6, templateObject_9$5;

var Select = function (props) {
    var _a;
    var layout = React.useContext(LayoutContext);
    var _b = __read(React.useState(__spread(props.options)), 2), options = _b[0], setOptions = _b[1];
    var _c = __read(React.useState(false), 2), opened = _c[0], setOpened = _c[1];
    var _d = __read(React.useState('bottom'), 2), placement = _d[0], setPlacement = _d[1];
    var _e = __read(React.useState(), 2), position = _e[0], setPosition = _e[1];
    var overlayRef = React.useRef(null);
    var targetRef = React.useRef(null);
    React.useEffect(function () {
        var e_1, _a;
        if (props.value) {
            var newOptions = __spread(options);
            try {
                for (var newOptions_1 = __values(newOptions), newOptions_1_1 = newOptions_1.next(); !newOptions_1_1.done; newOptions_1_1 = newOptions_1.next()) {
                    var option = newOptions_1_1.value;
                    if (props.multiple) {
                        option.selected = props.value.includes(option.value);
                    }
                    else {
                        option.selected = props.value === option.value;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (newOptions_1_1 && !newOptions_1_1.done && (_a = newOptions_1.return)) _a.call(newOptions_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            setOptions(newOptions);
        }
    }, []);
    var positionHandle = function () {
        var _a, _b;
        var target = (_a = targetRef.current) === null || _a === void 0 ? void 0 : _a.getBoundingClientRect();
        var overlay = (_b = overlayRef.current) === null || _b === void 0 ? void 0 : _b.getBoundingClientRect();
        if (target && overlay) {
            var data = {
                placement: 'bottom',
                position: { top: 0, left: target.left, maxHeight: 'none' },
            };
            if (overlay.height > window.innerHeight - target.bottom) {
                if (overlay.height < target.top) {
                    data.placement = 'top';
                }
                else {
                    data.position.maxHeight = window.innerHeight - target.bottom;
                }
            }
            data.position.top = data.placement === 'bottom' ? target.bottom : target.top - overlay.height;
            setPosition(data.position);
            setPlacement(data.placement);
        }
    };
    var onClickHandle = function () {
        setOpened(false);
    };
    React.useEffect(function () {
        var _a;
        if (opened) {
            window.addEventListener('click', onClickHandle);
            positionHandle();
            window.addEventListener('resize', positionHandle);
            layout.addEventListener('scroll', positionHandle);
            if (props.eventListener) {
                (_a = document.querySelector(props.eventListener)) === null || _a === void 0 ? void 0 : _a.addEventListener('scroll', positionHandle);
            }
            return function () {
                var _a;
                window.removeEventListener('click', onClickHandle);
                window.removeEventListener('resize', positionHandle);
                layout.removeEventListener('scroll', positionHandle);
                if (props.eventListener) {
                    (_a = document.querySelector(props.eventListener)) === null || _a === void 0 ? void 0 : _a.removeEventListener('scroll', positionHandle);
                }
            };
        }
    }, [opened]);
    var onSelectMultiple = function (i) {
        var e_2, _a;
        var newOptions = __spread(options);
        newOptions[i].selected = !newOptions[i].selected;
        setOptions(newOptions);
        var selectedView = [];
        try {
            for (var newOptions_2 = __values(newOptions), newOptions_2_1 = newOptions_2.next(); !newOptions_2_1.done; newOptions_2_1 = newOptions_2.next()) {
                var option = newOptions_2_1.value;
                option.selected && selectedView.push(option.value);
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (newOptions_2_1 && !newOptions_2_1.done && (_a = newOptions_2.return)) _a.call(newOptions_2);
            }
            finally { if (e_2) throw e_2.error; }
        }
        typeof props.onChange === 'function' && props.onChange(selectedView);
    };
    var onSelectHandle = function (i) {
        var e_3, _a;
        var newOptions = __spread(options);
        try {
            for (var _b = __values(newOptions.keys()), _c = _b.next(); !_c.done; _c = _b.next()) {
                var key = _c.value;
                newOptions[key].selected = i === key && newOptions[key].value;
            }
        }
        catch (e_3_1) { e_3 = { error: e_3_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_3) throw e_3.error; }
        }
        typeof props.onChange === 'function' && props.onChange(newOptions[i].value);
        setOptions(newOptions);
        setOpened(false);
    };
    var placeholder = function () {
        var e_4, _a;
        var selectedView = [];
        try {
            for (var _b = __values(__spread(options)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var option = _c.value;
                option.selected && selectedView.push(option.label);
            }
        }
        catch (e_4_1) { e_4 = { error: e_4_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_4) throw e_4.error; }
        }
        if (selectedView.length <= 0) {
            return props.placeholder;
        }
        else if (props.customLabel) {
            return props.customLabel;
        }
        else {
            return selectedView.join(',');
        }
    };
    return (React.createElement(React.Fragment, null,
        opened &&
            ReactDOM.createPortal(React.createElement(SelectCard, { placement: placement, status: props.status, position: position },
                React.createElement("div", { className: "overlay-pane", style: position && __assign({}, position), ref: overlayRef, onClick: function (e) { return e.stopPropagation(); } },
                    React.createElement(Card, { style: { width: (_a = targetRef.current) === null || _a === void 0 ? void 0 : _a.offsetWidth } },
                        React.createElement(CardBody, null, options.map(function (option, index) {
                            var className = [];
                            option.selected && className.push('selected');
                            option.disabled && className.push('disabled');
                            return props.multiple ? (React.createElement(Option, { key: index, className: className.join(' '), onClick: function () { return onSelectMultiple(index); } },
                                React.createElement(Checkbox, { checked: option.selected }, option.label))) : (React.createElement(Option, { key: index, className: className.join(' '), onClick: function () { return onSelectHandle(index); } }, option.label));
                        }))))), document.getElementById('overlay-container')),
        React.createElement(SelectStyle, __assign({}, props, { opened: opened, placement: placement }),
            React.createElement("button", { onClick: function (e) {
                    e.stopPropagation();
                    setOpened(!opened);
                }, ref: targetRef }, placeholder()))));
};
Select.defaultProps = {
    size: 'Medium',
    status: 'Primary',
    appearance: 'filled',
    shape: 'Rectangle',
};

var RadioStyle = styled.label(templateObject_3$g || (templateObject_3$g = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, status = _a.status;
    return css(templateObject_2$k || (templateObject_2$k = __makeTemplateObject(["\n    display: block;\n    position: relative;\n    label {\n      display: inline-flex;\n      margin: 0;\n      min-height: inherit;\n      padding: 0.375rem 0;\n      padding-", ": 1.5rem;\n      align-items: center;\n    }\n\n    .outer-circle,\n    .inner-circle {\n      border-radius: 50%;\n      position: absolute;\n      top: 50%;\n      ", ": 0;\n      transform: translateY(-50%);\n      height: ", ";\n      width: ", ";\n    }\n\n    .inner-circle {\n      transform: translateY(-50%) scale(0.65);\n    }\n\n    .outer-circle {\n      border-style: ", ";\n      border-width: ", ";\n    }\n\n    .native-input:enabled:focus + .outer-circle {\n      ", "\n    }\n\n    .text {\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      margin-", ": ", ";\n      padding-", ": 0.5rem;\n    }\n\n    ", "\n    "], ["\n    display: block;\n    position: relative;\n    label {\n      display: inline-flex;\n      margin: 0;\n      min-height: inherit;\n      padding: 0.375rem 0;\n      padding-", ": 1.5rem;\n      align-items: center;\n    }\n\n    .outer-circle,\n    .inner-circle {\n      border-radius: 50%;\n      position: absolute;\n      top: 50%;\n      ", ": 0;\n      transform: translateY(-50%);\n      height: ", ";\n      width: ", ";\n    }\n\n    .inner-circle {\n      transform: translateY(-50%) scale(0.65);\n    }\n\n    .outer-circle {\n      border-style: ", ";\n      border-width: ", ";\n    }\n\n    .native-input:enabled:focus + .outer-circle {\n      ", "\n    }\n\n    .text {\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      margin-", ": ", ";\n      padding-", ": 0.5rem;\n    }\n\n    ",
        "\n    "])), theme.dir === 'rtl' ? 'left' : 'right', theme.dir === 'rtl' ? 'right' : 'left', theme.radioHeight, theme.radioWidth, theme.radioBorderStyle, theme.radioBorderWidth, outlineShadow(theme.radioOutlineWidth, theme.radioOutlineColor), theme.radioTextFontFamily, theme.radioTextFontSize, theme.radioTextFontWeight, theme.radioTextLineHeight, theme.dir === 'rtl' ? 'right' : 'left', theme.radioWidth, theme.dir === 'rtl' ? 'right' : 'left', status && css(templateObject_1$k || (templateObject_1$k = __makeTemplateObject(["\n        .native-input:enabled + .outer-circle {\n          background-color: ", ";\n          border-color: ", ";\n        }\n\n        .native-input:enabled:checked {\n          & + .outer-circle {\n            background-color: ", ";\n            border-color: ", ";\n          }\n          & ~ .inner-circle {\n            background-color: ", ";\n          }\n        }\n\n        .native-input:enabled:focus + .outer-circle {\n          border-color: ", ";\n        }\n        .native-input:enabled:checked:focus ~ .inner-circle {\n          background-color: ", ";\n        }\n\n        &:hover .native-input:enabled + .outer-circle {\n          background-color: ", ";\n          border-color: ", ";\n        }\n        &:hover .native-input:checked:enabled {\n          + .outer-circle {\n            background-color: ", ";\n          }\n          ~ .inner-circle {\n            background-color: ", ";\n          }\n        }\n\n        .native-input:enabled:active + .outer-circle {\n          border-color: ", ";\n        }\n        .native-input:enabled:checked:active ~ .inner-circle {\n          background-color: ", ";\n        }\n\n        .text {\n          color: ", ";\n        }\n\n        .native-input:disabled {\n          & + .outer-circle {\n            background-color: ", ";\n            border-color: ", ";\n          }\n          & ~ .text {\n            color: ", ";\n          }\n\n          &:checked {\n            & + .outer-circle {\n              background-color: ", ";\n              border-color: ", ";\n            }\n            ~ .inner-circle {\n              background-color: ", ";\n            }\n          }\n        }\n      "], ["\n        .native-input:enabled + .outer-circle {\n          background-color: ", ";\n          border-color: ", ";\n        }\n\n        .native-input:enabled:checked {\n          & + .outer-circle {\n            background-color: ", ";\n            border-color: ", ";\n          }\n          & ~ .inner-circle {\n            background-color: ", ";\n          }\n        }\n\n        .native-input:enabled:focus + .outer-circle {\n          border-color: ", ";\n        }\n        .native-input:enabled:checked:focus ~ .inner-circle {\n          background-color: ", ";\n        }\n\n        &:hover .native-input:enabled + .outer-circle {\n          background-color: ", ";\n          border-color: ", ";\n        }\n        &:hover .native-input:checked:enabled {\n          + .outer-circle {\n            background-color: ", ";\n          }\n          ~ .inner-circle {\n            background-color: ", ";\n          }\n        }\n\n        .native-input:enabled:active + .outer-circle {\n          border-color: ", ";\n        }\n        .native-input:enabled:checked:active ~ .inner-circle {\n          background-color: ", ";\n        }\n\n        .text {\n          color: ", ";\n        }\n\n        .native-input:disabled {\n          & + .outer-circle {\n            background-color: ", ";\n            border-color: ", ";\n          }\n          & ~ .text {\n            color: ", ";\n          }\n\n          &:checked {\n            & + .outer-circle {\n              background-color: ", ";\n              border-color: ", ";\n            }\n            ~ .inner-circle {\n              background-color: ", ";\n            }\n          }\n        }\n      "])), theme["radio" + status + "BackgroundColor"], theme["radio" + status + "BorderColor"], theme["radio" + status + "CheckedBackgroundColor"], theme["radio" + status + "CheckedBorderColor"], theme["radio" + status + "InnerCircleColor"], theme["radio" + status + "FocusBorderColor"], theme["radio" + status + "FocusInnerCircleColor"], theme["radio" + status + "HoverBackgroundColor"], theme["radio" + status + "HoverBorderColor"], theme["radio" + status + "HoverCheckedBackgroundColor"], theme["radio" + status + "HoverInnerCircleColor"], theme["radio" + status + "ActiveBorderColor"], theme["radio" + status + "ActiveInnerCircleColor"], theme["radio" + status + "TextColor"], theme["radio" + status + "DisabledBackgroundColor"], theme["radio" + status + "DisabledBorderColor"], theme["radio" + status + "DisabledTextColor"], theme["radio" + status + "DisabledCheckedBackgroundColor"], theme["radio" + status + "DisabledCheckedBorderColor"], theme["radio" + status + "DisabledCheckedInnerCircleColor"]));
});
var templateObject_1$k, templateObject_2$k, templateObject_3$g;

var Radio = function (props) {
    var _a = __read(React.useState(props.options), 2), options = _a[0], setOptions = _a[1];
    var onClickHandler = function (value) {
        var e_1, _a;
        var updateOptions = __spread(options);
        try {
            for (var updateOptions_1 = __values(updateOptions), updateOptions_1_1 = updateOptions_1.next(); !updateOptions_1_1.done; updateOptions_1_1 = updateOptions_1.next()) {
                var option = updateOptions_1_1.value;
                option.checked = option.value === value;
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (updateOptions_1_1 && !updateOptions_1_1.done && (_a = updateOptions_1.return)) _a.call(updateOptions_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        setOptions(updateOptions);
        props.onChange(value);
    };
    return (React.createElement(React.Fragment, null, options.map(function (option) {
        var _a;
        return (React.createElement(RadioStyle, { status: (_a = option.status, (_a !== null && _a !== void 0 ? _a : 'Basic')), key: option.value, className: props.className },
            React.createElement("label", null,
                React.createElement("input", { type: "radio", checked: option.checked, name: props.name, disabled: option.disabled || props.disabled, onClick: function () { return onClickHandler(option.value); }, className: "native-input visually-hidden" }),
                React.createElement("span", { className: "outer-circle" }),
                React.createElement("span", { className: "inner-circle" }),
                React.createElement("span", { className: "text" }, option.label))));
    })));
};

var MessageTextStyle = styled.div(templateObject_2$l || (templateObject_2$l = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_1$l || (templateObject_1$l = __makeTemplateObject(["\n    display: flex;\n    flex-direction: column;\n    .sender {\n      font-size: 0.875rem;\n      color: ", ";\n      margin-bottom: 0.5rem;\n    }\n    p {\n      word-wrap: break-word;\n      word-break: break-all;\n      max-width: 100%;\n      margin: 0;\n    }\n    .text {\n      padding: 1rem;\n      border-radius: 0.5rem;\n    }\n  "], ["\n    display: flex;\n    flex-direction: column;\n    .sender {\n      font-size: 0.875rem;\n      color: ", ";\n      margin-bottom: 0.5rem;\n    }\n    p {\n      word-wrap: break-word;\n      word-break: break-all;\n      max-width: 100%;\n      margin: 0;\n    }\n    .text {\n      padding: 1rem;\n      border-radius: 0.5rem;\n    }\n  "])), theme.chatMessageSenderTextColor);
});
var MessageFileStyle = styled.div(templateObject_4$d || (templateObject_4$d = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_3$h || (templateObject_3$h = __makeTemplateObject(["\n    display: flex;\n    flex-direction: column;\n    a {\n      color: ", ";\n        background: ", ";\n      font-size: 4rem;\n      text-align: center;\n      border: 1px solid ", ";\n      width: 10rem;\n      height: 10rem;\n      overflow: hidden;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      flex-shrink: 0;\n      border-radius: 0.5rem;\n      &:hover,\n      &:focus {\n        text-decoration: none;\n        color: ", ";\n      }\n      div {\n        background-size: cover;\n        width: 100%;\n        height: 100%;\n      }\n    }\n    ", " {\n      display: block;\n      margin-bottom: 0.5rem;\n    }\n    .message-content-group {\n      display: flex;\n      flex-direction: row;\n      justify-content: flex-end;\n      flex-wrap: wrap;\n      a {\n        margin-", ": 1rem;\n        margin-bottom: 1rem;\n        width: 5rem;\n        height: 5rem;\n      }\n    }\n  "], ["\n    display: flex;\n    flex-direction: column;\n    a {\n      color: ", ";\n        background: ", ";\n      font-size: 4rem;\n      text-align: center;\n      border: 1px solid ", ";\n      width: 10rem;\n      height: 10rem;\n      overflow: hidden;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      flex-shrink: 0;\n      border-radius: 0.5rem;\n      &:hover,\n      &:focus {\n        text-decoration: none;\n        color: ", ";\n      }\n      div {\n        background-size: cover;\n        width: 100%;\n        height: 100%;\n      }\n    }\n    ", " {\n      display: block;\n      margin-bottom: 0.5rem;\n    }\n    .message-content-group {\n      display: flex;\n      flex-direction: row;\n      justify-content: flex-end;\n      flex-wrap: wrap;\n      a {\n        margin-", ": 1rem;\n        margin-bottom: 1rem;\n        width: 5rem;\n        height: 5rem;\n      }\n    }\n  "])), theme.chatMessageFileTextColor, theme.chatMessageFileBackgroundColor, theme.chatMessageFileTextColor, theme.chatMessageFileTextColor, MessageTextStyle, theme.dir === 'rtl' ? 'left' : 'right');
});
var MessageQuoteStyle = styled.div(templateObject_6$8 || (templateObject_6$8 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_5$a || (templateObject_5$a = __makeTemplateObject(["\n    p.quote {\n      font-style: italic;\n      font-size: 0.875rem;\n      background: ", ";\n      color: ", ";\n      padding: 1rem;\n      border-radius: 0.5rem;\n      margin-bottom: 0.5rem;\n    }\n    .sender {\n      font-size: 0.875rem;\n      color: ", ";\n      margin-bottom: 0.5rem;\n    }\n  "], ["\n    p.quote {\n      font-style: italic;\n      font-size: 0.875rem;\n      background: ", ";\n      color: ", ";\n      padding: 1rem;\n      border-radius: 0.5rem;\n      margin-bottom: 0.5rem;\n    }\n    .sender {\n      font-size: 0.875rem;\n      color: ", ";\n      margin-bottom: 0.5rem;\n    }\n  "])), theme.chatMessageQuoteBackgroundColor, theme.chatMessageQuoteTextColor, theme.chatMessageSenderTextColor);
});
var MessageStyle = styled.div(templateObject_10$3 || (templateObject_10$3 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, reply = _a.reply;
    return css(templateObject_9$6 || (templateObject_9$6 = __makeTemplateObject(["\n    margin-bottom: 1.5rem;\n    display: flex;\n    flex-direction: row;\n    .message {\n      flex: 1;\n    }\n    .avatar {\n      border-radius: 50%;\n      flex-shrink: 0;\n      background: ", ";\n      background-size: 3.4rem 2.6rem;\n      background: no-repeat center;\n      width: 2.5rem;\n      height: 2.5rem;\n      text-align: center;\n      line-height: 2.5rem;\n      font-size: 0.875rem;\n      color: white;\n    }\n    ", "\n  "], ["\n    margin-bottom: 1.5rem;\n    display: flex;\n    flex-direction: row;\n    .message {\n      flex: 1;\n    }\n    .avatar {\n      border-radius: 50%;\n      flex-shrink: 0;\n      background: ", ";\n      background-size: 3.4rem 2.6rem;\n      background: no-repeat center;\n      width: 2.5rem;\n      height: 2.5rem;\n      text-align: center;\n      line-height: 2.5rem;\n      font-size: 0.875rem;\n      color: white;\n    }\n    ",
        "\n  "])), theme.chatMessageAvatarBackgroundColor, reply
        ? css(templateObject_7$7 || (templateObject_7$7 = __makeTemplateObject(["\n      flex-direction: row-reverse;\n      .message {\n        margin-", ": 0.5rem;\n        margin-", ": 3rem;\n      }\n      ", " {\n        align-items: flex-end;\n        .sender {\n          text-align: ", ";\n        }\n        .text {\n          border-top-", "-radius: 0;\n          background: ", ";\n          color: ", ";\n        }\n      }\n      ", " {\n        align-items: flex-start;\n      }\n    "], ["\n      flex-direction: row-reverse;\n      .message {\n        margin-", ": 0.5rem;\n        margin-", ": 3rem;\n      }\n      ", " {\n        align-items: flex-end;\n        .sender {\n          text-align: ", ";\n        }\n        .text {\n          border-top-", "-radius: 0;\n          background: ", ";\n          color: ", ";\n        }\n      }\n      ", " {\n        align-items: flex-start;\n      }\n    "])), theme.dir === 'rtl' ? 'left' : 'right', theme.dir === 'rtl' ? 'right' : 'left', MessageTextStyle, theme.dir === 'rtl' ? 'left' : 'right', theme.dir === 'rtl' ? 'left' : 'right', theme.chatMessageReplyBackgroundColor, theme.chatMessageReplyTextColor, MessageFileStyle) : css(templateObject_8$7 || (templateObject_8$7 = __makeTemplateObject(["\n      .message {\n        margin-", ": 0.5rem;\n        margin-", ": 3rem;\n      }\n      ", " {\n        align-items: flex-start;\n        .text {\n          border-top-", "-radius: 0;\n          background: ", ";\n          color: ", ";\n        }\n      }\n      ", " {\n        align-items: flex-start;\n      }\n    "], ["\n      .message {\n        margin-", ": 0.5rem;\n        margin-", ": 3rem;\n      }\n      ", " {\n        align-items: flex-start;\n        .text {\n          border-top-", "-radius: 0;\n          background: ", ";\n          color: ", ";\n        }\n      }\n      ", " {\n        align-items: flex-start;\n      }\n    "])), theme.dir === 'rtl' ? 'right' : 'left', theme.dir === 'rtl' ? 'left' : 'right', MessageTextStyle, theme.dir === 'rtl' ? 'right' : 'left', theme.chatMessageBackground, theme.chatMessageTextColor, MessageFileStyle));
});
var FormStyle = styled.div(templateObject_14$2 || (templateObject_14$2 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, showButton = _a.showButton, buttonIcon = _a.buttonIcon;
    return css(templateObject_13$2 || (templateObject_13$2 = __makeTemplateObject(["\n    display: flex;\n    flex-direction: column;\n    padding: ", ";\n    border-top: ", " ", " ", ";\n    .message-row {\n      flex-direction: row;\n      display: flex;\n    }\n    input {\n      flex: 1;\n      padding: 1.25rem 1.5rem;\n      border-radius: 2rem;\n      outline: none;\n      box-sizing: border-box;\n      ", "\n    }\n\n    .send-button {\n      border-radius: 3rem;\n      border-top-", "-radius: 0;\n      border-bottom-", "-radius: 0;\n\n      ", "\n    }\n\n    .dropped-files {\n      display: flex;\n      flex-direction: row;\n      margin-bottom: 0.5rem;\n      flex-wrap: wrap;\n\n      div {\n        background-size: cover;\n        width: 3rem;\n        height: 3rem;\n        border-radius: 0.5rem;\n        margin-", ": 0.5rem;\n        margin-bottom: 0.5rem;\n        text-align: center;\n        line-height: 3rem;\n        font-size: 2rem;\n        position: relative;\n\n        .remove {\n          position: absolute;\n          right: -0.5rem;\n          top: -0.875rem;\n          font-size: 0.875rem;\n          line-height: 1;\n          cursor: pointer;\n        }\n      }\n    }\n  "], ["\n    display: flex;\n    flex-direction: column;\n    padding: ", ";\n    border-top: ", " ", " ", ";\n    .message-row {\n      flex-direction: row;\n      display: flex;\n    }\n    input {\n      flex: 1;\n      padding: 1.25rem 1.5rem;\n      border-radius: 2rem;\n      outline: none;\n      box-sizing: border-box;\n      ",
        "\n    }\n\n    .send-button {\n      border-radius: 3rem;\n      border-top-", "-radius: 0;\n      border-bottom-", "-radius: 0;\n\n      ",
        "\n    }\n\n    .dropped-files {\n      display: flex;\n      flex-direction: row;\n      margin-bottom: 0.5rem;\n      flex-wrap: wrap;\n\n      div {\n        background-size: cover;\n        width: 3rem;\n        height: 3rem;\n        border-radius: 0.5rem;\n        margin-", ": 0.5rem;\n        margin-bottom: 0.5rem;\n        text-align: center;\n        line-height: 3rem;\n        font-size: 2rem;\n        position: relative;\n\n        .remove {\n          position: absolute;\n          right: -0.5rem;\n          top: -0.875rem;\n          font-size: 0.875rem;\n          line-height: 1;\n          cursor: pointer;\n        }\n      }\n    }\n  "])), theme.chatPadding, theme.chatDividerWidth, theme.chatDividerStyle, theme.chatDividerColor, showButton && css(templateObject_11$2 || (templateObject_11$2 = __makeTemplateObject(["\n        border-top-", "-radius: 0;\n        border-bottom-", "-radius: 0;\n      "], ["\n        border-top-", "-radius: 0;\n        border-bottom-", "-radius: 0;\n      "])), theme.dir === 'rtl' ? 'left' : 'right', theme.dir === 'rtl' ? 'left' : 'right'), theme.dir === 'rtl' ? 'right' : 'left', theme.dir === 'rtl' ? 'right' : 'left', buttonIcon && css(templateObject_12$2 || (templateObject_12$2 = __makeTemplateObject(["\n          font-size: 3rem;\n        "], ["\n          font-size: 3rem;\n        "]))), theme.dir === 'rtl' ? 'left' : 'right');
});
var ChatStyle = styled.div(templateObject_17$1 || (templateObject_17$1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, size = _a.size, status = _a.status;
    return css(templateObject_16$2 || (templateObject_16$2 = __makeTemplateObject(["\n    background-color: ", ";\n    border: ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    display: flex;\n    flex-direction: column;\n    position: relative;\n    height: 100%;\n    header {\n      border-bottom: ", " ", " ", ";\n      border-top-left-radius: ", ";\n      border-top-right-radius: ", ";\n      padding: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n    }\n\n    .scrollable {\n      overflow: auto;\n      flex: 1;\n      ", "\n    }\n\n    .messages {\n      padding: ", ";\n      overflow-y: auto;\n      overflow-x: hidden;\n      display: flex;\n      flex-shrink: 0;\n      flex-direction: column;\n    }\n\n    .no-messages {\n      text-align: center;\n    }\n\n    ", "\n    ", "\n  "], ["\n    background-color: ", ";\n    border: ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    display: flex;\n    flex-direction: column;\n    position: relative;\n    height: 100%;\n    header {\n      border-bottom: ", " ", " ", ";\n      border-top-left-radius: ", ";\n      border-top-right-radius: ", ";\n      padding: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n    }\n\n    .scrollable {\n      overflow: auto;\n      flex: 1;\n      ", "\n    }\n\n    .messages {\n      padding: ", ";\n      overflow-y: auto;\n      overflow-x: hidden;\n      display: flex;\n      flex-shrink: 0;\n      flex-direction: column;\n    }\n\n    .no-messages {\n      text-align: center;\n    }\n\n    ", "\n    ",
        "\n  "])), theme.chatBackgroundColor, theme.chatBorder, theme.chatBorderRadius, theme.chatShadow, theme.chatTextColor, theme.chatTextFontFamily, theme.chatTextFontSize, theme.chatTextFontWeight, theme.chatTextLineHeight, theme.chatDividerWidth, theme.chatDividerStyle, theme.chatDividerColor, theme.chatBorderRadius, theme.chatBorderRadius, theme.chatPadding, theme.chatHeaderTextFontFamily, theme.chatHeaderTextFontSize, theme.chatHeaderTextFontWeight, theme.chatHeaderTextLineHeight, scrollbars(theme.chatScrollbarColor, theme.chatScrollbarBackgroundColor, theme.chatScrollbarWidth), theme.chatPadding, size && "height: " + theme["chat" + size + "Height"] + ";", status && css(templateObject_15$2 || (templateObject_15$2 = __makeTemplateObject(["\n        header {\n          background-color: ", ";\n          color: ", ";\n        }\n      "], ["\n        header {\n          background-color: ", ";\n          color: ", ";\n        }\n      "])), theme["chat" + status + "BackgroundColor"], theme["chat" + status + "TextColor"]));
});
var templateObject_1$l, templateObject_2$l, templateObject_3$h, templateObject_4$d, templateObject_5$a, templateObject_6$8, templateObject_7$7, templateObject_8$7, templateObject_9$6, templateObject_10$3, templateObject_11$2, templateObject_12$2, templateObject_13$2, templateObject_14$2, templateObject_15$2, templateObject_16$2, templateObject_17$1;

var MessageText = function (props) {
    return (React.createElement(MessageTextStyle, null,
        (props.sender || props.date) && (React.createElement("p", { className: "sender" },
            props.sender,
            " ",
            React.createElement("time", null, props.date))),
        props.message && React.createElement("p", { className: "text" },
            " ",
            props.message)));
};

var FileComponent = function (props) {
    return (React.createElement("a", { href: props.url, target: "_blank", rel: "noopener noreferrer" },
        !props.urlStyle && React.createElement("span", { className: props.icon }),
        props.isImage && React.createElement("div", { style: { backgroundImage: props.urlStyle } })));
};
var MessageFile = function (props) {
    var isImages = function (file) {
        return !!file.type && ['image/png', 'image/jpeg', 'image/gif'].includes(file.type);
    };
    var readyFiles = props.files
        ? props.files.map(function (file) {
            var isImage = isImages(file);
            return __assign(__assign({}, file), { urlStyle: isImage ? "url(" + file.url + ")" : '', isImage: isImage });
        })
        : [];
    return (React.createElement(MessageFileStyle, null,
        React.createElement(MessageText, { sender: props.sender, message: props.message, date: props.date }),
        readyFiles.length > 1 ? (React.createElement("div", { className: "message-content-group" }, readyFiles.map(function (file, index) { return (React.createElement(FileComponent, __assign({ key: index }, file))); }))) : (readyFiles.length === 1 && React.createElement(FileComponent, __assign({}, readyFiles[0])))));
};

var MessageMap = function (props) {
    var file = {
        url: "https://maps.googleapis.com/maps/api/staticmap?center=" + props.latitude + "," + props.longitude + "&zoom=12&size=400x400&key=" + props.mapKey,
        type: 'image/png',
        icon: '',
    };
    return React.createElement(MessageFile, { sender: props.sender, message: props.message, date: props.date, files: [file] });
};

var MessageQuote = function (props) {
    return (React.createElement(MessageQuoteStyle, null,
        (props.sender || props.date) && (React.createElement("p", { className: "sender" },
            props.sender,
            " ",
            React.createElement("time", null, props.date))),
        React.createElement("p", { className: "quote" }, props.quote),
        React.createElement(MessageText, { message: props.message })));
};

var Messages = function (props) {
    var scrollRef = React.useRef(null);
    React.useEffect(function () {
        if (scrollRef && scrollRef.current)
            scrollRef.current.scrollTo(0, scrollRef.current.scrollHeight);
    }, [props.messages]);
    var getMessageComponent = function (msg) {
        switch (msg.type) {
            case 'file':
                return React.createElement(MessageFile, { sender: msg.sender, message: msg.message, date: msg.date, files: msg.files });
            case 'map':
                return (React.createElement(MessageMap, { sender: msg.sender, message: msg.message, date: msg.date, latitude: msg.latitude, longitude: msg.longitude, mapKey: props.mapKey }));
            case 'quote':
                return React.createElement(MessageQuote, { sender: msg.sender, message: msg.message, date: msg.date, quote: msg.quote });
            default:
                return React.createElement(MessageText, { sender: msg.sender, message: msg.message, date: msg.date });
        }
    };
    var getInitials = function (name) {
        if (name) {
            var names = name.split(' ');
            return names
                .map(function (n) { return n.charAt(0); })
                .splice(0, 2)
                .join('')
                .toUpperCase();
        }
        return '';
    };
    return (React.createElement("div", { className: "scrollable", ref: scrollRef },
        React.createElement("div", { className: "messages" },
            props.messages.map(function (msg, index) {
                var _a;
                return (React.createElement(MessageStyle, { reply: msg.reply, key: index },
                    !msg.reply && (React.createElement("div", { className: "avatar", style: { backgroundImage: "url(" + msg.avatar + ")" } }, !msg.avatar && getInitials((_a = msg.sender, (_a !== null && _a !== void 0 ? _a : ''))))),
                    React.createElement("div", { className: "message" }, getMessageComponent(msg))));
            }),
            !props.messages.length && (React.createElement("p", { className: "no-messages" }, props.noMessages ? props.noMessages : 'No messages yet.')))));
};

var ChatForm = function (props) {
    var _a;
    var _b = __read(React.useState((_a = props.message, (_a !== null && _a !== void 0 ? _a : ''))), 2), message = _b[0], setMessage = _b[1];
    var _c = __read(React.useState([]), 2), files = _c[0], setFiles = _c[1];
    var _d = __read(React.useState(false), 2), fileOver = _d[0], setFileOver = _d[1];
    var formRef = React.useRef(null);
    var inputRef = React.useRef(null);
    var onDragOver = function () {
        var _a;
        (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
        setFileOver(true);
    };
    var onDragLeave = function () {
        var _a;
        (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.blur();
        setFileOver(false);
    };
    var onDropFile = function (e) {
        var _a;
        if (props.dropFiles) {
            e.preventDefault();
            e.stopPropagation();
            (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
            setFileOver(true);
            if (e.dataTransfer && e.dataTransfer.files) {
                var droppedFiles_1 = __spread(files);
                var _loop_1 = function (i) {
                    var res = __assign(__assign({}, e.dataTransfer.files[i]), { src: '', urlStyle: '' });
                    if (props.imgDropTypes.includes(e.dataTransfer.files[i].type)) {
                        var fr = new FileReader();
                        fr.onload = function (event) {
                            var _a;
                            res.src = (_a = event.target) === null || _a === void 0 ? void 0 : _a.result;
                            res.urlStyle = "url(" + res.src + ")";
                        };
                        fr.readAsDataURL(e.dataTransfer.files[i]);
                    }
                    droppedFiles_1.push(res);
                };
                for (var i = 0; i < e.dataTransfer.files.length; i++) {
                    _loop_1(i);
                }
                setTimeout(function () {
                    setFiles(droppedFiles_1);
                }, 500);
            }
        }
    };
    React.useEffect(function () {
        if (formRef && formRef.current) {
            formRef.current.addEventListener('drop', onDropFile);
            formRef.current.addEventListener('dragover', onDragOver);
            formRef.current.addEventListener('dragleave', onDragLeave);
        }
        return function () {
            if (formRef && formRef.current) {
                formRef.current.removeEventListener('drop', onDropFile);
                formRef.current.removeEventListener('dragover', onDragOver);
                formRef.current.removeEventListener('dragleave', onDragLeave);
            }
        };
    }, [files]);
    var removeFile = function (file) {
        var droppedFiles = __spread(files);
        var index = droppedFiles.indexOf(file);
        if (index >= 0) {
            droppedFiles.splice(index, 1);
        }
        setFiles(droppedFiles);
    };
    var sendMessage = function () {
        if (files.length || String(message).trim().length) {
            typeof props.onSend === 'function' && props.onSend({ message: message, files: files });
            setMessage('');
            setFiles([]);
        }
    };
    return (React.createElement("div", { className: "form", ref: formRef },
        React.createElement(FormStyle, { buttonIcon: !!props.buttonIcon, showButton: props.showButton },
            React.createElement("div", { className: "dropped-files" }, files.map(function (file, index) {
                return file.urlStyle ? (React.createElement("div", { key: index, style: { backgroundImage: file.urlStyle } },
                    React.createElement("span", { className: "remove", onClick: function () { return removeFile(file); } }, "\u00D7"))) : (React.createElement("div", { key: index, className: props.filesIcon },
                    React.createElement("span", { className: "remove", onClick: function () { return removeFile(file); } }, "\u00D7")));
            })),
            React.createElement("div", { className: "message-row" },
                React.createElement("input", { type: "text", value: message, onChange: function (e) { return setMessage(e.target.value); }, placeholder: fileOver ? props.fileOverPlaceholder : props.placeholder, onKeyUp: function (e) {
                        e.preventDefault();
                        if (e.key === 'Enter') {
                            sendMessage();
                        }
                    } }),
                React.createElement(Button, { className: "send-button", onClick: sendMessage }, props.buttonIcon ? React.createElement(ItemIcon, { icon: props.buttonIcon }) : props.buttonTitle)))));
};
ChatForm.defaultProps = {
    imgDropTypes: ['image/png', 'image/jpeg', 'image/gif'],
    showButton: true,
    dropFiles: false,
    buttonTitle: 'Send',
    placeholder: 'Type a message',
    fileOverPlaceholder: 'Drop file to send',
};

var Chat = function (props) {
    return (React.createElement(ChatStyle, __assign({}, props),
        React.createElement("header", null, props.title),
        props.children));
};
Chat.defaultProps = {
    size: 'Medium',
    status: 'Primary',
};

var LinkContent = function (_a) {
    var item = _a.item;
    return (React.createElement(React.Fragment, null,
        React.createElement(ItemIcon, { icon: item.icon, className: "menu-icon" }),
        React.createElement("span", { className: "menu-title" }, item.title)));
};
var Item = function (_a) {
    var item = _a.item, toggleSidebar = _a.toggleSidebar, toggleSubMenu = _a.toggleSubMenu, selectItem = _a.selectItem, id = _a.id, Link = _a.Link, nextJs = _a.nextJs, currentPath = _a.currentPath;
    React.useEffect(function () {
        var _a, _b, _c;
        var link = nextJs ? (_a = item.link) === null || _a === void 0 ? void 0 : _a.href : (_b = item.link) === null || _b === void 0 ? void 0 : _b.to;
        if (link && (currentPath === link || (item.hasDynamicPath && ((_c = currentPath) === null || _c === void 0 ? void 0 : _c.startsWith(link)))) && !item.selected)
            selectItem(id);
    }, [currentPath]);
    var onClickHandler = function () {
        !item.selected && selectItem(id);
        toggleSidebar && toggleSidebar();
    };
    var handleToggleSubMenu = function () {
        toggleSubMenu(item);
    };
    return (React.createElement(ItemStyle$1, { className: item.group ? 'menu-item menu-group' : 'menu-item' }, item.group ? (React.createElement("span", null,
        React.createElement(ItemIcon, { icon: item.icon, className: "menu-icon" }),
        item.title)) : item.link && !item.children ? (nextJs ? (React.createElement(Link, __assign({}, item.link),
        React.createElement("a", { onClick: onClickHandler, className: item.selected ? 'active' : '' },
            React.createElement(LinkContent, { item: item })))) : (React.createElement(Link, __assign({}, item.link, { className: item.selected ? 'active' : '', onClick: onClickHandler }),
        React.createElement(LinkContent, { item: item })))) : item.url && !item.children ? (React.createElement("a", { href: item.url },
        React.createElement(LinkContent, { item: item }))) : item.children ? (React.createElement(React.Fragment, null,
        React.createElement("a", { href: "#", title: item.title, onClick: function (e) {
                e.preventDefault();
                handleToggleSubMenu();
            }, className: item.selected ? 'active' : '' },
            React.createElement(ItemIcon, { icon: item.icon, className: "menu-icon" }),
            React.createElement("span", { className: "menu-title" }, item.title),
            React.createElement("i", { className: "chevron" }, item.expanded ? React.createElement(Icon, { name: "chevron-down-outline" }) : React.createElement(Icon, { name: "chevron-left-outline" }))),
        React.createElement("ul", { className: item.expanded ? 'menu-items expanded' : 'menu-items collapsed' }, item.children.map(function (item2, index) {
            return (!item.hidden && (React.createElement(Item, { key: index, item: item2, id: id.concat([index]), Link: Link, nextJs: nextJs, currentPath: currentPath, selectItem: selectItem, toggleSidebar: toggleSidebar, toggleSubMenu: toggleSubMenu })));
        })))) : ('')));
};

var Menu = function (props, ref) {
    var _a = __read(React.useState(props.items), 2), items = _a[0], setItems = _a[1];
    var _b = __read(React.useState(false), 2), expended = _b[0], setExpended = _b[1];
    var toggleSubMenu = function (updateItems, action) {
        var e_1, _a;
        try {
            for (var updateItems_1 = __values(updateItems), updateItems_1_1 = updateItems_1.next(); !updateItems_1_1.done; updateItems_1_1 = updateItems_1.next()) {
                var item = updateItems_1_1.value;
                if (typeof action === 'boolean') {
                    item.expanded = action;
                }
                else if (item === action) {
                    item.expanded = !item.expanded;
                    break;
                }
                if (item.children) {
                    toggleSubMenu(item.children, action);
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (updateItems_1_1 && !updateItems_1_1.done && (_a = updateItems_1.return)) _a.call(updateItems_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return updateItems;
    };
    var toggleMenu = function () {
        setItems(toggleSubMenu(__spread(items), !expended));
        setExpended(!expended);
    };
    React.useImperativeHandle(ref, function () { return ({
        toggle: function () {
            toggleMenu();
        },
    }); });
    var updateSelected = function (updateItems, ia) {
        var e_2, _a;
        try {
            for (var updateItems_2 = __values(updateItems), updateItems_2_1 = updateItems_2.next(); !updateItems_2_1.done; updateItems_2_1 = updateItems_2.next()) {
                var item = updateItems_2_1.value;
                var state = updateItems.indexOf(item) === ia[0];
                item.selected = state;
                if (state) {
                    item.expanded = true;
                }
                if (item.children) {
                    if (state) {
                        updateSelected(item.children, ia.splice(1));
                    }
                    else {
                        updateSelected(item.children, []);
                    }
                }
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (updateItems_2_1 && !updateItems_2_1.done && (_a = updateItems_2.return)) _a.call(updateItems_2);
            }
            finally { if (e_2) throw e_2.error; }
        }
        return updateItems;
    };
    var onSelectItem = function (index) {
        setItems(updateSelected(__spread(items), index));
    };
    var onToggleSubMenu = function (item) {
        setItems(toggleSubMenu(__spread(items), item));
    };
    return (React.createElement(MenuStyle, { className: props.className, style: props.style },
        React.createElement("ul", { className: "menu-items" }, items.map(function (item, index) {
            return (!item.hidden && (React.createElement(Item, { key: index, id: [index], item: item, Link: props.Link, nextJs: props.nextJs, currentPath: props.currentPath, selectItem: function (i) { return onSelectItem(i); }, toggleSidebar: props.toggleSidebar, toggleSubMenu: function (item) { return onToggleSubMenu(item); } })));
        }))));
};
Menu = React.forwardRef(Menu);

var ActionsStyle = styled.div(templateObject_2$m || (templateObject_2$m = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_1$m || (templateObject_1$m = __makeTemplateObject(["\n    background-color: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    display: flex;\n    align-items: center;\n  "], ["\n    background-color: ", ";\n    color: ", ";\n    font-family: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    display: flex;\n    align-items: center;\n  "])), theme.actionsBackgroundColor, theme.actionsTextColor, theme.actionsTextFontFamily, theme.actionsTextFontWeight, theme.actionsTextLineHeight);
});
var ActionStyle = styled.div(templateObject_8$8 || (templateObject_8$8 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, fullWidth = _a.fullWidth, disabled = _a.disabled, size = _a.size, inverse = _a.inverse;
    return css(templateObject_7$8 || (templateObject_7$8 = __makeTemplateObject(["\n      display: flex;\n      flex-wrap: wrap;\n      align-items: center;\n      position: relative;\n      ", "\n\n      &:first-child {\n        ", "\n      }\n\n      a.icon-container {\n        &:hover,\n        &:focus {\n          text-decoration: none;\n        }\n      }\n\n      .control-icon {\n        &:hover {\n          cursor: pointer;\n        }\n        color: ", ";\n      }\n\n      ", "\n\n        ", "\n        ", "\n        \n      border-", ": ", " ", " ", "; \n      background: transparent;\n"], ["\n      display: flex;\n      flex-wrap: wrap;\n      align-items: center;\n      position: relative;\n      ",
        "\n\n      &:first-child {\n        ", "\n      }\n\n      a.icon-container {\n        &:hover,\n        &:focus {\n          text-decoration: none;\n        }\n      }\n\n      .control-icon {\n        &:hover {\n          cursor: pointer;\n        }\n        color: ", ";\n      }\n\n      ",
        "\n\n        ",
        "\n        ",
        "\n        \n      border-", ": ", " ", " ",
        "; \n      background: transparent;\n"])), fullWidth && css(templateObject_3$i || (templateObject_3$i = __makeTemplateObject(["\n          justify-content: center;\n          width: 100%;\n        "], ["\n          justify-content: center;\n          width: 100%;\n        "]))), theme.dir === 'rtl' ? 'border-right: none !important;' : 'border-left: none !important;', theme.actionsIconColor, size && css(templateObject_4$e || (templateObject_4$e = __makeTemplateObject(["\n          font-size: ", ";\n          height: ", ";\n          padding: ", ";\n          i.control-icon {\n            font-size: ", ";\n          }\n        "], ["\n          font-size: ", ";\n          height: ", ";\n          padding: ", ";\n          i.control-icon {\n            font-size: ", ";\n          }\n        "])), theme["actions" + size + "TextFontSize"], theme["actions" + size + "Height"], theme["actions" + size + "Padding"], theme["actions" + size + "IconHeight"]), disabled && css(templateObject_5$b || (templateObject_5$b = __makeTemplateObject(["\n            & > * {\n              opacity: 0.5;\n            }\n            cursor: not-allowed;\n            color: ", " a, i {\n              cursor: not-allowed !important;\n              color: ", ";\n            }\n          "], ["\n            & > * {\n              opacity: 0.5;\n            }\n            cursor: not-allowed;\n            color: ", " a, i {\n              cursor: not-allowed !important;\n              color: ", ";\n            }\n          "])), theme.actionsDisabledTextColor, theme.actionsDisabledIconColor), inverse && css(templateObject_6$9 || (templateObject_6$9 = __makeTemplateObject(["\n            border-", ": \n            ", " ", " ", "; \n          "], ["\n            border-", ": \n            ", " ", " ", "; \n          "])), theme.dir === 'rtl' ? 'right' : 'left', theme.actionsDividerWidth, theme.actionsDividerStyle, theme.actionsDividerColor), theme.dir === 'rtl' ? 'right' : 'left', theme.actionsDividerWidth, theme.actionsDividerStyle, theme.actionsDividerColor);
});
var templateObject_1$m, templateObject_2$m, templateObject_3$i, templateObject_4$e, templateObject_5$b, templateObject_6$9, templateObject_7$8, templateObject_8$8;

var Actions = function (_a) {
    var actions = _a.actions, className = _a.className, style = _a.style, fullWidth = _a.fullWidth, size = _a.size, inverse = _a.inverse, Link = _a.Link, nextJs = _a.nextJs;
    return (React.createElement(ActionsStyle, { className: className, style: style }, actions.map(function (action, index) {
        var icon = React.createElement(ItemIcon, { icon: action.icon, className: "control-icon" });
        return (React.createElement(ActionStyle, { key: index, fullWidth: fullWidth, size: size, inverse: inverse, disabled: !!action.disabled },
            action.icon ? (action.link && Link ? (nextJs ? (React.createElement(Link, __assign({}, action.link),
                React.createElement("a", { className: "icon-container" }, icon))) : (React.createElement(Link, __assign({}, action.link, { className: "icon-container" }), icon))) : (React.createElement("a", __assign({}, action.url, { className: "icon-container" }), icon))) : (action.content),
            action.badge && (React.createElement(Badge, { status: action.badge.status, position: action.badge.position }, action.badge.title))));
    })));
};
Actions.defaultProps = {
    size: 'Small',
};

var columnCurtain = css(templateObject_1$n || (templateObject_1$n = __makeTemplateObject(["\n  display: block;\n  position: fixed;\n  z-index: 1050;\n  top: 0;\n  left: 50%;\n  overflow: hidden;\n  width: 50%;\n  height: 100vh;\n  pointer-events: none;\n\n  &::before {\n    content: '';\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    transform: scale3d(0, 1, 1);\n    transform-origin: 0 50%;\n    transition: transform 0.3s;\n    transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);\n  }\n\n  .search {\n    position: relative;\n    padding: 2.5rem 1.5rem 0;\n    background: transparent;\n\n    button {\n      position: absolute;\n      top: 2rem;\n      ", "\n      font-size: 2.5rem;\n      opacity: 0;\n      transition: opacity 0.5s;\n    }\n\n    .form {\n      width: 85%;\n      transform: translate3d(-150%, 0, 0);\n      transition: transform 0.3s;\n    }\n\n    input {\n      font-size: 2.5rem;\n      width: 100%;\n    }\n\n    span {\n      font-size: 85%;\n    }\n  }\n\n  &.show {\n    pointer-events: auto;\n\n    &::before {\n      transform: scale3d(1, 1, 1);\n    }\n\n    .search {\n      .form {\n        transform: translate3d(0, 0, 0);\n        transition-delay: 0.15s;\n        transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);\n      }\n\n      button {\n        opacity: 1;\n        z-index: 100;\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    span {\n      width: 90%;\n    }\n\n    input {\n      font-size: 2rem;\n      width: 90%;\n    }\n  }\n"], ["\n  display: block;\n  position: fixed;\n  z-index: 1050;\n  top: 0;\n  left: 50%;\n  overflow: hidden;\n  width: 50%;\n  height: 100vh;\n  pointer-events: none;\n\n  &::before {\n    content: '';\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    transform: scale3d(0, 1, 1);\n    transform-origin: 0 50%;\n    transition: transform 0.3s;\n    transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);\n  }\n\n  .search {\n    position: relative;\n    padding: 2.5rem 1.5rem 0;\n    background: transparent;\n\n    button {\n      position: absolute;\n      top: 2rem;\n      ", "\n      font-size: 2.5rem;\n      opacity: 0;\n      transition: opacity 0.5s;\n    }\n\n    .form {\n      width: 85%;\n      transform: translate3d(-150%, 0, 0);\n      transition: transform 0.3s;\n    }\n\n    input {\n      font-size: 2.5rem;\n      width: 100%;\n    }\n\n    span {\n      font-size: 85%;\n    }\n  }\n\n  &.show {\n    pointer-events: auto;\n\n    &::before {\n      transform: scale3d(1, 1, 1);\n    }\n\n    .search {\n      .form {\n        transform: translate3d(0, 0, 0);\n        transition-delay: 0.15s;\n        transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);\n      }\n\n      button {\n        opacity: 1;\n        z-index: 100;\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    span {\n      width: 90%;\n    }\n\n    input {\n      font-size: 2rem;\n      width: 90%;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'left: 3rem;' : 'right: 3rem;');
});
var templateObject_1$n;

var curtain = css(templateObject_1$o || (templateObject_1$o = __makeTemplateObject(["\n  .search {\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 100%;\n    overflow: hidden;\n    height: 100vh;\n    width: 100%;\n    padding: 3rem;\n    pointer-events: none;\n    transition: transform 0.3s;\n    transition-delay: 0.4s;\n    transition-timing-function: ease-out;\n\n    &::after {\n      content: '';\n      position: absolute;\n      top: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      transition: transform 0.3s;\n      transition-timing-function: ease-out;\n    }\n\n    button {\n      font-size: 2.5rem;\n      position: absolute;\n      top: 3rem;\n      ", "\n      transition: opacity 0.1s;\n      transition-delay: 0.3s;\n    }\n\n    .form {\n      width: 50%;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n\n    input {\n      width: 100%;\n      font-size: 6vw;\n    }\n  }\n\n  &.show {\n    .search {\n      width: 100%;\n      pointer-events: auto;\n      transform: translate3d(-100%, 0, 0);\n      transition-delay: 0s;\n\n      &::after {\n        transform: translate3d(100%, 0, 0);\n        transition-delay: 0.4s;\n      }\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n    }\n  }\n\n  @media screen and (max-width: 40em) {\n    span {\n      width: 90%;\n    }\n\n    input {\n      font-size: 2em;\n      width: 90%;\n    }\n  }\n"], ["\n  .search {\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 100%;\n    overflow: hidden;\n    height: 100vh;\n    width: 100%;\n    padding: 3rem;\n    pointer-events: none;\n    transition: transform 0.3s;\n    transition-delay: 0.4s;\n    transition-timing-function: ease-out;\n\n    &::after {\n      content: '';\n      position: absolute;\n      top: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      transition: transform 0.3s;\n      transition-timing-function: ease-out;\n    }\n\n    button {\n      font-size: 2.5rem;\n      position: absolute;\n      top: 3rem;\n      ", "\n      transition: opacity 0.1s;\n      transition-delay: 0.3s;\n    }\n\n    .form {\n      width: 50%;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n\n    input {\n      width: 100%;\n      font-size: 6vw;\n    }\n  }\n\n  &.show {\n    .search {\n      width: 100%;\n      pointer-events: auto;\n      transform: translate3d(-100%, 0, 0);\n      transition-delay: 0s;\n\n      &::after {\n        transform: translate3d(100%, 0, 0);\n        transition-delay: 0.4s;\n      }\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n    }\n  }\n\n  @media screen and (max-width: 40em) {\n    span {\n      width: 90%;\n    }\n\n    input {\n      font-size: 2em;\n      width: 90%;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'left: 3rem;' : 'right: 3rem;');
});
var templateObject_1$o;

var scaleUpDown = keyframes(templateObject_1$p || (templateObject_1$p = __makeTemplateObject(["\n  0% {\n    opacity: 1;\n    transform: scale3d(1, 0, 1);\n  }\n  50% {\n    transform: scale3d(1, 1, 1);\n    transform-origin: 50% 0;\n    transition-timing-function: ease-out;\n  }\n  50.1% {\n    transform-origin: 50% 100%;\n    transition-timing-function: ease-out;\n  }\n  100% {\n    opacity: 1;\n    transform: scale3d(1, 0, 1);\n    transform-origin: 50% 100%;\n    transition-timing-function: ease-out;\n  }   \n"], ["\n  0% {\n    opacity: 1;\n    transform: scale3d(1, 0, 1);\n  }\n  50% {\n    transform: scale3d(1, 1, 1);\n    transform-origin: 50% 0;\n    transition-timing-function: ease-out;\n  }\n  50.1% {\n    transform-origin: 50% 100%;\n    transition-timing-function: ease-out;\n  }\n  100% {\n    opacity: 1;\n    transform: scale3d(1, 0, 1);\n    transform-origin: 50% 100%;\n    transition-timing-function: ease-out;\n  }   \n"])));
var modalDrop = css(templateObject_2$n || (templateObject_2$n = __makeTemplateObject(["\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    z-index: 1050;\n    position: fixed;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100vh;\n    background: 0 0;\n    pointer-events: none;\n\n    &::before {\n      content: '';\n      position: absolute;\n      top: 0;\n      right: 0;\n      width: 100%;\n      height: 100%;\n      opacity: 0;\n      transition: opacity 0.4s;\n    }\n\n    button {\n      font-size: 2.5rem;\n      position: absolute;\n      top: 3rem;\n      ", "\n      display: block;\n      opacity: 0;\n      transition: opacity 0.4s;\n    }\n\n    .form {\n      position: relative;\n      margin: 5rem 0 2rem;\n    }\n\n    input {\n      font-size: 6vw;\n      width: 60%;\n      padding: 0.25rem;\n      text-align: center;\n      opacity: 0;\n      transition: opacity 0.4s;\n    }\n\n    span {\n      position: relative;\n      z-index: 9;\n      display: block;\n      width: 60%;\n      padding: 0.85rem 0;\n      opacity: 0;\n      transform: translate3d(0, -50px, 0);\n      transition: opacity 0.4s, transform 0.4s;\n    }\n\n    .form-content {\n      position: relative;\n      z-index: 10;\n      overflow: hidden;\n      transform: translate3d(0, -50px, 0);\n      transition: transform 0.4s;\n\n      &::after {\n        content: '';\n        position: absolute;\n        top: 0;\n        left: 20%;\n        width: 60%;\n        height: 105%;\n        opacity: 0;\n        transform-origin: 50% 0;\n      }\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n\n      &::before {\n        opacity: 1;\n      }\n\n      button {\n        opacity: 1;\n      }\n\n      .form-content {\n        transform: translate3d(0, 0, 0);\n        transition: none;\n\n        &::after {\n          animation: ", " 0.8s cubic-bezier(0.4, 0, 0.2, 1) forwards;\n        }\n      }\n\n      input {\n        opacity: 1;\n        transition: opacity 0s 0.4s;\n      }\n\n      span {\n        opacity: 1;\n        transform: translate3d(0, 0, 0);\n        transition-delay: 0.4s;\n        transition-timing-function: ease-out;\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    .form {\n      margin: 2rem 0;\n    }\n\n    input {\n      width: 100%;\n      left: 0;\n    }\n  }\n"], ["\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    z-index: 1050;\n    position: fixed;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100vh;\n    background: 0 0;\n    pointer-events: none;\n\n    &::before {\n      content: '';\n      position: absolute;\n      top: 0;\n      right: 0;\n      width: 100%;\n      height: 100%;\n      opacity: 0;\n      transition: opacity 0.4s;\n    }\n\n    button {\n      font-size: 2.5rem;\n      position: absolute;\n      top: 3rem;\n      ", "\n      display: block;\n      opacity: 0;\n      transition: opacity 0.4s;\n    }\n\n    .form {\n      position: relative;\n      margin: 5rem 0 2rem;\n    }\n\n    input {\n      font-size: 6vw;\n      width: 60%;\n      padding: 0.25rem;\n      text-align: center;\n      opacity: 0;\n      transition: opacity 0.4s;\n    }\n\n    span {\n      position: relative;\n      z-index: 9;\n      display: block;\n      width: 60%;\n      padding: 0.85rem 0;\n      opacity: 0;\n      transform: translate3d(0, -50px, 0);\n      transition: opacity 0.4s, transform 0.4s;\n    }\n\n    .form-content {\n      position: relative;\n      z-index: 10;\n      overflow: hidden;\n      transform: translate3d(0, -50px, 0);\n      transition: transform 0.4s;\n\n      &::after {\n        content: '';\n        position: absolute;\n        top: 0;\n        left: 20%;\n        width: 60%;\n        height: 105%;\n        opacity: 0;\n        transform-origin: 50% 0;\n      }\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n\n      &::before {\n        opacity: 1;\n      }\n\n      button {\n        opacity: 1;\n      }\n\n      .form-content {\n        transform: translate3d(0, 0, 0);\n        transition: none;\n\n        &::after {\n          animation: ", " 0.8s cubic-bezier(0.4, 0, 0.2, 1) forwards;\n        }\n      }\n\n      input {\n        opacity: 1;\n        transition: opacity 0s 0.4s;\n      }\n\n      span {\n        opacity: 1;\n        transform: translate3d(0, 0, 0);\n        transition-delay: 0.4s;\n        transition-timing-function: ease-out;\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    .form {\n      margin: 2rem 0;\n    }\n\n    input {\n      width: 100%;\n      left: 0;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'left: 3rem;' : 'right: 3rem;');
}, scaleUpDown);
var templateObject_1$p, templateObject_2$n;

var modalMove = css(templateObject_1$q || (templateObject_1$q = __makeTemplateObject(["\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100vh;\n    pointer-events: none;\n    opacity: 0;\n    transition: opacity 0.5s;\n\n    button {\n      position: absolute;\n      top: 3rem;\n      ", "\n      font-size: 2.5rem;\n      opacity: 0;\n      transition: opacity 0.5s;\n    }\n\n    .form {\n      margin: 5rem 0;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n\n    input {\n      font-size: 10vw;\n      width: 75%;\n      transform: scale3d(0, 1, 1);\n      transform-origin: 0 50%;\n      transition: transform 0.3s;\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n      opacity: 1;\n\n      button {\n        opacity: 1;\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      input {\n        transform: scale3d(1, 1, 1);\n        transition-duration: 0.5s;\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    span {\n      text-align: left;\n    }\n  }\n"], ["\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100vh;\n    pointer-events: none;\n    opacity: 0;\n    transition: opacity 0.5s;\n\n    button {\n      position: absolute;\n      top: 3rem;\n      ", "\n      font-size: 2.5rem;\n      opacity: 0;\n      transition: opacity 0.5s;\n    }\n\n    .form {\n      margin: 5rem 0;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n\n    input {\n      font-size: 10vw;\n      width: 75%;\n      transform: scale3d(0, 1, 1);\n      transform-origin: 0 50%;\n      transition: transform 0.3s;\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n      opacity: 1;\n\n      button {\n        opacity: 1;\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      input {\n        transform: scale3d(1, 1, 1);\n        transition-duration: 0.5s;\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    span {\n      text-align: left;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'left: 3rem;' : 'right: 3rem;');
});
var templateObject_1$q;

var modalHalf = css(templateObject_1$r || (templateObject_1$r = __makeTemplateObject(["\n  .search {\n    text-align: center;\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 0;\n    overflow: hidden;\n    width: 100%;\n    height: 100vh;\n    background: none;\n    pointer-events: none;\n\n    &::before {\n      content: '';\n      position: absolute;\n      top: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      pointer-events: none;\n      opacity: 0;\n      transition: opacity 0.6s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    button {\n      font-size: 2.5rem;\n      position: absolute;\n      top: 3rem;\n      ", "\n      display: block;\n      z-index: 100;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.6s, transform 0.6s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    .form-wrapper {\n      position: absolute;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      width: 100%;\n      height: 50%;\n      transition: transform 0.6s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n      transform: translate3d(0, -100%, 0);\n    }\n\n    .form {\n      width: 75%;\n      margin: 0 auto;\n    }\n\n    input {\n      font-size: 7vw;\n      width: 100%;\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n\n      &::before {\n        opacity: 1;\n      }\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form-wrapper {\n        transform: translate3d(0, 0, 0);\n      }\n    }\n  }\n"], ["\n  .search {\n    text-align: center;\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 0;\n    overflow: hidden;\n    width: 100%;\n    height: 100vh;\n    background: none;\n    pointer-events: none;\n\n    &::before {\n      content: '';\n      position: absolute;\n      top: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      pointer-events: none;\n      opacity: 0;\n      transition: opacity 0.6s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    button {\n      font-size: 2.5rem;\n      position: absolute;\n      top: 3rem;\n      ", "\n      display: block;\n      z-index: 100;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.6s, transform 0.6s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    .form-wrapper {\n      position: absolute;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      width: 100%;\n      height: 50%;\n      transition: transform 0.6s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n      transform: translate3d(0, -100%, 0);\n    }\n\n    .form {\n      width: 75%;\n      margin: 0 auto;\n    }\n\n    input {\n      font-size: 7vw;\n      width: 100%;\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n\n      &::before {\n        opacity: 1;\n      }\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form-wrapper {\n        transform: translate3d(0, 0, 0);\n      }\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'left: 3rem;' : 'right: 3rem;');
});
var templateObject_1$r;

var modalZoomin = css(templateObject_1$s || (templateObject_1$s = __makeTemplateObject(["\n  display: block;\n\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100vh;\n    pointer-events: none;\n    opacity: 0;\n    transition: opacity 0.5s;\n\n    &::before,\n    &::after {\n      content: '';\n      position: absolute;\n      width: calc(100% + 15px);\n      height: calc(100% + 15px);\n      pointer-events: none;\n    }\n\n    &::before {\n      top: 0;\n      left: 0;\n      border-right-width: 0;\n      border-bottom-width: 0;\n      transform: translate3d(-15px, -15px, 0);\n    }\n\n    &::after {\n      right: 0;\n      bottom: 0;\n      border-top-width: 0;\n      border-left-width: 0;\n      transform: translate3d(15px, 15px, 0);\n    }\n\n    button {\n      position: absolute;\n      top: 3rem;\n      ", "\n      font-size: 2.5rem;\n    }\n\n    input {\n      font-size: 10vw;\n      width: 75%;\n    }\n\n    button {\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n\n    .form {\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n      opacity: 1;\n\n      &::before,\n      &::after {\n        transform: translate3d(0, 0, 0);\n        transition: transform 0.5s;\n      }\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    .form {\n      margin: 5rem 0 1rem;\n    }\n\n    span {\n      text-align: left;\n    }\n  }\n"], ["\n  display: block;\n\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    position: fixed;\n    z-index: 1050;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100vh;\n    pointer-events: none;\n    opacity: 0;\n    transition: opacity 0.5s;\n\n    &::before,\n    &::after {\n      content: '';\n      position: absolute;\n      width: calc(100% + 15px);\n      height: calc(100% + 15px);\n      pointer-events: none;\n    }\n\n    &::before {\n      top: 0;\n      left: 0;\n      border-right-width: 0;\n      border-bottom-width: 0;\n      transform: translate3d(-15px, -15px, 0);\n    }\n\n    &::after {\n      right: 0;\n      bottom: 0;\n      border-top-width: 0;\n      border-left-width: 0;\n      transform: translate3d(15px, 15px, 0);\n    }\n\n    button {\n      position: absolute;\n      top: 3rem;\n      ", "\n      font-size: 2.5rem;\n    }\n\n    input {\n      font-size: 10vw;\n      width: 75%;\n    }\n\n    button {\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n\n    .form {\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n    }\n  }\n\n  &.show {\n    .search {\n      pointer-events: auto;\n      opacity: 1;\n\n      &::before,\n      &::after {\n        transform: translate3d(0, 0, 0);\n        transition: transform 0.5s;\n      }\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n    }\n  }\n\n  @media screen and (max-width: 40rem) {\n    .form {\n      margin: 5rem 0 1rem;\n    }\n\n    span {\n      text-align: left;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'left: 3rem;' : 'right: 3rem;');
});
var templateObject_1$s;

var rotateLayout = css(templateObject_1$t || (templateObject_1$t = __makeTemplateObject(["\n  position: absolute;\n  display: block;\n  width: 100vw;\n  height: 100vh;\n  pointer-events: none;\n  opacity: 0;\n  transition-property: opacity;\n  transition-delay: 0.4s;\n\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    z-index: 1050;\n    position: fixed;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 50vh;\n    pointer-events: none;\n    opacity: 0;\n    transition: opacity 0.5s;\n    transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n\n    button {\n      position: absolute;\n      top: 3rem;\n      ", "\n      font-size: 2.5rem;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    .form {\n      margin: 5rem 0;\n      opacity: 0;\n      transform: scale3d(0.7, 0.7, 1);\n      transition: opacity 0.5s, transform 0.5s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    input {\n      font-size: 7vw;\n      width: 75%;\n    }\n  }\n\n  &.show {\n    opacity: 1;\n    transition-delay: 0s;\n\n    .search {\n      pointer-events: auto;\n      opacity: 1;\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n    }\n  }\n"], ["\n  position: absolute;\n  display: block;\n  width: 100vw;\n  height: 100vh;\n  pointer-events: none;\n  opacity: 0;\n  transition-property: opacity;\n  transition-delay: 0.4s;\n\n  .search {\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    text-align: center;\n    z-index: 1050;\n    position: fixed;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 50vh;\n    pointer-events: none;\n    opacity: 0;\n    transition: opacity 0.5s;\n    transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n\n    button {\n      position: absolute;\n      top: 3rem;\n      ", "\n      font-size: 2.5rem;\n      opacity: 0;\n      transform: scale3d(0.8, 0.8, 1);\n      transition: opacity 0.5s, transform 0.5s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    .form {\n      margin: 5rem 0;\n      opacity: 0;\n      transform: scale3d(0.7, 0.7, 1);\n      transition: opacity 0.5s, transform 0.5s;\n      transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n    }\n\n    input {\n      font-size: 7vw;\n      width: 75%;\n    }\n  }\n\n  &.show {\n    opacity: 1;\n    transition-delay: 0s;\n\n    .search {\n      pointer-events: auto;\n      opacity: 1;\n\n      button {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n\n      .form {\n        opacity: 1;\n        transform: scale3d(1, 1, 1);\n      }\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return (theme.dir === 'rtl' ? 'left: 3rem;' : 'right: 3rem;');
});
var templateObject_1$t;

var SearchStyle = styled.div(templateObject_1$u || (templateObject_1$u = __makeTemplateObject(["\n  button {\n    margin: 0 auto;\n    padding: 0;\n    cursor: pointer;\n    border: none;\n    background: none;\n\n    &:focus {\n      box-shadow: none;\n      outline: none;\n    }\n  }\n"], ["\n  button {\n    margin: 0 auto;\n    padding: 0;\n    cursor: pointer;\n    border: none;\n    background: none;\n\n    &:focus {\n      box-shadow: none;\n      outline: none;\n    }\n  }\n"])));
var SearchFieldStyle = styled.div(templateObject_3$j || (templateObject_3$j = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_2$o || (templateObject_2$o = __makeTemplateObject(["\n    .search {\n      background: ", ";\n\n      button {\n        font-size: 2rem;\n        margin: 0 auto;\n        padding: 0;\n        cursor: pointer;\n        border: none;\n        background: none;\n\n        &:focus {\n          box-shadow: none;\n          outline: none;\n        }\n      }\n\n      span {\n        color: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        display: block;\n        width: 75%;\n        margin: 0 auto;\n        padding: 0.85rem 0;\n        text-align: right;\n      }\n\n      input {\n        border-bottom: ", " ", " ", ";\n        color: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        border-top: 0;\n        border-right: 0;\n        border-left: 0;\n        background: transparent;\n        border-radius: 0;\n        line-height: 1;\n        display: inline-block;\n        box-sizing: border-box;\n        padding: 0.05rem 0;\n        -webkit-appearance: none;\n\n        &::placeholder {\n          color: ", ";\n          opacity: 0.3;\n        }\n        &:focus {\n          outline: none;\n        }\n\n\n        &::-ms-clear {\n          display: none;\n        }\n      }\n    }\n\n    &.rotate-layout {\n      ", "\n      background: ", ";\n    }\n\n    &.modal-zoomin {\n      ", "\n      .search::before,\n      .search::after {\n        border: 1.5rem solid ", ";\n      }\n    }\n\n    &.modal-half {\n      ", "\n      .form-wrapper {\n        background: ", ";\n      }\n      .search::before {\n        background: ", ";\n      }\n    }\n    &.modal-move {\n      ", "\n    }\n\n    &.modal-drop {\n      .form-content::after {\n        background: ", ";\n      }\n      .search::before {\n        background: ", ";\n      }\n      ", "\n    }\n\n    &.curtain {\n      ", "\n      .search::after {\n        background: ", ";\n      }\n      .search {\n        background: ", ";\n      }\n    }\n\n    &.column-curtain {\n      ", "\n      &::before {\n        background: ", ";\n      }\n      &::after {\n        background: transparent;\n      }\n      &.show::after {\n        background: ", ";\n      }\n    }\n  "], ["\n    .search {\n      background: ", ";\n\n      button {\n        font-size: 2rem;\n        margin: 0 auto;\n        padding: 0;\n        cursor: pointer;\n        border: none;\n        background: none;\n\n        &:focus {\n          box-shadow: none;\n          outline: none;\n        }\n      }\n\n      span {\n        color: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        display: block;\n        width: 75%;\n        margin: 0 auto;\n        padding: 0.85rem 0;\n        text-align: right;\n      }\n\n      input {\n        border-bottom: ", " ", " ", ";\n        color: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        border-top: 0;\n        border-right: 0;\n        border-left: 0;\n        background: transparent;\n        border-radius: 0;\n        line-height: 1;\n        display: inline-block;\n        box-sizing: border-box;\n        padding: 0.05rem 0;\n        -webkit-appearance: none;\n\n        &::placeholder {\n          color: ", ";\n          opacity: 0.3;\n        }\n        &:focus {\n          outline: none;\n        }\n\n\n        &::-ms-clear {\n          display: none;\n        }\n      }\n    }\n\n    &.rotate-layout {\n      ", "\n      background: ", ";\n    }\n\n    &.modal-zoomin {\n      ", "\n      .search::before,\n      .search::after {\n        border: 1.5rem solid ", ";\n      }\n    }\n\n    &.modal-half {\n      ", "\n      .form-wrapper {\n        background: ", ";\n      }\n      .search::before {\n        background: ", ";\n      }\n    }\n    &.modal-move {\n      ", "\n    }\n\n    &.modal-drop {\n      .form-content::after {\n        background: ", ";\n      }\n      .search::before {\n        background: ", ";\n      }\n      ", "\n    }\n\n    &.curtain {\n      ", "\n      .search::after {\n        background: ", ";\n      }\n      .search {\n        background: ", ";\n      }\n    }\n\n    &.column-curtain {\n      ", "\n      &::before {\n        background: ", ";\n      }\n      &::after {\n        background: transparent;\n      }\n      &.show::after {\n        background: ", ";\n      }\n    }\n  "])), theme.searchBackgroundColor, theme.searchInfoTextColor, theme.searchInfoTextFontFamily, theme.searchInfoTextFontSize, theme.searchInfoTextFontWeight, theme.searchInfoTextLineHeight, theme.searchDividerWidth, theme.searchDividerStyle, theme.searchDividerColor, theme.searchTextColor, theme.searchTextFontFamily, theme.searchTextFontSize, theme.searchTextFontWeight, theme.searchTextLineHeight, theme.searchPlaceholderTextColor, rotateLayout, theme.searchBackgroundColor, modalZoomin, theme.searchExtraBackgroundColor, modalHalf, theme.searchBackgroundColor, theme.searchExtraBackgroundColor, modalMove, theme.searchDividerColor, theme.searchBackgroundColor, modalDrop, curtain, theme.searchBackgroundColor, theme.searchBackgroundColor, columnCurtain, theme.searchBackgroundColor, theme.searchExtraBackgroundColor);
});
var templateObject_1$u, templateObject_2$o, templateObject_3$j;

var OverlayStyle = styled.div(templateObject_1$v || (templateObject_1$v = __makeTemplateObject(["\n  position: absolute;\n  pointer-events: auto;\n  box-sizing: border-box;\n  z-index: 1000;\n  display: flex;\n  max-width: 100%;\n  max-height: 100%;\n"], ["\n  position: absolute;\n  pointer-events: auto;\n  box-sizing: border-box;\n  z-index: 1000;\n  display: flex;\n  max-width: 100%;\n  max-height: 100%;\n"])));
var Overlay = function (props) {
    var _a = __read(React.useState(), 2), parent = _a[0], setParent = _a[1];
    React.useEffect(function () {
        var overlayParent = document.getElementById('overlay-container');
        overlayParent && setParent(overlayParent);
    }, []);
    return parent !== undefined ? (ReactDOM.createPortal(React.createElement(OverlayStyle, __assign({}, props), props.children), parent)) : (React.createElement(React.Fragment, null));
};
var templateObject_1$v;

var Search = function (props) {
    var _a = __read(React.useState(''), 2), value = _a[0], setValue = _a[1];
    var _b = __read(React.useState(), 2), show = _b[0], setShow = _b[1];
    var inputRef = React.useRef(null);
    var layout = React.useContext(LayoutContext);
    React.useEffect(function () {
        var _a;
        if (show === 'show') {
            (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
        }
        else if (show === undefined) {
            layout.removeClass([props.type]);
        }
    }, [show]);
    var handleOpen = function () {
        setShow('');
        layout.addClass([props.type, 'with-search']);
        setTimeout(function () {
            setShow('show');
        }, 50);
    };
    var handleClose = function () {
        layout.removeClass(['with-search']);
        setShow('');
        setTimeout(function () {
            setShow(undefined);
        }, 200);
    };
    var onChangeHandle = function (e) {
        typeof props.onChange === 'function' && props.onChange(e.target.value);
        setValue(e.target.value);
    };
    return (React.createElement(SearchStyle, { className: props.className },
        React.createElement(Button, { appearance: "ghost", onClick: handleOpen },
            React.createElement(Icon, { name: "search-outline" })),
        show !== undefined && (React.createElement(Overlay, null,
            React.createElement(SearchFieldStyle, { className: props.type + ' ' + show },
                React.createElement("div", { className: "search", onKeyUp: function (e) {
                        e.preventDefault();
                        e.key === 'Escape' && handleClose();
                    } },
                    React.createElement(Button, { appearance: "ghost", onClick: handleClose },
                        React.createElement(Icon, { name: "close-outline" })),
                    React.createElement("div", { className: "form-wrapper" },
                        React.createElement("div", { className: "form" },
                            React.createElement("div", { className: "form-content" },
                                React.createElement("input", { ref: inputRef, onKeyUp: function (e) {
                                        e.preventDefault();
                                        if (e.key === 'Enter') {
                                            handleClose();
                                            props.submit(value);
                                        }
                                    }, onChange: onChangeHandle, placeholder: props.placeholder, className: "search-input", autoComplete: "off", tabIndex: -1, value: value })),
                            React.createElement("span", { className: "info" }, props.hint)))))))));
};

var ToastrStyle = styled.div(templateObject_6$a || (templateObject_6$a = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, status = _a.status, destroyByClick = _a.destroyByClick, hasIcon = _a.hasIcon, isRight = _a.isRight;
    return css(templateObject_5$c || (templateObject_5$c = __makeTemplateObject(["\n    border-style: ", ";\n    border-radius: ", ";\n    border-width: ", ";\n    box-shadow: ", ";\n    padding: ", ";\n    display: flex;\n    align-items: center;\n    width: 25rem;\n    margin: 0.5rem;\n    transition: all 150ms ease-out;\n    &&.animation{\n      transform: translateX(", "110%);\n      height: 0;\n      margin: 0;\n    }\n\n    .content-container {\n      ", "\n      .title {\n        font-weight: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        line-height: ", ";\n        margin-right: 0.25rem;\n      }\n      .message {\n        font-family: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        font-size: ", ";\n      }\n    }\n    ", "\n    .icon {\n      margin-", ": 1.25rem;\n      border-radius: ", ";\n      min-width: 2.5rem;\n      min-height: 2.5rem;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      font-size: 1.5rem;\n    }\n    svg {\n      width: 2.5rem;\n      height: 2.5rem;\n    }\n\n    ", "\n  "], ["\n    border-style: ", ";\n    border-radius: ", ";\n    border-width: ", ";\n    box-shadow: ", ";\n    padding: ", ";\n    display: flex;\n    align-items: center;\n    width: 25rem;\n    margin: 0.5rem;\n    transition: all 150ms ease-out;\n    &&.animation{\n      transform: translateX(", "110%);\n      height: 0;\n      margin: 0;\n    }\n\n    .content-container {\n      ",
        "\n      .title {\n        font-weight: ", ";\n        font-family: ", ";\n        font-size: ", ";\n        line-height: ", ";\n        margin-right: 0.25rem;\n      }\n      .message {\n        font-family: ", ";\n        font-weight: ", ";\n        line-height: ", ";\n        font-size: ", ";\n      }\n    }\n    ",
        "\n    .icon {\n      margin-", ": 1.25rem;\n      border-radius: ", ";\n      min-width: 2.5rem;\n      min-height: 2.5rem;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      font-size: 1.5rem;\n    }\n    svg {\n      width: 2.5rem;\n      height: 2.5rem;\n    }\n\n    ",
        "\n  "])), theme.toastrBorderStyle, theme.toastrBorderRadius, theme.toastrBorderWidth, theme.toastrShadow, theme.toastrPadding, !isRight && '-', !hasIcon && css(templateObject_1$w || (templateObject_1$w = __makeTemplateObject(["\n          display: flex;\n          flex-direction: row;\n        "], ["\n          display: flex;\n          flex-direction: row;\n        "]))), theme.toastrTitleTextFontWeight, theme.toastrTitleTextFontFamily, theme.toastrTitleTextFontSize, theme.toastrTitleTextLineHeight, theme.toastrTextFontFamily, theme.toastrTextFontWeight, theme.toastrTextLineHeight, theme.toastrTextFontSize, destroyByClick && css(templateObject_2$p || (templateObject_2$p = __makeTemplateObject(["\n        cursor: pointer;\n\n        &:hover {\n          opacity: 1;\n        }\n      "], ["\n        cursor: pointer;\n\n        &:hover {\n          opacity: 1;\n        }\n      "]))), theme.dir === 'rtl' ? 'left' : 'right', theme.toastrBorderRadius, status && css(templateObject_4$f || (templateObject_4$f = __makeTemplateObject(["\n        background: ", ";\n        border-color: ", ";\n        color: ", ";\n\n        .title {\n          color: ", ";\n        }\n        ", "\n\n        .icon {\n          background: ", ";\n          color: ", ";\n        }\n      "], ["\n        background: ", ";\n        border-color: ", ";\n        color: ", ";\n\n        .title {\n          color: ", ";\n        }\n        ",
        "\n\n        .icon {\n          background: ", ";\n          color: ", ";\n        }\n      "])), theme["toastr" + status + "BackgroundColor"], theme["toastr" + status + "BorderColor"], theme["toastr" + status + "TextColor"], theme["toastr" + status + "TextColor"], destroyByClick && css(templateObject_3$k || (templateObject_3$k = __makeTemplateObject(["\n            cursor: pointer;\n\n            &:hover {\n              background: ", ";\n              border-color: ", ";\n            }\n          "], ["\n            cursor: pointer;\n\n            &:hover {\n              background: ", ";\n              border-color: ", ";\n            }\n          "])), theme["toastrDestroyable" + status + "HoverBackgroundColor"], theme["toastrDestroyable" + status + "HoverBorderColor"]), theme["toastrIcon" + status + "BackgroundColor"], theme["toastrIcon" + status + "Color"]));
});
var ToastrContainer = styled.div(templateObject_7$9 || (templateObject_7$9 = __makeTemplateObject(["\n  pointer-events: none;\n  top: 0;\n  left: 0;\n  height: 100%;\n  width: 100%;\n  display: flex;\n  position: absolute;\n  z-index: 1000;\n  ", "\n  .overlay-pane {\n    pointer-events: auto;\n    position: static;\n    box-sizing: border-box;\n    z-index: 1000;\n    display: flex;\n    max-width: 100%;\n    max-height: 100%;\n    flex-direction: ", ";\n  }\n"], ["\n  pointer-events: none;\n  top: 0;\n  left: 0;\n  height: 100%;\n  width: 100%;\n  display: flex;\n  position: absolute;\n  z-index: 1000;\n  ",
    "\n  .overlay-pane {\n    pointer-events: auto;\n    position: static;\n    box-sizing: border-box;\n    z-index: 1000;\n    display: flex;\n    max-width: 100%;\n    max-height: 100%;\n    flex-direction: ", ";\n  }\n"])), function (_a) {
    var position = _a.position;
    switch (position) {
        case 'topStart':
            return 'justify-content: flex-start;align-items: flex-start;';
        case 'topEnd':
            return 'justify-content: flex-end;align-items: flex-start;';
        case 'bottomStart':
            return 'justify-content: flex-start;align-items: flex-end;';
        case 'bottomEnd':
            return 'justify-content: flex-end;align-items: flex-end;';
    }
}, function (_a) {
    var isTop = _a.isTop;
    return (isTop ? 'column-reverse' : 'column');
});
var templateObject_1$w, templateObject_2$p, templateObject_3$k, templateObject_4$f, templateObject_5$c, templateObject_6$a, templateObject_7$9;

var Item$1 = function (props) {
    var _a;
    var _b = __read(React.useState(true), 2), show = _b[0], setShow = _b[1];
    var _c = __read(React.useState('animation'), 2), animation = _c[0], setAnimation = _c[1];
    var layout = React.useContext(LayoutContext);
    var destroyItem = function () {
        setAnimation('animation');
        setTimeout(function () {
            setShow(false);
        }, 100);
    };
    var onClick = function () {
        if (props.destroyByClick) {
            destroyItem();
        }
    };
    React.useEffect(function () {
        if (props.duration > 0) {
            setTimeout(function () {
                destroyItem();
            }, props.duration);
        }
        if (animation === 'animation') {
            setTimeout(function () {
                setAnimation('');
            }, 10);
        }
    }, []);
    return show ? (ReactDOM.createPortal(React.createElement(ToastrStyle, __assign({ isRight: isRightPosition((_a = layout.dir, (_a !== null && _a !== void 0 ? _a : 'ltr')), props.position), className: animation, onClick: onClick }, props),
        props.icon && props.hasIcon && React.createElement(ItemIcon, { icon: props.icon, className: "icon" }),
        React.createElement("div", { className: "content-container" },
            props.title && React.createElement("span", { className: "title" }, props.title),
            React.createElement("div", { className: "message" }, props.message))), document.getElementById('toastr' + props.position))) : (React.createElement(React.Fragment, null));
};

var Toastr = function (props, ref) {
    var _a = __read(React.useState([]), 2), items = _a[0], setItems = _a[1];
    var _b = __read(React.useState(false), 2), createParents = _b[0], setCreateParents = _b[1];
    var layout = React.useContext(LayoutContext);
    React.useEffect(function () {
        setCreateParents(true);
    }, []);
    React.useImperativeHandle(ref, function () { return ({
        add: function (message, title, option) {
            var e_1, _a;
            if (title === void 0) { title = ''; }
            if (option === void 0) { option = {}; }
            var _b;
            var options = __assign(__assign({}, props), option);
            var newItems = __spread(items);
            var push = true;
            if (options.preventDuplicates) {
                try {
                    for (var newItems_1 = __values(newItems), newItems_1_1 = newItems_1.next(); !newItems_1_1.done; newItems_1_1 = newItems_1.next()) {
                        var item = newItems_1_1.value;
                        if (item.title === title && item.message === message) {
                            push = false;
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (newItems_1_1 && !newItems_1_1.done && (_a = newItems_1.return)) _a.call(newItems_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
            if (push) {
                options.position = getLogicalPosition((_b = layout.dir, (_b !== null && _b !== void 0 ? _b : 'ltr')), options.position);
                newItems.push(__assign(__assign({}, options), { title: title,
                    message: message, icon: options.icons ? options.icons[options.status] : '' }));
                setItems(newItems);
            }
        },
    }); }, [items]);
    return (React.createElement(React.Fragment, null,
        createParents &&
            ['topStart', 'topEnd', 'bottomStart', 'bottomEnd'].map(function (position) {
                return ReactDOM.createPortal(React.createElement(ToastrContainer, { position: position, isTop: position === 'topEnd' || position === 'topStart' },
                    React.createElement("div", { className: "overlay-pane", id: 'toastr' + position })), document.getElementById('overlay-container'));
            }),
        items.map(function (item, index) { return (React.createElement(Item$1, __assign({ key: index }, item))); })));
};
Toastr = React.forwardRef(Toastr);
Toastr.defaultProps = {
    position: 'topEnd',
    status: 'Primary',
    duration: 3000,
    hasIcon: true,
    destroyByClick: true,
    preventDuplicates: false,
    icons: {
        Danger: 'flash-outline',
        Success: 'checkmark-outline',
        Info: 'question-mark-outline',
        Warning: 'alert-triangle-outline',
        Primary: 'email-outline',
        Control: 'email-outline',
        Basic: 'email-outline',
    },
};

var GlobalStyle = css(templateObject_2$q || (templateObject_2$q = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_1$x || (templateObject_1$x = __makeTemplateObject(["\n    html {\n      box-sizing: border-box;\n      font-size: 14px;\n      direction: ", ";\n    }\n    *,\n    *:before,\n    *:after {\n      box-sizing: inherit;\n    }\n    body {\n      margin: 0;\n      padding: 0;\n      text-align: ", ";\n      -webkit-font-smoothing: antialiased;\n    }\n    #oah-layout.with-search .scrollable-container {\n      position: relative;\n      z-index: 0;\n    }\n    #oah-layout.rotate-layout {\n      position: fixed;\n      overflow: hidden;\n      width: 100%;\n\n      .scrollable-container {\n        position: relative;\n        z-index: 10001;\n\n        transition: transform 0.5s cubic-bezier(0.2, 1, 0.3, 1);\n      }\n\n      &.with-search .scrollable-container {\n        transition: transform 0.5s cubic-bezier(0.2, 1, 0.3, 1);\n        transform-origin: 50vw 50vh;\n        transform: perspective(1000px) translate3d(0, 50vh, 0) rotate3d(1, 0, 0, 30deg);\n        pointer-events: none;\n      }\n    }\n    #oah-layout.column-curtain.with-search .layout {\n      pointer-events: none;\n    }\n    #oah-layout.curtain .scrollable-container {\n      position: relative;\n      z-index: 0;\n    }\n    #oah-layout.modal-drop {\n      .layout {\n        position: relative;\n        transition: transform 0.4s, opacity 0.4s;\n        transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n      }\n      &.with-search .layout {\n        opacity: 0;\n        transform: scale3d(0.9, 0.9, 1);\n        pointer-events: none;\n      }\n    }\n\n    #oah-layout.modal-half {\n      .layout {\n        transition: transform 0.6s, opacity 0.6s;\n        transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n      }\n      &.with-search {\n        .layout {\n          transform: scale3d(0.8, 0.8, 1);\n          pointer-events: none;\n        }\n      }\n    }\n\n    #oah-layout.modal-move {\n      .layout {\n        transition: transform 0.5s;\n      }\n      &.with-search {\n        .layout {\n          transform: scale3d(0.8, 0.8, 1);\n          pointer-events: none;\n        }\n      }\n    }\n    .visually-hidden {\n      position: absolute !important;\n      height: 1px;\n      width: 1px;\n      overflow: hidden;\n      clip: rect(1px 1px 1px 1px); /* IE6, IE7 */\n      clip: rect(1px, 1px, 1px, 1px);\n    }\n  "], ["\n    html {\n      box-sizing: border-box;\n      font-size: 14px;\n      direction: ", ";\n    }\n    *,\n    *:before,\n    *:after {\n      box-sizing: inherit;\n    }\n    body {\n      margin: 0;\n      padding: 0;\n      text-align: ", ";\n      -webkit-font-smoothing: antialiased;\n    }\n    #oah-layout.with-search .scrollable-container {\n      position: relative;\n      z-index: 0;\n    }\n    #oah-layout.rotate-layout {\n      position: fixed;\n      overflow: hidden;\n      width: 100%;\n\n      .scrollable-container {\n        position: relative;\n        z-index: 10001;\n\n        transition: transform 0.5s cubic-bezier(0.2, 1, 0.3, 1);\n      }\n\n      &.with-search .scrollable-container {\n        transition: transform 0.5s cubic-bezier(0.2, 1, 0.3, 1);\n        transform-origin: 50vw 50vh;\n        transform: perspective(1000px) translate3d(0, 50vh, 0) rotate3d(1, 0, 0, 30deg);\n        pointer-events: none;\n      }\n    }\n    #oah-layout.column-curtain.with-search .layout {\n      pointer-events: none;\n    }\n    #oah-layout.curtain .scrollable-container {\n      position: relative;\n      z-index: 0;\n    }\n    #oah-layout.modal-drop {\n      .layout {\n        position: relative;\n        transition: transform 0.4s, opacity 0.4s;\n        transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n      }\n      &.with-search .layout {\n        opacity: 0;\n        transform: scale3d(0.9, 0.9, 1);\n        pointer-events: none;\n      }\n    }\n\n    #oah-layout.modal-half {\n      .layout {\n        transition: transform 0.6s, opacity 0.6s;\n        transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);\n      }\n      &.with-search {\n        .layout {\n          transform: scale3d(0.8, 0.8, 1);\n          pointer-events: none;\n        }\n      }\n    }\n\n    #oah-layout.modal-move {\n      .layout {\n        transition: transform 0.5s;\n      }\n      &.with-search {\n        .layout {\n          transform: scale3d(0.8, 0.8, 1);\n          pointer-events: none;\n        }\n      }\n    }\n    .visually-hidden {\n      position: absolute !important;\n      height: 1px;\n      width: 1px;\n      overflow: hidden;\n      clip: rect(1px 1px 1px 1px); /* IE6, IE7 */\n      clip: rect(1px, 1px, 1px, 1px);\n    }\n  "])), theme.dir && theme.dir, theme.dir === 'rtl' ? 'right' : 'left');
});
var templateObject_1$x, templateObject_2$q;

var UserStyle = styled.div(templateObject_4$g || (templateObject_4$g = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, size = _a.size, image = _a.image, color = _a.color, shape = _a.shape;
    return css(templateObject_3$l || (templateObject_3$l = __makeTemplateObject(["\n    display: flex;\n\n    .user-container {\n      position: relative;\n      display: flex;\n      align-items: center;\n    }\n\n    .user-picture {\n      background-color: ", ";\n      border: ", " solid ", ";\n      position: relative;\n      border-radius: 50%;\n      flex-shrink: 0;\n\n      &.initials {\n        color: ", ";\n        font-family: ", ";\n        font-weight: ", ";\n        display: flex;\n        align-items: center;\n        justify-content: center;\n        ", "\n      }\n      &.image {\n      ", "\n        background-size: cover;\n        background-repeat: no-repeat;\n      }\n    }\n\n    .user-name {\n      color: ", ";\n      font-family: ", ";\n      font-weight: ", ";\n    }\n\n    .user-title {\n      color: ", ";\n      font-family: ", ";\n      font-weight: ", ";\n      font-size: 0.75rem;\n    }\n\n    .user-name,\n    .user-title {\n      text-align: ", ";\n    }\n\n    .info-container {\n      margin-", ": 0.5rem;\n    }\n\n    ", "\n\n      ", "\n  "], ["\n    display: flex;\n\n    .user-container {\n      position: relative;\n      display: flex;\n      align-items: center;\n    }\n\n    .user-picture {\n      background-color: ", ";\n      border: ", " solid ", ";\n      position: relative;\n      border-radius: 50%;\n      flex-shrink: 0;\n\n      &.initials {\n        color: ", ";\n        font-family: ", ";\n        font-weight: ", ";\n        display: flex;\n        align-items: center;\n        justify-content: center;\n        ", "\n      }\n      &.image {\n      ", "\n        background-size: cover;\n        background-repeat: no-repeat;\n      }\n    }\n\n    .user-name {\n      color: ", ";\n      font-family: ", ";\n      font-weight: ", ";\n    }\n\n    .user-title {\n      color: ", ";\n      font-family: ", ";\n      font-weight: ", ";\n      font-size: 0.75rem;\n    }\n\n    .user-name,\n    .user-title {\n      text-align: ", ";\n    }\n\n    .info-container {\n      margin-", ": 0.5rem;\n    }\n\n    ",
        "\n\n      ",
        "\n  "])), theme.userPictureBoxBackgroundColor, theme.userPictureBoxBorderWidth, theme.userPictureBoxBorderColor, theme.userInitialsTextColor, theme.userInitialsTextFontFamily, theme.userInitialsTextFontWeight, color && "background-color: " + color + ";", image && "background-image: " + image + ";", theme.userNameTextColor, theme.userNameTextFontFamily, theme.userNameTextFontWeight, theme.userTitleTextColor, theme.userTitleTextFontFamily, theme.userTitleTextFontWeight, theme.dir === 'rtl' ? 'right' : 'left', theme.dir === 'rtl' ? 'right' : 'left', size && css(templateObject_1$y || (templateObject_1$y = __makeTemplateObject(["\n        .user-picture {\n          height: ", ";\n          width: ", ";\n        }\n        .initials {\n          font-size: ", ";\n          line-height: ", ";\n        }\n        .user-name {\n          font-size: ", ";\n          line-height: ", ";\n        }\n        .user-title {\n          font-size: ", ";\n          line-height: ", ";\n        }\n      "], ["\n        .user-picture {\n          height: ", ";\n          width: ", ";\n        }\n        .initials {\n          font-size: ", ";\n          line-height: ", ";\n        }\n        .user-name {\n          font-size: ", ";\n          line-height: ", ";\n        }\n        .user-title {\n          font-size: ", ";\n          line-height: ", ";\n        }\n      "])), theme["user" + size + "Height"], theme["user" + size + "Width"], theme["user" + size + "InitialsTextFontSize"], theme["user" + size + "InitialsTextLineHeight"], theme["user" + size + "NameTextFontSize"], theme["user" + size + "NameTextLineHeight"], theme["user" + size + "TitleTextFontSize"], theme["user" + size + "TitleTextLineHeight"]), shape && css(templateObject_2$r || (templateObject_2$r = __makeTemplateObject(["\n          .user-picture {\n            border-radius: ", ";\n          }\n        "], ["\n          .user-picture {\n            border-radius: ", ";\n          }\n        "])), theme["user" + shape + "BorderRadius"]));
});
var templateObject_1$y, templateObject_2$r, templateObject_3$l, templateObject_4$g;

var User = function (props) {
    var getInitials = function () {
        if (props.name) {
            var names = props.name.split(' ');
            return names
                .map(function (n) { return n.charAt(0); })
                .splice(0, 2)
                .join('')
                .toUpperCase();
        }
        return '';
    };
    return (React.createElement(UserStyle, __assign({}, props),
        React.createElement("div", { className: "user-container" },
            React.createElement("div", { className: 'user-picture ' + (props.image ? 'image' : 'initials') },
                !props.image && props.showInitials && getInitials(),
                props.badge && (React.createElement(Badge, { status: props.badge.status, position: props.badge.position }, props.badge.title))),
            !props.onlyPicture && (React.createElement("div", { className: "info-container" },
                React.createElement("div", { className: "user-name" }, props.name),
                React.createElement("div", { className: "user-title" }, props.title))))));
};
User.defaultProps = {
    size: 'Medium',
    showInitials: true,
};

var AlertStyle = styled.div(templateObject_6$b || (templateObject_6$b = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, size = _a.size, status = _a.status, accent = _a.accent, outline = _a.outline, closable = _a.closable;
    return css(templateObject_5$d || (templateObject_5$d = __makeTemplateObject(["\n    display: flex;\n    flex-direction: column;\n    position: relative;\n\n    border-radius: ", ";\n    box-shadow: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    padding: ", ";\n    margin-bottom: ", ";\n\n    ", "\n\n    ", "\n\n    ", "\n\n    ", "\n\n    ", "\n\n    .close {\n      padding: ", ";\n      font-size: 1.5rem;\n      line-height: 1;\n      cursor: pointer;\n      font-family: monospace;\n\n      position: absolute;\n      top: 0;\n      ", ": 0;\n      color: inherit;\n      background-color: transparent;\n      border: 0;\n      -webkit-appearance: none;\n    }\n    ", "\n  "], ["\n    display: flex;\n    flex-direction: column;\n    position: relative;\n\n    border-radius: ", ";\n    box-shadow: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    padding: ", ";\n    margin-bottom: ", ";\n\n    ", "\n\n    ", "\n\n    ",
        "\n\n    ",
        "\n\n    ",
        "\n\n    .close {\n      padding: ", ";\n      font-size: 1.5rem;\n      line-height: 1;\n      cursor: pointer;\n      font-family: monospace;\n\n      position: absolute;\n      top: 0;\n      ", ": 0;\n      color: inherit;\n      background-color: transparent;\n      border: 0;\n      -webkit-appearance: none;\n    }\n    ",
        "\n  "])), theme.alertBorderRadius, theme.alertShadow, theme.alertTextFontFamily, theme.alertTextFontSize, theme.alertTextFontWeight, theme.alertTextLineHeight, theme.alertPadding, theme.alertBottomMargin, scrollbars(theme.alertScrollbarColor, theme.alertScrollbarBackgroundColor, theme.alertScrollbarWidth), size && "height: " + theme["alert" + size + "Height"] + ";", status && css(templateObject_1$z || (templateObject_1$z = __makeTemplateObject(["\n        background-color: ", ";\n        color: ", ";\n        a,\n        a:hover {\n          color: ", ";\n        }\n      "], ["\n        background-color: ", ";\n        color: ", ";\n        a,\n        a:hover {\n          color: ", ";\n        }\n      "])), theme["alert" + status + "BackgroundColor"], theme["alert" + status + "TextColor"], theme["alert" + status + "TextColor"]), accent && css(templateObject_2$s || (templateObject_2$s = __makeTemplateObject(["\n        border-top: ", " solid ", ";\n      "], ["\n        border-top: ", " solid ", ";\n      "])), theme.alertBorderRadius, theme["alertAccent" + status + "Color"]), outline && css(templateObject_3$m || (templateObject_3$m = __makeTemplateObject(["\n        border: ", " solid ", ";\n      "], ["\n        border: ", " solid ", ";\n      "])), theme.alertOutlineWidth, theme["alertOutline" + status + "Color"]), theme.alertPadding, theme.dir === 'rtl' ? 'left' : 'right', closable && css(templateObject_4$h || (templateObject_4$h = __makeTemplateObject(["\n        padding-", ": ", ";\n      "], ["\n        padding-", ": ", ";\n      "])), theme.dir === 'rtl' ? 'left' : 'right', theme.alertClosableStartPadding));
});
var Alert = function (props) {
    return (React.createElement(AlertStyle, __assign({}, props),
        props.closable && (React.createElement("button", { onClick: props.onClose, type: "button", className: "close", "aria-label": "Close" },
            React.createElement("span", { "aria-hidden": "true" }, "\u00D7"))),
        props.children));
};
Alert.defaultProps = {
    status: 'Basic',
};
var templateObject_1$z, templateObject_2$s, templateObject_3$m, templateObject_4$h, templateObject_5$d, templateObject_6$b;

var spin = keyframes(templateObject_1$A || (templateObject_1$A = __makeTemplateObject(["\n  0% {\n    transform: rotate(0deg);\n  }\n  40% {\n    transform: rotate(230deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n"], ["\n  0% {\n    transform: rotate(0deg);\n  }\n  40% {\n    transform: rotate(230deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n"])));
var SpinnerStyle = styled.div(templateObject_4$i || (templateObject_4$i = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, size = _a.size, status = _a.status;
    return css(templateObject_3$n || (templateObject_3$n = __makeTemplateObject(["\n    opacity: 1;\n    position: absolute;\n    border-radius: inherit;\n    top: 0;\n    right: 0;\n    left: 0;\n    bottom: 0;\n    overflow: hidden;\n    z-index: 999;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    visibility: visible;\n    ", "\n\n    .spin-circle {\n      animation: ", " 0.8s infinite linear;\n      border-radius: 50%;\n      border-style: solid;\n      border-width: 0.125em;\n      width: 1em;\n      height: 1em;\n    }\n\n    .message {\n      margin-left: 0.5rem;\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n    }\n\n    ", "\n  "], ["\n    opacity: 1;\n    position: absolute;\n    border-radius: inherit;\n    top: 0;\n    right: 0;\n    left: 0;\n    bottom: 0;\n    overflow: hidden;\n    z-index: 999;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    visibility: visible;\n    ", "\n\n    .spin-circle {\n      animation: ", " 0.8s infinite linear;\n      border-radius: 50%;\n      border-style: solid;\n      border-width: 0.125em;\n      width: 1em;\n      height: 1em;\n    }\n\n    .message {\n      margin-left: 0.5rem;\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n    }\n\n    ",
        "\n  "])), size && "font-size: " + theme["spinnerHeight" + size] + ";", spin, theme.spinnerTextColor, theme.spinnerTextFontFamily, theme.spinnerTextFontSize, theme.spinnerTextFontWeight, theme.spinnerTextLineHeight, status && css(templateObject_2$t || (templateObject_2$t = __makeTemplateObject(["\n        background-color: ", ";\n\n        .spin-circle {\n          border-top-color: ", ";\n          border-right-color: ", ";\n          border-bottom-color: ", ";\n          border-left-color: ", ";\n        }\n      "], ["\n        background-color: ", ";\n\n        .spin-circle {\n          border-top-color: ", ";\n          border-right-color: ", ";\n          border-bottom-color: ", ";\n          border-left-color: ", ";\n        }\n      "])), theme["spinner" + status + "BackgroundColor"], theme["spinner" + status + "CircleFilledColor"], theme["spinner" + status + "CircleEmptyColor"], theme["spinner" + status + "CircleFilledColor"], theme["spinner" + status + "CircleFilledColor"]));
});
var Spinner = function (props) {
    return (React.createElement(SpinnerStyle, __assign({}, props),
        React.createElement("span", { className: "spin-circle" }),
        React.createElement("span", { className: "message" }, props.children)));
};
Spinner.defaultProps = {
    size: 'Medium',
    status: 'Primary',
};
var templateObject_1$A, templateObject_2$t, templateObject_3$n, templateObject_4$i;

var ProgressStyle = styled.div(templateObject_4$j || (templateObject_4$j = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, size = _a.size, status = _a.status, value = _a.value;
    return css(templateObject_3$o || (templateObject_3$o = __makeTemplateObject(["\n    display: block;\n    .progress-container {\n      overflow: hidden;\n      border-radius: ", ";\n    }\n    .progress-value {\n      height: 100%;\n      width: ", "%;\n      text-align: center;\n      overflow: hidden;\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      font-family: ", ";\n      transition-duration: ", ";\n      transition-property: width, background-color;\n    }\n    ", "\n    ", "\n  "], ["\n    display: block;\n    .progress-container {\n      overflow: hidden;\n      border-radius: ", ";\n    }\n    .progress-value {\n      height: 100%;\n      width: ", "%;\n      text-align: center;\n      overflow: hidden;\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      font-family: ", ";\n      transition-duration: ", ";\n      transition-property: width, background-color;\n    }\n    ",
        "\n    ",
        "\n  "])), theme.progressBarBorderRadius, value, theme.progressBarTextFontFamily, theme.progressBarAnimationDuration, size && css(templateObject_1$B || (templateObject_1$B = __makeTemplateObject(["\n        .progress-container {\n          height: ", ";\n        }\n\n        .progress-value {\n          font-size: ", ";\n          font-weight: ", ";\n          line-height: ", ";\n        }\n      "], ["\n        .progress-container {\n          height: ", ";\n        }\n\n        .progress-value {\n          font-size: ", ";\n          font-weight: ", ";\n          line-height: ", ";\n        }\n      "])), theme["progressBar" + size + "Height"], theme["progressBar" + size + "TextFontSize"], theme["progressBar" + size + "TextFontWeight"], theme["progressBar" + size + "TextLineHeight"]), status && css(templateObject_2$u || (templateObject_2$u = __makeTemplateObject(["\n        .progress-container {\n          background-color: ", ";\n        }\n\n        .progress-value {\n          background-color: ", ";\n          color: ", ";\n        }\n      "], ["\n        .progress-container {\n          background-color: ", ";\n        }\n\n        .progress-value {\n          background-color: ", ";\n          color: ", ";\n        }\n      "])), theme["progressBar" + status + "BackgroundColor"], theme["progressBar" + status + "FilledBackgroundColor"], theme["progressBar" + status + "TextColor"]));
});
var Progress = function (props) {
    return (React.createElement(ProgressStyle, __assign({}, props),
        React.createElement("div", { className: "progress-container" },
            React.createElement("div", { className: "progress-value" },
                props.displayValue && React.createElement("span", null,
                    props.value,
                    "%"),
                props.children))));
};
Progress.defaultProps = {
    size: 'Medium',
    status: 'Basic',
    value: 0,
};
var templateObject_1$B, templateObject_2$u, templateObject_3$o, templateObject_4$j;

var PopoverStyle = styled.div(templateObject_2$v || (templateObject_2$v = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_1$C || (templateObject_1$C = __makeTemplateObject(["\n    border: ", " solid ", ";\n    border-radius: ", ";\n    background: ", ";\n    box-shadow: ", ";\n    color: ", ";\n\n    .primitive-overlay {\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      padding: ", ";\n    }\n\n    .arrow {\n      position: absolute;\n      width: 0;\n      height: 0;\n      border-left: ", " solid transparent;\n      border-right: ", " solid transparent;\n      border-bottom: ", " solid ", ";\n\n      &::after {\n        position: absolute;\n        content: ' ';\n        width: 0;\n        height: 0;\n        top: 3px;\n        left: calc(50% - ", ");\n        border-left: ", " solid transparent;\n        border-right: ", " solid transparent;\n        border-bottom: ", " solid ", ";\n        clip-path: inset(0 0 2px);\n      }\n    }\n  "], ["\n    border: ", " solid ", ";\n    border-radius: ", ";\n    background: ", ";\n    box-shadow: ", ";\n    color: ", ";\n\n    .primitive-overlay {\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      padding: ", ";\n    }\n\n    .arrow {\n      position: absolute;\n      width: 0;\n      height: 0;\n      border-left: ", " solid transparent;\n      border-right: ", " solid transparent;\n      border-bottom: ", " solid ", ";\n\n      &::after {\n        position: absolute;\n        content: ' ';\n        width: 0;\n        height: 0;\n        top: 3px;\n        left: calc(50% - ", ");\n        border-left: ", " solid transparent;\n        border-right: ", " solid transparent;\n        border-bottom: ", " solid ", ";\n        clip-path: inset(0 0 2px);\n      }\n    }\n  "])), theme.popoverBorderWidth, theme.popoverBorderColor, theme.popoverBorderRadius, theme.popoverBackgroundColor, theme.popoverShadow, theme.popoverTextColor, theme.popoverTextFontFamily, theme.popoverTextFontSize, theme.popoverTextFontWeight, theme.popoverTextLineHeight, theme.popoverPadding, theme.popoverArrowSize, theme.popoverArrowSize, theme.popoverArrowSize, theme.popoverBorderColor, theme.popoverArrowSize, theme.popoverArrowSize, theme.popoverArrowSize, theme.popoverArrowSize, theme.popoverBackgroundColor);
});
var templateObject_1$C, templateObject_2$v;

var getMaxPlacement = function (target, overlay) {
    var positions = {
        top: target.top - overlay.height,
        bottom: window.innerHeight - target.bottom - overlay.height,
        left: target.left - overlay.width,
        right: window.innerWidth - target.right - overlay.width,
    };
    var arr = Object.values(positions);
    var max = Math.max.apply(Math, __spread(arr));
    return Object.keys(positions).find(function (key) { return positions[key] === max; });
};
var getPositionOfPlacement = function (placement, target, overlay) {
    var topBottom = {
        top: target.top + target.height / 2 - overlay.height / 2,
        bottom: window.innerHeight - (target.top + target.height / 2 + overlay.height / 2),
    };
    var leftRight = {
        left: target.left + (target.width / 2 - overlay.width / 2),
        right: window.innerWidth - (target.left + target.width / 2 + overlay.width / 2),
    };
    switch (placement) {
        case 'left':
            return __assign({ left: target.left - overlay.width }, topBottom);
        case 'right':
            return __assign({ left: target.right }, topBottom);
        case 'top':
            return __assign({ top: target.top - overlay.height }, leftRight);
        case 'bottom':
            return __assign({ top: target.bottom }, leftRight);
    }
};
var getAdjustmentPlacement = function (placement, targetRef, overlayRef, key) {
    if (key === void 0) { key = 1; }
    var _a, _b, _c, _d;
    var target = (_a = targetRef.current) === null || _a === void 0 ? void 0 : _a.getBoundingClientRect();
    var overlay = (_b = overlayRef.current) === null || _b === void 0 ? void 0 : _b.getBoundingClientRect();
    if (target && overlay) {
        if (key > 4) {
            var maxPlacement = getMaxPlacement(target, overlay);
            var position_1 = getPositionOfPlacement(maxPlacement, target, overlay);
            return { placement: maxPlacement, position: position_1 };
        }
        var position = getPositionOfPlacement(placement, target, overlay);
        var topBottom = position.top < 0 || (_c = position.bottom, (_c !== null && _c !== void 0 ? _c : 0)) < 0;
        var leftRight = position.left < 0 || (_d = position.right, (_d !== null && _d !== void 0 ? _d : 0)) < 0;
        switch (placement) {
            case 'left':
                if (position.left - 15 < 0 || topBottom) {
                    return getAdjustmentPlacement('top', targetRef, overlayRef, key + 1);
                }
                break;
            case 'top':
                if (position.top - 15 < 0 || leftRight) {
                    return getAdjustmentPlacement('right', targetRef, overlayRef, key + 1);
                }
                break;
            case 'right':
                if (window.innerWidth - position.left - 15 < overlay.width || topBottom) {
                    return getAdjustmentPlacement('bottom', targetRef, overlayRef, key + 1);
                }
                break;
            case 'bottom':
                if (window.innerHeight - position.top - 15 < overlay.height || leftRight) {
                    return getAdjustmentPlacement('left', targetRef, overlayRef, key + 1);
                }
                break;
        }
        return { placement: placement, position: position };
    }
};
function usePopoverPosition(props, targetRef, overlayRef) {
    var _a;
    var layout = React.useContext(LayoutContext);
    var _b = __read(React.useState(), 2), position = _b[0], setPosition = _b[1];
    var _c = __read(React.useState(false), 2), show = _c[0], setShow = _c[1];
    var physicalPosition = getPhysicalPosition((_a = layout.dir, (_a !== null && _a !== void 0 ? _a : 'ltr')), props.placement);
    var _d = __read(React.useState(physicalPosition), 2), placement = _d[0], setPlacement = _d[1];
    var onClickHandle = function () {
        setShow(false);
    };
    var positionHandle = function () {
        var data = getAdjustmentPlacement(physicalPosition, targetRef, overlayRef);
        if (data) {
            setPosition(data.position);
            setPlacement(data.placement);
        }
    };
    React.useEffect(function () {
        var _a;
        if (show) {
            positionHandle();
            window.addEventListener('resize', positionHandle);
            window.addEventListener('orientationchange', positionHandle);
            layout.addEventListener('scroll', positionHandle);
            window.addEventListener('click', onClickHandle);
            if (props.eventListener) {
                (_a = document.querySelector(props.eventListener)) === null || _a === void 0 ? void 0 : _a.addEventListener('scroll', positionHandle);
            }
            return function () {
                var _a;
                window.removeEventListener('click', onClickHandle);
                window.removeEventListener('resize', positionHandle);
                window.removeEventListener('orientationchange', positionHandle);
                layout.removeEventListener('scroll', positionHandle);
                if (props.eventListener) {
                    (_a = document.querySelector(props.eventListener)) === null || _a === void 0 ? void 0 : _a.removeEventListener('scroll', positionHandle);
                }
            };
        }
    }, [show, overlayRef.current]);
    return { position: position, placement: placement, show: show, setShow: setShow };
}

var overlayPane = function (placement, size) {
    switch (placement) {
        case 'right':
            return "transform: translateX(" + size + "px);";
        case 'left':
            return "transform: translateX(-" + size + "px);";
        case 'top':
            return "transform: translateY(-" + size + "px);";
        case 'bottom':
            return "transform: translateY(" + size + "px);";
    }
};
var placementArrow = function (placement, arrowSize, arrowRound) {
    switch (placement) {
        case 'right':
            return css(templateObject_1$D || (templateObject_1$D = __makeTemplateObject(["\n        .arrow {\n          left: ", "px;\n          top: calc(50% - ", " / 2);\n          transform: rotate(270deg);\n        }\n      "], ["\n        .arrow {\n          left: ", "px;\n          top: calc(50% - ", " / 2);\n          transform: rotate(270deg);\n        }\n      "])), arrowRound, arrowSize);
        case 'left':
            return css(templateObject_2$w || (templateObject_2$w = __makeTemplateObject(["\n        .arrow {\n          right: ", "px;\n          top: calc(50% - ", " / 2);\n          transform: rotate(90deg);\n        }\n      "], ["\n        .arrow {\n          right: ", "px;\n          top: calc(50% - ", " / 2);\n          transform: rotate(90deg);\n        }\n      "])), arrowRound, arrowSize);
        case 'top':
            return css(templateObject_3$p || (templateObject_3$p = __makeTemplateObject(["\n        .arrow {\n          bottom: calc(-", " + 1px);\n          left: calc(50% - ", ");\n          transform: rotate(180deg);\n        }\n      "], ["\n        .arrow {\n          bottom: calc(-", " + 1px);\n          left: calc(50% - ", ");\n          transform: rotate(180deg);\n        }\n      "])), arrowSize, arrowSize);
        case 'bottom':
            return css(templateObject_4$k || (templateObject_4$k = __makeTemplateObject(["\n        .arrow {\n          top: calc(-", " + 2px);\n          left: calc(50% - ", ");\n        }\n      "], ["\n        .arrow {\n          top: calc(-", " + 2px);\n          left: calc(50% - ", ");\n        }\n      "])), arrowSize, arrowSize);
    }
};
var OverlayStyle$1 = styled.div(templateObject_7$a || (templateObject_7$a = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var placement = _a.placement, position = _a.position, size = _a.size, arrowSize = _a.arrowSize, arrowRound = _a.arrowRound;
    return css(templateObject_6$c || (templateObject_6$c = __makeTemplateObject(["\n    position: absolute;\n    box-sizing: border-box;\n    z-index: 1000;\n    display: flex;\n    width: 100%;\n    height: 100%;\n    min-width: 1px;\n    min-height: 1px;\n    top: 0px;\n    left: 0px;\n    .overlay-pane {\n      ", "\n      position: absolute;\n      pointer-events: auto;\n      display: flex;\n      max-width: 100%;\n      max-height: 100%;\n      box-sizing: border-box;\n      ", "\n      ", "\n\n      .icon + span {\n        margin-", ": 0.5rem;\n      }\n      ", "\n    }\n  "], ["\n    position: absolute;\n    box-sizing: border-box;\n    z-index: 1000;\n    display: flex;\n    width: 100%;\n    height: 100%;\n    min-width: 1px;\n    min-height: 1px;\n    top: 0px;\n    left: 0px;\n    .overlay-pane {\n      ", "\n      position: absolute;\n      pointer-events: auto;\n      display: flex;\n      max-width: 100%;\n      max-height: 100%;\n      box-sizing: border-box;\n      ", "\n      ", "\n\n      .icon + span {\n        margin-", ": 0.5rem;\n      }\n      ",
        "\n    }\n  "])), overlayPane(placement, size), !position && 'visibility: hidden;', arrowSize && arrowRound && placementArrow(placement, arrowSize, arrowRound), placement === 'right' ? 'right' : 'left', placement === 'right' && css(templateObject_5$e || (templateObject_5$e = __makeTemplateObject(["\n          .content {\n            flex-direction: row-reverse;\n          }\n        "], ["\n          .content {\n            flex-direction: row-reverse;\n          }\n        "]))));
});
var templateObject_1$D, templateObject_2$w, templateObject_3$p, templateObject_4$k, templateObject_5$e, templateObject_6$c, templateObject_7$a;

var Overlay$1 = function (props, ref) {
    var overlayRef = React.useRef(null);
    var targetRef = React.useRef(null);
    var _a = usePopoverPosition(props, targetRef, overlayRef), position = _a.position, placement = _a.placement, show = _a.show, setShow = _a.setShow;
    React.useImperativeHandle(ref, function () { return ({
        hide: function () {
            setShow(false);
        },
    }); }, [show]);
    var timeOut;
    var onMouseLeave = function () {
        timeOut = setTimeout(function () {
            setShow(false);
        }, 500);
    };
    var onMouseEnter = function () {
        clearTimeout(timeOut);
    };
    var trigger = props.trigger, transformSize = props.transformSize;
    var overlayMouse = props.contextMenu
        ? {}
        : {
            onMouseEnter: function () { return trigger === 'hover' && onMouseEnter(); },
            onMouseLeave: function () { return trigger === 'hover' && onMouseLeave(); },
        };
    var targetMouse = props.contextMenu
        ? {
            onClick: function (e) {
                e.stopPropagation();
                setShow(!show);
            },
        }
        : {
            onFocus: function () { return trigger === 'focus' && setShow(true); },
            onBlur: function () { return trigger === 'focus' && setShow(false); },
            onClick: function (e) {
                e.stopPropagation();
                trigger === 'click' && setShow(!show);
            },
            onMouseEnter: function () {
                return trigger === 'hint'
                    ? setShow(true)
                    : trigger === 'hover' && !show
                        ? setShow(true)
                        : trigger === 'hover' && onMouseEnter();
            },
            onMouseLeave: function () {
                trigger === 'hint' ? setShow(false) : trigger === 'hover' && onMouseLeave();
            },
        };
    return (React.createElement(React.Fragment, null,
        show &&
            ReactDOM.createPortal(React.createElement(OverlayStyle$1, { position: !!position, placement: placement, size: transformSize, arrowRound: props.arrowRound, arrowSize: props.arrowSize },
                React.createElement("div", __assign({ className: "overlay-pane", style: position && { top: position.top, left: position.left }, ref: overlayRef, onClick: function (e) { return e.stopPropagation(); } }, overlayMouse), props.children)), document.getElementById('overlay-container')),
        React.createElement("div", __assign({ style: props.style, className: props.className, ref: targetRef }, targetMouse), props.target)));
};
var Overlay$2 = React.forwardRef(Overlay$1);

var Popover = function (props) {
    var arrowSize = parseInt(props.theme.popoverArrowSize);
    var arrowRound = Math.round(-arrowSize - arrowSize / 2);
    return (React.createElement(Overlay$2, { target: props.children, placement: props.placement, trigger: props.trigger, style: props.style, className: props.className, eventListener: props.eventListener, transformSize: 15, arrowRound: arrowRound, arrowSize: props.theme.popoverArrowSize },
        React.createElement(PopoverStyle, null,
            React.createElement("span", { className: "arrow" }),
            typeof props.overlay === 'string' ? React.createElement("div", { className: "primitive-overlay" }, props.overlay) : props.overlay)));
};
var index = withTheme(Popover);

var TooltipStyle = styled.div(templateObject_3$q || (templateObject_3$q = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme, status = _a.status, arrowSize = _a.arrowSize;
    return css(templateObject_2$x || (templateObject_2$x = __makeTemplateObject(["\n    box-shadow: ", ";\n    background: ", ";\n    border: ", " ", " ", ";\n    border-radius: ", ";\n    padding: ", ";\n    max-width: ", ";\n    z-index: 10000;\n    border-radius: 5px;\n    .content {\n      padding: 0.5rem 1.25rem;\n      display: flex;\n      align-items: center;\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n    }\n\n    .arrow {\n      position: absolute;\n      width: 0;\n      height: 0;\n      border-bottom: ", " ", " ", ";\n      border-left: ", " solid transparent;\n      border-right: ", " solid transparent;\n    }\n\n    .icon:only-child {\n      height: ", ";\n      width: ", ";\n    }\n    .icon:not(:only-child) {\n      height: ", ";\n      width: ", ";\n    }\n\n    span {\n      line-height: 1.25rem;\n    }\n\n    ", "\n  "], ["\n    box-shadow: ", ";\n    background: ", ";\n    border: ", " ", " ", ";\n    border-radius: ", ";\n    padding: ", ";\n    max-width: ", ";\n    z-index: 10000;\n    border-radius: 5px;\n    .content {\n      padding: 0.5rem 1.25rem;\n      display: flex;\n      align-items: center;\n      color: ", ";\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n    }\n\n    .arrow {\n      position: absolute;\n      width: 0;\n      height: 0;\n      border-bottom: ", " ", " ", ";\n      border-left: ", " solid transparent;\n      border-right: ", " solid transparent;\n    }\n\n    .icon:only-child {\n      height: ", ";\n      width: ", ";\n    }\n    .icon:not(:only-child) {\n      height: ", ";\n      width: ", ";\n    }\n\n    span {\n      line-height: 1.25rem;\n    }\n\n    ",
        "\n  "])), theme.tooltipShadow, theme.tooltipBackgroundColor, theme.tooltipBorderWidth, theme.tooltipBorderStyle, theme.tooltipBorderColor, theme.tooltipBorderRadius, theme.tooltipPadding, theme.tooltipMaxWidth, theme.tooltipTextColor, theme.tooltipTextFontFamily, theme.tooltipTextFontSize, theme.tooltipTextFontWeight, theme.tooltipTextLineHeight, arrowSize, theme.tooltipBorderStyle, theme.tooltipBackgroundColor, arrowSize, arrowSize, theme.tooltipIconHeight, theme.tooltipIconWidth, theme.tooltipTextFontSize, theme.tooltipTextFontSize, status && css(templateObject_1$E || (templateObject_1$E = __makeTemplateObject(["\n        background: ", ";\n        border-color: ", ";\n\n        .arrow {\n          border-bottom-color: ", ";\n        }\n\n        .content {\n          color: ", ";\n        }\n      "], ["\n        background: ", ";\n        border-color: ", ";\n\n        .arrow {\n          border-bottom-color: ", ";\n        }\n\n        .content {\n          color: ", ";\n        }\n      "])), theme["tooltip" + status + "BackgroundColor"], theme["tooltip" + status + "BorderColor"], theme["tooltip" + status + "BackgroundColor"], theme["tooltip" + status + "TextColor"]));
});
var templateObject_1$E, templateObject_2$x, templateObject_3$q;

var Tooltip = function (props) {
    var arrowSize = 6;
    var arrowRound = Math.round(-arrowSize - arrowSize / 2.5);
    return (React.createElement(Overlay$2, { target: props.children, placement: props.placement, trigger: props.trigger, style: props.style, className: props.className, eventListener: props.eventListener, transformSize: 5, arrowRound: arrowRound, arrowSize: arrowSize.toString() + 'px' },
        React.createElement(TooltipStyle, { status: props.status, arrowSize: arrowSize.toString() + 'px' },
            React.createElement("span", { className: "arrow" }),
            React.createElement("div", { className: "content" },
                props.icon && React.createElement(ItemIcon, { className: "icon", icon: props.icon }),
                props.content && React.createElement("span", null, props.content)))));
};

var ContextMenuStyle = styled.div(templateObject_2$y || (templateObject_2$y = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var theme = _a.theme;
    return css(templateObject_1$F || (templateObject_1$F = __makeTemplateObject(["\n    background-color: ", ";\n    border-color: ", ";\n    border-style: ", ";\n    border-width: ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    min-width: ", ";\n    max-width: ", ";\n\n    ", " {\n      border-radius: ", ";\n      overflow: hidden;\n      text-align: center;\n    }\n  "], ["\n    background-color: ", ";\n    border-color: ", ";\n    border-style: ", ";\n    border-width: ", ";\n    border-radius: ", ";\n    box-shadow: ", ";\n    min-width: ", ";\n    max-width: ", ";\n\n    ", " {\n      border-radius: ", ";\n      overflow: hidden;\n      text-align: center;\n    }\n  "])), theme.contextMenuBackgroundColor, theme.contextMenuBorderColor, theme.contextMenuBorderStyle, theme.contextMenuBorderWidth, theme.contextMenuBorderRadius, theme.contextMenuShadow, theme.contextMenuMinWidth, theme.contextMenuMaxWidth, MenuStyle, theme.contextMenuBorderRadius);
});
var templateObject_1$F, templateObject_2$y;

var ContextMenu = function (props) {
    var _a;
    var overlayRef = React.useRef(null);
    return (React.createElement(Overlay$2, { ref: overlayRef, target: props.children, placement: props.placement, style: props.style, className: props.className, eventListener: props.eventListener, transformSize: 15, contextMenu: true },
        React.createElement(ContextMenuStyle, null,
            React.createElement("span", { className: "arrow" }),
            React.createElement(Menu, { className: "context-menu", nextJs: props.nextJs, currentPath: props.currentPath, Link: props.Link, items: props.items, toggleSidebar: (_a = overlayRef.current) === null || _a === void 0 ? void 0 : _a.hide }))));
};

export { Accordion, AccordionItem, Actions, Alert, Badge, Button, ButtonLink, ButtonStyle, Card, CardBody, CardStyle, Chat, ChatForm, Messages as ChatMessages, Checkbox, Col, Container, ContextMenu, EvaIcon, FlipCard, GlobalStyle, InputGroup, Layout, LayoutColumn, LayoutColumns, LayoutContainer, LayoutContent, LayoutContext, LayoutFooter, LayoutHeader, LayoutStyle, List, ListItem, Menu, Overlay, index as Popover, Progress, Radio, RevealCard, Row, Search, Select, Sidebar, SidebarBody, Spinner, Tab, Tabs, Toastr, Tooltip, User, breakpointBetween, breakpointDown, breakpointOnly, breakpointUp, breakpoints, createTheme, getGridGutter, getGridSize, getLogicalPosition, getPhysicalPosition, ifWidthInBreakpoint, isRightPosition, isTopPosition, maxContainer };
